/*! DSFR v1.13.1 | SPDX-License-Identifier: MIT | License-Filename: LICENSE.md | restricted use (see terms and conditions) */
const e=new class{constructor(){this.modules={}}create(e){const t=new e;this.modules[t.type]=t}getModule(e){return this.modules[e]}add(e,t){this.modules[e].add(t)}remove(e,t){this.modules[e].remove(t)}get isActive(){return this._isActive}set isActive(e){if(e===this._isActive)return;this._isActive=e;const t=Object.keys(this.modules).map((e=>this.modules[e]));if(e)for(const e of t)e.activate();else for(const e of t)e.deactivate()}get isLegacy(){return this._isLegacy}set isLegacy(e){e!==this._isLegacy&&(this._isLegacy=e)}},t="fr",s="dsfr",i="@gouvfr",n="1.13.1";class r{constructor(e,t,s,i){switch(this.level=e,this.light=t,this.dark=s,i){case"warn":this.logger=console.warn;break;case"error":this.logger=console.error;break;default:this.logger=console.log}}log(...e){const t=new a(s);for(const s of e)t.add(s);this.print(t)}print(e){e.setColor(this.color),this.logger.apply(console,e.getMessage())}get color(){return window.matchMedia("(prefers-color-scheme: dark)").matches?this.dark:this.light}}class a{constructor(e){this.inputs=["%c"],this.styles=["font-family:Marianne","line-height: 1.5"],this.objects=[],e&&this.add(`${e} :`)}add(e){switch(typeof e){case"object":case"function":this.inputs.push("%o "),this.objects.push(e);break;default:this.inputs.push(`${e} `)}}setColor(e){this.styles.push(`color:${e}`)}getMessage(){return[this.inputs.join(""),this.styles.join(";"),...this.objects]}}const o={log:new r(0,"#616161","#989898"),debug:new r(1,"#000091","#8B8BFF"),info:new r(2,"#007c3b","#00ed70"),warn:new r(3,"#ba4500","#fa5c00","warn"),error:new r(4,"#D80600","#FF4641","error")};const h=new class{constructor(){this.level=2;for(const e in o){const t=o[e];this[e]=(...e)=>{this.level<=t.level&&t.log.apply(t,e)},this[e].print=t.print.bind(t)}}state(){const t=new a;t.add(e),this.log.print(t)}tree(){const t=e.getModule("stage");if(!t)return;const s=new a;this._branch(t.root,0,s),this.log.print(s)}_branch(e,t,s){let i="";if(t>0){let e="";for(let s=0;s<t;s++)e+="    ";i+=e+"└─ "}i+=`[${e.id}] ${e.html}`,s.add(i),s.add({"@":e}),s.add("\n");for(const n of e.children)i+=this._branch(n,t+1,s)}},c=e=>{"loading"!==document.readyState?window.requestAnimationFrame(e):document.addEventListener("DOMContentLoaded",e)},l={AUTO:"auto",MANUAL:"manual",RUNTIME:"runtime",LOADED:"loaded",VUE:"vue",ANGULAR:"angular",REACT:"react"},d=(e,t,s=null,i=!0,n=!1)=>{const r={bubbles:!0===i,cancelable:!0===n};s&&(r.detail=s);const a=new CustomEvent(t,r);e.dispatchEvent(a)},u=(e,t=null,s=!1,i=!1)=>d(document.documentElement,e,t,s,i),g=e=>`${t}-${e}`;g.selector=(e,t)=>(void 0===t&&(t="."),`${t}${g(e)}`),(g.attr=e=>`data-${g(e)}`).selector=(e,t)=>{let s=g.attr(e);return void 0!==t&&(s+=`="${t}"`),`[${s}]`},g.event=e=>`${s}.${e}`,g.emission=(e,t)=>`emission:${e}.${t}`;const p={READY:g.event("ready"),START:g.event("start"),STOP:g.event("stop"),RENDER:g.event("render"),RESIZE:g.event("resize"),BREAKPOINT:g.event("breakpoint"),SCROLL_LOCK:g.event("scroll-lock"),SCROLL_UNLOCK:g.event("scroll-unlock")};const m=new class{constructor(){this._mode=l.AUTO,this.isStarted=!1,this.starting=this.start.bind(this),this.preventManipulation=!1}configure(e={},t,s){this.startCallback=t;const i=e.production&&(!s||"false"!==s.production);switch(!0){case s&&!isNaN(s.level):h.level=Number(s.level);break;case s&&s.verbose&&("true"===s.verbose||1===s.verbose):h.level=0;break;case i:h.level=999;break;case e.verbose:h.level=0}h.info(`version ${n}`),u(p.READY),this.mode=e.mode||l.AUTO}set mode(e){switch(e){case l.AUTO:this.preventManipulation=!1,t=this.starting,c(t);break;case l.LOADED:this.preventManipulation=!1,c(this.starting);break;case l.RUNTIME:this.preventManipulation=!1,this.start();break;case l.MANUAL:this.preventManipulation=!1;break;case l.VUE:case l.ANGULAR:case l.REACT:this.preventManipulation=!0;break;default:return void h.error("Illegal mode")}var t;this._mode=e,h.info(`mode set to ${e}`)}get mode(){return this._mode}start(){h.info("start"),this.startCallback()}};class _{constructor(){this._collection=[]}forEach(e){this._collection.forEach(e)}map(e){return this._collection.map(e)}get length(){return this._collection.length}add(e){return!(this._collection.indexOf(e)>-1)&&(this._collection.push(e),this.onAdd&&this.onAdd(),this.onPopulate&&1===this._collection.length&&this.onPopulate(),!0)}remove(e){const t=this._collection.indexOf(e);if(-1===t)return!1;this._collection.splice(t,1),this.onRemove&&this.onRemove(),this.onEmpty&&0===this._collection.length&&this.onEmpty()}execute(...e){for(const t of this._collection)t&&t.apply(null,e)}clear(){this._collection.length=0}clone(){const e=new _;return e._collection=this._collection.slice(),e}get collection(){return this._collection}}class b extends _{constructor(e){super(),this.type=e,this.isActive=!1}activate(){}deactivate(){}}const E=(e,t)=>Array.prototype.slice.call(e.querySelectorAll(t)),f=(e,t)=>{const s=e.parentElement;return s.matches(t)?s:s===document.documentElement?null:f(s,t)};class A{constructor(e,t,s){this.selector=e,this.InstanceClass=t,this.creator=s,this.instances=new _,this.isIntroduced=!1,this._instanceClassName=this.InstanceClass.instanceClassName,this._instanceClassNames=this.getInstanceClassNames(this.InstanceClass),this._property=this._instanceClassName.substring(0,1).toLowerCase()+this._instanceClassName.substring(1);const i=this._instanceClassName.replace(/[^a-zA-Z0-9]+/g,"-").replace(/([A-Z]+)([A-Z][a-z])/g,"$1-$2").replace(/([a-z])([A-Z])/g,"$1-$2").replace(/([0-9])([^0-9])/g,"$1-$2").replace(/([^0-9])([0-9])/g,"$1-$2").toLowerCase();this._attribute=g.attr(`js-${i}`)}getInstanceClassNames(e){const t=Object.getPrototypeOf(e);return t&&"Instance"!==t.instanceClassName?[...this.getInstanceClassNames(t),e.instanceClassName]:[e.instanceClassName]}hasInstanceClassName(e){return this._instanceClassNames.indexOf(e)>-1}introduce(){this.isIntroduced||(this.isIntroduced=!0,e.getModule("stage").parse(document.documentElement,this))}parse(e,t){const s=[];return e.matches&&e.matches(this.selector)&&s.push(e),!t&&e.querySelectorAll&&e.querySelector(this.selector)&&s.push.apply(s,E(e,this.selector)),s}create(e){if(!e.node.matches(this.selector))return;const t=new this.InstanceClass;return this.instances.add(t),t}remove(e){this.instances.remove(e)}dispose(){const e=this.instances.collection;for(let t=e.length-1;t>-1;t--)e[t]._dispose();this.creator=null}get instanceClassName(){return this._instanceClassName}get instanceClassNames(){return this._instanceClassNames}get property(){return this._property}get attribute(){return this._attribute}}class T extends b{constructor(){super("register")}register(t,s,i){const n=new A(t,s,i);return this.add(n),e.isActive&&n.introduce(),n}activate(){for(const e of this.collection)e.introduce()}remove(e){e.dispose(),super.remove(e)}}let S=0;class v{constructor(e,t){t?this.id=t:(S++,this.id=S),this.node=e,this.attributeNames=[],this.instances=[],this._children=[],this._parent=null,this._projects=[]}get proxy(){const e=this;if(!this._proxy){this._proxy={id:this.id,get parent(){return e.parent?e.parent.proxy:null},get children(){return e.children.map((e=>e.proxy))}};for(const e of this.instances)this._proxy[e.registration.property]=e.proxy}return this._proxy}get html(){if(!this.node||!this.node.outerHTML)return"";const e=this.node.outerHTML.indexOf(">");return this.node.outerHTML.substring(0,e+1)}project(e){-1===this._projects.indexOf(e)&&this._projects.push(e)}populate(){const e=this._projects.slice();this._projects.length=0;for(const t of e)this.create(t)}create(e){if(this.hasInstance(e.instanceClassName))return;h.debug(`create instance of ${e.instanceClassName} on element [${this.id}]`);const t=e.create(this);this.instances.push(t),t._config(this,e),this._proxy&&(this._proxy[e.property]=t.proxy)}remove(e){const t=this.instances.indexOf(e);t>-1&&this.instances.splice(t,1),this._proxy&&delete this._proxy[e.registration.property]}get parent(){return this._parent}get ascendants(){return[this.parent,...this.parent.ascendants]}get children(){return this._children}get descendants(){const e=[...this._children];return this._children.forEach((t=>e.push(...t.descendants))),e}addChild(e,t){return this._children.indexOf(e)>-1?null:(e._parent=this,!isNaN(t)&&t>-1&&t<this._children.length?this._children.splice(t,0,e):this._children.push(e),e)}removeChild(e){const t=this._children.indexOf(e);if(-1===t)return null;e._parent=null,this._children.splice(t,1)}emit(t,s){const i=e.getModule("stage").collection,n=[];for(const e of i)n.push(...e._emit(t,s));return n}_emit(e,t){const s=[];for(const i of this.instances)s.push(...i._emitter.emit(e,t));return s}ascend(e,t){return this._parent?this._parent._ascend(e,t):[]}_ascend(e,t){const s=[];for(const i of this.instances)s.push(...i._ascent.emit(e,t));return this._parent&&s.push(...this._parent._ascend(e,t)),s}descend(e,t){const s=[];for(const i of this._children)s.push(...i._descend(e,t));return s}_descend(e,t){const s=[];for(const i of this.instances)s.push(...i._descent.emit(e,t));for(const i of this._children)s.push(...i._descend(e,t));return s}getInstance(e){for(const t of this.instances)if(t.registration.hasInstanceClassName(e))return t;return null}hasInstance(e){return null!==this.getInstance(e)}getDescendantInstances(e,t,s){if(!e)return[];const i=[];for(const n of this._children){const r=n.getInstance(e);r&&(i.push(r),s)||(t&&n.hasInstance(t)||!n.children.length||i.push.apply(i,n.getDescendantInstances(e,t,s)))}return i}getAscendantInstance(e,t){if(!e||!this._parent)return null;const s=this._parent.getInstance(e);return s||(t&&this._parent.hasInstance(t)?null:this._parent.getAscendantInstance(e,t))}dispose(){for(let e=this.instances.length-1;e>=0;e--){const t=this.instances[e];t&&t._dispose()}this.instances.length=0,e.remove("stage",this),this.parent.removeChild(this),this._children.length=0,h.debug(`remove element [${this.id}] ${this.html}`)}prepare(e){-1===this.attributeNames.indexOf(e)&&this.attributeNames.push(e)}examine(){const e=this.attributeNames.slice();this.attributeNames.length=0;for(let t=this.instances.length-1;t>-1;t--)this.instances[t].examine(e)}}const y={CLICK:g.emission("root","click"),KEYDOWN:g.emission("root","keydown"),KEYUP:g.emission("root","keyup")},C={TAB:{id:"tab",value:9},ESCAPE:{id:"escape",value:27},END:{id:"end",value:35},HOME:{id:"home",value:36},LEFT:{id:"left",value:37},UP:{id:"up",value:38},RIGHT:{id:"right",value:39},DOWN:{id:"down",value:40}},N=e=>Object.values(C).filter((t=>t.value===e))[0];class D extends v{constructor(){super(document.documentElement,"root"),this.node.setAttribute(g.attr("js"),!0),this.listen()}listen(){document.documentElement.addEventListener("click",this.click.bind(this),{capture:!0}),document.documentElement.addEventListener("keydown",this.keydown.bind(this),{capture:!0}),document.documentElement.addEventListener("keyup",this.keyup.bind(this),{capture:!0})}click(e){this.emit(y.CLICK,e.target)}keydown(e){this.emit(y.KEYDOWN,N(e.keyCode))}keyup(e){this.emit(y.KEYUP,N(e.keyCode))}}class R extends b{constructor(){super("stage"),this.root=new D,super.add(this.root),this.observer=new MutationObserver(this.mutate.bind(this)),this.modifications=[],this.willModify=!1,this.modifying=this.modify.bind(this)}hasElement(e){for(const t of this.collection)if(t.node===e)return!0;return!1}getElement(e){for(const t of this.collection)if(t.node===e)return t;const t=new v(e);return this.add(t),h.debug(`add element [${t.id}] ${t.html}`),t}getProxy(e){if(!this.hasElement(e))return null;return this.getElement(e).proxy}add(e){super.add(e),this.put(e,this.root)}put(e,t){let s=0;for(let i=t.children.length-1;i>-1;i--){const n=t.children[i],r=e.node.compareDocumentPosition(n.node);if(r&Node.DOCUMENT_POSITION_CONTAINS)return void this.put(e,n);if(r&Node.DOCUMENT_POSITION_CONTAINED_BY)t.removeChild(n),e.addChild(n,0);else if(r&Node.DOCUMENT_POSITION_PRECEDING){s=i+1;break}}t.addChild(e,s)}activate(){this.observer.observe(document.documentElement,{childList:!0,subtree:!0,attributes:!0})}deactivate(){this.observer.disconnect()}mutate(e){const t=[];e.forEach((e=>{switch(e.type){case"childList":e.removedNodes.forEach((e=>this.dispose(e))),e.addedNodes.forEach((e=>this.parse(e)));break;case"attributes":if(this.hasElement(e.target)){const s=this.getElement(e.target);s.prepare(e.attributeName),-1===t.indexOf(s)&&t.push(s);for(const e of s.descendants)-1===t.indexOf(e)&&t.push(e)}-1===this.modifications.indexOf(e.target)&&this.modifications.push(e.target)}})),t.forEach((e=>e.examine())),this.modifications.length&&!this.willModify&&(this.willModify=!0,window.requestAnimationFrame(this.modifying))}modify(){this.willModify=!1;const e=this.modifications.slice();this.modifications.length=0;for(const t of e)document.documentElement.contains(t)&&this.parse(t)}dispose(e){const t=[];this.forEach((s=>{e.contains(s.node)&&t.push(s)}));for(const e of t)e.dispose(),this.remove(e)}parse(t,s,i){const n=s?[s]:e.getModule("register").collection,r=[];for(const e of n){const s=e.parse(t,i);for(const t of s){const s=this.getElement(t);s.project(e),-1===r.indexOf(s)&&r.push(s)}}for(const e of r)e.populate()}}class w extends b{constructor(){super("render"),this.rendering=this.render.bind(this),this.nexts=new _}activate(){window.requestAnimationFrame(this.rendering)}request(e){this.nexts.add(e)}render(){if(!e.isActive)return;if(window.requestAnimationFrame(this.rendering),this.forEach((e=>e.render())),!this.nexts.length)return;const t=this.nexts.clone();this.nexts.clear(),t.forEach((e=>e.next())),u(p.RENDER)}}class L extends b{constructor(){super("resize"),this.requireResize=!1,this.resizing=this.resize.bind(this);const e=this.request.bind(this);document.fonts&&document.fonts.ready.then(e),window.addEventListener("resize",e),window.addEventListener("orientationchange",e)}activate(){this.request()}request(){this.requireResize||(this.requireResize=!0,window.requestAnimationFrame(this.resizing))}resize(){this.requireResize&&(this.forEach((e=>e.resize())),this.requireResize=!1,u(p.RESIZE))}}class I extends b{constructor(){super("lock"),this._isLocked=!1,this._scrollY=0,this.onPopulate=this.lock.bind(this),this.onEmpty=this.unlock.bind(this)}get isLocked(){return this._isLocked}lock(){if(!this._isLocked){this._isLocked=!0,this._scrollY=window.scrollY;const e=window.innerWidth-document.documentElement.clientWidth;document.documentElement.setAttribute(g.attr("scrolling"),"false"),document.body.style.top=-this._scrollY+"px",this.behavior=getComputedStyle(document.documentElement).getPropertyValue("scroll-behavior"),"smooth"===this.behavior&&(document.documentElement.style.scrollBehavior="auto"),e>0&&document.documentElement.style.setProperty("--scrollbar-width",`${e}px`),u(p.SCROLL_LOCK)}}unlock(){this._isLocked&&(this._isLocked=!1,document.documentElement.removeAttribute(g.attr("scrolling")),document.body.style.top="",window.scrollTo(0,this._scrollY),"smooth"===this.behavior&&document.documentElement.style.removeProperty("scroll-behavior"),document.documentElement.style.removeProperty("--scrollbar-width"),u(p.SCROLL_UNLOCK))}move(e){this._isLocked?(this._scrollY+=e,document.body.style.top=-this._scrollY+"px"):window.scrollTo(0,window.scrollY+e)}}class x extends b{constructor(){super("load"),this.loading=this.load.bind(this)}activate(){window.addEventListener("load",this.loading)}load(){this.forEach((e=>e.load()))}}const O=["Marianne","Spectral"];class P extends b{constructor(){super("font-swap"),this.swapping=this.swap.bind(this)}activate(){document.fonts&&document.fonts.addEventListener("loadingdone",this.swapping)}swap(){const e=O.filter((e=>document.fonts.check(`16px ${e}`)));this.forEach((t=>t.swapFont(e)))}}class k extends b{constructor(){super("mouse-move"),this.requireMove=!1,this._isMoving=!1,this.moving=this.move.bind(this),this.requesting=this.request.bind(this),this.onPopulate=this.listen.bind(this),this.onEmpty=this.unlisten.bind(this)}listen(){this._isMoving||(this._isMoving=!0,this.requireMove=!1,document.documentElement.addEventListener("mousemove",this.requesting))}unlisten(){this._isMoving&&(this._isMoving=!1,this.requireMove=!1,document.documentElement.removeEventListener("mousemove",this.requesting))}request(e){this._isMoving&&(this.point={x:e.clientX,y:e.clientY},this.requireMove||(this.requireMove=!0,window.requestAnimationFrame(this.moving)))}move(){this.requireMove&&(this.forEach((e=>e.mouseMove(this.point))),this.requireMove=!1)}}class M extends b{constructor(){super("hash"),this.handling=this.handle.bind(this),this.getLocationHash()}activate(){window.addEventListener("hashchange",this.handling)}deactivate(){window.removeEventListener("hashchange",this.handling)}_sanitize(e){return"#"===e.charAt(0)?e.substring(1):e}set hash(e){const t=this._sanitize(e);this._hash!==t&&(window.location.hash=t)}get hash(){return this._hash}getLocationHash(){const e=window.location.hash;this._hash=this._sanitize(e)}handle(e){this.getLocationHash(),this.forEach((t=>t.handleHash(this._hash,e)))}}const G=new class{constructor(){e.create(T),e.create(R),e.create(w),e.create(L),e.create(I),e.create(x),e.create(P),e.create(k),e.create(M);const t=e.getModule("register");this.register=t.register.bind(t)}get isActive(){return e.isActive}start(){h.debug("START"),e.isActive=!0,u(p.START)}stop(){h.debug("STOP"),e.isActive=!1,u(p.STOP)}};const $=e=>{switch(!0){case e.hover:return"-hover";case e.active:return"-active";default:return""}},H=new class{getColor(e,t,s,i={}){const n=`--${e}-${t}-${s}${$(i)}`;return getComputedStyle(document.documentElement).getPropertyValue(n).trim()||null}},U=e=>"."===e.charAt(0)?e.substr(1):e,B=e=>{switch(!0){case!e.className:return[];case"string"==typeof e.className:return e.className.split(" ");case"string"==typeof e.className.baseVal:return e.className.baseVal.split(" ")}return[]},F=(e,t,s)=>{t=U(t);const i=B(e),n=i.indexOf(t);!0===s?n>-1&&i.splice(n,1):-1===n&&i.push(t),e.className=i.join(" ")},W=(e,t)=>F(e,t),q=(e,t)=>F(e,t,!0),z=(e,t)=>B(e).indexOf(U(t))>-1,K=['[tabindex]:not([tabindex="-1"])',"a[href]","button:not([disabled])","input:not([disabled])","select:not([disabled])","textarea:not([disabled])","audio[controls]","video[controls]",'[contenteditable]:not([contenteditable="false"])',"details>summary:first-of-type","details","iframe"].join(),j=e=>e.querySelectorAll(K);let V=0;const Y=e=>{if(!document.getElementById(e))return e;let t=!0;const s=e;for(;t;)V++,e=`${s}-${V}`,t=document.getElementById(e);return e},X={addClass:W,hasClass:z,removeClass:q,queryParentSelector:f,querySelectorAllArray:E,queryActions:j,uniqueId:Y,dispatch:d};const Q={DataURISVG:class{constructor(e=0,t=0){this._width=e,this._height=t,this._content=""}get width(){return this._width}set width(e){this._width=e}get height(){return this._height}set height(e){this._height=e}get content(){return this._content}set content(e){this._content=e}getDataURI(e=!1){let t=`<svg xmlns='http://www.w3.org/2000/svg' viewbox='0 0 ${this._width} ${this._height}' width='${this._width}px' height='${this._height}px'>${this._content}</svg>`;return t=t.replace(/#/gi,"%23"),e&&(t=t.replace(/</gi,"%3C"),t=t.replace(/>/gi,"%3E"),t=t.replace(/"/gi,"'"),t=t.replace(/{/gi,"%7B"),t=t.replace(/}/gi,"%7D")),`data:image/svg+xml;charset=utf8,${t}`}}},Z={supportLocalStorage:()=>{try{return"localStorage"in window&&null!==window.localStorage}catch(e){return!1}},supportAspectRatio:()=>!!window.CSS&&CSS.supports("aspect-ratio: 16 / 9")},J={TransitionSelector:{NONE:g.selector("transition-none")}},ee=(e,...t)=>(t.forEach((t=>{const s=Object.keys(t).reduce(((e,s)=>(e[s]=Object.getOwnPropertyDescriptor(t,s),e)),{});Object.getOwnPropertySymbols(t).forEach((e=>{const i=Object.getOwnPropertyDescriptor(t,e);i.enumerable&&(s[e]=i)})),Object.defineProperties(e,s)})),e),te={completeAssign:ee},se={},ie={};Object.defineProperty(ie,"isLegacy",{get:()=>e.isLegacy}),ie.setLegacy=()=>{e.isLegacy=!0},se.legacy=ie,se.dom=X,se.image=Q,se.support=Z,se.motion=J,se.property=te,se.ns=g,se.register=G.register,se.state=e,se.query=(e=>{if(e&&e.search){const e=new URLSearchParams(window.location.search).entries();return Object.fromEntries(e)}return null})(window.location),Object.defineProperty(se,"preventManipulation",{get:()=>m.preventManipulation}),Object.defineProperty(se,"stage",{get:()=>e.getModule("stage")});const ne=t=>e.getModule("stage").getProxy(t);ne.version=n,ne.prefix=t,ne.organisation=i,ne.Modes=l,Object.defineProperty(ne,"mode",{set:e=>{m.mode=e},get:()=>m.mode}),ne.internals=se,ne.version=n,ne.start=G.start,ne.stop=G.stop,ne.inspector=h,ne.colors=H;const re=window[s];ne.internals.configuration=re,m.configure(re,ne.start,ne.internals.query),window[s]=ne;class ae{constructor(){this.emissions={}}add(e,t){if("function"!=typeof t)throw new Error("closure must be a function");this.emissions[e]||(this.emissions[e]=[]),this.emissions[e].push(t)}remove(e,t){if(this.emissions[e])if(t){const s=this.emissions[e].indexOf(t);s>-1&&this.emissions[e].splice(s)}else delete this.emissions[e]}emit(e,t){if(!this.emissions[e])return[];const s=[];for(const i of this.emissions[e])i&&s.push(i(t));return s}dispose(){this.emissions=null}}const oe=new class{constructor(){this._activeElements=[],window.document.addEventListener("focusin",this._onFocusIn.bind(this))}_onFocusIn(e){this._activeElements.push(e.target)}get index(){return this._activeElements.length-1}focus(e){const t=this._activeElements[e];switch(!0){case e<0:case 0===this._activeElements.length:return void this.focusOnLogo();case!t:case!document.documentElement.contains(t):case!this._isDisplayed(t):return void this.focus(e-1)}t.focus()}focusOnLogo(){const e=document.querySelector(ne.header.HeaderSelector.BRAND_LINK);e&&e.focus()}_isDisplayed(e){for(;e&&e!==document.documentElement;){if(e===document.body)return!0;const t=window.getComputedStyle(e);if("none"===t.display||"hidden"===t.visibility)return!1;e=e.parentElement}return!0}};class he{constructor(e,t){this.id=e,this.minWidth=t}test(){return window.matchMedia(`(min-width: ${this.minWidth}em)`).matches}}const ce={XS:new he("xs",0),SM:new he("sm",36),MD:new he("md",48),LG:new he("lg",62),XL:new he("xl",78)},le={CLICK:g.event("click")};class de{constructor(e=!0){this.jsAttribute=e,this._isRendering=!1,this._isResizing=!1,this._isScrollLocked=!1,this._isLoading=!1,this._isSwappingFont=!1,this._isEnabled=!0,this._isDisposed=!1,this._listeners={},this._handlingClick=this._handleClick.bind(this),this._hashes=[],this._hash="",this._keyListenerTypes=[],this._keys=[],this.handlingKey=this.handleKey.bind(this),this._emitter=new ae,this._ascent=new ae,this._descent=new ae,this._registrations=[],this._nexts=[]}static get instanceClassName(){return"Instance"}_config(e,t){this.element=e,this.registration=t,this.node=e.node,this.id=e.node.id,this.jsAttribute&&this.setAttribute(t.attribute,!0),this.init()}init(){}get proxy(){const e=this;return ee({render:()=>e.render(),resize:()=>e.resize()},{get node(){return e.node},get isEnabled(){return e.isEnabled},set isEnabled(t){e.isEnabled=t}})}log(...e){e.unshift(`${this.registration.instanceClassName} #${this.id} - `),h.log.apply(h,e)}debug(...e){e.unshift(`${this.registration.instanceClassName} #${this.id} - `),h.debug.apply(h,e)}info(...e){e.unshift(`${this.registration.instanceClassName} #${this.id} - `),h.info.apply(h,e)}warn(...e){e.unshift(`${this.registration.instanceClassName} #${this.id} - `),h.warn.apply(h,e)}error(...e){e.unshift(`${this.registration.instanceClassName} #${this.id} - `),h.error.apply(h,e)}register(t,s){const i=e.getModule("register").register(t,s,this);this._registrations.push(i)}getRegisteredInstances(e){for(const t of this._registrations)if(t.hasInstanceClassName(e))return t.instances.collection;return[]}dispatch(e,t=null,s=!0,i=!1){d(this.node,e,t,s,i)}listen(e,t,s){this._listeners[e]||(this._listeners[e]=[]);const i=this._listeners[e],n=new ge(this.node,e,t,s);i.push(n),n.listen()}unlisten(e,t,s){if(!e){for(const e in this._listeners)this.unlisten(e);return}const i=this._listeners[e];if(!i)return;if(!t)return void i.forEach((t=>this.unlisten(e,t.closure)));const n=i.filter((e=>e.closure===t&&e.matchOptions(s)));n.forEach((e=>e.unlisten())),this._listeners[e]=i.filter((e=>-1===n.indexOf(e)))}listenClick(e){this.listen("click",this._handlingClick,e)}unlistenClick(e){this.unlisten("click",this._handlingClick,e)}_handleClick(e){this.handleClick(e),this.dispatch(le.CLICK,this)}handleClick(e){}set hash(t){e.getModule("hash").hash=t}get hash(){return e.getModule("hash").hash}listenHash(t,s){if(!this._hashes)return;0===this._hashes.length&&e.add("hash",this);const i=new pe(t,s);this._hashes=this._hashes.filter((e=>e.hash!==t)),this._hashes.push(i)}unlistenHash(t){this._hashes&&(this._hashes=this._hashes.filter((e=>e.hash!==t)),0===this._hashes.length&&e.remove("hash",this))}handleHash(e,t){if(this._hashes)for(const s of this._hashes)s.handle(e,t)}listenKey(e,t,s=!1,i=!1,n="down"){-1===this._keyListenerTypes.indexOf(n)&&(this.listen(`key${n}`,this.handlingKey),this._keyListenerTypes.push(n)),this._keys.push(new ue(n,e,t,s,i))}unlistenKey(e,t){this._keys=this._keys.filter((s=>s.code!==e||s.closure!==t)),this._keyListenerTypes.forEach((e=>{this._keys.some((t=>t.type===e))||this.unlisten(`key${e}`,this.handlingKey)}))}handleKey(e){for(const t of this._keys)t.handle(e)}get isEnabled(){return this._isEnabled}set isEnabled(e){this._isEnabled=e}get isRendering(){return this._isRendering}set isRendering(t){this._isRendering!==t&&(t?e.add("render",this):e.remove("render",this),this._isRendering=t)}render(){}request(t){this._nexts.push(t),e.getModule("render").request(this)}next(){const e=this._nexts.slice();this._nexts.length=0;for(const t of e)t&&t()}get isResizing(){return this._isResizing}set isResizing(t){this._isResizing!==t&&(t?(e.add("resize",this),this.resize()):e.remove("resize",this),this._isResizing=t)}resize(){}isBreakpoint(e){return!0==("string"==typeof e)?ce[e.toUpperCase()].test():e.test()}get isScrollLocked(){return this._isScrollLocked}set isScrollLocked(t){this._isScrollLocked!==t&&(t?e.add("lock",this):e.remove("lock",this),this._isScrollLocked=t)}get isLoading(){return this._isLoading}set isLoading(t){this._isLoading!==t&&(t?e.add("load",this):e.remove("load",this),this._isLoading=t)}load(){}get isSwappingFont(){return this._isSwappingFont}set isSwappingFont(t){this._isSwappingFont!==t&&(t?e.add("font-swap",this):e.remove("font-swap",this),this._isSwappingFont=t)}swapFont(){}get isMouseMoving(){return this._isMouseMoving}set isMouseMoving(t){this._isMouseMoving!==t&&(t?e.add("mouse-move",this):e.remove("mouse-move",this),this._isMouseMoving=t)}mouseMove(e){}examine(e){this.node.matches(this.registration.selector)?this.mutate(e):this._dispose()}mutate(e){}retrieveNodeId(e,t){if(e.id)return e.id;const s=Y(`${this.id}-${t}`);return this.warn(`add id '${s}' to ${t}`),e.setAttribute("id",s),s}get isDisposed(){return this._isDisposed}_dispose(){this.debug(`dispose instance of ${this.registration.instanceClassName} on element [${this.element.id}]`),this.removeAttribute(this.registration.attribute),this.unlisten(),e.remove("hash",this),this._hashes=null,this._keys=null,this.isRendering=!1,this.isResizing=!1,this._nexts=null,e.getModule("render").nexts.remove(this),this.isScrollLocked=!1,this.isLoading=!1,this.isSwappingFont=!1,this.isMouseMoving=!1,this._emitter.dispose(),this._emitter=null,this._ascent.dispose(),this._ascent=null,this._descent.dispose(),this._descent=null,this.element.remove(this);for(const t of this._registrations)e.remove("register",t);this._registrations=null,this.registration.remove(this),this._isDisposed=!0,this.dispose()}dispose(){}emit(e,t){return this.element.emit(e,t)}addEmission(e,t){this._emitter.add(e,t)}removeEmission(e,t){this._emitter.remove(e,t)}ascend(e,t){return this.element.ascend(e,t)}addAscent(e,t){this._ascent.add(e,t)}removeAscent(e,t){this._ascent.remove(e,t)}descend(e,t){return this.element.descend(e,t)}addDescent(e,t){this._descent.add(e,t)}removeDescent(e,t){this._descent.remove(e,t)}get style(){return this.node.style}addClass(e){W(this.node,e)}removeClass(e){q(this.node,e)}hasClass(e){return z(this.node,e)}get classNames(){return B(this.node)}remove(){this.node.parentNode.removeChild(this.node)}setAttribute(e,t){this.node.setAttribute(e,t)}getAttribute(e){return this.node.getAttribute(e)}hasAttribute(e){return this.node.hasAttribute(e)}removeAttribute(e){this.node.removeAttribute(e)}setProperty(e,t){this.node.style.setProperty(e,t)}removeProperty(e){this.node.style.removeProperty(e)}focus(){this.node.focus()}blur(){this.node.blur()}retainFocus(){this._focusIndex=oe.index}focusBack(){oe.focus(this._focusIndex)}focusClosest(){const e=this._focusClosest(this.node.parentNode);e&&e.focus()}_focusClosest(e){if(!e)return null;const t=[...j(e)];if(t.length<=1)return this._focusClosest(e.parentNode);{const e=t.indexOf(this.node);return t[e+(e<t.length-1?1:-1)]}}get hasFocus(){return this.node===document.activeElement}scrollIntoView(){const t=this.getRect(),s=e.getModule("lock");t.top<0&&s.move(t.top-50),t.bottom>window.innerHeight&&s.move(t.bottom-window.innerHeight+50)}matches(e){return this.node.matches(e)}querySelector(e){return this.node.querySelector(e)}querySelectorAll(e){return E(this.node,e)}queryParentSelector(e){return f(this.node,e)}getRect(){const e=this.node.getBoundingClientRect();return e.center=e.left+.5*e.width,e.middle=e.top+.5*e.height,e}get isLegacy(){return e.isLegacy}}class ue{constructor(e,t,s,i,n){this.type=e,this.eventType=`key${e}`,this.keyCode=t,this.closure=s,this.preventDefault=!0===i,this.stopPropagation=!0===n}handle(e){e.type===this.eventType&&e.keyCode===this.keyCode.value&&(this.closure(e),this.preventDefault&&e.preventDefault(),this.stopPropagation&&e.stopPropagation())}}class ge{constructor(e,t,s,i){this._node=e,this._type=t,this._closure=s,this._options=i}get closure(){return this._closure}listen(){this._node.addEventListener(this._type,this._closure,this._options)}matchOptions(e=null){switch(!0){case null===e:case"boolean"==typeof this._options&&"boolean"==typeof e&&this._options===e:return!0;case Object.keys(this._options).length!==Object.keys(e).length:return!1;case Object.keys(e).every((t=>this._options[t]===e[t])):return!0}return!1}unlisten(){this._node.removeEventListener(this._type,this._closure,this._options)}}class pe{constructor(e,t){this.hash=e,this.add=t}handle(e,t){this.hash===e&&this.add(t)}}const me={DISCLOSE:g.event("disclose"),CONCEAL:g.event("conceal"),CURRENT:g.event("current")},_e={RESET:g.emission("disclosure","reset"),ADDED:g.emission("disclosure","added"),RETRIEVE:g.emission("disclosure","retrieve"),REMOVED:g.emission("disclosure","removed"),GROUP:g.emission("disclosure","group"),UNGROUP:g.emission("disclosure","ungroup"),SPOTLIGHT:g.emission("disclosure","spotlight")};class be extends de{constructor(e,t,s,i){super(),this.type=e,this._selector=t,this.DisclosureButtonInstanceClass=s,this.disclosuresGroupInstanceClassName=i,this.modifier=this._selector+"--"+this.type.id,this._isPristine=!0,this._isActive=!0,this._isRetrievingPrimaries=!1,this._hasRetrieved=!1,this._primaryButtons=[]}static get instanceClassName(){return"Disclosure"}init(){this.addDescent(_e.RESET,this.reset.bind(this)),this.addDescent(_e.GROUP,this.update.bind(this)),this.addDescent(_e.UNGROUP,this.update.bind(this)),this.addAscent(_e.SPOTLIGHT,this.disclose.bind(this)),this.register(`[aria-controls="${this.id}"]`,this.DisclosureButtonInstanceClass),this.ascend(_e.ADDED),this.listenHash(this.id,this._spotlight.bind(this)),this.update()}get isEnabled(){return super.isEnabled}set isEnabled(e){this.isEnabled!==e&&(super.isEnabled=e,e?this.ascend(_e.ADDED):this.ascend(_e.REMOVED))}get isActive(){return this._isActive}set isActive(e){this._isActive!==e&&(this._isActive=e,e?this.ascend(_e.ADDED):(this.ascend(_e.REMOVED),this.isDisclosed&&this.conceal()))}get isPristine(){return this._isPristine}get proxy(){const e=this,t=Object.assign(super.proxy,{disclose:e.disclose.bind(e),focus:e.focus.bind(e)});this.type.canConceal&&(t.conceal=e.conceal.bind(e));return ee(t,{get buttons(){return e.buttons.map((e=>e.proxy))},get group(){const t=e.group;return t?t.proxy:null},get isDisclosed(){return e.isDisclosed},get isEnabled(){return e.isEnabled},get isActive(){return e.isActive}})}get buttons(){return this.getRegisteredInstances(this.DisclosureButtonInstanceClass.instanceClassName)}update(){this.getGroup(),this.retrievePrimaries()}getGroup(){if(!this.disclosuresGroupInstanceClassName)return void(this._group=null);const e=this.element.getAscendantInstance(this.disclosuresGroupInstanceClassName,this.constructor.instanceClassName);e&&e.validate(this)?this._group=e:this._group=null}get group(){return this._group}disclose(e){return!(!0===this.isDisclosed||!this.isEnabled||!this._isActive)&&(this.retainFocus(),this._isPristine=!1,this.isDisclosed=!0,!e&&this.group&&(this.group.current=this),!0)}conceal(e,t=!0){return!1!==this.isDisclosed&&(!(!this.type.canConceal&&this.group&&this.group.current===this)&&(this.isDisclosed=!1,!e&&this.group&&this.group.current===this&&(this.group.current=null),t||this.focus(),this._isPristine||this.descend(_e.RESET),!0))}get isDisclosed(){return this._isDisclosed}set isDisclosed(e){if(this._isDisclosed!==e&&(this.isEnabled||!0!==e)){this._isPristine||this.dispatch(e?me.DISCLOSE:me.CONCEAL,this),this._isDisclosed=e,e?this.addClass(this.modifier):this.removeClass(this.modifier);for(let t=0;t<this.buttons.length;t++)this.buttons[t].apply(e)}}get isInitiallyDisclosed(){return this.primaryButtons.some((e=>e.isInitiallyDisclosed))}hasRetrieved(){return this._hasRetrieved}reset(){}toggle(e){if(this.type.canConceal)switch(!0){case!e:case this.isDisclosed:this.conceal(!1,!1);break;default:this.disclose()}else this.disclose()}get buttonHasFocus(){return this.buttons.some((e=>e.hasFocus))}get hasFocus(){return!!super.hasFocus||(!!this.buttonHasFocus||this.querySelectorAll(":focus").length>0)}focus(){this._primaryButtons.length>0?this._primaryButtons[0].focus():this.focusBack()}get primaryButtons(){return this._primaryButtons}retrievePrimaries(){this._isRetrievingPrimaries||(this._isRetrievingPrimaries=!0,this.request(this._retrievePrimaries.bind(this)))}_retrievePrimaries(){if(this._isRetrievingPrimaries=!1,this._primaryButtons=this._electPrimaries(this.buttons),!(this._hasRetrieved||0===this._primaryButtons.length&&this.type.requirePrimary))if(this.retrieved(),this._hasRetrieved=!0,this.applyAbility(!0),this.group)this.group.retrieve();else if(this._isPristine&&this.isEnabled&&this.isActive&&!this.group)switch(!0){case this.hash===this.id:this._spotlight();break;case this.isInitiallyDisclosed:this.disclose()}}retrieved(){}_spotlight(){this.disclose(),this.request((()=>{this.ascend(_e.SPOTLIGHT)}))}_electPrimaries(e){return e.filter((e=>e.canDisclose&&!this.node.contains(e.node)))}applyAbility(e=!1){const t=!this.type.requirePrimary||this._primaryButtons.some((e=>!e.isDisabled));this.isEnabled!==t&&(this.isEnabled=t,e||(!this.isEnabled&&this.isDisclosed&&(this.group?this.ascend(_e.REMOVED):this.type.canConceal&&this.conceal()),this.isEnabled&&(this.group&&this.ascend(_e.ADDED),this.hash===this.id&&this._spotlight())))}dispose(){this._group=null,this._primaryButtons=null,super.dispose(),this.ascend(_e.REMOVED)}}class Ee extends de{constructor(e){super(),this.type=e,this.attributeName=e.ariaState?"aria-"+e.id:g.attr(e.id),this._canDisclose=!1}static get instanceClassName(){return"DisclosureButton"}get isPrimary(){return this.registration.creator.primaryButtons.includes(this)}get canDisclose(){return this._canDisclose}get isDisabled(){return this.type.canDisable&&this.hasAttribute("disabled")}init(){this._canDisclose=this.hasAttribute(this.attributeName),this._isInitiallyDisclosed=this.isDisclosed,this._isContained=this.registration.creator.node.contains(this.node),this.controlsId=this.getAttribute("aria-controls"),this.registration.creator.retrievePrimaries(),this.listenClick()}get proxy(){return Object.assign(super.proxy,{focus:this.focus.bind(this)})}handleClick(e){this.registration.creator&&this.registration.creator.toggle(this.canDisclose)}mutate(e){this._canDisclose=this.hasAttribute(this.attributeName),this.registration.creator.applyAbility(),!this._isApplying&&this.isPrimary&&e.indexOf(this.attributeName)>-1&&this.registration.creator&&(this.isDisclosed?this.registration.creator.disclose():this.type.canConceal&&this.registration.creator.conceal())}apply(e){this.canDisclose&&(this._isApplying=!0,this.setAttribute(this.attributeName,e),this.request((()=>{this._isApplying=!1})))}get isDisclosed(){return"true"===this.getAttribute(this.attributeName)}get isInitiallyDisclosed(){return this._isInitiallyDisclosed}focus(){super.focus(),this.scrollIntoView()}measure(e){const t=this.rect;this._dx=e.x-t.x,this._dy=e.y-t.y}get dx(){return this._dx}get dy(){return this._dy}}const fe={PREVENT_CONCEAL:g.attr.selector("prevent-conceal"),GROUP:g.attr("group")};class Ae extends de{constructor(e,t){super(t),this.disclosureInstanceClassName=e,this._members=[],this._index=-1,this._isRetrieving=!1,this._hasRetrieved=!1,this._isGrouped=!0}static get instanceClassName(){return"DisclosuresGroup"}init(){this.addAscent(_e.ADDED,this.update.bind(this)),this.addAscent(_e.RETRIEVE,this.retrieve.bind(this)),this.addAscent(_e.REMOVED,this.update.bind(this)),this.descend(_e.GROUP),this._isGrouped="false"!==this.getAttribute(fe.GROUP),this.update()}get proxy(){const e=this,t={set index(t){e.index=t},get index(){return e.index},get length(){return e.length},get current(){const t=e.current;return t?t.proxy:null},get members(){return e.members.map((e=>e.proxy))},get hasFocus(){return e.hasFocus},set isGrouped(t){e.isGrouped=t},get isGrouped(){return e.isGrouped}};return ee(super.proxy,t)}validate(e){return!0}getMembers(){const e=this.element.getDescendantInstances(this.disclosureInstanceClassName,this.constructor.instanceClassName,!0);this._members=e.filter(this.validate.bind(this)).filter((e=>e.isEnabled&&e.isActive));e.filter((e=>!this._members.includes(e))).forEach((e=>e.conceal()))}retrieve(e=!1){this._isRetrieving||this._hasRetrieved&&!e||(this._isRetrieving=!0,this.request(this._retrieve.bind(this)))}_retrieve(){if(this.getMembers(),this._isRetrieving=!1,this._hasRetrieved=!0,this.isGrouped){if(this.hash)for(let e=0;e<this.length;e++){const t=this.members[e];if(this.hash===t.id)return this.index=e,this.request((()=>{this.ascend(_e.SPOTLIGHT)})),e}for(let e=0;e<this.length;e++){if(this.members[e].isInitiallyDisclosed)return this.index=e,e}return this.getIndex()}for(let e=0;e<this.length;e++){const t=this.members[e];t.isInitiallyDisclosed&&t.disclose(!0)}}update(){this.getMembers(),this._hasRetrieved&&this.isGrouped&&this.getIndex()}get members(){return this._members}get length(){return this.members?this.members.length:0}getIndex(e=-1){this._index=void 0;let t=e;for(let e=0;e<this.length;e++)if(this.members[e].isDisclosed){t=e;break}return this.index=t,t}get index(){return this._index}set index(e){if(!(e<-1||e>=this.length||e===this._index)){this._index=e;for(let t=0;t<this.length;t++){const s=this.members[t];e===t?s.isDisclosed||s.disclose(!0):!this.isGrouped&&this.canUngroup||!1===s.isDisclosed||s.conceal(!0)}this.apply(),this.dispatch(me.CURRENT,this.current)}}get current(){return-1===this._index||isNaN(this._index)?null:this._members[this._index]||null}set current(e){this.index=this.members.indexOf(e)}get hasFocus(){const e=this.current;return!!e&&e.hasFocus}set isGrouped(e){const t=!!e;this._isGrouped!==t&&(this._isGrouped=t,this.setAttribute(fe.GROUP,!!e),this.update())}get isGrouped(){return this._isGrouped}get canUngroup(){return!1}mutate(e){e.includes(fe.GROUP)&&(this.isGrouped="false"!==this.getAttribute(fe.GROUP))}apply(){}dispose(){super.dispose(),this.descend(_e.UNGROUP),this._members=null}}const Te={EXPAND:{id:"expanded",ariaState:!0,ariaControls:!0,canConceal:!0,canDisable:!0,requirePrimary:!0},SELECT:{id:"selected",ariaState:!0,ariaControls:!0,canConceal:!1,canDisable:!0,requirePrimary:!0},OPENED:{id:"opened",ariaState:!1,ariaControls:!0,canConceal:!0,canDisable:!1,requirePrimary:!1}};class Se extends Ee{constructor(){super(Te.EXPAND)}static get instanceClassName(){return"CollapseButton"}}const ve={COLLAPSE:g.selector("collapse"),COLLAPSING:g.selector("collapsing")};const ye={CHANGE:g("equisized")};const Ce={INJECT_SVG:`[${g.attr("inject-svg")}]`};const Ne={ARTWORK_USE:`${g.selector("artwork")} use`},De={ASSESS_FILE:`${g.attr.selector("assess-file")}`,DETAIL:`${g.attr.selector("assess-file")} [class$="__detail"], ${g.attr.selector("assess-file")} [class*="__detail "]`},Re={UPDATE:g.emission("assess","update"),ADDED:g.emission("assess","added")};const we=["32x9","16x9","3x2","4x3","1x1","3x4","2x3"],Le=(e,t)=>t.map((t=>g.selector(`${e}--${t}`))).join(","),Ie=`${g.selector("responsive-img")}, ${Le("responsive-img",we)}, ${g.selector("responsive-vid")}, ${Le("responsive-vid",["16x9","4x3","1x1"])}`,xe={RATIO:`${g.selector("ratio")}, ${Le("ratio",we)}, ${Ie}`},Oe=window[s];const Pe={TOP:g.selector("placement--top"),RIGHT:g.selector("placement--right"),BOTTOM:g.selector("placement--bottom"),LEFT:g.selector("placement--left")},ke={START:g.selector("placement--start"),CENTER:g.selector("placement--center"),END:g.selector("placement--end")},Me={TOP:"place_top",RIGHT:"place_right",BOTTOM:"place_bottom",LEFT:"place_left"},Ge={START:"align_start",CENTER:"align_center",END:"align_end"},$e={AUTO:"placement_auto",MANUAL:"placement_manual"};ne.core={Instance:de,Breakpoints:ce,KeyCodes:C,Disclosure:be,DisclosureButton:Ee,DisclosuresGroup:Ae,DisclosureType:Te,DisclosureEvent:me,DisclosureSelector:fe,DisclosureEmission:_e,Collapse:class extends be{constructor(){super(Te.EXPAND,ve.COLLAPSE,Se,"CollapsesGroup")}static get instanceClassName(){return"Collapse"}init(){super.init(),this.listen("transitionend",this.endCollapsing.bind(this))}endCollapsing(e){this._isCollpasing&&(this._timeout&&clearTimeout(this._timeout),this._timeout=null,this._isCollpasing=!1,this.removeClass(ve.COLLAPSING),this.isDisclosed||this.isLegacy&&(this.style.maxHeight=""))}unbound(){this.isLegacy&&(this.style.maxHeight="none")}disclose(e){if(!0===this.isDisclosed||!this.isEnabled)return!1;this.unbound(),this.collapsing((()=>super.disclose(e)))}conceal(e,t){if(!1===this.isDisclosed)return!1;this.collapsing((()=>super.conceal(e,t)))}collapsing(e){this._isCollpasing=!0,this._timeout&&clearTimeout(this._timeout),this.addClass(ve.COLLAPSING),this.adjust(),this.request((()=>{e(),this._timeout=setTimeout(this.endCollapsing.bind(this),500)}))}adjust(){this.setProperty("--collapser","none");const e=this.node.offsetHeight;this.setProperty("--collapse",-e+"px"),this.setProperty("--collapser","")}reset(){this.isPristine||(this.isDisclosed=!1)}_electPrimaries(e){const t=this.element.parent.instances.map((e=>e.collapsePrimary)).filter((t=>void 0!==t&&e.indexOf(t)>-1));if(1===t.length)return t;if(1===(e=super._electPrimaries(e)).length)return e;const s=e.filter((e=>e.dy>=0));if(s.length>0&&(e=s),1===e.length)return e;const i=Math.min(...e.map((e=>e.dy))),n=e.filter((e=>e.dy===i));return n.length>0&&(e=n),1===e.length||e.sort(((e,t)=>Math.abs(t.dx)-Math.abs(e.dx))),e}},CollapseButton:Se,CollapsesGroup:class extends Ae{constructor(){super("Collapse")}static get instanceClassName(){return"CollapsesGroup"}get canUngroup(){return!0}},CollapseSelector:ve,RootSelector:{ROOT:":root"},RootEmission:y,Equisized:class extends de{static get instanceClassName(){return"Equisized"}init(){this.ascend(ye.CHANGE)}measure(){return this.isLegacy&&(this.style.width="auto"),this.getRect().width}adjust(e){this.isLegacy&&(this.style.width=`${e}px`)}dispose(){this.ascend(ye.CHANGE)}},EquisizedEmission:ye,Toggle:class extends de{static get instanceClassName(){return"Toggle"}init(){this.pressed="true"===this.pressed,this.listenClick()}handleClick(){this.toggle()}toggle(){this.pressed="true"!==this.pressed}get pressed(){return this.getAttribute("aria-pressed")}set pressed(e){this.setAttribute("aria-pressed",e?"true":"false")}get proxy(){const e=this,t=Object.assign(super.proxy,{toggle:e.toggle.bind(e)});return ee(t,{get pressed(){return e.pressed},set pressed(t){e.pressed=t}})}},EquisizedsGroup:class extends de{static get instanceClassName(){return"EquisizedsGroup"}init(){this.isResizing=!0,this.isLoading=!0,this.addAscent(ye.CHANGE,this.resize.bind(this))}load(){this.resize()}resize(){const e=this.element.getDescendantInstances("Equisized");this.isLegacy||this.style.setProperty("--equisized-width","auto");const t=Math.max(...e.map((e=>e.measure())));this.isLegacy?e.forEach((e=>e.adjust(t))):this.style.setProperty("--equisized-width",`${t}px`)}},InjectSvg:class extends de{static get instanceClassName(){return"InjectSvg"}init(){this.node&&(this.img=this.node.querySelector("img")),this.isLegacy||this.replace()}get proxy(){const e=this;return Object.assign(super.proxy,{replace:e.replace.bind(e),restore:e.restore.bind(e)})}fetch(){this.img&&(this.imgID=this.img.getAttribute("id"),this.imgClass=this.img.getAttribute("class"),this.imgURL=this.img.getAttribute("src"),fetch(this.imgURL).then((e=>e.text())).then((e=>{const t=(new DOMParser).parseFromString(e,"text/html");this.svg=t.querySelector("svg"),this.svg&&this.replace()})))}replace(){if(!this.svg)return void this.fetch();this.imgID&&void 0!==this.imgID&&this.svg.setAttribute("id",this.imgID);let e=this.imgURL.match(/[ \w-]+\./)[0];e&&(e=e.slice(0,-1),["dark","light","system"].includes(e)&&(this.svg.innerHTML=this.svg.innerHTML.replaceAll('id="artwork-',`id="${e}-artwork-`),this.svg.innerHTML=this.svg.innerHTML.replaceAll('"#artwork-',`"#${e}-artwork-`))),this.imgClass&&void 0!==this.imgClass&&this.svg.setAttribute("class",this.imgClass),this.svg.hasAttribute("xmlns:a")&&this.svg.removeAttribute("xmlns:a"),this.node.setAttribute("data-fr-inject-svg",!0);var t,s;t=this.svg,s={"aria-hidden":!0,focusable:!1},Object.keys(s).forEach((e=>t.setAttribute(e,s[e]))),this.node.replaceChild(this.svg,this.img)}restore(){this.img&&this.svg&&(this.node.setAttribute("data-fr-inject-svg",!1),this.node.replaceChild(this.img,this.svg))}},InjectSvgSelector:Ce,Artwork:class extends de{static get instanceClassName(){return"Artwork"}init(){this.isLegacy&&this.replace()}get proxy(){return Object.assign(super.proxy,{replace:this.replace.bind(this)})}fetch(){this.xlink=this.node.getAttribute("href");const e=this.xlink.split("#");this.svgUrl=e[0],this.svgName=e[1];const t=new XMLHttpRequest;t.onload=()=>{const e=(new DOMParser).parseFromString(t.responseText,"text/html");this.realSvgContent=e.getElementById(this.svgName),this.realSvgContent&&("symbol"===this.realSvgContent.tagName?(this.use=e.querySelector('use[href="#'+this.svgName+'"]'),this.use&&this.node.parentNode.insertBefore(this.use,this.node)):this.realSvgContent.classList.add(this.node.classList),this.replace())},t.open("GET",this.svgUrl),t.send()}replace(){this.realSvgContent?this.node.parentNode.replaceChild(this.realSvgContent,this.node):this.fetch()}},ArtworkSelector:Ne,AssessFile:class extends de{static get instanceClassName(){return"AssessFile"}init(){this.lang=this.getLang(this.node),this.href=this.getAttribute("href"),this.hreflang=this.getAttribute("hreflang"),this.file={},this.gather(),this.addAscent(Re.ADDED,this.update.bind(this)),this.addDescent(Re.ADDED,this.update.bind(this))}getFileLength(){void 0!==this.href?fetch(this.href,{method:"HEAD",mode:"cors"}).then((e=>{if(!e.ok)throw new Error("Unable to access the resource : Status "+e.status);if(this.length=e.headers.get("content-length")||-1,this.length&&-1===this.length)throw new Error('File size unknown\n Unable to get HTTP header: "content-length"');this.gather()})).catch((e=>{this.length=-1,this.gather(),h.warn("Fetch error on assess file : "+this.href+"\n "+e)})):this.length=-1}mutate(e){-1!==e.indexOf("href")&&(this.href=this.getAttribute("href"),this.getFileLength()),-1!==e.indexOf("hreflang")&&(this.hreflang=this.getAttribute("hreflang"),this.gather())}gather(){if(this.isLegacy&&(this.length=-1),this.length||this.getFileLength(),this.details=[],this.href){const e=this.parseExtension(this.href);e&&this.details.push(e.toUpperCase())}this.length&&-1!==this.length&&this.details.push(this.bytesToSize(this.length)),this.hreflang&&this.details.push(this.getLangDisplayName(this.hreflang)),this.update()}update(){this.details&&(this.descend(Re.UPDATE,this.details),this.ascend(Re.UPDATE,this.details))}getLang(e){return e.lang?e.lang:document.documentElement===e?window.navigator.language:this.getLang(e.parentElement)}parseExtension(e){return e.match(/\.(\w{1,9})(?:$|[?#])/)[0].replace(".","")}getLangDisplayName(e){if(this.isLegacy)return e;const t=new Intl.DisplayNames([this.lang],{type:"language"}).of(e);return t.charAt(0).toUpperCase()+t.slice(1)}bytesToSize(e){if(-1===e)return null;let t=["octets","ko","Mo","Go","To"];"bytes"===this.getAttribute(g.attr("assess-file"))&&(t=["bytes","KB","MB","GB","TB"]);const s=parseInt(Math.floor(Math.log(e)/Math.log(1e3)),10);if(0===s)return`${e} ${t[s]}`;const i=e/1e3**s,n=Math.round(100*(i+Number.EPSILON))/100;return`${String(n).replace(".",",")} ${t[s]}`}},AssessDetail:class extends de{static get instanceClassName(){return"AssessDetail"}init(){this.addDescent(Re.UPDATE,this.update.bind(this)),this.ascend(Re.ADDED)}update(e){this.node.innerHTML=e.join(" - ")}},AssessEmission:Re,AssessSelector:De,Ratio:class extends de{static get instanceClassName(){return"Ratio"}init(){if(!Oe.internals.support.supportAspectRatio()){this.ratio=16/9;for(const e in this.classNames)if(this.registration.selector.indexOf(this.classNames[e])>0){const t=this.classNames[e].split("ratio-");t[1]&&(this.ratio=t[1].split("x")[0]/t[1].split("x")[1])}this.isRendering=!0,this.update()}}render(){this.getRect().width!==this.currentWidth&&this.update()}update(){this.currentWidth=this.getRect().width,this.style.height=this.currentWidth/this.ratio+"px"}},RatioSelector:xe,Placement:class extends de{constructor(e=$e.AUTO,t=[Me.BOTTOM,Me.TOP,Me.LEFT,Me.RIGHT],s=[Ge.CENTER,Ge.START,Ge.END],i=16){super(),this._mode=e,this._places=t,this._aligns=s,this._safeAreaMargin=i,this._isShown=!1,this._x=this._y=0}static get instanceClassName(){return"Placement"}init(){this.isResizing=!0}get proxy(){const e=this,t=Object.assign(super.proxy,{show:e.show.bind(e),hide:e.hide.bind(e)});return ee(t,{get mode(){return e.mode},set mode(t){e.mode=t},get place(){return e.place},set place(t){e.place=t},get align(){return e.align},set align(t){e.align=t},get isShown(){return e.isShown},set isShown(t){e.isShown=t}})}get mode(){return this._mode}set mode(e){this._mode=e}get place(){return this._place}set place(e){if(this._place!==e){switch(this._place){case Me.TOP:this.removeClass(Pe.TOP);break;case Me.RIGHT:this.removeClass(Pe.RIGHT);break;case Me.BOTTOM:this.removeClass(Pe.BOTTOM);break;case Me.LEFT:this.removeClass(Pe.LEFT)}switch(this._place=e,this._place){case Me.TOP:this.addClass(Pe.TOP);break;case Me.RIGHT:this.addClass(Pe.RIGHT);break;case Me.BOTTOM:this.addClass(Pe.BOTTOM);break;case Me.LEFT:this.addClass(Pe.LEFT)}}}get align(){return this._align}set align(e){if(this._align!==e){switch(this._align){case Ge.START:this.removeClass(ke.START);break;case Ge.CENTER:this.removeClass(ke.CENTER);break;case Ge.END:this.removeClass(ke.END)}switch(this._align=e,this._align){case Ge.START:this.addClass(ke.START);break;case Ge.CENTER:this.addClass(ke.CENTER);break;case Ge.END:this.addClass(ke.END)}}}show(){this.isShown=!0}hide(){this.isShown=!1}get isShown(){return this._isShown}set isShown(e){this._isShown!==e&&this.isEnabled&&(this.isRendering=e,this._isShown=e)}setReferent(e){this._referent=e}render(){if(!this._referent)return;if(this.referentRect=this._referent.getRect(),this.rect=this.getRect(),this.safeArea=this.getSafeArea(),this.mode===$e.AUTO)switch(this.place=this.getPlace(),this.place){case Me.TOP:case Me.BOTTOM:this.align=this.getHorizontalAlign();break;case Me.LEFT:case Me.RIGHT:this.align=this.getVerticalAlign()}let e,t;switch(this.place){case Me.TOP:t=this.referentRect.top-this.rect.top-this.rect.height;break;case Me.RIGHT:e=this.referentRect.left-this.rect.left+this.referentRect.width;break;case Me.BOTTOM:t=this.referentRect.top-this.rect.top+this.referentRect.height;break;case Me.LEFT:e=this.referentRect.left-this.rect.left-this.rect.width}switch(this.place){case Me.TOP:case Me.BOTTOM:switch(this.align){case Ge.CENTER:e=this.referentRect.left-this.rect.left+.5*this.referentRect.width-.5*this.rect.width;break;case Ge.START:e=this.referentRect.left-this.rect.left;break;case Ge.END:e=this.referentRect.left-this.rect.left+this.referentRect.width-this.rect.width}break;case Me.RIGHT:case Me.LEFT:switch(this.align){case Ge.CENTER:t=this.referentRect.top-this.rect.top+.5*this.referentRect.height-.5*this.rect.height;break;case Ge.START:t=this.referentRect.top-this.rect.top;break;case Ge.END:t=this.referentRect.top-this.rect.top-this.rect.height}}this._x+=e+.5|0,this._y+=t+.5|0,this.node.style.transform=`translate(${this._x}px,${this._y}px)`}getPlace(){for(const e of this._places)switch(e){case Me.TOP:if(this.referentRect.top-this.rect.height>this.safeArea.top)return Me.TOP;break;case Me.RIGHT:if(this.referentRect.right+this.rect.width<this.safeArea.right)return Me.RIGHT;break;case Me.BOTTOM:if(this.referentRect.bottom+this.rect.height<this.safeArea.bottom)return Me.BOTTOM;break;case Me.LEFT:if(this.referentRect.left-this.rect.width>this.safeArea.left)return Me.LEFT}return this._places[0]}getHorizontalAlign(){for(const e of this._aligns)switch(e){case Ge.CENTER:if(this.referentRect.center-.5*this.rect.width>this.safeArea.left&&this.referentRect.center+.5*this.rect.width<this.safeArea.right)return Ge.CENTER;break;case Ge.START:if(this.referentRect.left+this.rect.width<this.safeArea.right)return Ge.START;break;case Ge.END:if(this.referentRect.right-this.rect.width>this.safeArea.left)return Ge.END}return this._aligns[0]}getVerticalAlign(){for(const e of this._aligns)switch(e){case Ge.CENTER:if(this.referentRect.middle-.5*this.rect.height>this.safeArea.top&&this.referentRect.middle+.5*this.rect.height<this.safeArea.bottom)return Ge.CENTER;break;case Ge.START:if(this.referentRect.top+this.rect.height<this.safeArea.bottom)return Ge.START;break;case Ge.END:if(this.referentRect.bottom-this.rect.height>this.safeArea.top)return Ge.END}return this._aligns[0]}getSafeArea(){let e,t,s=this.node,i=this._safeAreaMargin,n=window.innerWidth-this._safeAreaMargin,r=window.innerHeight-this._safeAreaMargin,a=this._safeAreaMargin;for(;s&&s!==document.body;){s=s.parentElement;const o=window.getComputedStyle(s),h=/(visible|(\w+))(\s(visible|(\w+)))?/.exec(o.overflow);if(e=void 0!==h[2],t=void 0!==h[3]?void 0!==h[5]:void 0!==h[2],!e&&!t)continue;const c=s.getBoundingClientRect();e&&(c.left>a&&(a=c.left),c.right<n&&(n=c.right)),t&&(c.top>i&&(i=c.top),c.bottom<r&&(r=c.bottom))}return{top:i,right:n,bottom:r,left:a,center:a+.5*(n-a),middle:i+.5*(r-i)}}dispose(){this._referent=null,super.dispose()}},PlacementReferent:class extends de{constructor(){super(),this._isShown=!1}static get instanceClassName(){return"PlacementReferent"}init(){this.registration.creator.setReferent(this),this._placement=this.registration.creator}get placement(){return this._placement}get isShown(){return this._isShown}set isShown(e){this._isShown!==e&&this.isEnabled&&(this._isShown=e,e?this.registration.creator.show():this.registration.creator.hide())}show(){this.isShown=!0}hide(){this.isShown=!1}},PlacementAlign:Ge,PlacementPosition:Me,PlacementMode:$e},ne.internals.register(ne.core.CollapseSelector.COLLAPSE,ne.core.Collapse),ne.internals.register(ne.core.InjectSvgSelector.INJECT_SVG,ne.core.InjectSvg),ne.internals.register(ne.core.RatioSelector.RATIO,ne.core.Ratio),ne.internals.register(ne.core.AssessSelector.ASSESS_FILE,ne.core.AssessFile),ne.internals.register(ne.core.AssessSelector.DETAIL,ne.core.AssessDetail);const He={SYSTEM:"system",LIGHT:"light",DARK:"dark"},Ue={THEME:Oe.internals.ns.attr("theme"),SCHEME:Oe.internals.ns.attr("scheme"),TRANSITION:Oe.internals.ns.attr("transition")},Be={LIGHT:"light",DARK:"dark"},Fe={SCHEME:Oe.internals.ns.emission("scheme","scheme"),THEME:Oe.internals.ns.emission("scheme","theme"),ASK:Oe.internals.ns.emission("scheme","ask")},We={SCHEME:Oe.internals.ns.event("scheme"),THEME:Oe.internals.ns.event("theme")};class qe extends Oe.core.Instance{constructor(){super(!1)}static get instanceClassName(){return"Scheme"}init(){this.changing=this.change.bind(this),this.hasAttribute(Ue.TRANSITION)&&(this.removeAttribute(Ue.TRANSITION),this.request(this.restoreTransition.bind(this)));const e=Oe.internals.support.supportLocalStorage()?localStorage.getItem("scheme"):"",t=this.getAttribute(Ue.SCHEME);switch(e){case He.DARK:case He.LIGHT:case He.SYSTEM:this.scheme=e;break;default:switch(t){case He.DARK:this.scheme=He.DARK;break;case He.LIGHT:this.scheme=He.LIGHT;break;default:this.scheme=He.SYSTEM}}this.addAscent(Fe.ASK,this.ask.bind(this)),this.addAscent(Fe.SCHEME,this.apply.bind(this))}get proxy(){const e=this,t={get scheme(){return e.scheme},set scheme(t){e.scheme=t}};return Oe.internals.property.completeAssign(super.proxy,t)}restoreTransition(){this.setAttribute(Ue.TRANSITION,"")}ask(){this.descend(Fe.SCHEME,this.scheme)}apply(e){this.scheme=e}get scheme(){return this._scheme}set scheme(e){if(this._scheme!==e){switch(this._scheme=e,e){case He.SYSTEM:this.listenPreferences();break;case He.DARK:this.unlistenPreferences(),this.theme=Be.DARK;break;case He.LIGHT:this.unlistenPreferences(),this.theme=Be.LIGHT;break;default:return void(this.scheme=He.SYSTEM)}this.descend(Fe.SCHEME,e),Oe.internals.support.supportLocalStorage()&&localStorage.setItem("scheme",e),this.setAttribute(Ue.SCHEME,e),this.dispatch(We.SCHEME,{scheme:this._scheme},!1)}}get theme(){return this._theme}set theme(e){if(this._theme!==e)switch(e){case Be.LIGHT:case Be.DARK:this._theme=e,this.setAttribute(Ue.THEME,e),this.descend(Fe.THEME,e),this.dispatch(We.THEME,{theme:this._theme},!1),document.documentElement.style.colorScheme=e===Be.DARK?"dark":""}}listenPreferences(){this.isListening||(this.isListening=!0,this.mediaQuery=window.matchMedia("(prefers-color-scheme: dark)"),this.mediaQuery.addEventListener&&this.mediaQuery.addEventListener("change",this.changing),this.change())}unlistenPreferences(){this.isListening&&(this.isListening=!1,this.mediaQuery.removeEventListener("change",this.changing),this.mediaQuery=null)}change(){this.isListening&&(this.theme=this.mediaQuery.matches?Be.DARK:Be.LIGHT)}mutate(e){e.indexOf(Ue.SCHEME)>-1&&(this.scheme=this.getAttribute(Ue.SCHEME)),e.indexOf(Ue.THEME)>-1&&(this.theme=this.getAttribute(Ue.THEME))}dispose(){this.unlistenPreferences()}}const ze={SCHEME:`:root${Oe.internals.ns.attr.selector("theme")}, :root${Oe.internals.ns.attr.selector("scheme")}`,SWITCH_THEME:Oe.internals.ns.selector("switch-theme"),RADIO_BUTTONS:`input[name="${Oe.internals.ns("radios-theme")}"]`};Oe.scheme={Scheme:qe,SchemeValue:He,SchemeSelector:ze,SchemeEmission:Fe,SchemeTheme:Be,SchemeEvent:We},Oe.internals.register(Oe.scheme.SchemeSelector.SCHEME,Oe.scheme.Scheme);const Ke=Oe.internals.ns.selector("accordion"),je=Oe.internals.ns.selector("collapse"),Ve={GROUP:Oe.internals.ns.selector("accordions-group"),ACCORDION:Ke,COLLAPSE:`${Ke} > ${je}, ${Ke} > *:not(${Ke}):not(${je}) > ${je}, ${Ke} > *:not(${Ke}):not(${je}) > *:not(${Ke}):not(${je}) > ${je}`,COLLAPSE_LEGACY:`${Ke} ${je}`,BUTTON:`${Ke}__btn`};class Ye extends Oe.core.Instance{static get instanceClassName(){return"Accordion"}get collapsePrimary(){return this.element.children.map((e=>e.getInstance("CollapseButton"))).filter((e=>null!==e&&e.hasClass(Ve.BUTTON)))[0]}}class Xe extends Oe.core.CollapsesGroup{static get instanceClassName(){return"AccordionsGroup"}validate(e){const t=e.node.matches(Oe.internals.legacy.isLegacy?Ve.COLLAPSE_LEGACY:Ve.COLLAPSE);return super.validate(e)&&t}}Oe.accordion={Accordion:Ye,AccordionSelector:Ve,AccordionsGroup:Xe},Oe.internals.register(Oe.accordion.AccordionSelector.GROUP,Oe.accordion.AccordionsGroup),Oe.internals.register(Oe.accordion.AccordionSelector.ACCORDION,Oe.accordion.Accordion);const Qe={EQUISIZED_BUTTON:`${Oe.internals.ns.selector("btns-group--equisized")} ${Oe.internals.ns.selector("btn")}`,EQUISIZED_GROUP:Oe.internals.ns.selector("btns-group--equisized")};Oe.button={ButtonSelector:Qe},Oe.internals.register(Oe.button.ButtonSelector.EQUISIZED_BUTTON,Oe.core.Equisized),Oe.internals.register(Oe.button.ButtonSelector.EQUISIZED_GROUP,Oe.core.EquisizedsGroup);class Ze extends Oe.core.Instance{static get instanceClassName(){return"CardDownload"}init(){this.addAscent(Oe.core.AssessEmission.UPDATE,(e=>{this.descend(Oe.core.AssessEmission.UPDATE,e)})),this.addAscent(Oe.core.AssessEmission.ADDED,(()=>{this.descend(Oe.core.AssessEmission.ADDED)}))}}const Je={DOWNLOAD:Oe.internals.ns.selector("card--download"),DOWNLOAD_DETAIL:`${Oe.internals.ns.selector("card--download")} ${Oe.internals.ns.selector("card__end")} ${Oe.internals.ns.selector("card__detail")}`};Oe.card={CardSelector:Je,CardDownload:Ze},Oe.internals.register(Oe.card.CardSelector.DOWNLOAD,Oe.card.CardDownload),Oe.internals.register(Oe.card.CardSelector.DOWNLOAD_DETAIL,Oe.core.AssessDetail);const et={INPUT:`${Oe.internals.ns.selector("checkbox-group")} input[type="checkbox"]`},tt={CHANGE:Oe.internals.ns.emission("checkbox","change"),RETRIEVE:Oe.internals.ns.emission("checkbox","retrieve")};class st extends Oe.core.Instance{static get instanceClassName(){return"CheckboxInput"}constructor(){super(),this._handlingChange=this.handleChange.bind(this)}init(){this.node.addEventListener("change",this._handlingChange),this.addDescent(tt.RETRIEVE,this._handlingChange),this.handleChange()}get isChecked(){return this.node.checked}handleChange(){this.ascend(tt.CHANGE,this.node)}}Oe.checkbox={CheckboxSelector:et,CheckboxEmission:tt,CheckboxInput:st},Oe.internals.register(Oe.checkbox.CheckboxSelector.INPUT,Oe.checkbox.CheckboxInput);const it={SEGMENTED:Oe.internals.ns.selector("segmented"),SEGMENTED_ELEMENTS:Oe.internals.ns.selector("segmented__elements"),SEGMENTED_ELEMENT:Oe.internals.ns.selector("segmented__element input"),SEGMENTED_LEGEND:Oe.internals.ns.selector("segmented__legend")},nt={ADDED:Oe.internals.ns.emission("segmented","added"),REMOVED:Oe.internals.ns.emission("segmented","removed")};class rt extends Oe.core.Instance{static get instanceClassName(){return"Segmented"}init(){this.elements=this.node.querySelector(it.SEGMENTED_ELEMENTS),this.legend=this.node.querySelector(it.SEGMENTED_LEGEND),this.addAscent(nt.ADDED,this.resize.bind(this)),this.addAscent(nt.REMOVED,this.resize.bind(this)),this._isLegendInline=this.legend&&this.legend.classList.contains(`${Oe.prefix}-segmented__legend--inline`),this.isResizing=!0}resize(){const e=`${Oe.prefix}-segmented--vertical`,t=`${Oe.prefix}-segmented__legend--inline`;this.removeClass(e),this._isLegendInline&&(this.legend.classList.add(t),(this.node.offsetWidth>this.node.parentNode.offsetWidth||this.elements.scrollWidth+this.legend.offsetWidth+16>this.node.parentNode.offsetWidth)&&this.legend.classList.remove(t)),this.elements.offsetWidth>this.node.parentNode.offsetWidth||this.elements.scrollWidth>this.node.parentNode.offsetWidth?this.addClass(e):this.removeClass(e)}}class at extends Oe.core.Instance{static get instanceClassName(){return"SegmentedElement"}init(){this.ascend(nt.ADDED)}dispose(){this.ascend(nt.REMOVED)}}Oe.segmented={SegmentedSelector:it,SegmentedEmission:nt,SegmentedElement:at,Segmented:rt},Oe.internals.register(Oe.segmented.SegmentedSelector.SEGMENTED,Oe.segmented.Segmented),Oe.internals.register(Oe.segmented.SegmentedSelector.SEGMENTED_ELEMENT,Oe.segmented.SegmentedElement);const ot={BREADCRUMB:Oe.internals.ns.selector("breadcrumb"),BUTTON:Oe.internals.ns.selector("breadcrumb__button")};class ht extends Oe.core.Instance{constructor(){super(),this.count=0,this.focusing=this.focus.bind(this)}static get instanceClassName(){return"Breadcrumb"}init(){this.getCollapse(),this.isResizing=!0}get proxy(){const e=this;return Object.assign(super.proxy,{focus:e.focus.bind(e),disclose:e.collapse.disclose.bind(e.collapse)})}getCollapse(){const e=this.collapse;e?e.listen(Oe.core.DisclosureEvent.DISCLOSE,this.focusing):this.addAscent(Oe.core.DisclosureEmission.ADDED,this.getCollapse.bind(this))}resize(){const e=this.collapse,t=this.links;e&&t.length&&(this.isBreakpoint(Oe.core.Breakpoints.MD)?e.buttonHasFocus&&t[0].focus():t.indexOf(document.activeElement)>-1&&e.focus())}get links(){return[...this.querySelectorAll("a[href]")]}get collapse(){return this.element.getDescendantInstances(Oe.core.Collapse.instanceClassName,null,!0)[0]}focus(){this.count=0,this._focus()}_focus(){const e=this.links[0];e&&(e.focus(),this.request(this.verify.bind(this)))}verify(){if(this.count++,this.count>100)return;const e=this.links[0];e&&document.activeElement!==e&&this._focus()}get collapsePrimary(){return this.element.children.map((e=>e.getInstance("CollapseButton"))).filter((e=>null!==e&&e.hasClass(ot.BUTTON)))[0]}}Oe.breadcrumb={BreadcrumbSelector:ot,Breadcrumb:ht},Oe.internals.register(Oe.breadcrumb.BreadcrumbSelector.BREADCRUMB,Oe.breadcrumb.Breadcrumb);const ct={TOOLTIP:Oe.internals.ns.selector("tooltip"),SHOWN:Oe.internals.ns.selector("tooltip--shown"),HIDDING:Oe.internals.ns.selector("tooltip--hidding"),BUTTON:Oe.internals.ns.selector("btn--tooltip")},lt=1,dt=2;class ut extends Oe.core.PlacementReferent{constructor(){super(),this._state=0}static get instanceClassName(){return"TooltipReferent"}init(){if(super.init(),this.listen("focusin",this.focusIn.bind(this)),this.listen("focusout",this.focusOut.bind(this)),!this.matches(ct.BUTTON)){const e=this.mouseover.bind(this);this.listen("mouseover",e),this.placement.listen("mouseover",e);const t=this.mouseout.bind(this);this.listen("mouseout",t),this.placement.listen("mouseout",t)}this.addEmission(Oe.core.RootEmission.KEYDOWN,this._keydown.bind(this)),this.listen("click",this._click.bind(this)),this.addEmission(Oe.core.RootEmission.CLICK,this._clickOut.bind(this))}_click(){this.focus()}_clickOut(e){this.node.contains(e)||this.blur()}_keydown(e){if(e===Oe.core.KeyCodes.ESCAPE)this.blur(),this.close()}close(){this.state=0}get state(){return this._state}set state(e){this._state!==e&&(this.isShown=e>0,this._state=e)}focusIn(){this.state|=lt}focusOut(){this.state&=~lt}mouseover(){this.state|=dt}mouseout(){this.state&=~dt}}const gt={SHOW:g.event("show"),HIDE:g.event("hide")},pt="hidden",mt="shown",_t="hiding";class bt extends Oe.core.Placement{constructor(){super(Oe.core.PlacementMode.AUTO,[Oe.core.PlacementPosition.TOP,Oe.core.PlacementPosition.BOTTOM],[Oe.core.PlacementAlign.CENTER,Oe.core.PlacementAlign.START,Oe.core.PlacementAlign.END]),this.modifier="",this._state=pt}static get instanceClassName(){return"Tooltip"}init(){super.init(),this.register(`[aria-describedby="${this.id}"]`,ut),this.listen("transitionend",this.transitionEnd.bind(this))}transitionEnd(){this._state===_t&&(this.removeClass(ct.SHOWN),this.removeClass(ct.HIDDING),this._state=pt,this.isShown=!1)}get isShown(){return super.isShown}set isShown(e){if(this.isEnabled)switch(!0){case e:this._state=mt,this.addClass(ct.SHOWN),this.removeClass(ct.HIDDING),this.dispatch(gt.SHOW),super.isShown=!0;break;case this.isShown&&!e&&this._state===mt:this._state=_t,this.addClass(ct.HIDDING);break;case this.isShown&&!e&&this._state===pt:this.dispatch(gt.HIDE),this.removeClass(ct.HIDDING),super.isShown=!1}}render(){super.render(),this.rect=this.getRect();let e=this.referentRect.center-this.rect.center;const t=.5*this.rect.width-8;e<-t&&(e=-t),e>t&&(e=t),this.setProperty("--arrow-x",`${e.toFixed(2)}px`)}}Oe.tooltip={Tooltip:bt,TooltipSelector:ct,TooltipEvent:gt},Oe.internals.register(Oe.tooltip.TooltipSelector.TOOLTIP,Oe.tooltip.Tooltip);class Et extends Oe.core.Instance{static get instanceClassName(){return"ToggleInput"}get isChecked(){return this.node.checked}}class ft extends Oe.core.Instance{static get instanceClassName(){return"ToggleStatusLabel"}init(){this.register(`input[id="${this.getAttribute("for")}"]`,Et),this.update(),this.isSwappingFont=!0}get proxy(){return Object.assign(super.proxy,{update:this.update.bind(this)})}get input(){return this.getRegisteredInstances("ToggleInput")[0]}update(){this.node.style.removeProperty("--toggle-status-width");const e=this.input.isChecked,t=getComputedStyle(this.node,":before");let s=parseFloat(t.width);this.input.node.checked=!e;const i=getComputedStyle(this.node,":before"),n=parseFloat(i.width);n>s&&(s=n),this.input.node.checked=e,this.node.style.setProperty("--toggle-status-width",s/16+"rem")}swapFont(e){this.update()}}const At={STATUS_LABEL:`${Oe.internals.ns.selector("toggle__label")}${Oe.internals.ns.attr.selector("checked-label")}${Oe.internals.ns.attr.selector("unchecked-label")}`};Oe.toggle={ToggleStatusLabel:ft,ToggleSelector:At},Oe.internals.register(Oe.toggle.ToggleSelector.STATUS_LABEL,Oe.toggle.ToggleStatusLabel);const Tt=Oe.internals.ns.selector("sidemenu__item"),St=Oe.internals.ns.selector("collapse"),vt={LIST:Oe.internals.ns.selector("sidemenu__list"),COLLAPSE:`${Tt} > ${St}, ${Tt} > *:not(${Tt}):not(${St}) > ${St}, ${Tt} > *:not(${Tt}):not(${St}) > *:not(${Tt}):not(${St}) > ${St}`,COLLAPSE_LEGACY:`${Tt} ${St}`,ITEM:Oe.internals.ns.selector("sidemenu__item"),BUTTON:Oe.internals.ns.selector("sidemenu__btn")};class yt extends Oe.core.CollapsesGroup{static get instanceClassName(){return"SidemenuList"}validate(e){return super.validate(e)&&e.node.matches(Oe.internals.legacy.isLegacy?vt.COLLAPSE_LEGACY:vt.COLLAPSE)}}class Ct extends Oe.core.Instance{static get instanceClassName(){return"SidemenuItem"}get collapsePrimary(){return this.element.children.map((e=>e.getInstance("CollapseButton"))).filter((e=>null!==e&&e.hasClass(vt.BUTTON)))[0]}}Oe.sidemenu={SidemenuList:yt,SidemenuItem:Ct,SidemenuSelector:vt},Oe.internals.register(Oe.sidemenu.SidemenuSelector.LIST,Oe.sidemenu.SidemenuList),Oe.internals.register(Oe.sidemenu.SidemenuSelector.ITEM,Oe.sidemenu.SidemenuItem);const Nt={MODAL:Oe.internals.ns.selector("modal"),SCROLL_DIVIDER:Oe.internals.ns.selector("scroll-divider"),BODY:Oe.internals.ns.selector("modal__body"),TITLE:Oe.internals.ns.selector("modal__title")};class Dt extends Oe.core.DisclosureButton{constructor(){super(Oe.core.DisclosureType.OPENED)}static get instanceClassName(){return"ModalButton"}}const Rt={CONCEALING_BACKDROP:Oe.internals.ns.attr("concealing-backdrop")};class wt extends Oe.core.Disclosure{constructor(){super(Oe.core.DisclosureType.OPENED,Nt.MODAL,Dt,"ModalsGroup"),this._isDecorated=!1,this.scrolling=this.resize.bind(this,!1),this.resizing=this.resize.bind(this,!0)}static get instanceClassName(){return"Modal"}init(){super.init(),this._isDialog="DIALOG"===this.node.tagName,this.listenClick(),this.addEmission(Oe.core.RootEmission.KEYDOWN,this._keydown.bind(this))}_keydown(e){if(e===Oe.core.KeyCodes.ESCAPE)this._escape()}_escape(){switch(document.activeElement?document.activeElement.tagName:void 0){case"INPUT":case"LABEL":case"TEXTAREA":case"SELECT":case"AUDIO":case"VIDEO":break;default:this.isDisclosed&&(this.conceal(),this.focus())}}retrieved(){this._ensureAccessibleName()}get body(){return this.element.getDescendantInstances("ModalBody","Modal")[0]}handleClick(e){e.target===this.node&&"false"!==this.getAttribute(Rt.CONCEALING_BACKDROP)&&this.conceal()}disclose(e){return!!super.disclose(e)&&(this.body&&(this.body.isResizing=!0,this.body.resize()),this.isScrollLocked=!0,this.setAttribute("aria-modal","true"),this.setAttribute("open","true"),this._isDialog||this.decorateDialog(),!0)}conceal(e,t){return!!super.conceal(e,t)&&(this.isScrollLocked=!1,this.removeAttribute("aria-modal"),this.removeAttribute("open"),this.body&&(this.body.isResizing=!1),this._isDialog||this.stripDialog(),!0)}get isDialog(){return this._isDialog}set isDialog(e){this._isDialog=e}decorateDialog(){this._isDecorated||(this._isDecorated=!0,this._hasDialogRole="dialog"===this.getAttribute("role"),this._hasDialogRole||this.setAttribute("role","dialog"))}stripDialog(){this._isDecorated&&(this._isDecorated=!1,this._hasDialogRole||this.removeAttribute("role"))}_setAccessibleName(e,t){const s=this.retrieveNodeId(e,t);this.warn(`add reference to ${t} for accessible name (aria-labelledby)`),this.setAttribute("aria-labelledby",s)}_ensureAccessibleName(){if(!this.isEnabled||this.isEnabled&&(this.hasAttribute("aria-labelledby")||this.hasAttribute("aria-label")))return;this.warn("missing accessible name");const e=this.node.querySelector(Nt.TITLE),t=this.primaryButtons[0];switch(!0){case null!==e:this._setAccessibleName(e,"title");break;case void 0!==t:this.warn("missing required title, fallback to primary button"),this._setAccessibleName(t,"primary")}}}const Lt=['[tabindex="0"]',"a[href]","button:not([disabled])","input:not([disabled])","select:not([disabled])","textarea:not([disabled])","audio[controls]","video[controls]",'[contenteditable]:not([contenteditable="false"])',"details>summary:first-of-type","details","iframe"].join(),It=['[tabindex]:not([tabindex="-1"]):not([tabindex="0"])'].join(),xt=(e,t)=>{if(!(e instanceof Element))return!1;const s=window.getComputedStyle(e);if(!s)return!1;if("hidden"===s.visibility)return!1;for(void 0===t&&(t=e);t.contains(e);){if("none"===s.display)return!1;e=e.parentElement}return!0};class Ot{constructor(e,t){this.element=null,this.activeElement=null,this.onTrap=e,this.onUntrap=t,this.waiting=this.wait.bind(this),this.handling=this.handle.bind(this),this.focusing=this.maintainFocus.bind(this),this.current=null}get trapped(){return null!==this.element}trap(e){this.trapped&&this.untrap(),this.element=e,this.isTrapping=!0,this.wait(),this.onTrap&&this.onTrap()}wait(){xt(this.element)?this.trapping():window.requestAnimationFrame(this.waiting)}trapping(){if(!this.isTrapping)return;this.isTrapping=!1;const e=this.focusables;e.length&&-1===e.indexOf(document.activeElement)&&e[0].focus(),this.element.setAttribute("aria-modal",!0),window.addEventListener("keydown",this.handling),document.body.addEventListener("focus",this.focusing,!0)}stun(e){for(const t of e.children)t!==this.element&&(t.contains(this.element)?this.stun(t):this.stunneds.push(new Pt(t)))}maintainFocus(e){if(!this.element.contains(e.target)){const t=this.focusables;if(0===t.length)return;const s=t[0];e.preventDefault(),s.focus()}}handle(e){if(9!==e.keyCode)return;const t=this.focusables;if(0===t.length)return;const s=t[0],i=t[t.length-1],n=t.indexOf(document.activeElement);e.shiftKey?!this.element.contains(document.activeElement)||n<1?(e.preventDefault(),i.focus()):(document.activeElement.tabIndex>0||t[n-1].tabIndex>0)&&(e.preventDefault(),t[n-1].focus()):this.element.contains(document.activeElement)&&n!==t.length-1&&-1!==n?document.activeElement.tabIndex>0&&(e.preventDefault(),t[n+1].focus()):(e.preventDefault(),s.focus())}get focusables(){let e=Oe.internals.dom.querySelectorAllArray(this.element,Lt);const t=Oe.internals.dom.querySelectorAllArray(document.documentElement,'input[type="radio"]');if(t.length){const s={};for(const e of t){const t=e.getAttribute("name");void 0===s[t]&&(s[t]=new kt(t)),s[t].push(e)}e=e.filter((e=>{if("input"!==e.tagName.toLowerCase()||e.getAttribute("type")&&"radio"!==e.getAttribute("type").toLowerCase())return!0;const t=e.getAttribute("name");return s[t].keep(e)}))}const s=Oe.internals.dom.querySelectorAllArray(this.element,It);s.sort(((e,t)=>e.tabIndex-t.tabIndex));const i=e.filter((e=>-1===s.indexOf(e)));return s.concat(i).filter((e=>"-1"!==e.tabIndex&&xt(e,this.element)))}untrap(){this.trapped&&(this.isTrapping=!1,this.element.removeAttribute("aria-modal"),window.removeEventListener("keydown",this.handling),document.body.removeEventListener("focus",this.focusing,!0),this.element=null,this.onUntrap&&this.onUntrap())}dispose(){this.untrap()}}class Pt{constructor(e){this.element=e,this.inert=e.getAttribute("inert"),this.element.setAttribute("inert","")}unstun(){null===this.inert?this.element.removeAttribute("inert"):this.element.setAttribute("inert",this.inert)}}class kt{constructor(e){this.name=e,this.buttons=[]}push(e){this.buttons.push(e),(e===document.activeElement||e.checked||void 0===this.selected)&&(this.selected=e)}keep(e){return this.selected===e}}class Mt extends Oe.core.DisclosuresGroup{constructor(){super("Modal",!1),this.focusTrap=new Ot}static get instanceClassName(){return"ModalsGroup"}apply(e,t){super.apply(e,t),null===this.current?this.focusTrap.untrap():this.focusTrap.trap(this.current.node)}}class Gt extends Oe.core.Instance{static get instanceClassName(){return"ModalBody"}init(){this.listen("scroll",this.divide.bind(this))}divide(){this.node.scrollHeight>this.node.clientHeight?this.node.offsetHeight+this.node.scrollTop>=this.node.scrollHeight?this.removeClass(Nt.SCROLL_DIVIDER):this.addClass(Nt.SCROLL_DIVIDER):this.removeClass(Nt.SCROLL_DIVIDER)}resize(){this.adjust(),this.request(this.adjust.bind(this))}adjust(){const e=32*(this.isBreakpoint(Oe.core.Breakpoints.MD)?2:1);this.isLegacy?this.style.maxHeight=window.innerHeight-e+"px":this.style.setProperty("--modal-max-height",window.innerHeight-e+"px"),this.divide()}}Oe.modal={Modal:wt,ModalButton:Dt,ModalBody:Gt,ModalsGroup:Mt,ModalSelector:Nt},Oe.internals.register(Oe.modal.ModalSelector.MODAL,Oe.modal.Modal),Oe.internals.register(Oe.modal.ModalSelector.BODY,Oe.modal.ModalBody),Oe.internals.register(Oe.core.RootSelector.ROOT,Oe.modal.ModalsGroup);const $t={TOGGLE:Oe.internals.ns.emission("password","toggle"),ADJUST:Oe.internals.ns.emission("password","adjust")};class Ht extends Oe.core.Instance{static get instanceClassName(){return"PasswordToggle"}init(){this.listenClick(),this.ascend($t.ADJUST,this.width),this.isSwappingFont=!0,this._isChecked=this.isChecked}get width(){const e=getComputedStyle(this.node.parentNode);return parseInt(e.width)}get isChecked(){return this.node.checked}set isChecked(e){this._isChecked=e,this.ascend($t.TOGGLE,e)}handleClick(){this.isChecked=!this._isChecked}swapFont(e){this.ascend($t.ADJUST,this.width)}}class Ut extends Oe.core.Instance{static get instanceClassName(){return"Password"}init(){this.addAscent($t.TOGGLE,this.toggle.bind(this)),this.addAscent($t.ADJUST,this.adjust.bind(this))}toggle(e){this.descend($t.TOGGLE,e)}adjust(e){this.descend($t.ADJUST,e)}}const Bt={PASSWORD:Oe.internals.ns.selector("password"),INPUT:Oe.internals.ns.selector("password__input"),LABEL:Oe.internals.ns.selector("password__label"),TOOGLE:`${Oe.internals.ns.selector("password__checkbox")} input[type="checkbox"]`};class Ft extends Oe.core.Instance{static get instanceClassName(){return"PasswordInput"}init(){this.addDescent($t.TOGGLE,this.toggle.bind(this)),this._isRevealed="password"===this.hasAttribute("type"),this.listen("keydown",this.capslock.bind(this)),this.listen("keyup",this.capslock.bind(this))}toggle(e){this.isRevealed=e,this.setAttribute("type",e?"text":"password")}get isRevealed(){return this._isRevealed}capslock(e){e&&"function"!=typeof e.getModifierState||(e.getModifierState("CapsLock")?this.node.parentNode.setAttribute(Oe.internals.ns.attr("capslock"),""):this.node.parentNode.removeAttribute(Oe.internals.ns.attr("capslock")))}set isRevealed(e){this._isRevealed=e,this.setAttribute("type",e?"text":"password")}}class Wt extends Oe.core.Instance{static get instanceClassName(){return"PasswordLabel"}init(){this.addDescent($t.ADJUST,this.adjust.bind(this))}adjust(e){const t=Math.ceil(e/16);this.node.style.paddingRight=t+"rem"}}Oe.password={Password:Ut,PasswordToggle:Ht,PasswordSelector:Bt,PasswordInput:Ft,PasswordLabel:Wt},Oe.internals.register(Oe.password.PasswordSelector.INPUT,Oe.password.PasswordInput),Oe.internals.register(Oe.password.PasswordSelector.PASSWORD,Oe.password.Password),Oe.internals.register(Oe.password.PasswordSelector.TOOGLE,Oe.password.PasswordToggle),Oe.internals.register(Oe.password.PasswordSelector.LABEL,Oe.password.PasswordLabel);const qt=Oe.internals.ns.selector("nav__item"),zt=Oe.internals.ns.selector("collapse"),Kt={NAVIGATION:Oe.internals.ns.selector("nav"),COLLAPSE:`${qt} > ${zt}, ${qt} > *:not(${qt}):not(${zt}) > ${zt}, ${qt} > *:not(${qt}):not(${zt}) > *:not(${qt}):not(${zt}) > ${zt}`,COLLAPSE_LEGACY:`${qt} ${zt}`,ITEM:qt,ITEM_RIGHT:`${qt}--align-right`,MENU:Oe.internals.ns.selector("menu"),BUTTON:Oe.internals.ns.selector("nav__btn"),TRANSLATE_BUTTON:Oe.internals.ns.selector("translate__btn")};class jt extends Oe.core.Instance{constructor(){super(),this._isRightAligned=!1}static get instanceClassName(){return"NavigationItem"}init(){this.addAscent(Oe.core.DisclosureEmission.ADDED,this.calculate.bind(this)),this.addAscent(Oe.core.DisclosureEmission.REMOVED,this.calculate.bind(this)),this.isResizing=!0,this.calculate()}resize(){this.calculate()}calculate(){const e=this.element.getDescendantInstances(Oe.core.Collapse.instanceClassName,null,!0)[0];if(e&&this.isBreakpoint(Oe.core.Breakpoints.LG)&&e.element.node.matches(Kt.MENU)){const t=this.element.node.parentElement.getBoundingClientRect().right,s=e.element.node.getBoundingClientRect().width,i=this.element.node.getBoundingClientRect().left;this.isRightAligned=i+s>t}else this.isRightAligned=!1}get isRightAligned(){return this._isRightAligned}set isRightAligned(e){this._isRightAligned!==e&&(this._isRightAligned=e,e?Oe.internals.dom.addClass(this.element.node,Kt.ITEM_RIGHT):Oe.internals.dom.removeClass(this.element.node,Kt.ITEM_RIGHT))}get collapsePrimary(){return this.element.children.map((e=>e.getInstance("CollapseButton"))).filter((e=>null!==e&&(e.hasClass(Kt.BUTTON)||e.hasClass(Kt.TRANSLATE_BUTTON))))[0]}}const Vt={NONE:-1,INSIDE:0,OUTSIDE:1};class Yt extends Oe.core.CollapsesGroup{static get instanceClassName(){return"Navigation"}init(){super.init(),this.clicked=!1,this.out=!1,this.addEmission(Oe.core.RootEmission.CLICK,this._handleRootClick.bind(this)),this.listen("mousedown",this.handleMouseDown.bind(this)),this.addEmission(Oe.core.RootEmission.KEYDOWN,this._keydown.bind(this)),this.listenClick({capture:!0}),this.isResizing=!0}validate(e){return super.validate(e)&&e.element.node.matches(Oe.internals.legacy.isLegacy?Kt.COLLAPSE_LEGACY:Kt.COLLAPSE)}get hasOpenedMenu(){return this.isBreakpoint(Oe.core.Breakpoints.LG)&&this.index>-1}_keydown(e){switch(e){case Oe.core.KeyCodes.ESCAPE:if(!this.hasOpenedMenu)return;this.index=-1;break;case Oe.core.KeyCodes.TAB:if(!this.hasOpenedMenu)return;this.request((()=>{this.current.node.contains(document.activeElement)||(this.index=-1)}))}}handleMouseDown(e){this.hasOpenedMenu&&(this.position=this.current.node.contains(e.target)?Vt.INSIDE:Vt.OUTSIDE,this.requestPosition())}handleClick(e){!e.target.matches("a, button")||e.target.matches("[aria-controls]")||e.target.matches(Oe.core.DisclosureSelector.PREVENT_CONCEAL)||(this.index=-1)}_handleRootClick(e){this.isBreakpoint(Oe.core.Breakpoints.LG)&&(this.node.contains(e)||(this.out=!0,this.requestPosition()))}requestPosition(){this.isRequesting||(this.isRequesting=!0,this.request(this.getPosition.bind(this)))}getPosition(){if(this.out)switch(this.position){case Vt.OUTSIDE:this.index=-1;break;case Vt.INSIDE:this.current&&!this.current.node.contains(document.activeElement)&&this.current.focus();break;default:this.index>-1&&!this.current.hasFocus&&(this.index=-1)}this.request(this.requested.bind(this))}requested(){this.position=Vt.NONE,this.out=!1,this.isRequesting=!1}get index(){return super.index}set index(e){-1===e&&this.current&&this.current.hasFocus&&this.current.focus(),super.index=e}get canUngroup(){return!this.isBreakpoint(Oe.core.Breakpoints.LG)}resize(){this.update()}}Oe.navigation={Navigation:Yt,NavigationItem:jt,NavigationMousePosition:Vt,NavigationSelector:Kt},Oe.internals.register(Oe.navigation.NavigationSelector.NAVIGATION,Oe.navigation.Navigation),Oe.internals.register(Oe.navigation.NavigationSelector.ITEM,Oe.navigation.NavigationItem);class Xt extends Oe.core.DisclosureButton{constructor(){super(Oe.core.DisclosureType.SELECT)}static get instanceClassName(){return"TabButton"}handleClick(e){super.handleClick(e),this.focus()}apply(e){super.apply(e),this.isPrimary&&(this.setAttribute("tabindex",e?"0":"-1"),e&&this.list&&this.list.focalize(this))}get list(){return this.element.getAscendantInstance("TabsList","TabsGroup")}}const Qt={TAB:Oe.internals.ns.selector("tabs__tab"),GROUP:Oe.internals.ns.selector("tabs"),PANEL:Oe.internals.ns.selector("tabs__panel"),LIST:Oe.internals.ns.selector("tabs__list"),SHADOW:Oe.internals.ns.selector("tabs__shadow"),SHADOW_LEFT:Oe.internals.ns.selector("tabs__shadow--left"),SHADOW_RIGHT:Oe.internals.ns.selector("tabs__shadow--right"),PANEL_START:Oe.internals.ns.selector("tabs__panel--direction-start"),PANEL_END:Oe.internals.ns.selector("tabs__panel--direction-end")},Zt="direction-start",Jt="direction-end",es="none";class ts extends Oe.core.Disclosure{constructor(){super(Oe.core.DisclosureType.SELECT,Qt.PANEL,Xt,"TabsGroup"),this._direction=es,this._isPreventingTransition=!1}static get instanceClassName(){return"TabPanel"}get direction(){return this._direction}set direction(e){if(e!==this._direction){switch(this._direction){case Zt:this.removeClass(Qt.PANEL_START);break;case Jt:this.removeClass(Qt.PANEL_END);break;case es:break;default:return}switch(this._direction=e,this._direction){case Zt:this.addClass(Qt.PANEL_START);break;case Jt:this.addClass(Qt.PANEL_END)}}}get isPreventingTransition(){return this._isPreventingTransition}set isPreventingTransition(e){this._isPreventingTransition!==e&&(e?this.addClass(Oe.internals.motion.TransitionSelector.NONE):this.removeClass(Oe.internals.motion.TransitionSelector.NONE),this._isPreventingTransition=!0===e)}translate(e,t){this.isPreventingTransition=t,this.direction=e}reset(){this.group&&this.group.retrieve(!0)}_electPrimaries(e){return this.group&&this.group.list?super._electPrimaries(e).filter((e=>this.group.list.node.contains(e.node))):[]}}const ss="tab_keys_left",is="tab_keys_right",ns="tab_keys_home",rs="tab_keys_end",as={PRESS_KEY:Oe.internals.ns.emission("tab","press_key"),LIST_HEIGHT:Oe.internals.ns.emission("tab","list_height")};class os extends Oe.core.DisclosuresGroup{constructor(){super("TabPanel")}static get instanceClassName(){return"TabsGroup"}init(){super.init(),this.listen("transitionend",this.transitionend.bind(this)),this.addAscent(as.PRESS_KEY,this.pressKey.bind(this)),this.addAscent(as.LIST_HEIGHT,this.setListHeight.bind(this)),this.isRendering=!0}getIndex(e=0){super.getIndex(e)}get list(){return this.element.getDescendantInstances("TabsList","TabsGroup",!0)[0]}setListHeight(e){this.listHeight=e}transitionend(e){this.isPreventingTransition=!0}get buttonHasFocus(){return this.members.some((e=>e.buttonHasFocus))}pressKey(e){switch(e){case ss:this.pressLeft();break;case is:this.pressRight();break;case ns:this.pressHome();break;case rs:this.pressEnd()}}pressRight(){this.buttonHasFocus&&(this.index<this.length-1?this.index++:this.index=0,this.focus())}pressLeft(){this.buttonHasFocus&&(this.index>0?this.index--:this.index=this.length-1,this.focus())}pressHome(){this.buttonHasFocus&&(this.index=0,this.focus())}pressEnd(){this.buttonHasFocus&&(this.index=this.length-1,this.focus())}focus(){this.current&&this.current.focus()}apply(){for(let e=0;e<this._index;e++)this.members[e].translate(Zt);this.current&&this.current.translate(es);for(let e=this._index+1;e<this.length;e++)this.members[e].translate(Jt);this.isPreventingTransition=!1}get isPreventingTransition(){return this._isPreventingTransition}set isPreventingTransition(e){this._isPreventingTransition!==e&&(e?this.addClass(Oe.internals.motion.TransitionSelector.NONE):this.removeClass(Oe.internals.motion.TransitionSelector.NONE),this._isPreventingTransition=!0===e)}render(){if(null===this.current)return;this.node.scrollTop=0,this.node.scrollLeft=0;const e=Math.round(this.current.node.offsetHeight);this.panelHeight!==e&&(this.panelHeight=e,this.style.setProperty("--tabs-height",this.panelHeight+this.listHeight+"px"))}}class hs extends Oe.core.Instance{static get instanceClassName(){return"TabsList"}init(){this.listen("scroll",this.scroll.bind(this)),this.listenKey(Oe.core.KeyCodes.RIGHT,this.ascend.bind(this,as.PRESS_KEY,is),!0,!0),this.listenKey(Oe.core.KeyCodes.LEFT,this.ascend.bind(this,as.PRESS_KEY,ss),!0,!0),this.listenKey(Oe.core.KeyCodes.HOME,this.ascend.bind(this,as.PRESS_KEY,ns),!0,!0),this.listenKey(Oe.core.KeyCodes.END,this.ascend.bind(this,as.PRESS_KEY,rs),!0,!0),this.isResizing=!0}focalize(e){const t=e.getRect(),s=this.getRect(),i=this.node.scrollLeft;t.left<s.left?this.node.scrollTo(i-s.left+t.left-16,0):t.right>s.right&&this.node.scrollTo(i-s.right+t.right+16,0)}get isScrolling(){return this._isScrolling}set isScrolling(e){this._isScrolling!==e&&(this._isScrolling=e,this.apply())}apply(){this._isScrolling?(this.addClass(Qt.SHADOW),this.scroll()):(this.removeClass(Qt.SHADOW_RIGHT),this.removeClass(Qt.SHADOW_LEFT),this.removeClass(Qt.SHADOW))}scroll(){const e=Math.abs(this.node.scrollLeft),t=e<=16,s=this.node.scrollWidth-this.node.clientWidth-16,i=Math.abs(e)>=s,n="rtl"===getComputedStyle(this.node).direction,r=n?Qt.SHADOW_RIGHT:Qt.SHADOW_LEFT,a=n?Qt.SHADOW_LEFT:Qt.SHADOW_RIGHT;t?this.removeClass(r):this.addClass(r),i?this.removeClass(a):this.addClass(a)}resize(){this.isScrolling=this.node.scrollWidth>this.node.clientWidth+16;const e=this.getRect().height;this.setProperty("--tabs-list-height",`${e}px`),this.ascend(as.LIST_HEIGHT,e)}dispose(){this.isScrolling=!1}}Oe.tab={TabPanel:ts,TabButton:Xt,TabsGroup:os,TabsList:hs,TabSelector:Qt,TabEmission:as},Oe.internals.register(Oe.tab.TabSelector.PANEL,Oe.tab.TabPanel),Oe.internals.register(Oe.tab.TabSelector.GROUP,Oe.tab.TabsGroup),Oe.internals.register(Oe.tab.TabSelector.LIST,Oe.tab.TabsList);const cs={DISMISS:Oe.internals.ns.event("dismiss")};class ls extends Oe.core.Instance{static get instanceClassName(){return"TagDismissible"}init(){this.listenClick()}handleClick(){switch(this.focusClosest(),Oe.mode){case Oe.Modes.ANGULAR:case Oe.Modes.REACT:case Oe.Modes.VUE:this.request(this.verify.bind(this));break;default:this.remove()}this.dispatch(cs.DISMISS)}verify(){document.body.contains(this.node)&&this.warn(`a TagDismissible has just been dismissed and should be removed from the dom. In ${Oe.mode} mode, the api doesn't handle dom modification. An event ${cs.DISMISS} is dispatched by the element to trigger the removal`)}}const ds={PRESSABLE:`${Oe.internals.ns.selector("tag")}[aria-pressed]`,DISMISSIBLE:`${Oe.internals.ns.selector("tag--dismiss")}`};Oe.tag={TagDismissible:ls,TagSelector:ds,TagEvent:cs},Oe.internals.register(Oe.tag.TagSelector.PRESSABLE,Oe.core.Toggle),Oe.internals.register(Oe.tag.TagSelector.DISMISSIBLE,Oe.tag.TagDismissible);const us=Oe.internals.ns.selector("transcription"),gs={TRANSCRIPTION:us,BUTTON:`${us}__btn`};class ps extends Oe.core.Instance{static get instanceClassName(){return"Transcription"}get collapsePrimary(){return this.element.children.map((e=>e.getInstance("CollapseButton"))).filter((e=>null!==e&&e.hasClass(gs.BUTTON)))[0]}}Oe.transcription={Transcription:ps,TranscriptionSelector:gs},Oe.internals.register(Oe.transcription.TranscriptionSelector.TRANSCRIPTION,Oe.transcription.Transcription);class ms extends Oe.core.Instance{static get instanceClassName(){return"TileDownload"}init(){this.addAscent(Oe.core.AssessEmission.UPDATE,(e=>{this.descend(Oe.core.AssessEmission.UPDATE,e)})),this.addAscent(Oe.core.AssessEmission.ADDED,(()=>{this.descend(Oe.core.AssessEmission.ADDED)}))}}const _s={DOWNLOAD:Oe.internals.ns.selector("tile--download"),DOWNLOAD_DETAIL:`${Oe.internals.ns.selector("tile--download")} ${Oe.internals.ns.selector("tile__detail")}`};Oe.tile={TileSelector:_s,TileDownload:ms},Oe.internals.register(Oe.tile.TileSelector.DOWNLOAD,Oe.tile.TileDownload),Oe.internals.register(Oe.tile.TileSelector.DOWNLOAD_DETAIL,Oe.core.AssessDetail);const bs={RANGE:Oe.internals.ns.selector("range"),RANGE_SM:Oe.internals.ns.selector("range--sm"),RANGE_STEP:Oe.internals.ns.selector("range--step"),RANGE_DOUBLE:Oe.internals.ns.selector("range--double"),RANGE_DOUBLE_STEP:Oe.internals.ns.selector("range--double")+Oe.internals.ns.selector("range--step"),RANGE_INPUT:Oe.internals.ns.selector("range input[type=range]:nth-of-type(1)"),RANGE_INPUT2:`${Oe.internals.ns.selector("range--double")} input[type=range]:nth-of-type(2)`,RANGE_OUTPUT:Oe.internals.ns.selector("range__output"),RANGE_MIN:Oe.internals.ns.selector("range__min"),RANGE_MAX:Oe.internals.ns.selector("range__max"),RANGE_PREFIX:Oe.internals.ns.attr("prefix"),RANGE_SUFFIX:Oe.internals.ns.attr("suffix")},Es={VALUE:Oe.internals.ns.emission("range","value"),VALUE2:Oe.internals.ns.emission("range","value2"),OUTPUT:Oe.internals.ns.emission("range","output"),CONSTRAINTS:Oe.internals.ns.emission("range","constraints"),MIN:Oe.internals.ns.emission("range","min"),MAX:Oe.internals.ns.emission("range","max"),STEP:Oe.internals.ns.emission("range","step"),PREFIX:Oe.internals.ns.emission("range","prefix"),SUFFIX:Oe.internals.ns.emission("range","suffix"),DISABLED:Oe.internals.ns.emission("range","disabled"),ENABLE_POINTER:Oe.internals.ns.emission("range","enable_pointer")};class fs{constructor(){this._width=0,this._min=0,this._max=0,this._value=0,this._thumbSize=24,this._innerWidth=0,this._prefix="",this._suffix="",this._background={}}configure(e){e&&(this._prefix=e._prefix,this._suffix=e._suffix,this._width=e.width,this.setConstraints(e._constraints),this.value=e.value,this.update())}setPrefix(e){this._prefix=null!==e?e:""}setSuffix(e){this._suffix=null!==e?e:""}_decorate(e){return`${this._prefix}${e}${this._suffix}`}get width(){return this._width}set width(e){this._width=e}get isSm(){return this._isSm}set isSm(e){this._isSm!==e&&(this._isSm=e,this.setThumbSize(e?16:24),this.update())}setThumbSize(e,t=1){this._thumbSize=e,this._innerPadding=e*t}get textValue(){return this._decorate(this._value)}get value(){return this._value}set value(e){this._value=e}get outputX(){return this._outputX}setConstraints(e){this._constraints=e,this._min=e.min,this._max=e.max,this._step=e.step,this._rangeWidth=e.rangeWidth}get min(){return this._min}get textMin(){return this._decorate(this._min)}get max(){return this._max}get textMax(){return this._decorate(this._max)}get step(){return this._step}get output(){return{text:this.textValue,transform:`translateX(${this._translateX}px) translateX(-${this._centerPercent}%)`}}_getRatio(e){return(e-this._min)/this._rangeWidth}get progress(){return this._progress}update(){this._update()}_update(){this._innerWidth=this._width-this._innerPadding;const e=this._getRatio(this._value);this._translateX=e*this._width,this._centerPercent=100*e,this._progress={right:`${(this._innerWidth*e+.5*this._innerPadding).toFixed(2)}px`}}}class As extends fs{get stepWidth(){return`${this._stepWidth.toFixed(3)}px`}_update(){super._update();const e=this._rangeWidth/this._step;for(this._stepWidth=this._innerWidth/e,(this._stepWidth<1||!isFinite(this._stepWidth))&&(this._stepWidth=4);this._stepWidth<4;)this._stepWidth*=2}}class Ts extends fs{get value2(){return this._value}set value2(e){this._value2!==e&&(this._value2=e,this.update())}get textValue(){return`${this._decorate(this._value)} - ${this._decorate(this._value2)}`}setThumbSize(e){super.setThumbSize(e,2)}_update(){super._update();const e=this._getRatio(.5*(this._value+this._value2));this._translateX=e*this._width,this._centerPercent=100*e;const t=this._getRatio(this._value),s=this._getRatio(this._value2);this._progress={left:`${(this._innerWidth*t+.25*this._innerPadding).toFixed(2)}px`,right:`${(this._innerWidth*s+.75*this._innerPadding).toFixed(2)}px`}}}class Ss extends Ts{get stepWidth(){return`${this._stepWidth.toFixed(3)}px`}_update(){super._update();const e=this._rangeWidth/this._step;this._stepWidth=this._innerWidth/e,this._stepWidth<4&&(this._stepWidth*=Math.ceil(4/this._stepWidth))}}const vs="step",ys="double",Cs="double-step",Ns="default";class Ds extends Oe.core.Instance{static get instanceClassName(){return"Range"}init(){this._retrieveType(),this._retrieveSize(),this.isLegacy?(this.isResizing=!0,this.isMouseMoving=!0):(this._observer=new ResizeObserver(this.resize.bind(this)),this._observer.observe(this.node)),this.addAscent(Es.CONSTRAINTS,this.setConstraints.bind(this)),this.addAscent(Es.VALUE,this.setValue.bind(this)),this.addAscent(Es.VALUE2,this.setValue2.bind(this)),this.getAttribute(bs.RANGE_PREFIX)&&this.setPrefix(this.getAttribute(bs.RANGE_PREFIX)),this.getAttribute(bs.RANGE_SUFFIX)&&this.setSuffix(this.getAttribute(bs.RANGE_SUFFIX)),this.update()}_retrieveType(){switch(!0){case this.matches(bs.RANGE_DOUBLE_STEP):case this.matches(bs.RANGE_DOUBLE):this.type=ys;break;case this.matches(bs.RANGE_STEP):this.type=vs;break;default:this.type=Ns}}set type(e){if(this._type===e)return;this._type=e;const t=this._model;switch(this._type){case Cs:this._model=new Ss;break;case ys:this._model=new Ts;break;case vs:this._model=new As;break;default:this._model=new fs}this._model.configure(t)}get type(){return this._type}_retrieveSize(){this._model.isSm=this.matches(bs.RANGE_SM)}resize(){this._retrieveWidth(),this.update()}_retrieveWidth(){this._model.width=this.getRect().width}setValue(e){switch(this._model.value=e,this._type){case Cs:case ys:this.descend(Es.VALUE,e)}this.update()}setValue2(e){this._model.value2=e,this.descend(Es.VALUE2,e),this.update()}setConstraints(e){this._model.setConstraints(e),this.update(),this.descend(Es.CONSTRAINTS,e)}setPrefix(e){this._model.setPrefix(e),this.update()}setSuffix(e){this._model.setSuffix(e),this.update()}mutate(e){switch(!0){case e.includes("class"):this._retrieveType(),this._retrieveSize();break;case e.includes(bs.RANGE_PREFIX):case e.includes(bs.RANGE_SUFFIX):this._model.setPrefix(this.getAttribute(bs.RANGE_PREFIX)),this._model.setSuffix(this.getAttribute(bs.RANGE_SUFFIX)),this.update()}}update(){this._model.update(),this.descend(Es.OUTPUT,this._model.output),this.descend(Es.MIN,this._model.textMin),this.descend(Es.MAX,this._model.textMax);const e=this._model.progress;e.left?this.style.setProperty("--progress-left",e.left):this.style.removeProperty("--progress-left"),e.right?(this.style.setProperty("--progress-right",e.right),this.isLegacy&&e.left&&(this.style.setProperty("background-position-x",e.left),this.style.setProperty("background-size",`${parseFloat(e.right)-parseFloat(e.left)}px ${this._model.isSm?"8px":"12px"}`))):(this.style.removeProperty("--progress-right"),this.isLegacy&&(this.style.removeProperty("background-size"),this.style.removeProperty("background-position-x"))),this._model.stepWidth?this.style.setProperty("--step-width",this._model.stepWidth):this.style.removeProperty("--step-width")}mouseMove(e){if(this._type!==ys&&this._type!==Cs)return;const t=e.x-this.getRect().left;this.descend(Es.ENABLE_POINTER,(parseFloat(this._model.progress.right)-parseFloat(this._model.progress.left))/2+parseFloat(this._model.progress.left)<t?2:1)}dispose(){this._observer.disconnect()}}class Rs{constructor(e){this._min=isNaN(e.min)?0:e.min,this._max=isNaN(e.max)?100:e.max,this._step=isNaN(e.step)?1:e.step,this._rangeWidth=this._max-this._min}get min(){return this._min}get max(){return this._max}get step(){return this._step}get rangeWidth(){return this._rangeWidth}test(e,t,s){return this._min===e&&this._max===t&&this._step===s}}class ws extends Oe.core.Instance{static get instanceClassName(){return"RangeInput"}init(){this._init(),this._value=parseFloat(this.node.getAttribute("value")),this.isLegacy&&this.addDescent(Es.ENABLE_POINTER,this._enablePointer.bind(this)),this.isRendering=!0,this.change()}_init(){this._pointerId=1,this.request((()=>{this.hasAttribute("min")||this.setAttribute("min",0),this.ascend(Es.CONSTRAINTS,new Rs(this.node)),this.ascend(Es.DISABLED,this.node.disabled)})),this.addDescent(Es.VALUE2,this.setValue.bind(this))}get proxy(){const e=this,t={get value(){return e.value},set value(t){e.value=t}};return Oe.internals.property.completeAssign(super.proxy,t)}_enablePointer(e){const t=e===this._pointerId;this._isPointerEnabled!==t&&(this._isPointerEnabled=t,t?this.style.removeProperty("pointer-events"):this.style.setProperty("pointer-events","none"))}get value(){return parseFloat(this.node.value)}set value(e){const t=parseFloat(e);t!==this._value&&(this._value=t,this.node.value=t,this.dispatch("change"),this.change())}setValue(e){parseFloat(this.node.value)>e&&(this.value=e)}change(){this.ascend(Es.VALUE,this._value)}render(){const e=parseFloat(this.node.value);e!==this._value&&(this.value=e)}mutate(e){e.includes("disabled")&&this.ascend(Es.DISABLED,this.node.disabled),(e.includes("min")||e.includes("max")||e.includes("step"))&&(this.ascend(Es.CONSTRAINTS,new Rs(this.node)),this.change())}dispose(){this._listenerType&&this.unlisten(this._listenerType,this._changing)}}class Ls extends Oe.core.Instance{static get instanceClassName(){return"RangeOutput"}init(){this.addDescent(Es.OUTPUT,this.change.bind(this))}change(e){this.node.innerText=e.text,this.node.style.transform=e.transform}}class Is extends Oe.core.Instance{static get instanceClassName(){return"RangeLimit"}init(){switch(!0){case this.matches(bs.RANGE_MIN):this.addDescent(Es.MIN,this.change.bind(this));break;case this.matches(bs.RANGE_MAX):this.addDescent(Es.MAX,this.change.bind(this))}}change(e){this.node.innerText=e}}Oe.range={Range:Ds,RangeInput:ws,RangeInput2:class extends ws{static get instanceClassName(){return"RangeInput2"}_init(){this._pointerId=2,this.addDescent(Es.CONSTRAINTS,this.setConstraints.bind(this)),this.addDescent(Es.VALUE,this.setValue.bind(this))}setValue(e){parseFloat(this.node.value)<e&&(this.value=e)}change(){this.ascend(Es.VALUE2,parseFloat(this.node.value))}setConstraints(e){this.node.min=e.min,this.node.max=e.max,this.node.step=e.step,this.change()}mutate(e){}},RangeOutput:Ls,RangeLimit:Is,RangeEmission:Es,RangeSelector:bs},Oe.internals.register(Oe.range.RangeSelector.RANGE,Oe.range.Range),Oe.internals.register(Oe.range.RangeSelector.RANGE_INPUT,Oe.range.RangeInput),Oe.internals.register(Oe.range.RangeSelector.RANGE_INPUT2,Oe.range.RangeInput2),Oe.internals.register(Oe.range.RangeSelector.RANGE_OUTPUT,Oe.range.RangeOutput),Oe.internals.register(Oe.range.RangeSelector.RANGE_MIN,Oe.range.RangeLimit),Oe.internals.register(Oe.range.RangeSelector.RANGE_MAX,Oe.range.RangeLimit);const xs={HEADER:Oe.internals.ns.selector("header"),BRAND_LINK:Oe.internals.ns.selector("header__brand a"),TOOLS_LINKS:Oe.internals.ns.selector("header__tools-links"),MENU_LINKS:Oe.internals.ns.selector("header__menu-links"),BUTTONS:`${Oe.internals.ns.selector("header__tools-links")} ${Oe.internals.ns.selector("btns-group")}, ${Oe.internals.ns.selector("header__tools-links")} ${Oe.internals.ns.selector("links-group")}`,MODALS:`${Oe.internals.ns.selector("header__search")}${Oe.internals.ns.selector("modal")}, ${Oe.internals.ns.selector("header__menu")}${Oe.internals.ns.selector("modal")}`};class Os extends Oe.core.Instance{static get instanceClassName(){return"HeaderLinks"}init(){const e=this.queryParentSelector(xs.HEADER);this.toolsLinks=e.querySelector(xs.TOOLS_LINKS),this.menuLinks=e.querySelector(xs.MENU_LINKS);const t="-mobile",s=this.toolsLinks.innerHTML.replace(/  +/g," "),i=this.menuLinks.innerHTML.replace(/  +/g," ");let n=s.match(/id="(.*?)"/gm)||[];n=n.map((e=>e.replace('id="',"").replace('"',"")));const r=["aria-controls","aria-describedby","aria-labelledby"];let a=s.replace(/id="(.*?)"/gm,`id="$1${t}"`);for(const e of r){const i=s.match(new RegExp(`${e}="(.*?)"`,"gm"));if(i)for(const s of i){const i=s.replace(`${e}="`,"").replace('"',"");n.includes(i)&&(a=a.replace(`${e}="${i}"`,`${e}="${i+t}"`))}}if(a!==i)switch(Oe.mode){case Oe.Modes.ANGULAR:case Oe.Modes.REACT:case Oe.Modes.VUE:this.warn(`header__tools-links content is different from header__menu-links content.\nAs you're using a dynamic framework, you should handle duplication of this content yourself, please refer to documentation:\n${Oe.header.doc}`);break;default:this.menuLinks.innerHTML=a}}}class Ps extends Oe.core.Instance{static get instanceClassName(){return"HeaderModal"}init(){this.storeAria(),this.isResizing=!0}resize(){this.isBreakpoint(Oe.core.Breakpoints.LG)?this.deactivateModal():this.activateModal()}activateModal(){const e=this.element.getInstance("Modal");e?(e.isActive=!0,this.restoreAria(),this.listenClick({capture:!0})):this.request(this.activateModal.bind(this))}deactivateModal(){const e=this.element.getInstance("Modal");e?(e.conceal(),e.isActive=!1,this.storeAria(),this.unlistenClick({capture:!0})):this.request(this.deactivateModal.bind(this))}storeAria(){this.hasAttribute("aria-labelledby")&&(this._ariaLabelledby=this.getAttribute("aria-labelledby")),this.hasAttribute("aria-label")&&(this._ariaLabel=this.getAttribute("aria-label")),this.removeAttribute("aria-labelledby"),this.removeAttribute("aria-label")}restoreAria(){this._ariaLabelledby&&this.setAttribute("aria-labelledby",this._ariaLabelledby),this._ariaLabel&&this.setAttribute("aria-label",this._ariaLabel)}handleClick(e){if(e.target.matches("a, button")&&!e.target.matches("[aria-controls]")&&!e.target.matches(Oe.core.DisclosureSelector.PREVENT_CONCEAL)){this.element.getInstance("Modal").conceal()}}}Oe.header={HeaderLinks:Os,HeaderModal:Ps,HeaderSelector:xs,doc:"https://www.systeme-de-design.gouv.fr/elements-d-interface/composants/en-tete"},Oe.internals.register(Oe.header.HeaderSelector.TOOLS_LINKS,Oe.header.HeaderLinks),Oe.internals.register(Oe.header.HeaderSelector.MODALS,Oe.header.HeaderModal);const ks={DISPLAY:Oe.internals.ns.selector("display"),RADIO_BUTTONS:`input[name="${Oe.internals.ns("radios-theme")}"]`,FIELDSET:Oe.internals.ns.selector("fieldset")};class Ms extends Oe.core.Instance{static get instanceClassName(){return"Display"}init(){if(this.radios=this.querySelectorAll(ks.RADIO_BUTTONS),Oe.scheme){this.changing=this.change.bind(this);for(const e of this.radios)e.addEventListener("change",this.changing);this.addDescent(Oe.scheme.SchemeEmission.SCHEME,this.apply.bind(this)),this.ascend(Oe.scheme.SchemeEmission.ASK)}else this.querySelector(ks.FIELDSET).setAttribute("disabled","")}get scheme(){return this._scheme}set scheme(e){if(this._scheme!==e&&Oe.scheme)switch(e){case Oe.scheme.SchemeValue.SYSTEM:case Oe.scheme.SchemeValue.LIGHT:case Oe.scheme.SchemeValue.DARK:this._scheme=e;for(const t of this.radios)t.checked=t.value===e;this.ascend(Oe.scheme.SchemeEmission.SCHEME,e)}}change(){for(const e of this.radios)if(e.checked)return void(this.scheme=e.value)}apply(e){this.scheme=e}dispose(){for(const e of this.radios)e.removeEventListener("change",this.changing)}}Oe.display={Display:Ms,DisplaySelector:ks},Oe.internals.register(Oe.display.DisplaySelector.DISPLAY,Oe.display.Display);const Gs={SCROLLABLE:Oe.internals.ns.emission("table","scrollable"),CHANGE:Oe.internals.ns.emission("table","change"),CAPTION_HEIGHT:Oe.internals.ns.emission("table","captionheight"),CAPTION_WIDTH:Oe.internals.ns.emission("table","captionwidth")};class $s extends Oe.core.Instance{static get instanceClassName(){return"Table"}init(){this.addAscent(Gs.CAPTION_HEIGHT,this.setCaptionHeight.bind(this))}setCaptionHeight(e){this.setProperty("--table-offset",e)}}class Hs extends Oe.core.Instance{static get instanceClassName(){return"TableWrapper"}init(){this.addAscent(Gs.CAPTION_HEIGHT,this.setCaptionHeight.bind(this))}setCaptionHeight(e){requestAnimationFrame((()=>this.ascend(Gs.CAPTION_HEIGHT,0))),this.setProperty("--table-offset",e)}}const Us={TABLE:Oe.internals.ns.selector("table"),TABLE_WRAPPER:[`${Oe.internals.ns.selector("table")} ${Oe.internals.ns.selector("table__wrapper")}`],SHADOW:Oe.internals.ns.selector("table__shadow"),SHADOW_LEFT:Oe.internals.ns.selector("table__shadow--left"),SHADOW_RIGHT:Oe.internals.ns.selector("table__shadow--right"),ELEMENT:[`${Oe.internals.ns.selector("table")}:not(${Oe.internals.ns.selector("table--no-scroll")}) table`],CAPTION:`${Oe.internals.ns.selector("table")} table caption`,ROW:`${Oe.internals.ns.selector("table")} tbody tr`,COL:`${Oe.internals.ns.selector("table")} thead th`};class Bs extends Oe.core.Instance{static get instanceClassName(){return"TableElement"}init(){this.listen("scroll",this.scroll.bind(this)),this.content=this.querySelector("tbody"),this.tableOffsetHeight=0,this.isResizing=!0}get isScrolling(){return this._isScrolling}set isScrolling(e){this._isScrolling!==e&&(this._isScrolling=e,e?(this.addClass(Us.SHADOW),this.scroll()):(this.removeClass(Us.SHADOW),this.removeClass(Us.SHADOW_LEFT),this.removeClass(Us.SHADOW_RIGHT)))}scroll(){const e=this.node.scrollLeft<=0,t=this.content.offsetWidth-this.node.offsetWidth-0,s=Math.abs(this.node.scrollLeft)>=t,i="rtl"===document.documentElement.getAttribute("dir"),n=i?Us.SHADOW_RIGHT:Us.SHADOW_LEFT,r=i?Us.SHADOW_LEFT:Us.SHADOW_RIGHT;e?this.removeClass(n):this.addClass(n),s?this.removeClass(r):this.addClass(r)}resize(){this.isScrolling=this.content.offsetWidth>this.node.offsetWidth}dispose(){this.isScrolling=!1}}class Fs extends Oe.core.Instance{static get instanceClassName(){return"TableCaption"}init(){this.height=0,this.isResizing=!0}resize(){const e=this.getRect().height;this.height!==e&&(this.height=e,this.ascend(Gs.CAPTION_HEIGHT,`calc(${e}px + 1rem)`))}}class Ws extends Oe.core.Instance{static get instanceClassName(){return"TableRow"}init(){Oe.checkbox&&(this.addAscent(tt.CHANGE,this._handleCheckboxChange.bind(this)),this.descend(tt.RETRIEVE))}_handleCheckboxChange(e){"row-select"!==e.name&&"true"!==e.getAttribute(Oe.internals.ns.attr("row-select"))||(this.isSelected=!0===e.checked)}render(){const e=this.getRect().height+2;this._height!==e&&(this._height=e,this.setProperty("--row-height",`${this._height}px`))}get isSelected(){return this._isSelected}set isSelected(e){this._isSelected!==e&&(this.isRendering=e,this._isSelected=e,this.setAttribute("aria-selected",e))}}Oe.table={Table:$s,TableWrapper:Hs,TableElement:Bs,TableCaption:Fs,TableSelector:Us,TableRow:Ws},Oe.internals.register(Oe.table.TableSelector.TABLE,Oe.table.Table),Oe.internals.register(Oe.table.TableSelector.TABLE_WRAPPER,Oe.table.TableWrapper),Oe.internals.register(Oe.table.TableSelector.ELEMENT,Oe.table.TableElement),Oe.internals.register(Oe.table.TableSelector.CAPTION,Oe.table.TableCaption),Oe.internals.register(Oe.table.TableSelector.ROW,Oe.table.TableRow);
//# sourceMappingURL=dsfr.module.min.js.map
