/*! DSFR v1.13.1 | SPDX-License-Identifier: MIT | License-Filename: LICENSE.md | restricted use (see terms and conditions) */
!function(){"use strict";var t=function(){this.modules={}},e={isActive:{configurable:!0},isLegacy:{configurable:!0}};t.prototype.create=function(t){var e=new t;this.modules[e.type]=e},t.prototype.getModule=function(t){return this.modules[t]},t.prototype.add=function(t,e){this.modules[t].add(e)},t.prototype.remove=function(t,e){this.modules[t].remove(e)},e.isActive.get=function(){return this._isActive},e.isActive.set=function(t){var e=this;if(t!==this._isActive){this._isActive=t;var r=Object.keys(this.modules).map((function(t){return e.modules[t]}));if(t)for(var n=0,i=r;n<i.length;n+=1){i[n].activate()}else for(var o=0,s=r;o<s.length;o+=1){s[o].deactivate()}}},e.isLegacy.get=function(){return this._isLegacy},e.isLegacy.set=function(t){t!==this._isLegacy&&(this._isLegacy=t)},Object.defineProperties(t.prototype,e);var r=new t,n="fr",i="dsfr",o="@gouvfr",s="1.13.1",a=function(t,e,r,n){switch(this.level=t,this.light=e,this.dark=r,n){case"warn":this.logger=console.warn;break;case"error":this.logger=console.error;break;default:this.logger=console.log}},c={color:{configurable:!0}};a.prototype.log=function(){for(var t=[],e=arguments.length;e--;)t[e]=arguments[e];for(var r=new l(i),n=0,o=t;n<o.length;n+=1){var s=o[n];r.add(s)}this.print(r)},a.prototype.print=function(t){t.setColor(this.color),this.logger.apply(console,t.getMessage())},c.color.get=function(){return window.matchMedia("(prefers-color-scheme: dark)").matches?this.dark:this.light},Object.defineProperties(a.prototype,c);var l=function(t){this.inputs=["%c"],this.styles=["font-family:Marianne","line-height: 1.5"],this.objects=[],t&&this.add(t+" :")};l.prototype.add=function(t){switch(typeof t){case"object":case"function":this.inputs.push("%o "),this.objects.push(t);break;default:this.inputs.push(t+" ")}},l.prototype.setColor=function(t){this.styles.push("color:"+t)},l.prototype.getMessage=function(){return[this.inputs.join(""),this.styles.join(";")].concat(this.objects)};var u={log:new a(0,"#616161","#989898"),debug:new a(1,"#000091","#8B8BFF"),info:new a(2,"#007c3b","#00ed70"),warn:new a(3,"#ba4500","#fa5c00","warn"),error:new a(4,"#D80600","#FF4641","error")},p=function(){var t=this;this.level=2;var e=function(e){var r=u[e];t[e]=function(){for(var e=[],n=arguments.length;n--;)e[n]=arguments[n];t.level<=r.level&&r.log.apply(r,e)},t[e].print=r.print.bind(r)};for(var r in u)e(r)};p.prototype.state=function(){var t=new l;t.add(r),this.log.print(t)},p.prototype.tree=function(){var t=r.getModule("stage");if(t){var e=new l;this._branch(t.root,0,e),this.log.print(e)}},p.prototype._branch=function(t,e,r){var n="";if(e>0){for(var i="",o=0;o<e;o++)i+="    ";n+=i+"└─ "}n+="["+t.id+"] "+t.html,r.add(n),r.add({"@":t}),r.add("\n");for(var s=0,a=t.children;s<a.length;s+=1){var c=a[s];n+=this._branch(c,e+1,r)}};var h=new p,f=function(t){"loading"!==document.readyState?window.requestAnimationFrame(t):document.addEventListener("DOMContentLoaded",t)},d={AUTO:"auto",MANUAL:"manual",RUNTIME:"runtime",LOADED:"loaded",VUE:"vue",ANGULAR:"angular",REACT:"react"},y=function(t,e,r,n,i){void 0===r&&(r=null),void 0===n&&(n=!0),void 0===i&&(i=!1);var o={bubbles:!0===n,cancelable:!0===i};r&&(o.detail=r);var s=new CustomEvent(e,o);t.dispatchEvent(s)},b=function(t,e,r,n){return void 0===e&&(e=null),void 0===r&&(r=!1),void 0===n&&(n=!1),y(document.documentElement,t,e,r,n)},g=function(t){return n+"-"+t};g.selector=function(t,e){return void 0===e&&(e="."),""+e+g(t)},(g.attr=function(t){return"data-"+g(t)}).selector=function(t,e){var r=g.attr(t);return void 0!==e&&(r+='="'+e+'"'),"["+r+"]"},g.event=function(t){return i+"."+t},g.emission=function(t,e){return"emission:"+t+"."+e};var v={READY:g.event("ready"),START:g.event("start"),STOP:g.event("stop"),RENDER:g.event("render"),RESIZE:g.event("resize"),BREAKPOINT:g.event("breakpoint"),SCROLL_LOCK:g.event("scroll-lock"),SCROLL_UNLOCK:g.event("scroll-unlock")},m=function(){this._mode=d.AUTO,this.isStarted=!1,this.starting=this.start.bind(this),this.preventManipulation=!1},_={mode:{configurable:!0}};m.prototype.configure=function(t,e,r){void 0===t&&(t={}),this.startCallback=e;var n=t.production&&(!r||"false"!==r.production);switch(!0){case r&&!isNaN(r.level):h.level=Number(r.level);break;case r&&r.verbose&&("true"===r.verbose||1===r.verbose):h.level=0;break;case n:h.level=999;break;case t.verbose:h.level=0}h.info("version "+s),b(v.READY),this.mode=t.mode||d.AUTO},_.mode.set=function(t){switch(t){case d.AUTO:this.preventManipulation=!1,e=this.starting,f(e);break;case d.LOADED:this.preventManipulation=!1,f(this.starting);break;case d.RUNTIME:this.preventManipulation=!1,this.start();break;case d.MANUAL:this.preventManipulation=!1;break;case d.VUE:case d.ANGULAR:case d.REACT:this.preventManipulation=!0;break;default:return void h.error("Illegal mode")}var e;this._mode=t,h.info("mode set to "+t)},_.mode.get=function(){return this._mode},m.prototype.start=function(){h.info("start"),this.startCallback()},Object.defineProperties(m.prototype,_);var w=new m,S=function(){this._collection=[]},E={length:{configurable:!0},collection:{configurable:!0}};S.prototype.forEach=function(t){this._collection.forEach(t)},S.prototype.map=function(t){return this._collection.map(t)},E.length.get=function(){return this._collection.length},S.prototype.add=function(t){return!(this._collection.indexOf(t)>-1)&&(this._collection.push(t),this.onAdd&&this.onAdd(),this.onPopulate&&1===this._collection.length&&this.onPopulate(),!0)},S.prototype.remove=function(t){var e=this._collection.indexOf(t);if(-1===e)return!1;this._collection.splice(e,1),this.onRemove&&this.onRemove(),this.onEmpty&&0===this._collection.length&&this.onEmpty()},S.prototype.execute=function(){for(var t=[],e=arguments.length;e--;)t[e]=arguments[e];for(var r=0,n=this._collection;r<n.length;r+=1){var i=n[r];i&&i.apply(null,t)}},S.prototype.clear=function(){this._collection.length=0},S.prototype.clone=function(){var t=new S;return t._collection=this._collection.slice(),t},E.collection.get=function(){return this._collection},Object.defineProperties(S.prototype,E);var O=function(t){function e(e){t.call(this),this.type=e,this.isActive=!1}return t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e,e.prototype.activate=function(){},e.prototype.deactivate=function(){},e}(S),j=function(t,e){return Array.prototype.slice.call(t.querySelectorAll(e))},T=function(t,e){var r=t.parentElement;return r.matches(e)?r:r===document.documentElement?null:T(r,e)},P=function(t,e,r){this.selector=t,this.InstanceClass=e,this.creator=r,this.instances=new S,this.isIntroduced=!1,this._instanceClassName=this.InstanceClass.instanceClassName,this._instanceClassNames=this.getInstanceClassNames(this.InstanceClass),this._property=this._instanceClassName.substring(0,1).toLowerCase()+this._instanceClassName.substring(1);var n=this._instanceClassName.replace(/[^a-zA-Z0-9]+/g,"-").replace(/([A-Z]+)([A-Z][a-z])/g,"$1-$2").replace(/([a-z])([A-Z])/g,"$1-$2").replace(/([0-9])([^0-9])/g,"$1-$2").replace(/([^0-9])([0-9])/g,"$1-$2").toLowerCase();this._attribute=g.attr("js-"+n)},A={instanceClassName:{configurable:!0},instanceClassNames:{configurable:!0},property:{configurable:!0},attribute:{configurable:!0}};P.prototype.getInstanceClassNames=function(t){var e=Object.getPrototypeOf(t);return e&&"Instance"!==e.instanceClassName?this.getInstanceClassNames(e).concat([t.instanceClassName]):[t.instanceClassName]},P.prototype.hasInstanceClassName=function(t){return this._instanceClassNames.indexOf(t)>-1},P.prototype.introduce=function(){this.isIntroduced||(this.isIntroduced=!0,r.getModule("stage").parse(document.documentElement,this))},P.prototype.parse=function(t,e){var r=[];return t.matches&&t.matches(this.selector)&&r.push(t),!e&&t.querySelectorAll&&t.querySelector(this.selector)&&r.push.apply(r,j(t,this.selector)),r},P.prototype.create=function(t){if(t.node.matches(this.selector)){var e=new this.InstanceClass;return this.instances.add(e),e}},P.prototype.remove=function(t){this.instances.remove(t)},P.prototype.dispose=function(){for(var t=this.instances.collection,e=t.length-1;e>-1;e--)t[e]._dispose();this.creator=null},A.instanceClassName.get=function(){return this._instanceClassName},A.instanceClassNames.get=function(){return this._instanceClassNames},A.property.get=function(){return this._property},A.attribute.get=function(){return this._attribute},Object.defineProperties(P.prototype,A);var N=function(t){function e(){t.call(this,"register")}return t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e,e.prototype.register=function(t,e,n){var i=new P(t,e,n);return this.add(i),r.isActive&&i.introduce(),i},e.prototype.activate=function(){for(var t=0,e=this.collection;t<e.length;t+=1){e[t].introduce()}},e.prototype.remove=function(e){e.dispose(),t.prototype.remove.call(this,e)},e}(O),C=0,I=function(t,e){e?this.id=e:(C++,this.id=C),this.node=t,this.attributeNames=[],this.instances=[],this._children=[],this._parent=null,this._projects=[]},L={proxy:{configurable:!0},html:{configurable:!0},parent:{configurable:!0},ascendants:{configurable:!0},children:{configurable:!0},descendants:{configurable:!0}};L.proxy.get=function(){var t=this;if(!this._proxy){this._proxy={id:this.id,get parent(){return t.parent?t.parent.proxy:null},get children(){return t.children.map((function(t){return t.proxy}))}};for(var e=0,r=this.instances;e<r.length;e+=1){var n=r[e];this._proxy[n.registration.property]=n.proxy}}return this._proxy},L.html.get=function(){if(!this.node||!this.node.outerHTML)return"";var t=this.node.outerHTML.indexOf(">");return this.node.outerHTML.substring(0,t+1)},I.prototype.project=function(t){-1===this._projects.indexOf(t)&&this._projects.push(t)},I.prototype.populate=function(){var t=this._projects.slice();this._projects.length=0;for(var e=0,r=t;e<r.length;e+=1){var n=r[e];this.create(n)}},I.prototype.create=function(t){if(!this.hasInstance(t.instanceClassName)){h.debug("create instance of "+t.instanceClassName+" on element ["+this.id+"]");var e=t.create(this);this.instances.push(e),e._config(this,t),this._proxy&&(this._proxy[t.property]=e.proxy)}},I.prototype.remove=function(t){var e=this.instances.indexOf(t);e>-1&&this.instances.splice(e,1),this._proxy&&delete this._proxy[t.registration.property]},L.parent.get=function(){return this._parent},L.ascendants.get=function(){return[this.parent].concat(this.parent.ascendants)},L.children.get=function(){return this._children},L.descendants.get=function(){var t=[].concat(this._children);return this._children.forEach((function(e){return t.push.apply(t,e.descendants)})),t},I.prototype.addChild=function(t,e){return this._children.indexOf(t)>-1?null:(t._parent=this,!isNaN(e)&&e>-1&&e<this._children.length?this._children.splice(e,0,t):this._children.push(t),t)},I.prototype.removeChild=function(t){var e=this._children.indexOf(t);if(-1===e)return null;t._parent=null,this._children.splice(e,1)},I.prototype.emit=function(t,e){for(var n=[],i=0,o=r.getModule("stage").collection;i<o.length;i+=1){var s=o[i];n.push.apply(n,s._emit(t,e))}return n},I.prototype._emit=function(t,e){for(var r=[],n=0,i=this.instances;n<i.length;n+=1){var o=i[n];r.push.apply(r,o._emitter.emit(t,e))}return r},I.prototype.ascend=function(t,e){return this._parent?this._parent._ascend(t,e):[]},I.prototype._ascend=function(t,e){for(var r=[],n=0,i=this.instances;n<i.length;n+=1){var o=i[n];r.push.apply(r,o._ascent.emit(t,e))}return this._parent&&r.push.apply(r,this._parent._ascend(t,e)),r},I.prototype.descend=function(t,e){for(var r=[],n=0,i=this._children;n<i.length;n+=1){var o=i[n];r.push.apply(r,o._descend(t,e))}return r},I.prototype._descend=function(t,e){for(var r=[],n=0,i=this.instances;n<i.length;n+=1){var o=i[n];r.push.apply(r,o._descent.emit(t,e))}for(var s=0,a=this._children;s<a.length;s+=1){var c=a[s];r.push.apply(r,c._descend(t,e))}return r},I.prototype.getInstance=function(t){for(var e=0,r=this.instances;e<r.length;e+=1){var n=r[e];if(n.registration.hasInstanceClassName(t))return n}return null},I.prototype.hasInstance=function(t){return null!==this.getInstance(t)},I.prototype.getDescendantInstances=function(t,e,r){if(!t)return[];for(var n=[],i=0,o=this._children;i<o.length;i+=1){var s=o[i],a=s.getInstance(t);a&&(n.push(a),r)||(e&&s.hasInstance(e)||!s.children.length||n.push.apply(n,s.getDescendantInstances(t,e,r)))}return n},I.prototype.getAscendantInstance=function(t,e){if(!t||!this._parent)return null;var r=this._parent.getInstance(t);return r||(e&&this._parent.hasInstance(e)?null:this._parent.getAscendantInstance(t,e))},I.prototype.dispose=function(){for(var t=this.instances.length-1;t>=0;t--){var e=this.instances[t];e&&e._dispose()}this.instances.length=0,r.remove("stage",this),this.parent.removeChild(this),this._children.length=0,h.debug("remove element ["+this.id+"] "+this.html)},I.prototype.prepare=function(t){-1===this.attributeNames.indexOf(t)&&this.attributeNames.push(t)},I.prototype.examine=function(){var t=this.attributeNames.slice();this.attributeNames.length=0;for(var e=this.instances.length-1;e>-1;e--)this.instances[e].examine(t)},Object.defineProperties(I.prototype,L);var D={CLICK:g.emission("root","click"),KEYDOWN:g.emission("root","keydown"),KEYUP:g.emission("root","keyup")},M={TAB:{id:"tab",value:9},ESCAPE:{id:"escape",value:27},END:{id:"end",value:35},HOME:{id:"home",value:36},LEFT:{id:"left",value:37},UP:{id:"up",value:38},RIGHT:{id:"right",value:39},DOWN:{id:"down",value:40}},x=function(t){return Object.values(M).filter((function(e){return e.value===t}))[0]},R=function(t){function e(){t.call(this,document.documentElement,"root"),this.node.setAttribute(g.attr("js"),!0),this.listen()}return t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e,e.prototype.listen=function(){document.documentElement.addEventListener("click",this.click.bind(this),{capture:!0}),document.documentElement.addEventListener("keydown",this.keydown.bind(this),{capture:!0}),document.documentElement.addEventListener("keyup",this.keyup.bind(this),{capture:!0})},e.prototype.click=function(t){this.emit(D.CLICK,t.target)},e.prototype.keydown=function(t){this.emit(D.KEYDOWN,x(t.keyCode))},e.prototype.keyup=function(t){this.emit(D.KEYUP,x(t.keyCode))},e}(I),k=function(t){function e(){t.call(this,"stage"),this.root=new R,t.prototype.add.call(this,this.root),this.observer=new MutationObserver(this.mutate.bind(this)),this.modifications=[],this.willModify=!1,this.modifying=this.modify.bind(this)}return t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e,e.prototype.hasElement=function(t){for(var e=0,r=this.collection;e<r.length;e+=1){if(r[e].node===t)return!0}return!1},e.prototype.getElement=function(t){for(var e=0,r=this.collection;e<r.length;e+=1){var n=r[e];if(n.node===t)return n}var i=new I(t);return this.add(i),h.debug("add element ["+i.id+"] "+i.html),i},e.prototype.getProxy=function(t){return this.hasElement(t)?this.getElement(t).proxy:null},e.prototype.add=function(e){t.prototype.add.call(this,e),this.put(e,this.root)},e.prototype.put=function(t,e){for(var r=0,n=e.children.length-1;n>-1;n--){var i=e.children[n],o=t.node.compareDocumentPosition(i.node);if(o&Node.DOCUMENT_POSITION_CONTAINS)return void this.put(t,i);if(o&Node.DOCUMENT_POSITION_CONTAINED_BY)e.removeChild(i),t.addChild(i,0);else if(o&Node.DOCUMENT_POSITION_PRECEDING){r=n+1;break}}e.addChild(t,r)},e.prototype.activate=function(){this.observer.observe(document.documentElement,{childList:!0,subtree:!0,attributes:!0})},e.prototype.deactivate=function(){this.observer.disconnect()},e.prototype.mutate=function(t){var e=this,r=[];t.forEach((function(t){switch(t.type){case"childList":t.removedNodes.forEach((function(t){return e.dispose(t)})),t.addedNodes.forEach((function(t){return e.parse(t)}));break;case"attributes":if(e.hasElement(t.target)){var n=e.getElement(t.target);n.prepare(t.attributeName),-1===r.indexOf(n)&&r.push(n);for(var i=0,o=n.descendants;i<o.length;i+=1){var s=o[i];-1===r.indexOf(s)&&r.push(s)}}-1===e.modifications.indexOf(t.target)&&e.modifications.push(t.target)}})),r.forEach((function(t){return t.examine()})),this.modifications.length&&!this.willModify&&(this.willModify=!0,window.requestAnimationFrame(this.modifying))},e.prototype.modify=function(){this.willModify=!1;var t=this.modifications.slice();this.modifications.length=0;for(var e=0,r=t;e<r.length;e+=1){var n=r[e];document.documentElement.contains(n)&&this.parse(n)}},e.prototype.dispose=function(t){var e=[];this.forEach((function(r){t.contains(r.node)&&e.push(r)}));for(var r=0,n=e;r<n.length;r+=1){var i=n[r];i.dispose(),this.remove(i)}},e.prototype.parse=function(t,e,n){for(var i=[],o=0,s=e?[e]:r.getModule("register").collection;o<s.length;o+=1)for(var a=s[o],c=0,l=a.parse(t,n);c<l.length;c+=1){var u=l[c],p=this.getElement(u);p.project(a),-1===i.indexOf(p)&&i.push(p)}for(var h=0,f=i;h<f.length;h+=1){f[h].populate()}},e}(O),H=function(t){function e(){t.call(this,"render"),this.rendering=this.render.bind(this),this.nexts=new S}return t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e,e.prototype.activate=function(){window.requestAnimationFrame(this.rendering)},e.prototype.request=function(t){this.nexts.add(t)},e.prototype.render=function(){if(r.isActive&&(window.requestAnimationFrame(this.rendering),this.forEach((function(t){return t.render()})),this.nexts.length)){var t=this.nexts.clone();this.nexts.clear(),t.forEach((function(t){return t.next()})),b(v.RENDER)}},e}(O),G=function(t){function e(){t.call(this,"resize"),this.requireResize=!1,this.resizing=this.resize.bind(this);var e=this.request.bind(this);document.fonts&&document.fonts.ready.then(e),window.addEventListener("resize",e),window.addEventListener("orientationchange",e)}return t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e,e.prototype.activate=function(){this.request()},e.prototype.request=function(){this.requireResize||(this.requireResize=!0,window.requestAnimationFrame(this.resizing))},e.prototype.resize=function(){this.requireResize&&(this.forEach((function(t){return t.resize()})),this.requireResize=!1,b(v.RESIZE))},e}(O),F=function(t){function e(){t.call(this,"lock"),this._isLocked=!1,this._scrollY=0,this.onPopulate=this.lock.bind(this),this.onEmpty=this.unlock.bind(this)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={isLocked:{configurable:!0}};return r.isLocked.get=function(){return this._isLocked},e.prototype.lock=function(){if(!this._isLocked){this._isLocked=!0,this._scrollY=window.scrollY;var t=window.innerWidth-document.documentElement.clientWidth;document.documentElement.setAttribute(g.attr("scrolling"),"false"),document.body.style.top=-this._scrollY+"px",this.behavior=getComputedStyle(document.documentElement).getPropertyValue("scroll-behavior"),"smooth"===this.behavior&&(document.documentElement.style.scrollBehavior="auto"),t>0&&document.documentElement.style.setProperty("--scrollbar-width",t+"px"),b(v.SCROLL_LOCK)}},e.prototype.unlock=function(){this._isLocked&&(this._isLocked=!1,document.documentElement.removeAttribute(g.attr("scrolling")),document.body.style.top="",window.scrollTo(0,this._scrollY),"smooth"===this.behavior&&document.documentElement.style.removeProperty("scroll-behavior"),document.documentElement.style.removeProperty("--scrollbar-width"),b(v.SCROLL_UNLOCK))},e.prototype.move=function(t){this._isLocked?(this._scrollY+=t,document.body.style.top=-this._scrollY+"px"):window.scrollTo(0,window.scrollY+t)},Object.defineProperties(e.prototype,r),e}(O),$=function(t){function e(){t.call(this,"load"),this.loading=this.load.bind(this)}return t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e,e.prototype.activate=function(){window.addEventListener("load",this.loading)},e.prototype.load=function(){this.forEach((function(t){return t.load()}))},e}(O),U=["Marianne","Spectral"],B=function(t){function e(){t.call(this,"font-swap"),this.swapping=this.swap.bind(this)}return t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e,e.prototype.activate=function(){document.fonts&&document.fonts.addEventListener("loadingdone",this.swapping)},e.prototype.swap=function(){var t=U.filter((function(t){return document.fonts.check("16px "+t)}));this.forEach((function(e){return e.swapFont(t)}))},e}(O),z=function(t){function e(){t.call(this,"mouse-move"),this.requireMove=!1,this._isMoving=!1,this.moving=this.move.bind(this),this.requesting=this.request.bind(this),this.onPopulate=this.listen.bind(this),this.onEmpty=this.unlisten.bind(this)}return t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e,e.prototype.listen=function(){this._isMoving||(this._isMoving=!0,this.requireMove=!1,document.documentElement.addEventListener("mousemove",this.requesting))},e.prototype.unlisten=function(){this._isMoving&&(this._isMoving=!1,this.requireMove=!1,document.documentElement.removeEventListener("mousemove",this.requesting))},e.prototype.request=function(t){this._isMoving&&(this.point={x:t.clientX,y:t.clientY},this.requireMove||(this.requireMove=!0,window.requestAnimationFrame(this.moving)))},e.prototype.move=function(){var t=this;this.requireMove&&(this.forEach((function(e){return e.mouseMove(t.point)})),this.requireMove=!1)},e}(O),W=function(t){function e(){t.call(this,"hash"),this.handling=this.handle.bind(this),this.getLocationHash()}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={hash:{configurable:!0}};return e.prototype.activate=function(){window.addEventListener("hashchange",this.handling)},e.prototype.deactivate=function(){window.removeEventListener("hashchange",this.handling)},e.prototype._sanitize=function(t){return"#"===t.charAt(0)?t.substring(1):t},r.hash.set=function(t){var e=this._sanitize(t);this._hash!==e&&(window.location.hash=e)},r.hash.get=function(){return this._hash},e.prototype.getLocationHash=function(){var t=window.location.hash;this._hash=this._sanitize(t)},e.prototype.handle=function(t){var e=this;this.getLocationHash(),this.forEach((function(r){return r.handleHash(e._hash,t)}))},Object.defineProperties(e.prototype,r),e}(O),q=function(){r.create(N),r.create(k),r.create(H),r.create(G),r.create(F),r.create($),r.create(B),r.create(z),r.create(W);var t=r.getModule("register");this.register=t.register.bind(t)},K={isActive:{configurable:!0}};K.isActive.get=function(){return r.isActive},q.prototype.start=function(){h.debug("START"),r.isActive=!0,b(v.START)},q.prototype.stop=function(){h.debug("STOP"),r.isActive=!1,b(v.STOP)},Object.defineProperties(q.prototype,K);var V=new q,Y=function(){};Y.prototype.getColor=function(t,e,r,n){void 0===n&&(n={});var i="--"+t+"-"+e+"-"+r+X(n);return getComputedStyle(document.documentElement).getPropertyValue(i).trim()||null};var X=function(t){switch(!0){case t.hover:return"-hover";case t.active:return"-active";default:return""}},Q=new Y,Z=function(t){return"."===t.charAt(0)?t.substr(1):t},J=function(t){switch(!0){case!t.className:return[];case"string"==typeof t.className:return t.className.split(" ");case"string"==typeof t.className.baseVal:return t.className.baseVal.split(" ")}return[]},tt=function(t,e,r){e=Z(e);var n=J(t),i=n.indexOf(e);!0===r?i>-1&&n.splice(i,1):-1===i&&n.push(e),t.className=n.join(" ")},et=function(t,e){return tt(t,e)},rt=function(t,e){return tt(t,e,!0)},nt=function(t,e){return J(t).indexOf(Z(e))>-1},it=['[tabindex]:not([tabindex="-1"])',"a[href]","button:not([disabled])","input:not([disabled])","select:not([disabled])","textarea:not([disabled])","audio[controls]","video[controls]",'[contenteditable]:not([contenteditable="false"])',"details>summary:first-of-type","details","iframe"].join(),ot=function(t){return t.querySelectorAll(it)},st=0,at=function(t){if(!document.getElementById(t))return t;for(var e=!0,r=t;e;)t=r+"-"+ ++st,e=document.getElementById(t);return t},ct={addClass:et,hasClass:nt,removeClass:rt,queryParentSelector:T,querySelectorAllArray:j,queryActions:ot,uniqueId:at,dispatch:y},lt=function(t,e){void 0===t&&(t=0),void 0===e&&(e=0),this._width=t,this._height=e,this._content=""},ut={width:{configurable:!0},height:{configurable:!0},content:{configurable:!0}};ut.width.get=function(){return this._width},ut.width.set=function(t){this._width=t},ut.height.get=function(){return this._height},ut.height.set=function(t){this._height=t},ut.content.get=function(){return this._content},ut.content.set=function(t){this._content=t},lt.prototype.getDataURI=function(t){void 0===t&&(t=!1);var e="<svg xmlns='http://www.w3.org/2000/svg' viewbox='0 0 "+this._width+" "+this._height+"' width='"+this._width+"px' height='"+this._height+"px'>"+this._content+"</svg>";return e=e.replace(/#/gi,"%23"),t&&(e=(e=(e=(e=(e=e.replace(/</gi,"%3C")).replace(/>/gi,"%3E")).replace(/"/gi,"'")).replace(/{/gi,"%7B")).replace(/}/gi,"%7D")),"data:image/svg+xml;charset=utf8,"+e},Object.defineProperties(lt.prototype,ut);var pt={DataURISVG:lt},ht={supportLocalStorage:function(){try{return"localStorage"in window&&null!==window.localStorage}catch(t){return!1}},supportAspectRatio:function(){return!!window.CSS&&CSS.supports("aspect-ratio: 16 / 9")}},ft={TransitionSelector:{NONE:g.selector("transition-none")}},dt=function(t){for(var e=[],r=arguments.length-1;r-- >0;)e[r]=arguments[r+1];return e.forEach((function(e){var r=Object.keys(e).reduce((function(t,r){return t[r]=Object.getOwnPropertyDescriptor(e,r),t}),{});Object.getOwnPropertySymbols(e).forEach((function(t){var n=Object.getOwnPropertyDescriptor(e,t);n.enumerable&&(r[t]=n)})),Object.defineProperties(t,r)})),t},yt={completeAssign:dt},bt={},gt={};Object.defineProperty(gt,"isLegacy",{get:function(){return r.isLegacy}}),gt.setLegacy=function(){r.isLegacy=!0},bt.legacy=gt,bt.dom=ct,bt.image=pt,bt.support=ht,bt.motion=ft,bt.property=yt,bt.ns=g,bt.register=V.register,bt.state=r,bt.query=function(t){if(t&&t.search){var e=new URLSearchParams(window.location.search).entries();return Object.fromEntries(e)}return null}(window.location),Object.defineProperty(bt,"preventManipulation",{get:function(){return w.preventManipulation}}),Object.defineProperty(bt,"stage",{get:function(){return r.getModule("stage")}});var vt=function(t){return r.getModule("stage").getProxy(t)};vt.version=s,vt.prefix=n,vt.organisation=o,vt.Modes=d,Object.defineProperty(vt,"mode",{set:function(t){w.mode=t},get:function(){return w.mode}}),vt.internals=bt,vt.version=s,vt.start=V.start,vt.stop=V.stop,vt.inspector=h,vt.colors=Q;var mt=window[i];vt.internals.configuration=mt,w.configure(mt,vt.start,vt.internals.query),window[i]=vt;var _t=function(){this.emissions={}};_t.prototype.add=function(t,e){if("function"!=typeof e)throw new Error("closure must be a function");this.emissions[t]||(this.emissions[t]=[]),this.emissions[t].push(e)},_t.prototype.remove=function(t,e){if(this.emissions[t])if(e){var r=this.emissions[t].indexOf(e);r>-1&&this.emissions[t].splice(r)}else delete this.emissions[t]},_t.prototype.emit=function(t,e){if(!this.emissions[t])return[];for(var r=[],n=0,i=this.emissions[t];n<i.length;n+=1){var o=i[n];o&&r.push(o(e))}return r},_t.prototype.dispose=function(){this.emissions=null};var wt=function(){this._activeElements=[],window.document.addEventListener("focusin",this._onFocusIn.bind(this))},St={index:{configurable:!0}};wt.prototype._onFocusIn=function(t){this._activeElements.push(t.target)},St.index.get=function(){return this._activeElements.length-1},wt.prototype.focus=function(t){var e=this._activeElements[t];switch(!0){case t<0:case 0===this._activeElements.length:return void this.focusOnLogo();case!e:case!document.documentElement.contains(e):case!this._isDisplayed(e):return void this.focus(t-1)}e.focus()},wt.prototype.focusOnLogo=function(){var t=document.querySelector(vt.header.HeaderSelector.BRAND_LINK);t&&t.focus()},wt.prototype._isDisplayed=function(t){for(;t&&t!==document.documentElement;){if(t===document.body)return!0;var e=window.getComputedStyle(t);if("none"===e.display||"hidden"===e.visibility)return!1;t=t.parentElement}return!0},Object.defineProperties(wt.prototype,St);var Et=new wt,Ot=function(t,e){this.id=t,this.minWidth=e};Ot.prototype.test=function(){return window.matchMedia("(min-width: "+this.minWidth+"em)").matches};var jt={XS:new Ot("xs",0),SM:new Ot("sm",36),MD:new Ot("md",48),LG:new Ot("lg",62),XL:new Ot("xl",78)},Tt={CLICK:g.event("click")},Pt=function(t){void 0===t&&(t=!0),this.jsAttribute=t,this._isRendering=!1,this._isResizing=!1,this._isScrollLocked=!1,this._isLoading=!1,this._isSwappingFont=!1,this._isEnabled=!0,this._isDisposed=!1,this._listeners={},this._handlingClick=this._handleClick.bind(this),this._hashes=[],this._hash="",this._keyListenerTypes=[],this._keys=[],this.handlingKey=this.handleKey.bind(this),this._emitter=new _t,this._ascent=new _t,this._descent=new _t,this._registrations=[],this._nexts=[]},At={proxy:{configurable:!0},hash:{configurable:!0},isEnabled:{configurable:!0},isRendering:{configurable:!0},isResizing:{configurable:!0},isScrollLocked:{configurable:!0},isLoading:{configurable:!0},isSwappingFont:{configurable:!0},isMouseMoving:{configurable:!0},isDisposed:{configurable:!0},style:{configurable:!0},classNames:{configurable:!0},hasFocus:{configurable:!0},isLegacy:{configurable:!0}},Nt={instanceClassName:{configurable:!0}};Nt.instanceClassName.get=function(){return"Instance"},Pt.prototype._config=function(t,e){this.element=t,this.registration=e,this.node=t.node,this.id=t.node.id,this.jsAttribute&&this.setAttribute(e.attribute,!0),this.init()},Pt.prototype.init=function(){},At.proxy.get=function(){var t=this;return dt({render:function(){return t.render()},resize:function(){return t.resize()}},{get node(){return t.node},get isEnabled(){return t.isEnabled},set isEnabled(e){t.isEnabled=e}})},Pt.prototype.log=function(){for(var t=[],e=arguments.length;e--;)t[e]=arguments[e];t.unshift(this.registration.instanceClassName+" #"+this.id+" - "),h.log.apply(h,t)},Pt.prototype.debug=function(){for(var t=[],e=arguments.length;e--;)t[e]=arguments[e];t.unshift(this.registration.instanceClassName+" #"+this.id+" - "),h.debug.apply(h,t)},Pt.prototype.info=function(){for(var t=[],e=arguments.length;e--;)t[e]=arguments[e];t.unshift(this.registration.instanceClassName+" #"+this.id+" - "),h.info.apply(h,t)},Pt.prototype.warn=function(){for(var t=[],e=arguments.length;e--;)t[e]=arguments[e];t.unshift(this.registration.instanceClassName+" #"+this.id+" - "),h.warn.apply(h,t)},Pt.prototype.error=function(){for(var t=[],e=arguments.length;e--;)t[e]=arguments[e];t.unshift(this.registration.instanceClassName+" #"+this.id+" - "),h.error.apply(h,t)},Pt.prototype.register=function(t,e){var n=r.getModule("register").register(t,e,this);this._registrations.push(n)},Pt.prototype.getRegisteredInstances=function(t){for(var e=0,r=this._registrations;e<r.length;e+=1){var n=r[e];if(n.hasInstanceClassName(t))return n.instances.collection}return[]},Pt.prototype.dispatch=function(t,e,r,n){void 0===e&&(e=null),void 0===r&&(r=!0),void 0===n&&(n=!1),y(this.node,t,e,r,n)},Pt.prototype.listen=function(t,e,r){this._listeners[t]||(this._listeners[t]=[]);var n=this._listeners[t],i=new It(this.node,t,e,r);n.push(i),i.listen()},Pt.prototype.unlisten=function(t,e,r){var n=this;if(t){var i=this._listeners[t];if(i)if(e){var o=i.filter((function(t){return t.closure===e&&t.matchOptions(r)}));o.forEach((function(t){return t.unlisten()})),this._listeners[t]=i.filter((function(t){return-1===o.indexOf(t)}))}else i.forEach((function(e){return n.unlisten(t,e.closure)}))}else for(var s in this._listeners)this.unlisten(s)},Pt.prototype.listenClick=function(t){this.listen("click",this._handlingClick,t)},Pt.prototype.unlistenClick=function(t){this.unlisten("click",this._handlingClick,t)},Pt.prototype._handleClick=function(t){this.handleClick(t),this.dispatch(Tt.CLICK,this)},Pt.prototype.handleClick=function(t){},At.hash.set=function(t){r.getModule("hash").hash=t},At.hash.get=function(){return r.getModule("hash").hash},Pt.prototype.listenHash=function(t,e){if(this._hashes){0===this._hashes.length&&r.add("hash",this);var n=new Dt(t,e);this._hashes=this._hashes.filter((function(e){return e.hash!==t})),this._hashes.push(n)}},Pt.prototype.unlistenHash=function(t){this._hashes&&(this._hashes=this._hashes.filter((function(e){return e.hash!==t})),0===this._hashes.length&&r.remove("hash",this))},Pt.prototype.handleHash=function(t,e){if(this._hashes)for(var r=0,n=this._hashes;r<n.length;r+=1){n[r].handle(t,e)}},Pt.prototype.listenKey=function(t,e,r,n,i){void 0===r&&(r=!1),void 0===n&&(n=!1),void 0===i&&(i="down"),-1===this._keyListenerTypes.indexOf(i)&&(this.listen("key"+i,this.handlingKey),this._keyListenerTypes.push(i)),this._keys.push(new Ct(i,t,e,r,n))},Pt.prototype.unlistenKey=function(t,e){var r=this;this._keys=this._keys.filter((function(r){return r.code!==t||r.closure!==e})),this._keyListenerTypes.forEach((function(t){r._keys.some((function(e){return e.type===t}))||r.unlisten("key"+t,r.handlingKey)}))},Pt.prototype.handleKey=function(t){for(var e=0,r=this._keys;e<r.length;e+=1){r[e].handle(t)}},At.isEnabled.get=function(){return this._isEnabled},At.isEnabled.set=function(t){this._isEnabled=t},At.isRendering.get=function(){return this._isRendering},At.isRendering.set=function(t){this._isRendering!==t&&(t?r.add("render",this):r.remove("render",this),this._isRendering=t)},Pt.prototype.render=function(){},Pt.prototype.request=function(t){this._nexts.push(t),r.getModule("render").request(this)},Pt.prototype.next=function(){var t=this._nexts.slice();this._nexts.length=0;for(var e=0,r=t;e<r.length;e+=1){var n=r[e];n&&n()}},At.isResizing.get=function(){return this._isResizing},At.isResizing.set=function(t){this._isResizing!==t&&(t?(r.add("resize",this),this.resize()):r.remove("resize",this),this._isResizing=t)},Pt.prototype.resize=function(){},Pt.prototype.isBreakpoint=function(t){return!0==("string"==typeof t)?jt[t.toUpperCase()].test():t.test()},At.isScrollLocked.get=function(){return this._isScrollLocked},At.isScrollLocked.set=function(t){this._isScrollLocked!==t&&(t?r.add("lock",this):r.remove("lock",this),this._isScrollLocked=t)},At.isLoading.get=function(){return this._isLoading},At.isLoading.set=function(t){this._isLoading!==t&&(t?r.add("load",this):r.remove("load",this),this._isLoading=t)},Pt.prototype.load=function(){},At.isSwappingFont.get=function(){return this._isSwappingFont},At.isSwappingFont.set=function(t){this._isSwappingFont!==t&&(t?r.add("font-swap",this):r.remove("font-swap",this),this._isSwappingFont=t)},Pt.prototype.swapFont=function(){},At.isMouseMoving.get=function(){return this._isMouseMoving},At.isMouseMoving.set=function(t){this._isMouseMoving!==t&&(t?r.add("mouse-move",this):r.remove("mouse-move",this),this._isMouseMoving=t)},Pt.prototype.mouseMove=function(t){},Pt.prototype.examine=function(t){this.node.matches(this.registration.selector)?this.mutate(t):this._dispose()},Pt.prototype.mutate=function(t){},Pt.prototype.retrieveNodeId=function(t,e){if(t.id)return t.id;var r=at(this.id+"-"+e);return this.warn("add id '"+r+"' to "+e),t.setAttribute("id",r),r},At.isDisposed.get=function(){return this._isDisposed},Pt.prototype._dispose=function(){this.debug("dispose instance of "+this.registration.instanceClassName+" on element ["+this.element.id+"]"),this.removeAttribute(this.registration.attribute),this.unlisten(),r.remove("hash",this),this._hashes=null,this._keys=null,this.isRendering=!1,this.isResizing=!1,this._nexts=null,r.getModule("render").nexts.remove(this),this.isScrollLocked=!1,this.isLoading=!1,this.isSwappingFont=!1,this.isMouseMoving=!1,this._emitter.dispose(),this._emitter=null,this._ascent.dispose(),this._ascent=null,this._descent.dispose(),this._descent=null,this.element.remove(this);for(var t=0,e=this._registrations;t<e.length;t+=1){var n=e[t];r.remove("register",n)}this._registrations=null,this.registration.remove(this),this._isDisposed=!0,this.dispose()},Pt.prototype.dispose=function(){},Pt.prototype.emit=function(t,e){return this.element.emit(t,e)},Pt.prototype.addEmission=function(t,e){this._emitter.add(t,e)},Pt.prototype.removeEmission=function(t,e){this._emitter.remove(t,e)},Pt.prototype.ascend=function(t,e){return this.element.ascend(t,e)},Pt.prototype.addAscent=function(t,e){this._ascent.add(t,e)},Pt.prototype.removeAscent=function(t,e){this._ascent.remove(t,e)},Pt.prototype.descend=function(t,e){return this.element.descend(t,e)},Pt.prototype.addDescent=function(t,e){this._descent.add(t,e)},Pt.prototype.removeDescent=function(t,e){this._descent.remove(t,e)},At.style.get=function(){return this.node.style},Pt.prototype.addClass=function(t){et(this.node,t)},Pt.prototype.removeClass=function(t){rt(this.node,t)},Pt.prototype.hasClass=function(t){return nt(this.node,t)},At.classNames.get=function(){return J(this.node)},Pt.prototype.remove=function(){this.node.parentNode.removeChild(this.node)},Pt.prototype.setAttribute=function(t,e){this.node.setAttribute(t,e)},Pt.prototype.getAttribute=function(t){return this.node.getAttribute(t)},Pt.prototype.hasAttribute=function(t){return this.node.hasAttribute(t)},Pt.prototype.removeAttribute=function(t){this.node.removeAttribute(t)},Pt.prototype.setProperty=function(t,e){this.node.style.setProperty(t,e)},Pt.prototype.removeProperty=function(t){this.node.style.removeProperty(t)},Pt.prototype.focus=function(){this.node.focus()},Pt.prototype.blur=function(){this.node.blur()},Pt.prototype.retainFocus=function(){this._focusIndex=Et.index},Pt.prototype.focusBack=function(){Et.focus(this._focusIndex)},Pt.prototype.focusClosest=function(){var t=this._focusClosest(this.node.parentNode);t&&t.focus()},Pt.prototype._focusClosest=function(t){if(!t)return null;var e=[].concat(ot(t));if(e.length<=1)return this._focusClosest(t.parentNode);var r=e.indexOf(this.node);return e[r+(r<e.length-1?1:-1)]},At.hasFocus.get=function(){return this.node===document.activeElement},Pt.prototype.scrollIntoView=function(){var t=this.getRect(),e=r.getModule("lock");t.top<0&&e.move(t.top-50),t.bottom>window.innerHeight&&e.move(t.bottom-window.innerHeight+50)},Pt.prototype.matches=function(t){return this.node.matches(t)},Pt.prototype.querySelector=function(t){return this.node.querySelector(t)},Pt.prototype.querySelectorAll=function(t){return j(this.node,t)},Pt.prototype.queryParentSelector=function(t){return T(this.node,t)},Pt.prototype.getRect=function(){var t=this.node.getBoundingClientRect();return t.center=t.left+.5*t.width,t.middle=t.top+.5*t.height,t},At.isLegacy.get=function(){return r.isLegacy},Object.defineProperties(Pt.prototype,At),Object.defineProperties(Pt,Nt);var Ct=function(t,e,r,n,i){this.type=t,this.eventType="key"+t,this.keyCode=e,this.closure=r,this.preventDefault=!0===n,this.stopPropagation=!0===i};Ct.prototype.handle=function(t){t.type===this.eventType&&t.keyCode===this.keyCode.value&&(this.closure(t),this.preventDefault&&t.preventDefault(),this.stopPropagation&&t.stopPropagation())};var It=function(t,e,r,n){this._node=t,this._type=e,this._closure=r,this._options=n},Lt={closure:{configurable:!0}};Lt.closure.get=function(){return this._closure},It.prototype.listen=function(){this._node.addEventListener(this._type,this._closure,this._options)},It.prototype.matchOptions=function(t){var e=this;switch(void 0===t&&(t=null),!0){case null===t:case"boolean"==typeof this._options&&"boolean"==typeof t&&this._options===t:return!0;case Object.keys(this._options).length!==Object.keys(t).length:return!1;case Object.keys(t).every((function(r){return e._options[r]===t[r]})):return!0}return!1},It.prototype.unlisten=function(){this._node.removeEventListener(this._type,this._closure,this._options)},Object.defineProperties(It.prototype,Lt);var Dt=function(t,e){this.hash=t,this.add=e};Dt.prototype.handle=function(t,e){this.hash===t&&this.add(e)};var Mt={DISCLOSE:g.event("disclose"),CONCEAL:g.event("conceal"),CURRENT:g.event("current")},xt={RESET:g.emission("disclosure","reset"),ADDED:g.emission("disclosure","added"),RETRIEVE:g.emission("disclosure","retrieve"),REMOVED:g.emission("disclosure","removed"),GROUP:g.emission("disclosure","group"),UNGROUP:g.emission("disclosure","ungroup"),SPOTLIGHT:g.emission("disclosure","spotlight")},Rt=function(t){function e(e,r,n,i){t.call(this),this.type=e,this._selector=r,this.DisclosureButtonInstanceClass=n,this.disclosuresGroupInstanceClassName=i,this.modifier=this._selector+"--"+this.type.id,this._isPristine=!0,this._isActive=!0,this._isRetrievingPrimaries=!1,this._hasRetrieved=!1,this._primaryButtons=[]}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={isEnabled:{configurable:!0},isActive:{configurable:!0},isPristine:{configurable:!0},proxy:{configurable:!0},buttons:{configurable:!0},group:{configurable:!0},isDisclosed:{configurable:!0},isInitiallyDisclosed:{configurable:!0},buttonHasFocus:{configurable:!0},hasFocus:{configurable:!0},primaryButtons:{configurable:!0}},n={instanceClassName:{configurable:!0}};return n.instanceClassName.get=function(){return"Disclosure"},e.prototype.init=function(){this.addDescent(xt.RESET,this.reset.bind(this)),this.addDescent(xt.GROUP,this.update.bind(this)),this.addDescent(xt.UNGROUP,this.update.bind(this)),this.addAscent(xt.SPOTLIGHT,this.disclose.bind(this)),this.register('[aria-controls="'+this.id+'"]',this.DisclosureButtonInstanceClass),this.ascend(xt.ADDED),this.listenHash(this.id,this._spotlight.bind(this)),this.update()},r.isEnabled.get=function(){return t.prototype.isEnabled},r.isEnabled.set=function(e){this.isEnabled!==e&&(t.prototype.isEnabled=e,e?this.ascend(xt.ADDED):this.ascend(xt.REMOVED))},r.isActive.get=function(){return this._isActive},r.isActive.set=function(t){this._isActive!==t&&(this._isActive=t,t?this.ascend(xt.ADDED):(this.ascend(xt.REMOVED),this.isDisclosed&&this.conceal()))},r.isPristine.get=function(){return this._isPristine},r.proxy.get=function(){var e=this,r=Object.assign.call(this,t.prototype.proxy,{disclose:e.disclose.bind(e),focus:e.focus.bind(e)});return this.type.canConceal&&(r.conceal=e.conceal.bind(e)),dt(r,{get buttons(){return e.buttons.map((function(t){return t.proxy}))},get group(){var t=e.group;return t?t.proxy:null},get isDisclosed(){return e.isDisclosed},get isEnabled(){return e.isEnabled},get isActive(){return e.isActive}})},r.buttons.get=function(){return this.getRegisteredInstances(this.DisclosureButtonInstanceClass.instanceClassName)},e.prototype.update=function(){this.getGroup(),this.retrievePrimaries()},e.prototype.getGroup=function(){if(this.disclosuresGroupInstanceClassName){var t=this.element.getAscendantInstance(this.disclosuresGroupInstanceClassName,this.constructor.instanceClassName);t&&t.validate(this)?this._group=t:this._group=null}else this._group=null},r.group.get=function(){return this._group},e.prototype.disclose=function(t){return!(!0===this.isDisclosed||!this.isEnabled||!this._isActive)&&(this.retainFocus(),this._isPristine=!1,this.isDisclosed=!0,!t&&this.group&&(this.group.current=this),!0)},e.prototype.conceal=function(t,e){return void 0===e&&(e=!0),!1!==this.isDisclosed&&(!(!this.type.canConceal&&this.group&&this.group.current===this)&&(this.isDisclosed=!1,!t&&this.group&&this.group.current===this&&(this.group.current=null),e||this.focus(),this._isPristine||this.descend(xt.RESET),!0))},r.isDisclosed.get=function(){return this._isDisclosed},r.isDisclosed.set=function(t){if(this._isDisclosed!==t&&(this.isEnabled||!0!==t)){this._isPristine||this.dispatch(t?Mt.DISCLOSE:Mt.CONCEAL,this),this._isDisclosed=t,t?this.addClass(this.modifier):this.removeClass(this.modifier);for(var e=0;e<this.buttons.length;e++)this.buttons[e].apply(t)}},r.isInitiallyDisclosed.get=function(){return this.primaryButtons.some((function(t){return t.isInitiallyDisclosed}))},e.prototype.hasRetrieved=function(){return this._hasRetrieved},e.prototype.reset=function(){},e.prototype.toggle=function(t){if(this.type.canConceal)switch(!0){case!t:case this.isDisclosed:this.conceal(!1,!1);break;default:this.disclose()}else this.disclose()},r.buttonHasFocus.get=function(){return this.buttons.some((function(t){return t.hasFocus}))},r.hasFocus.get=function(){return!!t.prototype.hasFocus||(!!this.buttonHasFocus||this.querySelectorAll(":focus").length>0)},e.prototype.focus=function(){this._primaryButtons.length>0?this._primaryButtons[0].focus():this.focusBack()},r.primaryButtons.get=function(){return this._primaryButtons},e.prototype.retrievePrimaries=function(){this._isRetrievingPrimaries||(this._isRetrievingPrimaries=!0,this.request(this._retrievePrimaries.bind(this)))},e.prototype._retrievePrimaries=function(){if(this._isRetrievingPrimaries=!1,this._primaryButtons=this._electPrimaries(this.buttons),!(this._hasRetrieved||0===this._primaryButtons.length&&this.type.requirePrimary))if(this.retrieved(),this._hasRetrieved=!0,this.applyAbility(!0),this.group)this.group.retrieve();else if(this._isPristine&&this.isEnabled&&this.isActive&&!this.group)switch(!0){case this.hash===this.id:this._spotlight();break;case this.isInitiallyDisclosed:this.disclose()}},e.prototype.retrieved=function(){},e.prototype._spotlight=function(){var t=this;this.disclose(),this.request((function(){t.ascend(xt.SPOTLIGHT)}))},e.prototype._electPrimaries=function(t){var e=this;return t.filter((function(t){return t.canDisclose&&!e.node.contains(t.node)}))},e.prototype.applyAbility=function(t){void 0===t&&(t=!1);var e=!this.type.requirePrimary||this._primaryButtons.some((function(t){return!t.isDisabled}));this.isEnabled!==e&&(this.isEnabled=e,t||(!this.isEnabled&&this.isDisclosed&&(this.group?this.ascend(xt.REMOVED):this.type.canConceal&&this.conceal()),this.isEnabled&&(this.group&&this.ascend(xt.ADDED),this.hash===this.id&&this._spotlight())))},e.prototype.dispose=function(){this._group=null,this._primaryButtons=null,t.prototype.dispose.call(this),this.ascend(xt.REMOVED)},Object.defineProperties(e.prototype,r),Object.defineProperties(e,n),e}(Pt),kt=function(t){function e(e){t.call(this),this.type=e,this.attributeName=e.ariaState?"aria-"+e.id:g.attr(e.id),this._canDisclose=!1}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={isPrimary:{configurable:!0},canDisclose:{configurable:!0},isDisabled:{configurable:!0},proxy:{configurable:!0},isDisclosed:{configurable:!0},isInitiallyDisclosed:{configurable:!0},dx:{configurable:!0},dy:{configurable:!0}},n={instanceClassName:{configurable:!0}};return n.instanceClassName.get=function(){return"DisclosureButton"},r.isPrimary.get=function(){return this.registration.creator.primaryButtons.includes(this)},r.canDisclose.get=function(){return this._canDisclose},r.isDisabled.get=function(){return this.type.canDisable&&this.hasAttribute("disabled")},e.prototype.init=function(){this._canDisclose=this.hasAttribute(this.attributeName),this._isInitiallyDisclosed=this.isDisclosed,this._isContained=this.registration.creator.node.contains(this.node),this.controlsId=this.getAttribute("aria-controls"),this.registration.creator.retrievePrimaries(),this.listenClick()},r.proxy.get=function(){return Object.assign.call(this,t.prototype.proxy,{focus:this.focus.bind(this)})},e.prototype.handleClick=function(t){this.registration.creator&&this.registration.creator.toggle(this.canDisclose)},e.prototype.mutate=function(t){this._canDisclose=this.hasAttribute(this.attributeName),this.registration.creator.applyAbility(),!this._isApplying&&this.isPrimary&&t.indexOf(this.attributeName)>-1&&this.registration.creator&&(this.isDisclosed?this.registration.creator.disclose():this.type.canConceal&&this.registration.creator.conceal())},e.prototype.apply=function(t){var e=this;this.canDisclose&&(this._isApplying=!0,this.setAttribute(this.attributeName,t),this.request((function(){e._isApplying=!1})))},r.isDisclosed.get=function(){return"true"===this.getAttribute(this.attributeName)},r.isInitiallyDisclosed.get=function(){return this._isInitiallyDisclosed},e.prototype.focus=function(){t.prototype.focus.call(this),this.scrollIntoView()},e.prototype.measure=function(t){var e=this.rect;this._dx=t.x-e.x,this._dy=t.y-e.y},r.dx.get=function(){return this._dx},r.dy.get=function(){return this._dy},Object.defineProperties(e.prototype,r),Object.defineProperties(e,n),e}(Pt),Ht={PREVENT_CONCEAL:g.attr.selector("prevent-conceal"),GROUP:g.attr("group")},Gt=function(t){function e(e,r){t.call(this,r),this.disclosureInstanceClassName=e,this._members=[],this._index=-1,this._isRetrieving=!1,this._hasRetrieved=!1,this._isGrouped=!0}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={proxy:{configurable:!0},members:{configurable:!0},length:{configurable:!0},index:{configurable:!0},current:{configurable:!0},hasFocus:{configurable:!0},isGrouped:{configurable:!0},canUngroup:{configurable:!0}},n={instanceClassName:{configurable:!0}};return n.instanceClassName.get=function(){return"DisclosuresGroup"},e.prototype.init=function(){this.addAscent(xt.ADDED,this.update.bind(this)),this.addAscent(xt.RETRIEVE,this.retrieve.bind(this)),this.addAscent(xt.REMOVED,this.update.bind(this)),this.descend(xt.GROUP),this._isGrouped="false"!==this.getAttribute(Ht.GROUP),this.update()},r.proxy.get=function(){var e=this,r={set index(t){e.index=t},get index(){return e.index},get length(){return e.length},get current(){var t=e.current;return t?t.proxy:null},get members(){return e.members.map((function(t){return t.proxy}))},get hasFocus(){return e.hasFocus},set isGrouped(t){e.isGrouped=t},get isGrouped(){return e.isGrouped}};return dt.call(this,t.prototype.proxy,r)},e.prototype.validate=function(t){return!0},e.prototype.getMembers=function(){var t=this,e=this.element.getDescendantInstances(this.disclosureInstanceClassName,this.constructor.instanceClassName,!0);this._members=e.filter(this.validate.bind(this)).filter((function(t){return t.isEnabled&&t.isActive})),e.filter((function(e){return!t._members.includes(e)})).forEach((function(t){return t.conceal()}))},e.prototype.retrieve=function(t){void 0===t&&(t=!1),this._isRetrieving||this._hasRetrieved&&!t||(this._isRetrieving=!0,this.request(this._retrieve.bind(this)))},e.prototype._retrieve=function(){var t=this;if(this.getMembers(),this._isRetrieving=!1,this._hasRetrieved=!0,this.isGrouped){if(this.hash)for(var e=0;e<this.length;e++){var r=this.members[e];if(this.hash===r.id)return this.index=e,this.request((function(){t.ascend(xt.SPOTLIGHT)})),e}for(var n=0;n<this.length;n++){if(this.members[n].isInitiallyDisclosed)return this.index=n,n}return this.getIndex()}for(var i=0;i<this.length;i++){var o=this.members[i];o.isInitiallyDisclosed&&o.disclose(!0)}},e.prototype.update=function(){this.getMembers(),this._hasRetrieved&&this.isGrouped&&this.getIndex()},r.members.get=function(){return this._members},r.length.get=function(){return this.members?this.members.length:0},e.prototype.getIndex=function(t){void 0===t&&(t=-1),this._index=void 0;for(var e=t,r=0;r<this.length;r++)if(this.members[r].isDisclosed){e=r;break}return this.index=e,e},r.index.get=function(){return this._index},r.index.set=function(t){if(!(t<-1||t>=this.length||t===this._index)){this._index=t;for(var e=0;e<this.length;e++){var r=this.members[e];t===e?r.isDisclosed||r.disclose(!0):!this.isGrouped&&this.canUngroup||!1===r.isDisclosed||r.conceal(!0)}this.apply(),this.dispatch(Mt.CURRENT,this.current)}},r.current.get=function(){return-1===this._index||isNaN(this._index)?null:this._members[this._index]||null},r.current.set=function(t){this.index=this.members.indexOf(t)},r.hasFocus.get=function(){var t=this.current;return!!t&&t.hasFocus},r.isGrouped.set=function(t){var e=!!t;this._isGrouped!==e&&(this._isGrouped=e,this.setAttribute(Ht.GROUP,!!t),this.update())},r.isGrouped.get=function(){return this._isGrouped},r.canUngroup.get=function(){return!1},e.prototype.mutate=function(t){t.includes(Ht.GROUP)&&(this.isGrouped="false"!==this.getAttribute(Ht.GROUP))},e.prototype.apply=function(){},e.prototype.dispose=function(){t.prototype.dispose.call(this),this.descend(xt.UNGROUP),this._members=null},Object.defineProperties(e.prototype,r),Object.defineProperties(e,n),e}(Pt),Ft={EXPAND:{id:"expanded",ariaState:!0,ariaControls:!0,canConceal:!0,canDisable:!0,requirePrimary:!0},SELECT:{id:"selected",ariaState:!0,ariaControls:!0,canConceal:!1,canDisable:!0,requirePrimary:!0},OPENED:{id:"opened",ariaState:!1,ariaControls:!0,canConceal:!0,canDisable:!1,requirePrimary:!1}},$t=function(t){function e(){t.call(this,Ft.EXPAND)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={instanceClassName:{configurable:!0}};return r.instanceClassName.get=function(){return"CollapseButton"},Object.defineProperties(e,r),e}(kt),Ut={COLLAPSE:g.selector("collapse"),COLLAPSING:g.selector("collapsing")},Bt=function(t){function e(){t.call(this,Ft.EXPAND,Ut.COLLAPSE,$t,"CollapsesGroup")}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={instanceClassName:{configurable:!0}};return r.instanceClassName.get=function(){return"Collapse"},e.prototype.init=function(){t.prototype.init.call(this),this.listen("transitionend",this.endCollapsing.bind(this))},e.prototype.endCollapsing=function(t){this._isCollpasing&&(this._timeout&&clearTimeout(this._timeout),this._timeout=null,this._isCollpasing=!1,this.removeClass(Ut.COLLAPSING),this.isDisclosed||this.isLegacy&&(this.style.maxHeight=""))},e.prototype.unbound=function(){this.isLegacy&&(this.style.maxHeight="none")},e.prototype.disclose=function(e){var r=this;if(!0===this.isDisclosed||!this.isEnabled)return!1;this.unbound(),this.collapsing((function(){return t.prototype.disclose.call(r,e)}))},e.prototype.conceal=function(e,r){var n=this;if(!1===this.isDisclosed)return!1;this.collapsing((function(){return t.prototype.conceal.call(n,e,r)}))},e.prototype.collapsing=function(t){var e=this;this._isCollpasing=!0,this._timeout&&clearTimeout(this._timeout),this.addClass(Ut.COLLAPSING),this.adjust(),this.request((function(){t(),e._timeout=setTimeout(e.endCollapsing.bind(e),500)}))},e.prototype.adjust=function(){this.setProperty("--collapser","none");var t=this.node.offsetHeight;this.setProperty("--collapse",-t+"px"),this.setProperty("--collapser","")},e.prototype.reset=function(){this.isPristine||(this.isDisclosed=!1)},e.prototype._electPrimaries=function(e){var r=this.element.parent.instances.map((function(t){return t.collapsePrimary})).filter((function(t){return void 0!==t&&e.indexOf(t)>-1}));if(1===r.length)return r;if(1===(e=t.prototype._electPrimaries.call(this,e)).length)return e;var n=e.filter((function(t){return t.dy>=0}));if(n.length>0&&(e=n),1===e.length)return e;var i=Math.min.apply(Math,e.map((function(t){return t.dy}))),o=e.filter((function(t){return t.dy===i}));return o.length>0&&(e=o),1===e.length||e.sort((function(t,e){return Math.abs(e.dx)-Math.abs(t.dx)})),e},Object.defineProperties(e,r),e}(Rt),zt=function(t){function e(){t.call(this,"Collapse")}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={canUngroup:{configurable:!0}},n={instanceClassName:{configurable:!0}};return n.instanceClassName.get=function(){return"CollapsesGroup"},r.canUngroup.get=function(){return!0},Object.defineProperties(e.prototype,r),Object.defineProperties(e,n),e}(Gt),Wt={CHANGE:g("equisized")},qt=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={instanceClassName:{configurable:!0}};return r.instanceClassName.get=function(){return"Equisized"},e.prototype.init=function(){this.ascend(Wt.CHANGE)},e.prototype.measure=function(){return this.isLegacy&&(this.style.width="auto"),this.getRect().width},e.prototype.adjust=function(t){this.isLegacy&&(this.style.width=t+"px")},e.prototype.dispose=function(){this.ascend(Wt.CHANGE)},Object.defineProperties(e,r),e}(Pt),Kt=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={instanceClassName:{configurable:!0}};return r.instanceClassName.get=function(){return"EquisizedsGroup"},e.prototype.init=function(){this.isResizing=!0,this.isLoading=!0,this.addAscent(Wt.CHANGE,this.resize.bind(this))},e.prototype.load=function(){this.resize()},e.prototype.resize=function(){var t=this.element.getDescendantInstances("Equisized");this.isLegacy||this.style.setProperty("--equisized-width","auto");var e=Math.max.apply(Math,t.map((function(t){return t.measure()})));this.isLegacy?t.forEach((function(t){return t.adjust(e)})):this.style.setProperty("--equisized-width",e+"px")},Object.defineProperties(e,r),e}(Pt),Vt=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={pressed:{configurable:!0},proxy:{configurable:!0}},n={instanceClassName:{configurable:!0}};return n.instanceClassName.get=function(){return"Toggle"},e.prototype.init=function(){this.pressed="true"===this.pressed,this.listenClick()},e.prototype.handleClick=function(){this.toggle()},e.prototype.toggle=function(){this.pressed="true"!==this.pressed},r.pressed.get=function(){return this.getAttribute("aria-pressed")},r.pressed.set=function(t){this.setAttribute("aria-pressed",t?"true":"false")},r.proxy.get=function(){var e=this,r=Object.assign.call(this,t.prototype.proxy,{toggle:e.toggle.bind(e)});return dt(r,{get pressed(){return e.pressed},set pressed(t){e.pressed=t}})},Object.defineProperties(e.prototype,r),Object.defineProperties(e,n),e}(Pt),Yt=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={proxy:{configurable:!0}},n={instanceClassName:{configurable:!0}};return n.instanceClassName.get=function(){return"InjectSvg"},e.prototype.init=function(){this.node&&(this.img=this.node.querySelector("img")),this.isLegacy||this.replace()},r.proxy.get=function(){var e=this;return Object.assign.call(this,t.prototype.proxy,{replace:e.replace.bind(e),restore:e.restore.bind(e)})},e.prototype.fetch=function(){var t=this;this.img&&(this.imgID=this.img.getAttribute("id"),this.imgClass=this.img.getAttribute("class"),this.imgURL=this.img.getAttribute("src"),fetch(this.imgURL).then((function(t){return t.text()})).then((function(e){var r=(new DOMParser).parseFromString(e,"text/html");t.svg=r.querySelector("svg"),t.svg&&t.replace()})))},e.prototype.replace=function(){if(this.svg){this.imgID&&void 0!==this.imgID&&this.svg.setAttribute("id",this.imgID);var t=this.imgURL.match(/[ \w-]+\./)[0];t&&(t=t.slice(0,-1),["dark","light","system"].includes(t)&&(this.svg.innerHTML=this.svg.innerHTML.replaceAll('id="artwork-','id="'+t+"-artwork-"),this.svg.innerHTML=this.svg.innerHTML.replaceAll('"#artwork-','"#'+t+"-artwork-"))),this.imgClass&&void 0!==this.imgClass&&this.svg.setAttribute("class",this.imgClass),this.svg.hasAttribute("xmlns:a")&&this.svg.removeAttribute("xmlns:a"),this.node.setAttribute("data-fr-inject-svg",!0);var e,r;e=this.svg,r={"aria-hidden":!0,focusable:!1},Object.keys(r).forEach((function(t){return e.setAttribute(t,r[t])})),this.node.replaceChild(this.svg,this.img)}else this.fetch()},e.prototype.restore=function(){this.img&&this.svg&&(this.node.setAttribute("data-fr-inject-svg",!1),this.node.replaceChild(this.img,this.svg))},Object.defineProperties(e.prototype,r),Object.defineProperties(e,n),e}(Pt),Xt={INJECT_SVG:"["+g.attr("inject-svg")+"]"},Qt=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={proxy:{configurable:!0}},n={instanceClassName:{configurable:!0}};return n.instanceClassName.get=function(){return"Artwork"},e.prototype.init=function(){this.isLegacy&&this.replace()},r.proxy.get=function(){return Object.assign.call(this,t.prototype.proxy,{replace:this.replace.bind(this)})},e.prototype.fetch=function(){var t=this;this.xlink=this.node.getAttribute("href");var e=this.xlink.split("#");this.svgUrl=e[0],this.svgName=e[1];var r=new XMLHttpRequest;r.onload=function(){var e=(new DOMParser).parseFromString(r.responseText,"text/html");t.realSvgContent=e.getElementById(t.svgName),t.realSvgContent&&("symbol"===t.realSvgContent.tagName?(t.use=e.querySelector('use[href="#'+t.svgName+'"]'),t.use&&t.node.parentNode.insertBefore(t.use,t.node)):t.realSvgContent.classList.add(t.node.classList),t.replace())},r.open("GET",this.svgUrl),r.send()},e.prototype.replace=function(){this.realSvgContent?this.node.parentNode.replaceChild(this.realSvgContent,this.node):this.fetch()},Object.defineProperties(e.prototype,r),Object.defineProperties(e,n),e}(Pt),Zt={ARTWORK_USE:g.selector("artwork")+" use"},Jt={ASSESS_FILE:""+g.attr.selector("assess-file"),DETAIL:g.attr.selector("assess-file")+' [class$="__detail"], '+g.attr.selector("assess-file")+' [class*="__detail "]'},te={UPDATE:g.emission("assess","update"),ADDED:g.emission("assess","added")},ee=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={instanceClassName:{configurable:!0}};return r.instanceClassName.get=function(){return"AssessFile"},e.prototype.init=function(){this.lang=this.getLang(this.node),this.href=this.getAttribute("href"),this.hreflang=this.getAttribute("hreflang"),this.file={},this.gather(),this.addAscent(te.ADDED,this.update.bind(this)),this.addDescent(te.ADDED,this.update.bind(this))},e.prototype.getFileLength=function(){var t=this;void 0!==this.href?fetch(this.href,{method:"HEAD",mode:"cors"}).then((function(e){if(!e.ok)throw new Error("Unable to access the resource : Status "+e.status);if(t.length=e.headers.get("content-length")||-1,t.length&&-1===t.length)throw new Error('File size unknown\n Unable to get HTTP header: "content-length"');t.gather()})).catch((function(e){t.length=-1,t.gather(),h.warn("Fetch error on assess file : "+t.href+"\n "+e)})):this.length=-1},e.prototype.mutate=function(t){-1!==t.indexOf("href")&&(this.href=this.getAttribute("href"),this.getFileLength()),-1!==t.indexOf("hreflang")&&(this.hreflang=this.getAttribute("hreflang"),this.gather())},e.prototype.gather=function(){if(this.isLegacy&&(this.length=-1),this.length||this.getFileLength(),this.details=[],this.href){var t=this.parseExtension(this.href);t&&this.details.push(t.toUpperCase())}this.length&&-1!==this.length&&this.details.push(this.bytesToSize(this.length)),this.hreflang&&this.details.push(this.getLangDisplayName(this.hreflang)),this.update()},e.prototype.update=function(){this.details&&(this.descend(te.UPDATE,this.details),this.ascend(te.UPDATE,this.details))},e.prototype.getLang=function(t){return t.lang?t.lang:document.documentElement===t?window.navigator.language:this.getLang(t.parentElement)},e.prototype.parseExtension=function(t){return t.match(/\.(\w{1,9})(?:$|[?#])/)[0].replace(".","")},e.prototype.getLangDisplayName=function(t){if(this.isLegacy)return t;var e=new Intl.DisplayNames([this.lang],{type:"language"}).of(t);return e.charAt(0).toUpperCase()+e.slice(1)},e.prototype.bytesToSize=function(t){if(-1===t)return null;var e=["octets","ko","Mo","Go","To"];"bytes"===this.getAttribute(g.attr("assess-file"))&&(e=["bytes","KB","MB","GB","TB"]);var r=parseInt(Math.floor(Math.log(t)/Math.log(1e3)),10);if(0===r)return t+" "+e[r];var n=t/Math.pow(1e3,r),i=Math.round(100*(n+Number.EPSILON))/100;return String(i).replace(".",",")+" "+e[r]},Object.defineProperties(e,r),e}(Pt),re=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={instanceClassName:{configurable:!0}};return r.instanceClassName.get=function(){return"AssessDetail"},e.prototype.init=function(){this.addDescent(te.UPDATE,this.update.bind(this)),this.ascend(te.ADDED)},e.prototype.update=function(t){this.node.innerHTML=t.join(" - ")},Object.defineProperties(e,r),e}(Pt),ne=["32x9","16x9","3x2","4x3","1x1","3x4","2x3"],ie=function(t,e){return e.map((function(e){return g.selector(t+"--"+e)})).join(",")},oe=g.selector("responsive-img")+", "+ie("responsive-img",ne)+", "+g.selector("responsive-vid")+", "+ie("responsive-vid",["16x9","4x3","1x1"]),se={RATIO:g.selector("ratio")+", "+ie("ratio",ne)+", "+oe},ae=window[i],ce=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={instanceClassName:{configurable:!0}};return r.instanceClassName.get=function(){return"Ratio"},e.prototype.init=function(){if(!ae.internals.support.supportAspectRatio()){for(var t in this.ratio=16/9,this.classNames)if(this.registration.selector.indexOf(this.classNames[t])>0){var e=this.classNames[t].split("ratio-");e[1]&&(this.ratio=e[1].split("x")[0]/e[1].split("x")[1])}this.isRendering=!0,this.update()}},e.prototype.render=function(){this.getRect().width!==this.currentWidth&&this.update()},e.prototype.update=function(){this.currentWidth=this.getRect().width,this.style.height=this.currentWidth/this.ratio+"px"},Object.defineProperties(e,r),e}(Pt),le={TOP:g.selector("placement--top"),RIGHT:g.selector("placement--right"),BOTTOM:g.selector("placement--bottom"),LEFT:g.selector("placement--left")},ue={START:g.selector("placement--start"),CENTER:g.selector("placement--center"),END:g.selector("placement--end")},pe={TOP:"place_top",RIGHT:"place_right",BOTTOM:"place_bottom",LEFT:"place_left"},he={START:"align_start",CENTER:"align_center",END:"align_end"},fe={AUTO:"placement_auto",MANUAL:"placement_manual"},de=function(t){function e(e,r,n,i){void 0===e&&(e=fe.AUTO),void 0===r&&(r=[pe.BOTTOM,pe.TOP,pe.LEFT,pe.RIGHT]),void 0===n&&(n=[he.CENTER,he.START,he.END]),void 0===i&&(i=16),t.call(this),this._mode=e,this._places=r,this._aligns=n,this._safeAreaMargin=i,this._isShown=!1,this._x=this._y=0}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={proxy:{configurable:!0},mode:{configurable:!0},place:{configurable:!0},align:{configurable:!0},isShown:{configurable:!0}},n={instanceClassName:{configurable:!0}};return n.instanceClassName.get=function(){return"Placement"},e.prototype.init=function(){this.isResizing=!0},r.proxy.get=function(){var e=this,r=Object.assign.call(this,t.prototype.proxy,{show:e.show.bind(e),hide:e.hide.bind(e)});return dt(r,{get mode(){return e.mode},set mode(t){e.mode=t},get place(){return e.place},set place(t){e.place=t},get align(){return e.align},set align(t){e.align=t},get isShown(){return e.isShown},set isShown(t){e.isShown=t}})},r.mode.get=function(){return this._mode},r.mode.set=function(t){this._mode=t},r.place.get=function(){return this._place},r.place.set=function(t){if(this._place!==t){switch(this._place){case pe.TOP:this.removeClass(le.TOP);break;case pe.RIGHT:this.removeClass(le.RIGHT);break;case pe.BOTTOM:this.removeClass(le.BOTTOM);break;case pe.LEFT:this.removeClass(le.LEFT)}switch(this._place=t,this._place){case pe.TOP:this.addClass(le.TOP);break;case pe.RIGHT:this.addClass(le.RIGHT);break;case pe.BOTTOM:this.addClass(le.BOTTOM);break;case pe.LEFT:this.addClass(le.LEFT)}}},r.align.get=function(){return this._align},r.align.set=function(t){if(this._align!==t){switch(this._align){case he.START:this.removeClass(ue.START);break;case he.CENTER:this.removeClass(ue.CENTER);break;case he.END:this.removeClass(ue.END)}switch(this._align=t,this._align){case he.START:this.addClass(ue.START);break;case he.CENTER:this.addClass(ue.CENTER);break;case he.END:this.addClass(ue.END)}}},e.prototype.show=function(){this.isShown=!0},e.prototype.hide=function(){this.isShown=!1},r.isShown.get=function(){return this._isShown},r.isShown.set=function(t){this._isShown!==t&&this.isEnabled&&(this.isRendering=t,this._isShown=t)},e.prototype.setReferent=function(t){this._referent=t},e.prototype.render=function(){if(this._referent){if(this.referentRect=this._referent.getRect(),this.rect=this.getRect(),this.safeArea=this.getSafeArea(),this.mode===fe.AUTO)switch(this.place=this.getPlace(),this.place){case pe.TOP:case pe.BOTTOM:this.align=this.getHorizontalAlign();break;case pe.LEFT:case pe.RIGHT:this.align=this.getVerticalAlign()}var t,e;switch(this.place){case pe.TOP:e=this.referentRect.top-this.rect.top-this.rect.height;break;case pe.RIGHT:t=this.referentRect.left-this.rect.left+this.referentRect.width;break;case pe.BOTTOM:e=this.referentRect.top-this.rect.top+this.referentRect.height;break;case pe.LEFT:t=this.referentRect.left-this.rect.left-this.rect.width}switch(this.place){case pe.TOP:case pe.BOTTOM:switch(this.align){case he.CENTER:t=this.referentRect.left-this.rect.left+.5*this.referentRect.width-.5*this.rect.width;break;case he.START:t=this.referentRect.left-this.rect.left;break;case he.END:t=this.referentRect.left-this.rect.left+this.referentRect.width-this.rect.width}break;case pe.RIGHT:case pe.LEFT:switch(this.align){case he.CENTER:e=this.referentRect.top-this.rect.top+.5*this.referentRect.height-.5*this.rect.height;break;case he.START:e=this.referentRect.top-this.rect.top;break;case he.END:e=this.referentRect.top-this.rect.top-this.rect.height}}this._x+=t+.5|0,this._y+=e+.5|0,this.node.style.transform="translate("+this._x+"px,"+this._y+"px)"}},e.prototype.getPlace=function(){for(var t=0,e=this._places;t<e.length;t+=1){switch(e[t]){case pe.TOP:if(this.referentRect.top-this.rect.height>this.safeArea.top)return pe.TOP;break;case pe.RIGHT:if(this.referentRect.right+this.rect.width<this.safeArea.right)return pe.RIGHT;break;case pe.BOTTOM:if(this.referentRect.bottom+this.rect.height<this.safeArea.bottom)return pe.BOTTOM;break;case pe.LEFT:if(this.referentRect.left-this.rect.width>this.safeArea.left)return pe.LEFT}}return this._places[0]},e.prototype.getHorizontalAlign=function(){for(var t=0,e=this._aligns;t<e.length;t+=1){switch(e[t]){case he.CENTER:if(this.referentRect.center-.5*this.rect.width>this.safeArea.left&&this.referentRect.center+.5*this.rect.width<this.safeArea.right)return he.CENTER;break;case he.START:if(this.referentRect.left+this.rect.width<this.safeArea.right)return he.START;break;case he.END:if(this.referentRect.right-this.rect.width>this.safeArea.left)return he.END}}return this._aligns[0]},e.prototype.getVerticalAlign=function(){for(var t=0,e=this._aligns;t<e.length;t+=1){switch(e[t]){case he.CENTER:if(this.referentRect.middle-.5*this.rect.height>this.safeArea.top&&this.referentRect.middle+.5*this.rect.height<this.safeArea.bottom)return he.CENTER;break;case he.START:if(this.referentRect.top+this.rect.height<this.safeArea.bottom)return he.START;break;case he.END:if(this.referentRect.bottom-this.rect.height>this.safeArea.top)return he.END}}return this._aligns[0]},e.prototype.getSafeArea=function(){for(var t,e,r=this.node,n=this._safeAreaMargin,i=window.innerWidth-this._safeAreaMargin,o=window.innerHeight-this._safeAreaMargin,s=this._safeAreaMargin;r&&r!==document.body;){r=r.parentElement;var a=window.getComputedStyle(r),c=/(visible|(\w+))(\s(visible|(\w+)))?/.exec(a.overflow);if(t=void 0!==c[2],e=void 0!==c[3]?void 0!==c[5]:void 0!==c[2],t||e){var l=r.getBoundingClientRect();t&&(l.left>s&&(s=l.left),l.right<i&&(i=l.right)),e&&(l.top>n&&(n=l.top),l.bottom<o&&(o=l.bottom))}}return{top:n,right:i,bottom:o,left:s,center:s+.5*(i-s),middle:n+.5*(o-n)}},e.prototype.dispose=function(){this._referent=null,t.prototype.dispose.call(this)},Object.defineProperties(e.prototype,r),Object.defineProperties(e,n),e}(Pt),ye=function(t){function e(){t.call(this),this._isShown=!1}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={placement:{configurable:!0},isShown:{configurable:!0}},n={instanceClassName:{configurable:!0}};return n.instanceClassName.get=function(){return"PlacementReferent"},e.prototype.init=function(){this.registration.creator.setReferent(this),this._placement=this.registration.creator},r.placement.get=function(){return this._placement},r.isShown.get=function(){return this._isShown},r.isShown.set=function(t){this._isShown!==t&&this.isEnabled&&(this._isShown=t,t?this.registration.creator.show():this.registration.creator.hide())},e.prototype.show=function(){this.isShown=!0},e.prototype.hide=function(){this.isShown=!1},Object.defineProperties(e.prototype,r),Object.defineProperties(e,n),e}(Pt);vt.core={Instance:Pt,Breakpoints:jt,KeyCodes:M,Disclosure:Rt,DisclosureButton:kt,DisclosuresGroup:Gt,DisclosureType:Ft,DisclosureEvent:Mt,DisclosureSelector:Ht,DisclosureEmission:xt,Collapse:Bt,CollapseButton:$t,CollapsesGroup:zt,CollapseSelector:Ut,RootSelector:{ROOT:":root"},RootEmission:D,Equisized:qt,EquisizedEmission:Wt,Toggle:Vt,EquisizedsGroup:Kt,InjectSvg:Yt,InjectSvgSelector:Xt,Artwork:Qt,ArtworkSelector:Zt,AssessFile:ee,AssessDetail:re,AssessEmission:te,AssessSelector:Jt,Ratio:ce,RatioSelector:se,Placement:de,PlacementReferent:ye,PlacementAlign:he,PlacementPosition:pe,PlacementMode:fe},vt.internals.register(vt.core.CollapseSelector.COLLAPSE,vt.core.Collapse),vt.internals.register(vt.core.InjectSvgSelector.INJECT_SVG,vt.core.InjectSvg),vt.internals.register(vt.core.RatioSelector.RATIO,vt.core.Ratio),vt.internals.register(vt.core.AssessSelector.ASSESS_FILE,vt.core.AssessFile),vt.internals.register(vt.core.AssessSelector.DETAIL,vt.core.AssessDetail);var be={SYSTEM:"system",LIGHT:"light",DARK:"dark"},ge={THEME:ae.internals.ns.attr("theme"),SCHEME:ae.internals.ns.attr("scheme"),TRANSITION:ae.internals.ns.attr("transition")},ve={LIGHT:"light",DARK:"dark"},me={SCHEME:ae.internals.ns.emission("scheme","scheme"),THEME:ae.internals.ns.emission("scheme","theme"),ASK:ae.internals.ns.emission("scheme","ask")},_e={SCHEME:ae.internals.ns.event("scheme"),THEME:ae.internals.ns.event("theme")},we=function(t){function e(){t.call(this,!1)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={proxy:{configurable:!0},scheme:{configurable:!0},theme:{configurable:!0}},n={instanceClassName:{configurable:!0}};return n.instanceClassName.get=function(){return"Scheme"},e.prototype.init=function(){this.changing=this.change.bind(this),this.hasAttribute(ge.TRANSITION)&&(this.removeAttribute(ge.TRANSITION),this.request(this.restoreTransition.bind(this)));var t=ae.internals.support.supportLocalStorage()?localStorage.getItem("scheme"):"",e=this.getAttribute(ge.SCHEME);switch(t){case be.DARK:case be.LIGHT:case be.SYSTEM:this.scheme=t;break;default:switch(e){case be.DARK:this.scheme=be.DARK;break;case be.LIGHT:this.scheme=be.LIGHT;break;default:this.scheme=be.SYSTEM}}this.addAscent(me.ASK,this.ask.bind(this)),this.addAscent(me.SCHEME,this.apply.bind(this))},r.proxy.get=function(){var e=this,r={get scheme(){return e.scheme},set scheme(t){e.scheme=t}};return ae.internals.property.completeAssign.call(this,t.prototype.proxy,r)},e.prototype.restoreTransition=function(){this.setAttribute(ge.TRANSITION,"")},e.prototype.ask=function(){this.descend(me.SCHEME,this.scheme)},e.prototype.apply=function(t){this.scheme=t},r.scheme.get=function(){return this._scheme},r.scheme.set=function(t){if(this._scheme!==t){switch(this._scheme=t,t){case be.SYSTEM:this.listenPreferences();break;case be.DARK:this.unlistenPreferences(),this.theme=ve.DARK;break;case be.LIGHT:this.unlistenPreferences(),this.theme=ve.LIGHT;break;default:return void(this.scheme=be.SYSTEM)}this.descend(me.SCHEME,t),ae.internals.support.supportLocalStorage()&&localStorage.setItem("scheme",t),this.setAttribute(ge.SCHEME,t),this.dispatch(_e.SCHEME,{scheme:this._scheme},!1)}},r.theme.get=function(){return this._theme},r.theme.set=function(t){if(this._theme!==t)switch(t){case ve.LIGHT:case ve.DARK:this._theme=t,this.setAttribute(ge.THEME,t),this.descend(me.THEME,t),this.dispatch(_e.THEME,{theme:this._theme},!1),document.documentElement.style.colorScheme=t===ve.DARK?"dark":""}},e.prototype.listenPreferences=function(){this.isListening||(this.isListening=!0,this.mediaQuery=window.matchMedia("(prefers-color-scheme: dark)"),this.mediaQuery.addEventListener&&this.mediaQuery.addEventListener("change",this.changing),this.change())},e.prototype.unlistenPreferences=function(){this.isListening&&(this.isListening=!1,this.mediaQuery.removeEventListener("change",this.changing),this.mediaQuery=null)},e.prototype.change=function(){this.isListening&&(this.theme=this.mediaQuery.matches?ve.DARK:ve.LIGHT)},e.prototype.mutate=function(t){t.indexOf(ge.SCHEME)>-1&&(this.scheme=this.getAttribute(ge.SCHEME)),t.indexOf(ge.THEME)>-1&&(this.theme=this.getAttribute(ge.THEME))},e.prototype.dispose=function(){this.unlistenPreferences()},Object.defineProperties(e.prototype,r),Object.defineProperties(e,n),e}(ae.core.Instance),Se={SCHEME:":root"+ae.internals.ns.attr.selector("theme")+", :root"+ae.internals.ns.attr.selector("scheme"),SWITCH_THEME:ae.internals.ns.selector("switch-theme"),RADIO_BUTTONS:'input[name="'+ae.internals.ns("radios-theme")+'"]'};ae.scheme={Scheme:we,SchemeValue:be,SchemeSelector:Se,SchemeEmission:me,SchemeTheme:ve,SchemeEvent:_e},ae.internals.register(ae.scheme.SchemeSelector.SCHEME,ae.scheme.Scheme);var Ee=ae.internals.ns.selector("accordion"),Oe=ae.internals.ns.selector("collapse"),je={GROUP:ae.internals.ns.selector("accordions-group"),ACCORDION:Ee,COLLAPSE:Ee+" > "+Oe+", "+Ee+" > *:not("+Ee+"):not("+Oe+") > "+Oe+", "+Ee+" > *:not("+Ee+"):not("+Oe+") > *:not("+Ee+"):not("+Oe+") > "+Oe,COLLAPSE_LEGACY:Ee+" "+Oe,BUTTON:Ee+"__btn"},Te=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={collapsePrimary:{configurable:!0}},n={instanceClassName:{configurable:!0}};return n.instanceClassName.get=function(){return"Accordion"},r.collapsePrimary.get=function(){return this.element.children.map((function(t){return t.getInstance("CollapseButton")})).filter((function(t){return null!==t&&t.hasClass(je.BUTTON)}))[0]},Object.defineProperties(e.prototype,r),Object.defineProperties(e,n),e}(ae.core.Instance),Pe=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={instanceClassName:{configurable:!0}};return r.instanceClassName.get=function(){return"AccordionsGroup"},e.prototype.validate=function(e){var r=e.node.matches(ae.internals.legacy.isLegacy?je.COLLAPSE_LEGACY:je.COLLAPSE);return t.prototype.validate.call(this,e)&&r},Object.defineProperties(e,r),e}(ae.core.CollapsesGroup);ae.accordion={Accordion:Te,AccordionSelector:je,AccordionsGroup:Pe},ae.internals.register(ae.accordion.AccordionSelector.GROUP,ae.accordion.AccordionsGroup),ae.internals.register(ae.accordion.AccordionSelector.ACCORDION,ae.accordion.Accordion);var Ae={EQUISIZED_BUTTON:ae.internals.ns.selector("btns-group--equisized")+" "+ae.internals.ns.selector("btn"),EQUISIZED_GROUP:ae.internals.ns.selector("btns-group--equisized")};ae.button={ButtonSelector:Ae},ae.internals.register(ae.button.ButtonSelector.EQUISIZED_BUTTON,ae.core.Equisized),ae.internals.register(ae.button.ButtonSelector.EQUISIZED_GROUP,ae.core.EquisizedsGroup);var Ne=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={instanceClassName:{configurable:!0}};return r.instanceClassName.get=function(){return"CardDownload"},e.prototype.init=function(){var t=this;this.addAscent(ae.core.AssessEmission.UPDATE,(function(e){t.descend(ae.core.AssessEmission.UPDATE,e)})),this.addAscent(ae.core.AssessEmission.ADDED,(function(){t.descend(ae.core.AssessEmission.ADDED)}))},Object.defineProperties(e,r),e}(ae.core.Instance),Ce={DOWNLOAD:ae.internals.ns.selector("card--download"),DOWNLOAD_DETAIL:ae.internals.ns.selector("card--download")+" "+ae.internals.ns.selector("card__end")+" "+ae.internals.ns.selector("card__detail")};ae.card={CardSelector:Ce,CardDownload:Ne},ae.internals.register(ae.card.CardSelector.DOWNLOAD,ae.card.CardDownload),ae.internals.register(ae.card.CardSelector.DOWNLOAD_DETAIL,ae.core.AssessDetail);var Ie={INPUT:ae.internals.ns.selector("checkbox-group")+' input[type="checkbox"]'},Le={CHANGE:ae.internals.ns.emission("checkbox","change"),RETRIEVE:ae.internals.ns.emission("checkbox","retrieve")},De=function(t){function e(){t.call(this),this._handlingChange=this.handleChange.bind(this)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={isChecked:{configurable:!0}},n={instanceClassName:{configurable:!0}};return n.instanceClassName.get=function(){return"CheckboxInput"},e.prototype.init=function(){this.node.addEventListener("change",this._handlingChange),this.addDescent(Le.RETRIEVE,this._handlingChange),this.handleChange()},r.isChecked.get=function(){return this.node.checked},e.prototype.handleChange=function(){this.ascend(Le.CHANGE,this.node)},Object.defineProperties(e.prototype,r),Object.defineProperties(e,n),e}(ae.core.Instance);ae.checkbox={CheckboxSelector:Ie,CheckboxEmission:Le,CheckboxInput:De},ae.internals.register(ae.checkbox.CheckboxSelector.INPUT,ae.checkbox.CheckboxInput);var Me={SEGMENTED:ae.internals.ns.selector("segmented"),SEGMENTED_ELEMENTS:ae.internals.ns.selector("segmented__elements"),SEGMENTED_ELEMENT:ae.internals.ns.selector("segmented__element input"),SEGMENTED_LEGEND:ae.internals.ns.selector("segmented__legend")},xe={ADDED:ae.internals.ns.emission("segmented","added"),REMOVED:ae.internals.ns.emission("segmented","removed")},Re=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={instanceClassName:{configurable:!0}};return r.instanceClassName.get=function(){return"Segmented"},e.prototype.init=function(){this.elements=this.node.querySelector(Me.SEGMENTED_ELEMENTS),this.legend=this.node.querySelector(Me.SEGMENTED_LEGEND),this.addAscent(xe.ADDED,this.resize.bind(this)),this.addAscent(xe.REMOVED,this.resize.bind(this)),this._isLegendInline=this.legend&&this.legend.classList.contains(ae.prefix+"-segmented__legend--inline"),this.isResizing=!0},e.prototype.resize=function(){var t=ae.prefix+"-segmented--vertical",e=ae.prefix+"-segmented__legend--inline";this.removeClass(t),this._isLegendInline&&(this.legend.classList.add(e),(this.node.offsetWidth>this.node.parentNode.offsetWidth||this.elements.scrollWidth+this.legend.offsetWidth+16>this.node.parentNode.offsetWidth)&&this.legend.classList.remove(e)),this.elements.offsetWidth>this.node.parentNode.offsetWidth||this.elements.scrollWidth>this.node.parentNode.offsetWidth?this.addClass(t):this.removeClass(t)},Object.defineProperties(e,r),e}(ae.core.Instance),ke=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={instanceClassName:{configurable:!0}};return r.instanceClassName.get=function(){return"SegmentedElement"},e.prototype.init=function(){this.ascend(xe.ADDED)},e.prototype.dispose=function(){this.ascend(xe.REMOVED)},Object.defineProperties(e,r),e}(ae.core.Instance);ae.segmented={SegmentedSelector:Me,SegmentedEmission:xe,SegmentedElement:ke,Segmented:Re},ae.internals.register(ae.segmented.SegmentedSelector.SEGMENTED,ae.segmented.Segmented),ae.internals.register(ae.segmented.SegmentedSelector.SEGMENTED_ELEMENT,ae.segmented.SegmentedElement);var He={BREADCRUMB:ae.internals.ns.selector("breadcrumb"),BUTTON:ae.internals.ns.selector("breadcrumb__button")},Ge=function(t){function e(){t.call(this),this.count=0,this.focusing=this.focus.bind(this)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={proxy:{configurable:!0},links:{configurable:!0},collapse:{configurable:!0},collapsePrimary:{configurable:!0}},n={instanceClassName:{configurable:!0}};return n.instanceClassName.get=function(){return"Breadcrumb"},e.prototype.init=function(){this.getCollapse(),this.isResizing=!0},r.proxy.get=function(){var e=this;return Object.assign.call(this,t.prototype.proxy,{focus:e.focus.bind(e),disclose:e.collapse.disclose.bind(e.collapse)})},e.prototype.getCollapse=function(){var t=this.collapse;t?t.listen(ae.core.DisclosureEvent.DISCLOSE,this.focusing):this.addAscent(ae.core.DisclosureEmission.ADDED,this.getCollapse.bind(this))},e.prototype.resize=function(){var t=this.collapse,e=this.links;t&&e.length&&(this.isBreakpoint(ae.core.Breakpoints.MD)?t.buttonHasFocus&&e[0].focus():e.indexOf(document.activeElement)>-1&&t.focus())},r.links.get=function(){return[].concat(this.querySelectorAll("a[href]"))},r.collapse.get=function(){return this.element.getDescendantInstances(ae.core.Collapse.instanceClassName,null,!0)[0]},e.prototype.focus=function(){this.count=0,this._focus()},e.prototype._focus=function(){var t=this.links[0];t&&(t.focus(),this.request(this.verify.bind(this)))},e.prototype.verify=function(){if(this.count++,!(this.count>100)){var t=this.links[0];t&&document.activeElement!==t&&this._focus()}},r.collapsePrimary.get=function(){return this.element.children.map((function(t){return t.getInstance("CollapseButton")})).filter((function(t){return null!==t&&t.hasClass(He.BUTTON)}))[0]},Object.defineProperties(e.prototype,r),Object.defineProperties(e,n),e}(ae.core.Instance);ae.breadcrumb={BreadcrumbSelector:He,Breadcrumb:Ge},ae.internals.register(ae.breadcrumb.BreadcrumbSelector.BREADCRUMB,ae.breadcrumb.Breadcrumb);var Fe={TOOLTIP:ae.internals.ns.selector("tooltip"),SHOWN:ae.internals.ns.selector("tooltip--shown"),HIDDING:ae.internals.ns.selector("tooltip--hidding"),BUTTON:ae.internals.ns.selector("btn--tooltip")},$e=1,Ue=2,Be=function(t){function e(){t.call(this),this._state=0}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={state:{configurable:!0}},n={instanceClassName:{configurable:!0}};return n.instanceClassName.get=function(){return"TooltipReferent"},e.prototype.init=function(){if(t.prototype.init.call(this),this.listen("focusin",this.focusIn.bind(this)),this.listen("focusout",this.focusOut.bind(this)),!this.matches(Fe.BUTTON)){var e=this.mouseover.bind(this);this.listen("mouseover",e),this.placement.listen("mouseover",e);var r=this.mouseout.bind(this);this.listen("mouseout",r),this.placement.listen("mouseout",r)}this.addEmission(ae.core.RootEmission.KEYDOWN,this._keydown.bind(this)),this.listen("click",this._click.bind(this)),this.addEmission(ae.core.RootEmission.CLICK,this._clickOut.bind(this))},e.prototype._click=function(){this.focus()},e.prototype._clickOut=function(t){this.node.contains(t)||this.blur()},e.prototype._keydown=function(t){if(t===ae.core.KeyCodes.ESCAPE)this.blur(),this.close()},e.prototype.close=function(){this.state=0},r.state.get=function(){return this._state},r.state.set=function(t){this._state!==t&&(this.isShown=t>0,this._state=t)},e.prototype.focusIn=function(){this.state|=$e},e.prototype.focusOut=function(){this.state&=~$e},e.prototype.mouseover=function(){this.state|=Ue},e.prototype.mouseout=function(){this.state&=~Ue},Object.defineProperties(e.prototype,r),Object.defineProperties(e,n),e}(ae.core.PlacementReferent),ze={SHOW:g.event("show"),HIDE:g.event("hide")},We="hidden",qe="shown",Ke="hiding",Ve=function(t){function e(){t.call(this,ae.core.PlacementMode.AUTO,[ae.core.PlacementPosition.TOP,ae.core.PlacementPosition.BOTTOM],[ae.core.PlacementAlign.CENTER,ae.core.PlacementAlign.START,ae.core.PlacementAlign.END]),this.modifier="",this._state=We}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={isShown:{configurable:!0}},n={instanceClassName:{configurable:!0}};return n.instanceClassName.get=function(){return"Tooltip"},e.prototype.init=function(){t.prototype.init.call(this),this.register('[aria-describedby="'+this.id+'"]',Be),this.listen("transitionend",this.transitionEnd.bind(this))},e.prototype.transitionEnd=function(){this._state===Ke&&(this.removeClass(Fe.SHOWN),this.removeClass(Fe.HIDDING),this._state=We,this.isShown=!1)},r.isShown.get=function(){return t.prototype.isShown},r.isShown.set=function(e){if(this.isEnabled)switch(!0){case e:this._state=qe,this.addClass(Fe.SHOWN),this.removeClass(Fe.HIDDING),this.dispatch(ze.SHOW),t.prototype.isShown=!0;break;case this.isShown&&!e&&this._state===qe:this._state=Ke,this.addClass(Fe.HIDDING);break;case this.isShown&&!e&&this._state===We:this.dispatch(ze.HIDE),this.removeClass(Fe.HIDDING),t.prototype.isShown=!1}},e.prototype.render=function(){t.prototype.render.call(this),this.rect=this.getRect();var e=this.referentRect.center-this.rect.center,r=.5*this.rect.width-8;e<-r&&(e=-r),e>r&&(e=r),this.setProperty("--arrow-x",e.toFixed(2)+"px")},Object.defineProperties(e.prototype,r),Object.defineProperties(e,n),e}(ae.core.Placement);ae.tooltip={Tooltip:Ve,TooltipSelector:Fe,TooltipEvent:ze},ae.internals.register(ae.tooltip.TooltipSelector.TOOLTIP,ae.tooltip.Tooltip);var Ye=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={isChecked:{configurable:!0}},n={instanceClassName:{configurable:!0}};return n.instanceClassName.get=function(){return"ToggleInput"},r.isChecked.get=function(){return this.node.checked},Object.defineProperties(e.prototype,r),Object.defineProperties(e,n),e}(ae.core.Instance),Xe=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={proxy:{configurable:!0},input:{configurable:!0}},n={instanceClassName:{configurable:!0}};return n.instanceClassName.get=function(){return"ToggleStatusLabel"},e.prototype.init=function(){this.register('input[id="'+this.getAttribute("for")+'"]',Ye),this.update(),this.isSwappingFont=!0},r.proxy.get=function(){return Object.assign.call(this,t.prototype.proxy,{update:this.update.bind(this)})},r.input.get=function(){return this.getRegisteredInstances("ToggleInput")[0]},e.prototype.update=function(){this.node.style.removeProperty("--toggle-status-width");var t=this.input.isChecked,e=getComputedStyle(this.node,":before"),r=parseFloat(e.width);this.input.node.checked=!t;var n=getComputedStyle(this.node,":before"),i=parseFloat(n.width);i>r&&(r=i),this.input.node.checked=t,this.node.style.setProperty("--toggle-status-width",r/16+"rem")},e.prototype.swapFont=function(t){this.update()},Object.defineProperties(e.prototype,r),Object.defineProperties(e,n),e}(ae.core.Instance),Qe={STATUS_LABEL:""+ae.internals.ns.selector("toggle__label")+ae.internals.ns.attr.selector("checked-label")+ae.internals.ns.attr.selector("unchecked-label")};ae.toggle={ToggleStatusLabel:Xe,ToggleSelector:Qe},ae.internals.register(ae.toggle.ToggleSelector.STATUS_LABEL,ae.toggle.ToggleStatusLabel);var Ze=ae.internals.ns.selector("sidemenu__item"),Je=ae.internals.ns.selector("collapse"),tr={LIST:ae.internals.ns.selector("sidemenu__list"),COLLAPSE:Ze+" > "+Je+", "+Ze+" > *:not("+Ze+"):not("+Je+") > "+Je+", "+Ze+" > *:not("+Ze+"):not("+Je+") > *:not("+Ze+"):not("+Je+") > "+Je,COLLAPSE_LEGACY:Ze+" "+Je,ITEM:ae.internals.ns.selector("sidemenu__item"),BUTTON:ae.internals.ns.selector("sidemenu__btn")},er=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={instanceClassName:{configurable:!0}};return r.instanceClassName.get=function(){return"SidemenuList"},e.prototype.validate=function(e){return t.prototype.validate.call(this,e)&&e.node.matches(ae.internals.legacy.isLegacy?tr.COLLAPSE_LEGACY:tr.COLLAPSE)},Object.defineProperties(e,r),e}(ae.core.CollapsesGroup),rr=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={collapsePrimary:{configurable:!0}},n={instanceClassName:{configurable:!0}};return n.instanceClassName.get=function(){return"SidemenuItem"},r.collapsePrimary.get=function(){return this.element.children.map((function(t){return t.getInstance("CollapseButton")})).filter((function(t){return null!==t&&t.hasClass(tr.BUTTON)}))[0]},Object.defineProperties(e.prototype,r),Object.defineProperties(e,n),e}(ae.core.Instance);ae.sidemenu={SidemenuList:er,SidemenuItem:rr,SidemenuSelector:tr},ae.internals.register(ae.sidemenu.SidemenuSelector.LIST,ae.sidemenu.SidemenuList),ae.internals.register(ae.sidemenu.SidemenuSelector.ITEM,ae.sidemenu.SidemenuItem);var nr={MODAL:ae.internals.ns.selector("modal"),SCROLL_DIVIDER:ae.internals.ns.selector("scroll-divider"),BODY:ae.internals.ns.selector("modal__body"),TITLE:ae.internals.ns.selector("modal__title")},ir=function(t){function e(){t.call(this,ae.core.DisclosureType.OPENED)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={instanceClassName:{configurable:!0}};return r.instanceClassName.get=function(){return"ModalButton"},Object.defineProperties(e,r),e}(ae.core.DisclosureButton),or={CONCEALING_BACKDROP:ae.internals.ns.attr("concealing-backdrop")},sr=function(t){function e(){t.call(this,ae.core.DisclosureType.OPENED,nr.MODAL,ir,"ModalsGroup"),this._isDecorated=!1,this.scrolling=this.resize.bind(this,!1),this.resizing=this.resize.bind(this,!0)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={body:{configurable:!0},isDialog:{configurable:!0}},n={instanceClassName:{configurable:!0}};return n.instanceClassName.get=function(){return"Modal"},e.prototype.init=function(){t.prototype.init.call(this),this._isDialog="DIALOG"===this.node.tagName,this.listenClick(),this.addEmission(ae.core.RootEmission.KEYDOWN,this._keydown.bind(this))},e.prototype._keydown=function(t){if(t===ae.core.KeyCodes.ESCAPE)this._escape()},e.prototype._escape=function(){switch(document.activeElement?document.activeElement.tagName:void 0){case"INPUT":case"LABEL":case"TEXTAREA":case"SELECT":case"AUDIO":case"VIDEO":break;default:this.isDisclosed&&(this.conceal(),this.focus())}},e.prototype.retrieved=function(){this._ensureAccessibleName()},r.body.get=function(){return this.element.getDescendantInstances("ModalBody","Modal")[0]},e.prototype.handleClick=function(t){t.target===this.node&&"false"!==this.getAttribute(or.CONCEALING_BACKDROP)&&this.conceal()},e.prototype.disclose=function(e){return!!t.prototype.disclose.call(this,e)&&(this.body&&(this.body.isResizing=!0,this.body.resize()),this.isScrollLocked=!0,this.setAttribute("aria-modal","true"),this.setAttribute("open","true"),this._isDialog||this.decorateDialog(),!0)},e.prototype.conceal=function(e,r){return!!t.prototype.conceal.call(this,e,r)&&(this.isScrollLocked=!1,this.removeAttribute("aria-modal"),this.removeAttribute("open"),this.body&&(this.body.isResizing=!1),this._isDialog||this.stripDialog(),!0)},r.isDialog.get=function(){return this._isDialog},r.isDialog.set=function(t){this._isDialog=t},e.prototype.decorateDialog=function(){this._isDecorated||(this._isDecorated=!0,this._hasDialogRole="dialog"===this.getAttribute("role"),this._hasDialogRole||this.setAttribute("role","dialog"))},e.prototype.stripDialog=function(){this._isDecorated&&(this._isDecorated=!1,this._hasDialogRole||this.removeAttribute("role"))},e.prototype._setAccessibleName=function(t,e){var r=this.retrieveNodeId(t,e);this.warn("add reference to "+e+" for accessible name (aria-labelledby)"),this.setAttribute("aria-labelledby",r)},e.prototype._ensureAccessibleName=function(){if(this.isEnabled&&(!this.isEnabled||!this.hasAttribute("aria-labelledby")&&!this.hasAttribute("aria-label"))){this.warn("missing accessible name");var t=this.node.querySelector(nr.TITLE),e=this.primaryButtons[0];switch(!0){case null!==t:this._setAccessibleName(t,"title");break;case void 0!==e:this.warn("missing required title, fallback to primary button"),this._setAccessibleName(e,"primary")}}},Object.defineProperties(e.prototype,r),Object.defineProperties(e,n),e}(ae.core.Disclosure),ar=['[tabindex="0"]',"a[href]","button:not([disabled])","input:not([disabled])","select:not([disabled])","textarea:not([disabled])","audio[controls]","video[controls]",'[contenteditable]:not([contenteditable="false"])',"details>summary:first-of-type","details","iframe"].join(),cr=['[tabindex]:not([tabindex="-1"]):not([tabindex="0"])'].join(),lr=function(t,e){if(!(t instanceof Element))return!1;var r=window.getComputedStyle(t);if(!r)return!1;if("hidden"===r.visibility)return!1;for(void 0===e&&(e=t);e.contains(t);){if("none"===r.display)return!1;t=t.parentElement}return!0},ur=function(t,e){this.element=null,this.activeElement=null,this.onTrap=t,this.onUntrap=e,this.waiting=this.wait.bind(this),this.handling=this.handle.bind(this),this.focusing=this.maintainFocus.bind(this),this.current=null},pr={trapped:{configurable:!0},focusables:{configurable:!0}};pr.trapped.get=function(){return null!==this.element},ur.prototype.trap=function(t){this.trapped&&this.untrap(),this.element=t,this.isTrapping=!0,this.wait(),this.onTrap&&this.onTrap()},ur.prototype.wait=function(){lr(this.element)?this.trapping():window.requestAnimationFrame(this.waiting)},ur.prototype.trapping=function(){if(this.isTrapping){this.isTrapping=!1;var t=this.focusables;t.length&&-1===t.indexOf(document.activeElement)&&t[0].focus(),this.element.setAttribute("aria-modal",!0),window.addEventListener("keydown",this.handling),document.body.addEventListener("focus",this.focusing,!0)}},ur.prototype.stun=function(t){for(var e=0,r=t.children;e<r.length;e+=1){var n=r[e];n!==this.element&&(n.contains(this.element)?this.stun(n):this.stunneds.push(new hr(n)))}},ur.prototype.maintainFocus=function(t){if(!this.element.contains(t.target)){var e=this.focusables;if(0===e.length)return;var r=e[0];t.preventDefault(),r.focus()}},ur.prototype.handle=function(t){if(9===t.keyCode){var e=this.focusables;if(0!==e.length){var r=e[0],n=e[e.length-1],i=e.indexOf(document.activeElement);t.shiftKey?!this.element.contains(document.activeElement)||i<1?(t.preventDefault(),n.focus()):(document.activeElement.tabIndex>0||e[i-1].tabIndex>0)&&(t.preventDefault(),e[i-1].focus()):this.element.contains(document.activeElement)&&i!==e.length-1&&-1!==i?document.activeElement.tabIndex>0&&(t.preventDefault(),e[i+1].focus()):(t.preventDefault(),r.focus())}}},pr.focusables.get=function(){var t=this,e=ae.internals.dom.querySelectorAllArray(this.element,ar),r=ae.internals.dom.querySelectorAllArray(document.documentElement,'input[type="radio"]');if(r.length){for(var n={},i=0,o=r;i<o.length;i+=1){var s=o[i],a=s.getAttribute("name");void 0===n[a]&&(n[a]=new fr(a)),n[a].push(s)}e=e.filter((function(t){if("input"!==t.tagName.toLowerCase()||t.getAttribute("type")&&"radio"!==t.getAttribute("type").toLowerCase())return!0;var e=t.getAttribute("name");return n[e].keep(t)}))}var c=ae.internals.dom.querySelectorAllArray(this.element,cr);c.sort((function(t,e){return t.tabIndex-e.tabIndex}));var l=e.filter((function(t){return-1===c.indexOf(t)}));return c.concat(l).filter((function(e){return"-1"!==e.tabIndex&&lr(e,t.element)}))},ur.prototype.untrap=function(){this.trapped&&(this.isTrapping=!1,this.element.removeAttribute("aria-modal"),window.removeEventListener("keydown",this.handling),document.body.removeEventListener("focus",this.focusing,!0),this.element=null,this.onUntrap&&this.onUntrap())},ur.prototype.dispose=function(){this.untrap()},Object.defineProperties(ur.prototype,pr);var hr=function(t){this.element=t,this.inert=t.getAttribute("inert"),this.element.setAttribute("inert","")};hr.prototype.unstun=function(){null===this.inert?this.element.removeAttribute("inert"):this.element.setAttribute("inert",this.inert)};var fr=function(t){this.name=t,this.buttons=[]};fr.prototype.push=function(t){this.buttons.push(t),(t===document.activeElement||t.checked||void 0===this.selected)&&(this.selected=t)},fr.prototype.keep=function(t){return this.selected===t};var dr=function(t){function e(){t.call(this,"Modal",!1),this.focusTrap=new ur}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={instanceClassName:{configurable:!0}};return r.instanceClassName.get=function(){return"ModalsGroup"},e.prototype.apply=function(e,r){t.prototype.apply.call(this,e,r),null===this.current?this.focusTrap.untrap():this.focusTrap.trap(this.current.node)},Object.defineProperties(e,r),e}(ae.core.DisclosuresGroup),yr=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={instanceClassName:{configurable:!0}};return r.instanceClassName.get=function(){return"ModalBody"},e.prototype.init=function(){this.listen("scroll",this.divide.bind(this))},e.prototype.divide=function(){this.node.scrollHeight>this.node.clientHeight?this.node.offsetHeight+this.node.scrollTop>=this.node.scrollHeight?this.removeClass(nr.SCROLL_DIVIDER):this.addClass(nr.SCROLL_DIVIDER):this.removeClass(nr.SCROLL_DIVIDER)},e.prototype.resize=function(){this.adjust(),this.request(this.adjust.bind(this))},e.prototype.adjust=function(){var t=32*(this.isBreakpoint(ae.core.Breakpoints.MD)?2:1);this.isLegacy?this.style.maxHeight=window.innerHeight-t+"px":this.style.setProperty("--modal-max-height",window.innerHeight-t+"px"),this.divide()},Object.defineProperties(e,r),e}(ae.core.Instance);ae.modal={Modal:sr,ModalButton:ir,ModalBody:yr,ModalsGroup:dr,ModalSelector:nr},ae.internals.register(ae.modal.ModalSelector.MODAL,ae.modal.Modal),ae.internals.register(ae.modal.ModalSelector.BODY,ae.modal.ModalBody),ae.internals.register(ae.core.RootSelector.ROOT,ae.modal.ModalsGroup);var br={TOGGLE:ae.internals.ns.emission("password","toggle"),ADJUST:ae.internals.ns.emission("password","adjust")},gr=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={width:{configurable:!0},isChecked:{configurable:!0}},n={instanceClassName:{configurable:!0}};return n.instanceClassName.get=function(){return"PasswordToggle"},e.prototype.init=function(){this.listenClick(),this.ascend(br.ADJUST,this.width),this.isSwappingFont=!0,this._isChecked=this.isChecked},r.width.get=function(){var t=getComputedStyle(this.node.parentNode);return parseInt(t.width)},r.isChecked.get=function(){return this.node.checked},r.isChecked.set=function(t){this._isChecked=t,this.ascend(br.TOGGLE,t)},e.prototype.handleClick=function(){this.isChecked=!this._isChecked},e.prototype.swapFont=function(t){this.ascend(br.ADJUST,this.width)},Object.defineProperties(e.prototype,r),Object.defineProperties(e,n),e}(ae.core.Instance),vr=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={instanceClassName:{configurable:!0}};return r.instanceClassName.get=function(){return"Password"},e.prototype.init=function(){this.addAscent(br.TOGGLE,this.toggle.bind(this)),this.addAscent(br.ADJUST,this.adjust.bind(this))},e.prototype.toggle=function(t){this.descend(br.TOGGLE,t)},e.prototype.adjust=function(t){this.descend(br.ADJUST,t)},Object.defineProperties(e,r),e}(ae.core.Instance),mr={PASSWORD:ae.internals.ns.selector("password"),INPUT:ae.internals.ns.selector("password__input"),LABEL:ae.internals.ns.selector("password__label"),TOOGLE:ae.internals.ns.selector("password__checkbox")+' input[type="checkbox"]'},_r=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={isRevealed:{configurable:!0}},n={instanceClassName:{configurable:!0}};return n.instanceClassName.get=function(){return"PasswordInput"},e.prototype.init=function(){this.addDescent(br.TOGGLE,this.toggle.bind(this)),this._isRevealed="password"===this.hasAttribute("type"),this.listen("keydown",this.capslock.bind(this)),this.listen("keyup",this.capslock.bind(this))},e.prototype.toggle=function(t){this.isRevealed=t,this.setAttribute("type",t?"text":"password")},r.isRevealed.get=function(){return this._isRevealed},e.prototype.capslock=function(t){t&&"function"!=typeof t.getModifierState||(t.getModifierState("CapsLock")?this.node.parentNode.setAttribute(ae.internals.ns.attr("capslock"),""):this.node.parentNode.removeAttribute(ae.internals.ns.attr("capslock")))},r.isRevealed.set=function(t){this._isRevealed=t,this.setAttribute("type",t?"text":"password")},Object.defineProperties(e.prototype,r),Object.defineProperties(e,n),e}(ae.core.Instance),wr=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={instanceClassName:{configurable:!0}};return r.instanceClassName.get=function(){return"PasswordLabel"},e.prototype.init=function(){this.addDescent(br.ADJUST,this.adjust.bind(this))},e.prototype.adjust=function(t){var e=Math.ceil(t/16);this.node.style.paddingRight=e+"rem"},Object.defineProperties(e,r),e}(ae.core.Instance);ae.password={Password:vr,PasswordToggle:gr,PasswordSelector:mr,PasswordInput:_r,PasswordLabel:wr},ae.internals.register(ae.password.PasswordSelector.INPUT,ae.password.PasswordInput),ae.internals.register(ae.password.PasswordSelector.PASSWORD,ae.password.Password),ae.internals.register(ae.password.PasswordSelector.TOOGLE,ae.password.PasswordToggle),ae.internals.register(ae.password.PasswordSelector.LABEL,ae.password.PasswordLabel);var Sr=ae.internals.ns.selector("nav__item"),Er=ae.internals.ns.selector("collapse"),Or={NAVIGATION:ae.internals.ns.selector("nav"),COLLAPSE:Sr+" > "+Er+", "+Sr+" > *:not("+Sr+"):not("+Er+") > "+Er+", "+Sr+" > *:not("+Sr+"):not("+Er+") > *:not("+Sr+"):not("+Er+") > "+Er,COLLAPSE_LEGACY:Sr+" "+Er,ITEM:Sr,ITEM_RIGHT:Sr+"--align-right",MENU:ae.internals.ns.selector("menu"),BUTTON:ae.internals.ns.selector("nav__btn"),TRANSLATE_BUTTON:ae.internals.ns.selector("translate__btn")},jr=function(t){function e(){t.call(this),this._isRightAligned=!1}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={isRightAligned:{configurable:!0},collapsePrimary:{configurable:!0}},n={instanceClassName:{configurable:!0}};return n.instanceClassName.get=function(){return"NavigationItem"},e.prototype.init=function(){this.addAscent(ae.core.DisclosureEmission.ADDED,this.calculate.bind(this)),this.addAscent(ae.core.DisclosureEmission.REMOVED,this.calculate.bind(this)),this.isResizing=!0,this.calculate()},e.prototype.resize=function(){this.calculate()},e.prototype.calculate=function(){var t=this.element.getDescendantInstances(ae.core.Collapse.instanceClassName,null,!0)[0];if(t&&this.isBreakpoint(ae.core.Breakpoints.LG)&&t.element.node.matches(Or.MENU)){var e=this.element.node.parentElement.getBoundingClientRect().right,r=t.element.node.getBoundingClientRect().width,n=this.element.node.getBoundingClientRect().left;this.isRightAligned=n+r>e}else this.isRightAligned=!1},r.isRightAligned.get=function(){return this._isRightAligned},r.isRightAligned.set=function(t){this._isRightAligned!==t&&(this._isRightAligned=t,t?ae.internals.dom.addClass(this.element.node,Or.ITEM_RIGHT):ae.internals.dom.removeClass(this.element.node,Or.ITEM_RIGHT))},r.collapsePrimary.get=function(){return this.element.children.map((function(t){return t.getInstance("CollapseButton")})).filter((function(t){return null!==t&&(t.hasClass(Or.BUTTON)||t.hasClass(Or.TRANSLATE_BUTTON))}))[0]},Object.defineProperties(e.prototype,r),Object.defineProperties(e,n),e}(ae.core.Instance),Tr={NONE:-1,INSIDE:0,OUTSIDE:1},Pr=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={hasOpenedMenu:{configurable:!0},index:{configurable:!0},canUngroup:{configurable:!0}},n={instanceClassName:{configurable:!0}};return n.instanceClassName.get=function(){return"Navigation"},e.prototype.init=function(){t.prototype.init.call(this),this.clicked=!1,this.out=!1,this.addEmission(ae.core.RootEmission.CLICK,this._handleRootClick.bind(this)),this.listen("mousedown",this.handleMouseDown.bind(this)),this.addEmission(ae.core.RootEmission.KEYDOWN,this._keydown.bind(this)),this.listenClick({capture:!0}),this.isResizing=!0},e.prototype.validate=function(e){return t.prototype.validate.call(this,e)&&e.element.node.matches(ae.internals.legacy.isLegacy?Or.COLLAPSE_LEGACY:Or.COLLAPSE)},r.hasOpenedMenu.get=function(){return this.isBreakpoint(ae.core.Breakpoints.LG)&&this.index>-1},e.prototype._keydown=function(t){var e=this;switch(t){case ae.core.KeyCodes.ESCAPE:if(!this.hasOpenedMenu)return;this.index=-1;break;case ae.core.KeyCodes.TAB:if(!this.hasOpenedMenu)return;this.request((function(){e.current.node.contains(document.activeElement)||(e.index=-1)}))}},e.prototype.handleMouseDown=function(t){this.hasOpenedMenu&&(this.position=this.current.node.contains(t.target)?Tr.INSIDE:Tr.OUTSIDE,this.requestPosition())},e.prototype.handleClick=function(t){!t.target.matches("a, button")||t.target.matches("[aria-controls]")||t.target.matches(ae.core.DisclosureSelector.PREVENT_CONCEAL)||(this.index=-1)},e.prototype._handleRootClick=function(t){this.isBreakpoint(ae.core.Breakpoints.LG)&&(this.node.contains(t)||(this.out=!0,this.requestPosition()))},e.prototype.requestPosition=function(){this.isRequesting||(this.isRequesting=!0,this.request(this.getPosition.bind(this)))},e.prototype.getPosition=function(){if(this.out)switch(this.position){case Tr.OUTSIDE:this.index=-1;break;case Tr.INSIDE:this.current&&!this.current.node.contains(document.activeElement)&&this.current.focus();break;default:this.index>-1&&!this.current.hasFocus&&(this.index=-1)}this.request(this.requested.bind(this))},e.prototype.requested=function(){this.position=Tr.NONE,this.out=!1,this.isRequesting=!1},r.index.get=function(){return t.prototype.index},r.index.set=function(e){-1===e&&this.current&&this.current.hasFocus&&this.current.focus(),t.prototype.index=e},r.canUngroup.get=function(){return!this.isBreakpoint(ae.core.Breakpoints.LG)},e.prototype.resize=function(){this.update()},Object.defineProperties(e.prototype,r),Object.defineProperties(e,n),e}(ae.core.CollapsesGroup);ae.navigation={Navigation:Pr,NavigationItem:jr,NavigationMousePosition:Tr,NavigationSelector:Or},ae.internals.register(ae.navigation.NavigationSelector.NAVIGATION,ae.navigation.Navigation),ae.internals.register(ae.navigation.NavigationSelector.ITEM,ae.navigation.NavigationItem);var Ar=function(t){function e(){t.call(this,ae.core.DisclosureType.SELECT)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={list:{configurable:!0}},n={instanceClassName:{configurable:!0}};return n.instanceClassName.get=function(){return"TabButton"},e.prototype.handleClick=function(e){t.prototype.handleClick.call(this,e),this.focus()},e.prototype.apply=function(e){t.prototype.apply.call(this,e),this.isPrimary&&(this.setAttribute("tabindex",e?"0":"-1"),e&&this.list&&this.list.focalize(this))},r.list.get=function(){return this.element.getAscendantInstance("TabsList","TabsGroup")},Object.defineProperties(e.prototype,r),Object.defineProperties(e,n),e}(ae.core.DisclosureButton),Nr={TAB:ae.internals.ns.selector("tabs__tab"),GROUP:ae.internals.ns.selector("tabs"),PANEL:ae.internals.ns.selector("tabs__panel"),LIST:ae.internals.ns.selector("tabs__list"),SHADOW:ae.internals.ns.selector("tabs__shadow"),SHADOW_LEFT:ae.internals.ns.selector("tabs__shadow--left"),SHADOW_RIGHT:ae.internals.ns.selector("tabs__shadow--right"),PANEL_START:ae.internals.ns.selector("tabs__panel--direction-start"),PANEL_END:ae.internals.ns.selector("tabs__panel--direction-end")},Cr="direction-start",Ir="direction-end",Lr="none",Dr=function(t){function e(){t.call(this,ae.core.DisclosureType.SELECT,Nr.PANEL,Ar,"TabsGroup"),this._direction=Lr,this._isPreventingTransition=!1}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={direction:{configurable:!0},isPreventingTransition:{configurable:!0}},n={instanceClassName:{configurable:!0}};return n.instanceClassName.get=function(){return"TabPanel"},r.direction.get=function(){return this._direction},r.direction.set=function(t){if(t!==this._direction){switch(this._direction){case Cr:this.removeClass(Nr.PANEL_START);break;case Ir:this.removeClass(Nr.PANEL_END);break;case Lr:break;default:return}switch(this._direction=t,this._direction){case Cr:this.addClass(Nr.PANEL_START);break;case Ir:this.addClass(Nr.PANEL_END)}}},r.isPreventingTransition.get=function(){return this._isPreventingTransition},r.isPreventingTransition.set=function(t){this._isPreventingTransition!==t&&(t?this.addClass(ae.internals.motion.TransitionSelector.NONE):this.removeClass(ae.internals.motion.TransitionSelector.NONE),this._isPreventingTransition=!0===t)},e.prototype.translate=function(t,e){this.isPreventingTransition=e,this.direction=t},e.prototype.reset=function(){this.group&&this.group.retrieve(!0)},e.prototype._electPrimaries=function(e){var r=this;return this.group&&this.group.list?t.prototype._electPrimaries.call(this,e).filter((function(t){return r.group.list.node.contains(t.node)})):[]},Object.defineProperties(e.prototype,r),Object.defineProperties(e,n),e}(ae.core.Disclosure),Mr="tab_keys_left",xr="tab_keys_right",Rr="tab_keys_home",kr="tab_keys_end",Hr={PRESS_KEY:ae.internals.ns.emission("tab","press_key"),LIST_HEIGHT:ae.internals.ns.emission("tab","list_height")},Gr=function(t){function e(){t.call(this,"TabPanel")}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={list:{configurable:!0},buttonHasFocus:{configurable:!0},isPreventingTransition:{configurable:!0}},n={instanceClassName:{configurable:!0}};return n.instanceClassName.get=function(){return"TabsGroup"},e.prototype.init=function(){t.prototype.init.call(this),this.listen("transitionend",this.transitionend.bind(this)),this.addAscent(Hr.PRESS_KEY,this.pressKey.bind(this)),this.addAscent(Hr.LIST_HEIGHT,this.setListHeight.bind(this)),this.isRendering=!0},e.prototype.getIndex=function(e){void 0===e&&(e=0),t.prototype.getIndex.call(this,e)},r.list.get=function(){return this.element.getDescendantInstances("TabsList","TabsGroup",!0)[0]},e.prototype.setListHeight=function(t){this.listHeight=t},e.prototype.transitionend=function(t){this.isPreventingTransition=!0},r.buttonHasFocus.get=function(){return this.members.some((function(t){return t.buttonHasFocus}))},e.prototype.pressKey=function(t){switch(t){case Mr:this.pressLeft();break;case xr:this.pressRight();break;case Rr:this.pressHome();break;case kr:this.pressEnd()}},e.prototype.pressRight=function(){this.buttonHasFocus&&(this.index<this.length-1?this.index++:this.index=0,this.focus())},e.prototype.pressLeft=function(){this.buttonHasFocus&&(this.index>0?this.index--:this.index=this.length-1,this.focus())},e.prototype.pressHome=function(){this.buttonHasFocus&&(this.index=0,this.focus())},e.prototype.pressEnd=function(){this.buttonHasFocus&&(this.index=this.length-1,this.focus())},e.prototype.focus=function(){this.current&&this.current.focus()},e.prototype.apply=function(){for(var t=0;t<this._index;t++)this.members[t].translate(Cr);this.current&&this.current.translate(Lr);for(var e=this._index+1;e<this.length;e++)this.members[e].translate(Ir);this.isPreventingTransition=!1},r.isPreventingTransition.get=function(){return this._isPreventingTransition},r.isPreventingTransition.set=function(t){this._isPreventingTransition!==t&&(t?this.addClass(ae.internals.motion.TransitionSelector.NONE):this.removeClass(ae.internals.motion.TransitionSelector.NONE),this._isPreventingTransition=!0===t)},e.prototype.render=function(){if(null!==this.current){this.node.scrollTop=0,this.node.scrollLeft=0;var t=Math.round(this.current.node.offsetHeight);this.panelHeight!==t&&(this.panelHeight=t,this.style.setProperty("--tabs-height",this.panelHeight+this.listHeight+"px"))}},Object.defineProperties(e.prototype,r),Object.defineProperties(e,n),e}(ae.core.DisclosuresGroup),Fr=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={isScrolling:{configurable:!0}},n={instanceClassName:{configurable:!0}};return n.instanceClassName.get=function(){return"TabsList"},e.prototype.init=function(){this.listen("scroll",this.scroll.bind(this)),this.listenKey(ae.core.KeyCodes.RIGHT,this.ascend.bind(this,Hr.PRESS_KEY,xr),!0,!0),this.listenKey(ae.core.KeyCodes.LEFT,this.ascend.bind(this,Hr.PRESS_KEY,Mr),!0,!0),this.listenKey(ae.core.KeyCodes.HOME,this.ascend.bind(this,Hr.PRESS_KEY,Rr),!0,!0),this.listenKey(ae.core.KeyCodes.END,this.ascend.bind(this,Hr.PRESS_KEY,kr),!0,!0),this.isResizing=!0},e.prototype.focalize=function(t){var e=t.getRect(),r=this.getRect(),n=this.node.scrollLeft;e.left<r.left?this.node.scrollTo(n-r.left+e.left-16,0):e.right>r.right&&this.node.scrollTo(n-r.right+e.right+16,0)},r.isScrolling.get=function(){return this._isScrolling},r.isScrolling.set=function(t){this._isScrolling!==t&&(this._isScrolling=t,this.apply())},e.prototype.apply=function(){this._isScrolling?(this.addClass(Nr.SHADOW),this.scroll()):(this.removeClass(Nr.SHADOW_RIGHT),this.removeClass(Nr.SHADOW_LEFT),this.removeClass(Nr.SHADOW))},e.prototype.scroll=function(){var t=Math.abs(this.node.scrollLeft),e=t<=16,r=this.node.scrollWidth-this.node.clientWidth-16,n=Math.abs(t)>=r,i="rtl"===getComputedStyle(this.node).direction,o=i?Nr.SHADOW_RIGHT:Nr.SHADOW_LEFT,s=i?Nr.SHADOW_LEFT:Nr.SHADOW_RIGHT;e?this.removeClass(o):this.addClass(o),n?this.removeClass(s):this.addClass(s)},e.prototype.resize=function(){this.isScrolling=this.node.scrollWidth>this.node.clientWidth+16;var t=this.getRect().height;this.setProperty("--tabs-list-height",t+"px"),this.ascend(Hr.LIST_HEIGHT,t)},e.prototype.dispose=function(){this.isScrolling=!1},Object.defineProperties(e.prototype,r),Object.defineProperties(e,n),e}(ae.core.Instance);ae.tab={TabPanel:Dr,TabButton:Ar,TabsGroup:Gr,TabsList:Fr,TabSelector:Nr,TabEmission:Hr},ae.internals.register(ae.tab.TabSelector.PANEL,ae.tab.TabPanel),ae.internals.register(ae.tab.TabSelector.GROUP,ae.tab.TabsGroup),ae.internals.register(ae.tab.TabSelector.LIST,ae.tab.TabsList);var $r={DISMISS:ae.internals.ns.event("dismiss")},Ur=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={instanceClassName:{configurable:!0}};return r.instanceClassName.get=function(){return"TagDismissible"},e.prototype.init=function(){this.listenClick()},e.prototype.handleClick=function(){switch(this.focusClosest(),ae.mode){case ae.Modes.ANGULAR:case ae.Modes.REACT:case ae.Modes.VUE:this.request(this.verify.bind(this));break;default:this.remove()}this.dispatch($r.DISMISS)},e.prototype.verify=function(){document.body.contains(this.node)&&this.warn("a TagDismissible has just been dismissed and should be removed from the dom. In "+ae.mode+" mode, the api doesn't handle dom modification. An event "+$r.DISMISS+" is dispatched by the element to trigger the removal")},Object.defineProperties(e,r),e}(ae.core.Instance),Br={PRESSABLE:ae.internals.ns.selector("tag")+"[aria-pressed]",DISMISSIBLE:""+ae.internals.ns.selector("tag--dismiss")};ae.tag={TagDismissible:Ur,TagSelector:Br,TagEvent:$r},ae.internals.register(ae.tag.TagSelector.PRESSABLE,ae.core.Toggle),ae.internals.register(ae.tag.TagSelector.DISMISSIBLE,ae.tag.TagDismissible);var zr=ae.internals.ns.selector("transcription"),Wr={TRANSCRIPTION:zr,BUTTON:zr+"__btn"},qr=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={collapsePrimary:{configurable:!0}},n={instanceClassName:{configurable:!0}};return n.instanceClassName.get=function(){return"Transcription"},r.collapsePrimary.get=function(){return this.element.children.map((function(t){return t.getInstance("CollapseButton")})).filter((function(t){return null!==t&&t.hasClass(Wr.BUTTON)}))[0]},Object.defineProperties(e.prototype,r),Object.defineProperties(e,n),e}(ae.core.Instance);ae.transcription={Transcription:qr,TranscriptionSelector:Wr},ae.internals.register(ae.transcription.TranscriptionSelector.TRANSCRIPTION,ae.transcription.Transcription);var Kr=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={instanceClassName:{configurable:!0}};return r.instanceClassName.get=function(){return"TileDownload"},e.prototype.init=function(){var t=this;this.addAscent(ae.core.AssessEmission.UPDATE,(function(e){t.descend(ae.core.AssessEmission.UPDATE,e)})),this.addAscent(ae.core.AssessEmission.ADDED,(function(){t.descend(ae.core.AssessEmission.ADDED)}))},Object.defineProperties(e,r),e}(ae.core.Instance),Vr={DOWNLOAD:ae.internals.ns.selector("tile--download"),DOWNLOAD_DETAIL:ae.internals.ns.selector("tile--download")+" "+ae.internals.ns.selector("tile__detail")};ae.tile={TileSelector:Vr,TileDownload:Kr},ae.internals.register(ae.tile.TileSelector.DOWNLOAD,ae.tile.TileDownload),ae.internals.register(ae.tile.TileSelector.DOWNLOAD_DETAIL,ae.core.AssessDetail);var Yr={RANGE:ae.internals.ns.selector("range"),RANGE_SM:ae.internals.ns.selector("range--sm"),RANGE_STEP:ae.internals.ns.selector("range--step"),RANGE_DOUBLE:ae.internals.ns.selector("range--double"),RANGE_DOUBLE_STEP:ae.internals.ns.selector("range--double")+ae.internals.ns.selector("range--step"),RANGE_INPUT:ae.internals.ns.selector("range input[type=range]:nth-of-type(1)"),RANGE_INPUT2:ae.internals.ns.selector("range--double")+" input[type=range]:nth-of-type(2)",RANGE_OUTPUT:ae.internals.ns.selector("range__output"),RANGE_MIN:ae.internals.ns.selector("range__min"),RANGE_MAX:ae.internals.ns.selector("range__max"),RANGE_PREFIX:ae.internals.ns.attr("prefix"),RANGE_SUFFIX:ae.internals.ns.attr("suffix")},Xr={VALUE:ae.internals.ns.emission("range","value"),VALUE2:ae.internals.ns.emission("range","value2"),OUTPUT:ae.internals.ns.emission("range","output"),CONSTRAINTS:ae.internals.ns.emission("range","constraints"),MIN:ae.internals.ns.emission("range","min"),MAX:ae.internals.ns.emission("range","max"),STEP:ae.internals.ns.emission("range","step"),PREFIX:ae.internals.ns.emission("range","prefix"),SUFFIX:ae.internals.ns.emission("range","suffix"),DISABLED:ae.internals.ns.emission("range","disabled"),ENABLE_POINTER:ae.internals.ns.emission("range","enable_pointer")},Qr=function(){this._width=0,this._min=0,this._max=0,this._value=0,this._thumbSize=24,this._innerWidth=0,this._prefix="",this._suffix="",this._background={}},Zr={width:{configurable:!0},isSm:{configurable:!0},textValue:{configurable:!0},value:{configurable:!0},outputX:{configurable:!0},min:{configurable:!0},textMin:{configurable:!0},max:{configurable:!0},textMax:{configurable:!0},step:{configurable:!0},output:{configurable:!0},progress:{configurable:!0}};Qr.prototype.configure=function(t){t&&(this._prefix=t._prefix,this._suffix=t._suffix,this._width=t.width,this.setConstraints(t._constraints),this.value=t.value,this.update())},Qr.prototype.setPrefix=function(t){this._prefix=null!==t?t:""},Qr.prototype.setSuffix=function(t){this._suffix=null!==t?t:""},Qr.prototype._decorate=function(t){return""+this._prefix+t+this._suffix},Zr.width.get=function(){return this._width},Zr.width.set=function(t){this._width=t},Zr.isSm.get=function(){return this._isSm},Zr.isSm.set=function(t){this._isSm!==t&&(this._isSm=t,this.setThumbSize(t?16:24),this.update())},Qr.prototype.setThumbSize=function(t,e){void 0===e&&(e=1),this._thumbSize=t,this._innerPadding=t*e},Zr.textValue.get=function(){return this._decorate(this._value)},Zr.value.get=function(){return this._value},Zr.value.set=function(t){this._value=t},Zr.outputX.get=function(){return this._outputX},Qr.prototype.setConstraints=function(t){this._constraints=t,this._min=t.min,this._max=t.max,this._step=t.step,this._rangeWidth=t.rangeWidth},Zr.min.get=function(){return this._min},Zr.textMin.get=function(){return this._decorate(this._min)},Zr.max.get=function(){return this._max},Zr.textMax.get=function(){return this._decorate(this._max)},Zr.step.get=function(){return this._step},Zr.output.get=function(){return{text:this.textValue,transform:"translateX("+this._translateX+"px) translateX(-"+this._centerPercent+"%)"}},Qr.prototype._getRatio=function(t){return(t-this._min)/this._rangeWidth},Zr.progress.get=function(){return this._progress},Qr.prototype.update=function(){this._update()},Qr.prototype._update=function(){this._innerWidth=this._width-this._innerPadding;var t=this._getRatio(this._value);this._translateX=t*this._width,this._centerPercent=100*t,this._progress={right:(this._innerWidth*t+.5*this._innerPadding).toFixed(2)+"px"}},Object.defineProperties(Qr.prototype,Zr);var Jr=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={stepWidth:{configurable:!0}};return r.stepWidth.get=function(){return this._stepWidth.toFixed(3)+"px"},e.prototype._update=function(){t.prototype._update.call(this);var e=this._rangeWidth/this._step;for(this._stepWidth=this._innerWidth/e,(this._stepWidth<1||!isFinite(this._stepWidth))&&(this._stepWidth=4);this._stepWidth<4;)this._stepWidth*=2},Object.defineProperties(e.prototype,r),e}(Qr),tn=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={value2:{configurable:!0},textValue:{configurable:!0}};return r.value2.get=function(){return this._value},r.value2.set=function(t){this._value2!==t&&(this._value2=t,this.update())},r.textValue.get=function(){return this._decorate(this._value)+" - "+this._decorate(this._value2)},e.prototype.setThumbSize=function(e){t.prototype.setThumbSize.call(this,e,2)},e.prototype._update=function(){t.prototype._update.call(this);var e=this._getRatio(.5*(this._value+this._value2));this._translateX=e*this._width,this._centerPercent=100*e;var r=this._getRatio(this._value),n=this._getRatio(this._value2);this._progress={left:(this._innerWidth*r+.25*this._innerPadding).toFixed(2)+"px",right:(this._innerWidth*n+.75*this._innerPadding).toFixed(2)+"px"}},Object.defineProperties(e.prototype,r),e}(Qr),en=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={stepWidth:{configurable:!0}};return r.stepWidth.get=function(){return this._stepWidth.toFixed(3)+"px"},e.prototype._update=function(){t.prototype._update.call(this);var e=this._rangeWidth/this._step;this._stepWidth=this._innerWidth/e,this._stepWidth<4&&(this._stepWidth*=Math.ceil(4/this._stepWidth))},Object.defineProperties(e.prototype,r),e}(tn),rn="step",nn="double",on="double-step",sn="default",an=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={type:{configurable:!0}},n={instanceClassName:{configurable:!0}};return n.instanceClassName.get=function(){return"Range"},e.prototype.init=function(){this._retrieveType(),this._retrieveSize(),this.isLegacy?(this.isResizing=!0,this.isMouseMoving=!0):(this._observer=new ResizeObserver(this.resize.bind(this)),this._observer.observe(this.node)),this.addAscent(Xr.CONSTRAINTS,this.setConstraints.bind(this)),this.addAscent(Xr.VALUE,this.setValue.bind(this)),this.addAscent(Xr.VALUE2,this.setValue2.bind(this)),this.getAttribute(Yr.RANGE_PREFIX)&&this.setPrefix(this.getAttribute(Yr.RANGE_PREFIX)),this.getAttribute(Yr.RANGE_SUFFIX)&&this.setSuffix(this.getAttribute(Yr.RANGE_SUFFIX)),this.update()},e.prototype._retrieveType=function(){switch(!0){case this.matches(Yr.RANGE_DOUBLE_STEP):case this.matches(Yr.RANGE_DOUBLE):this.type=nn;break;case this.matches(Yr.RANGE_STEP):this.type=rn;break;default:this.type=sn}},r.type.set=function(t){if(this._type!==t){this._type=t;var e=this._model;switch(this._type){case on:this._model=new en;break;case nn:this._model=new tn;break;case rn:this._model=new Jr;break;default:this._model=new Qr}this._model.configure(e)}},r.type.get=function(){return this._type},e.prototype._retrieveSize=function(){this._model.isSm=this.matches(Yr.RANGE_SM)},e.prototype.resize=function(){this._retrieveWidth(),this.update()},e.prototype._retrieveWidth=function(){this._model.width=this.getRect().width},e.prototype.setValue=function(t){switch(this._model.value=t,this._type){case on:case nn:this.descend(Xr.VALUE,t)}this.update()},e.prototype.setValue2=function(t){this._model.value2=t,this.descend(Xr.VALUE2,t),this.update()},e.prototype.setConstraints=function(t){this._model.setConstraints(t),this.update(),this.descend(Xr.CONSTRAINTS,t)},e.prototype.setPrefix=function(t){this._model.setPrefix(t),this.update()},e.prototype.setSuffix=function(t){this._model.setSuffix(t),this.update()},e.prototype.mutate=function(t){switch(!0){case t.includes("class"):this._retrieveType(),this._retrieveSize();break;case t.includes(Yr.RANGE_PREFIX):case t.includes(Yr.RANGE_SUFFIX):this._model.setPrefix(this.getAttribute(Yr.RANGE_PREFIX)),this._model.setSuffix(this.getAttribute(Yr.RANGE_SUFFIX)),this.update()}},e.prototype.update=function(){this._model.update(),this.descend(Xr.OUTPUT,this._model.output),this.descend(Xr.MIN,this._model.textMin),this.descend(Xr.MAX,this._model.textMax);var t=this._model.progress;t.left?this.style.setProperty("--progress-left",t.left):this.style.removeProperty("--progress-left"),t.right?(this.style.setProperty("--progress-right",t.right),this.isLegacy&&t.left&&(this.style.setProperty("background-position-x",t.left),this.style.setProperty("background-size",parseFloat(t.right)-parseFloat(t.left)+"px "+(this._model.isSm?"8px":"12px")))):(this.style.removeProperty("--progress-right"),this.isLegacy&&(this.style.removeProperty("background-size"),this.style.removeProperty("background-position-x"))),this._model.stepWidth?this.style.setProperty("--step-width",this._model.stepWidth):this.style.removeProperty("--step-width")},e.prototype.mouseMove=function(t){if(this._type===nn||this._type===on){var e=t.x-this.getRect().left;this.descend(Xr.ENABLE_POINTER,(parseFloat(this._model.progress.right)-parseFloat(this._model.progress.left))/2+parseFloat(this._model.progress.left)<e?2:1)}},e.prototype.dispose=function(){this._observer.disconnect()},Object.defineProperties(e.prototype,r),Object.defineProperties(e,n),e}(ae.core.Instance),cn=function(t){this._min=isNaN(t.min)?0:t.min,this._max=isNaN(t.max)?100:t.max,this._step=isNaN(t.step)?1:t.step,this._rangeWidth=this._max-this._min},ln={min:{configurable:!0},max:{configurable:!0},step:{configurable:!0},rangeWidth:{configurable:!0}};ln.min.get=function(){return this._min},ln.max.get=function(){return this._max},ln.step.get=function(){return this._step},ln.rangeWidth.get=function(){return this._rangeWidth},cn.prototype.test=function(t,e,r){return this._min===t&&this._max===e&&this._step===r},Object.defineProperties(cn.prototype,ln);var un=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={proxy:{configurable:!0},value:{configurable:!0}},n={instanceClassName:{configurable:!0}};return n.instanceClassName.get=function(){return"RangeInput"},e.prototype.init=function(){this._init(),this._value=parseFloat(this.node.getAttribute("value")),this.isLegacy&&this.addDescent(Xr.ENABLE_POINTER,this._enablePointer.bind(this)),this.isRendering=!0,this.change()},e.prototype._init=function(){var t=this;this._pointerId=1,this.request((function(){t.hasAttribute("min")||t.setAttribute("min",0),t.ascend(Xr.CONSTRAINTS,new cn(t.node)),t.ascend(Xr.DISABLED,t.node.disabled)})),this.addDescent(Xr.VALUE2,this.setValue.bind(this))},r.proxy.get=function(){var e=this,r={get value(){return e.value},set value(t){e.value=t}};return ae.internals.property.completeAssign.call(this,t.prototype.proxy,r)},e.prototype._enablePointer=function(t){var e=t===this._pointerId;this._isPointerEnabled!==e&&(this._isPointerEnabled=e,e?this.style.removeProperty("pointer-events"):this.style.setProperty("pointer-events","none"))},r.value.get=function(){return parseFloat(this.node.value)},r.value.set=function(t){var e=parseFloat(t);e!==this._value&&(this._value=e,this.node.value=e,this.dispatch("change"),this.change())},e.prototype.setValue=function(t){parseFloat(this.node.value)>t&&(this.value=t)},e.prototype.change=function(){this.ascend(Xr.VALUE,this._value)},e.prototype.render=function(){var t=parseFloat(this.node.value);t!==this._value&&(this.value=t)},e.prototype.mutate=function(t){t.includes("disabled")&&this.ascend(Xr.DISABLED,this.node.disabled),(t.includes("min")||t.includes("max")||t.includes("step"))&&(this.ascend(Xr.CONSTRAINTS,new cn(this.node)),this.change())},e.prototype.dispose=function(){this._listenerType&&this.unlisten(this._listenerType,this._changing)},Object.defineProperties(e.prototype,r),Object.defineProperties(e,n),e}(ae.core.Instance),pn=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={instanceClassName:{configurable:!0}};return r.instanceClassName.get=function(){return"RangeInput2"},e.prototype._init=function(){this._pointerId=2,this.addDescent(Xr.CONSTRAINTS,this.setConstraints.bind(this)),this.addDescent(Xr.VALUE,this.setValue.bind(this))},e.prototype.setValue=function(t){parseFloat(this.node.value)<t&&(this.value=t)},e.prototype.change=function(){this.ascend(Xr.VALUE2,parseFloat(this.node.value))},e.prototype.setConstraints=function(t){this.node.min=t.min,this.node.max=t.max,this.node.step=t.step,this.change()},e.prototype.mutate=function(t){},Object.defineProperties(e,r),e}(un),hn=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={instanceClassName:{configurable:!0}};return r.instanceClassName.get=function(){return"RangeOutput"},e.prototype.init=function(){this.addDescent(Xr.OUTPUT,this.change.bind(this))},e.prototype.change=function(t){this.node.innerText=t.text,this.node.style.transform=t.transform},Object.defineProperties(e,r),e}(ae.core.Instance),fn=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={instanceClassName:{configurable:!0}};return r.instanceClassName.get=function(){return"RangeLimit"},e.prototype.init=function(){switch(!0){case this.matches(Yr.RANGE_MIN):this.addDescent(Xr.MIN,this.change.bind(this));break;case this.matches(Yr.RANGE_MAX):this.addDescent(Xr.MAX,this.change.bind(this))}},e.prototype.change=function(t){this.node.innerText=t},Object.defineProperties(e,r),e}(ae.core.Instance);ae.range={Range:an,RangeInput:un,RangeInput2:pn,RangeOutput:hn,RangeLimit:fn,RangeEmission:Xr,RangeSelector:Yr},ae.internals.register(ae.range.RangeSelector.RANGE,ae.range.Range),ae.internals.register(ae.range.RangeSelector.RANGE_INPUT,ae.range.RangeInput),ae.internals.register(ae.range.RangeSelector.RANGE_INPUT2,ae.range.RangeInput2),ae.internals.register(ae.range.RangeSelector.RANGE_OUTPUT,ae.range.RangeOutput),ae.internals.register(ae.range.RangeSelector.RANGE_MIN,ae.range.RangeLimit),ae.internals.register(ae.range.RangeSelector.RANGE_MAX,ae.range.RangeLimit);var dn={HEADER:ae.internals.ns.selector("header"),BRAND_LINK:ae.internals.ns.selector("header__brand a"),TOOLS_LINKS:ae.internals.ns.selector("header__tools-links"),MENU_LINKS:ae.internals.ns.selector("header__menu-links"),BUTTONS:ae.internals.ns.selector("header__tools-links")+" "+ae.internals.ns.selector("btns-group")+", "+ae.internals.ns.selector("header__tools-links")+" "+ae.internals.ns.selector("links-group"),MODALS:""+ae.internals.ns.selector("header__search")+ae.internals.ns.selector("modal")+", "+ae.internals.ns.selector("header__menu")+ae.internals.ns.selector("modal")},yn=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={instanceClassName:{configurable:!0}};return r.instanceClassName.get=function(){return"HeaderLinks"},e.prototype.init=function(){var t=this.queryParentSelector(dn.HEADER);this.toolsLinks=t.querySelector(dn.TOOLS_LINKS),this.menuLinks=t.querySelector(dn.MENU_LINKS);var e="-mobile",r=this.toolsLinks.innerHTML.replace(/  +/g," "),n=this.menuLinks.innerHTML.replace(/  +/g," "),i=r.match(/id="(.*?)"/gm)||[];i=i.map((function(t){return t.replace('id="',"").replace('"',"")}));for(var o=r.replace(/id="(.*?)"/gm,'id="$1'+e+'"'),s=0,a=["aria-controls","aria-describedby","aria-labelledby"];s<a.length;s+=1){var c=a[s],l=r.match(new RegExp(c+'="(.*?)"',"gm"));if(l)for(var u=0,p=l;u<p.length;u+=1){var h=p[u].replace(c+'="',"").replace('"',"");i.includes(h)&&(o=o.replace(c+'="'+h+'"',c+'="'+(h+e)+'"'))}}if(o!==n)switch(ae.mode){case ae.Modes.ANGULAR:case ae.Modes.REACT:case ae.Modes.VUE:this.warn("header__tools-links content is different from header__menu-links content.\nAs you're using a dynamic framework, you should handle duplication of this content yourself, please refer to documentation:\n"+ae.header.doc);break;default:this.menuLinks.innerHTML=o}},Object.defineProperties(e,r),e}(ae.core.Instance),bn=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={instanceClassName:{configurable:!0}};return r.instanceClassName.get=function(){return"HeaderModal"},e.prototype.init=function(){this.storeAria(),this.isResizing=!0},e.prototype.resize=function(){this.isBreakpoint(ae.core.Breakpoints.LG)?this.deactivateModal():this.activateModal()},e.prototype.activateModal=function(){var t=this.element.getInstance("Modal");t?(t.isActive=!0,this.restoreAria(),this.listenClick({capture:!0})):this.request(this.activateModal.bind(this))},e.prototype.deactivateModal=function(){var t=this.element.getInstance("Modal");t?(t.conceal(),t.isActive=!1,this.storeAria(),this.unlistenClick({capture:!0})):this.request(this.deactivateModal.bind(this))},e.prototype.storeAria=function(){this.hasAttribute("aria-labelledby")&&(this._ariaLabelledby=this.getAttribute("aria-labelledby")),this.hasAttribute("aria-label")&&(this._ariaLabel=this.getAttribute("aria-label")),this.removeAttribute("aria-labelledby"),this.removeAttribute("aria-label")},e.prototype.restoreAria=function(){this._ariaLabelledby&&this.setAttribute("aria-labelledby",this._ariaLabelledby),this._ariaLabel&&this.setAttribute("aria-label",this._ariaLabel)},e.prototype.handleClick=function(t){!t.target.matches("a, button")||t.target.matches("[aria-controls]")||t.target.matches(ae.core.DisclosureSelector.PREVENT_CONCEAL)||this.element.getInstance("Modal").conceal()},Object.defineProperties(e,r),e}(ae.core.Instance);ae.header={HeaderLinks:yn,HeaderModal:bn,HeaderSelector:dn,doc:"https://www.systeme-de-design.gouv.fr/elements-d-interface/composants/en-tete"},ae.internals.register(ae.header.HeaderSelector.TOOLS_LINKS,ae.header.HeaderLinks),ae.internals.register(ae.header.HeaderSelector.MODALS,ae.header.HeaderModal);var gn={DISPLAY:ae.internals.ns.selector("display"),RADIO_BUTTONS:'input[name="'+ae.internals.ns("radios-theme")+'"]',FIELDSET:ae.internals.ns.selector("fieldset")},vn=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={scheme:{configurable:!0}},n={instanceClassName:{configurable:!0}};return n.instanceClassName.get=function(){return"Display"},e.prototype.init=function(){if(this.radios=this.querySelectorAll(gn.RADIO_BUTTONS),ae.scheme){this.changing=this.change.bind(this);for(var t=0,e=this.radios;t<e.length;t+=1){e[t].addEventListener("change",this.changing)}this.addDescent(ae.scheme.SchemeEmission.SCHEME,this.apply.bind(this)),this.ascend(ae.scheme.SchemeEmission.ASK)}else this.querySelector(gn.FIELDSET).setAttribute("disabled","")},r.scheme.get=function(){return this._scheme},r.scheme.set=function(t){if(this._scheme!==t&&ae.scheme)switch(t){case ae.scheme.SchemeValue.SYSTEM:case ae.scheme.SchemeValue.LIGHT:case ae.scheme.SchemeValue.DARK:this._scheme=t;for(var e=0,r=this.radios;e<r.length;e+=1){var n=r[e];n.checked=n.value===t}this.ascend(ae.scheme.SchemeEmission.SCHEME,t)}},e.prototype.change=function(){for(var t=0,e=this.radios;t<e.length;t+=1){var r=e[t];if(r.checked)return void(this.scheme=r.value)}},e.prototype.apply=function(t){this.scheme=t},e.prototype.dispose=function(){for(var t=0,e=this.radios;t<e.length;t+=1){e[t].removeEventListener("change",this.changing)}},Object.defineProperties(e.prototype,r),Object.defineProperties(e,n),e}(ae.core.Instance);ae.display={Display:vn,DisplaySelector:gn},ae.internals.register(ae.display.DisplaySelector.DISPLAY,ae.display.Display);var mn={SCROLLABLE:ae.internals.ns.emission("table","scrollable"),CHANGE:ae.internals.ns.emission("table","change"),CAPTION_HEIGHT:ae.internals.ns.emission("table","captionheight"),CAPTION_WIDTH:ae.internals.ns.emission("table","captionwidth")},_n=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={instanceClassName:{configurable:!0}};return r.instanceClassName.get=function(){return"Table"},e.prototype.init=function(){this.addAscent(mn.CAPTION_HEIGHT,this.setCaptionHeight.bind(this))},e.prototype.setCaptionHeight=function(t){this.setProperty("--table-offset",t)},Object.defineProperties(e,r),e}(ae.core.Instance),wn=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={instanceClassName:{configurable:!0}};return r.instanceClassName.get=function(){return"TableWrapper"},e.prototype.init=function(){this.addAscent(mn.CAPTION_HEIGHT,this.setCaptionHeight.bind(this))},e.prototype.setCaptionHeight=function(t){var e=this;requestAnimationFrame((function(){return e.ascend(mn.CAPTION_HEIGHT,0)})),this.setProperty("--table-offset",t)},Object.defineProperties(e,r),e}(ae.core.Instance),Sn={TABLE:ae.internals.ns.selector("table"),TABLE_WRAPPER:[ae.internals.ns.selector("table")+" "+ae.internals.ns.selector("table__wrapper")],SHADOW:ae.internals.ns.selector("table__shadow"),SHADOW_LEFT:ae.internals.ns.selector("table__shadow--left"),SHADOW_RIGHT:ae.internals.ns.selector("table__shadow--right"),ELEMENT:[ae.internals.ns.selector("table")+":not("+ae.internals.ns.selector("table--no-scroll")+") table"],CAPTION:ae.internals.ns.selector("table")+" table caption",ROW:ae.internals.ns.selector("table")+" tbody tr",COL:ae.internals.ns.selector("table")+" thead th"},En=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={isScrolling:{configurable:!0}},n={instanceClassName:{configurable:!0}};return n.instanceClassName.get=function(){return"TableElement"},e.prototype.init=function(){this.listen("scroll",this.scroll.bind(this)),this.content=this.querySelector("tbody"),this.tableOffsetHeight=0,this.isResizing=!0},r.isScrolling.get=function(){return this._isScrolling},r.isScrolling.set=function(t){this._isScrolling!==t&&(this._isScrolling=t,t?(this.addClass(Sn.SHADOW),this.scroll()):(this.removeClass(Sn.SHADOW),this.removeClass(Sn.SHADOW_LEFT),this.removeClass(Sn.SHADOW_RIGHT)))},e.prototype.scroll=function(){var t=this.node.scrollLeft<=0,e=this.content.offsetWidth-this.node.offsetWidth-0,r=Math.abs(this.node.scrollLeft)>=e,n="rtl"===document.documentElement.getAttribute("dir"),i=n?Sn.SHADOW_RIGHT:Sn.SHADOW_LEFT,o=n?Sn.SHADOW_LEFT:Sn.SHADOW_RIGHT;t?this.removeClass(i):this.addClass(i),r?this.removeClass(o):this.addClass(o)},e.prototype.resize=function(){this.isScrolling=this.content.offsetWidth>this.node.offsetWidth},e.prototype.dispose=function(){this.isScrolling=!1},Object.defineProperties(e.prototype,r),Object.defineProperties(e,n),e}(ae.core.Instance),On=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={instanceClassName:{configurable:!0}};return r.instanceClassName.get=function(){return"TableCaption"},e.prototype.init=function(){this.height=0,this.isResizing=!0},e.prototype.resize=function(){var t=this.getRect().height;this.height!==t&&(this.height=t,this.ascend(mn.CAPTION_HEIGHT,"calc("+t+"px + 1rem)"))},Object.defineProperties(e,r),e}(ae.core.Instance),jn=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={isSelected:{configurable:!0}},n={instanceClassName:{configurable:!0}};return n.instanceClassName.get=function(){return"TableRow"},e.prototype.init=function(){ae.checkbox&&(this.addAscent(Le.CHANGE,this._handleCheckboxChange.bind(this)),this.descend(Le.RETRIEVE))},e.prototype._handleCheckboxChange=function(t){"row-select"!==t.name&&"true"!==t.getAttribute(ae.internals.ns.attr("row-select"))||(this.isSelected=!0===t.checked)},e.prototype.render=function(){var t=this.getRect().height+2;this._height!==t&&(this._height=t,this.setProperty("--row-height",this._height+"px"))},r.isSelected.get=function(){return this._isSelected},r.isSelected.set=function(t){this._isSelected!==t&&(this.isRendering=t,this._isSelected=t,this.setAttribute("aria-selected",t))},Object.defineProperties(e.prototype,r),Object.defineProperties(e,n),e}(ae.core.Instance);ae.table={Table:_n,TableWrapper:wn,TableElement:En,TableCaption:On,TableSelector:Sn,TableRow:jn},ae.internals.register(ae.table.TableSelector.TABLE,ae.table.Table),ae.internals.register(ae.table.TableSelector.TABLE_WRAPPER,ae.table.TableWrapper),ae.internals.register(ae.table.TableSelector.ELEMENT,ae.table.TableElement),ae.internals.register(ae.table.TableSelector.CAPTION,ae.table.TableCaption),ae.internals.register(ae.table.TableSelector.ROW,ae.table.TableRow),function(t,e){function r(t,e){var r=arguments.length>2?arguments[2]:[];if(!1===i(t))throw new TypeError(Object.prototype.toString.call(t)+"is not a function.");return t.apply(e,r)}function n(t,e){return t[e]}function i(t){return"function"==typeof t}function o(t){if(null===t||t===e)throw TypeError();return Object(t)}function s(t,r){var n=function(t,e){return o(t)[e]}(t,r);if(null===n||n===e)return e;if(!1===i(n))throw new TypeError("Method not callable: "+r);return n}function a(e){switch(typeof e){case"undefined":return"undefined";case"boolean":return"boolean";case"number":return"number";case"string":return"string";case"symbol":return"symbol";default:return null===e?"null":"Symbol"in t&&(e instanceof t.Symbol||e.constructor===t.Symbol)?"symbol":"object"}}function c(t,e){return a(t)===a(e)&&("number"===a(t)?!(!isNaN(t)||!isNaN(e))||1/t==1/0&&1/e==-1/0||1/t==-1/0&&1/e==1/0||t===e:function(t,e){return t===e}(t,e))}function l(t){if("symbol"===a(t))throw new TypeError("Cannot convert a Symbol value to a number");var e=Number(t);return isNaN(e)?0:1/e==1/0||1/e==-1/0||e===1/0||e===-1/0?e:(e<0?-1:1)*Math.floor(Math.abs(e))}function u(o){var c=arguments.length>1?arguments[1]:e;if("object"===a(o)){if(arguments.length<2)var l="default";else c===String?l="string":c===Number&&(l="number");var u="function"==typeof t.Symbol&&"symbol"==typeof t.Symbol.toPrimitive?s(o,t.Symbol.toPrimitive):e;if(u!==e){var p=r(u,o,[l]);if("object"!==a(p))return p;throw new TypeError("Cannot convert exotic object to primitive.")}return"default"===l&&(l="number"),function(t,e){if("string"===e)var o=["toString","valueOf"];else o=["valueOf","toString"];for(var s=0;s<o.length;++s){var c=n(t,o[s]);if(i(c)){var l=r(c,t);if("object"!==a(l))return l}}throw new TypeError("Cannot convert to primitive.")}(o,l)}return o}function p(t){switch(a(t)){case"symbol":throw new TypeError("Cannot convert a Symbol value to a string");case"object":return p(u(t,String));default:return String(t)}}var h,f,d,y;h=Array.prototype,f="includes",d=function(t){var e=o(this),r=function(t){var e=l(t);return e<=0?0:Math.min(e,Math.pow(2,53)-1)}(n(e,"length"));if(0===r)return!1;var i=l(arguments[1]);if(i>=0)var s=i;else(s=r+i)<0&&(s=0);for(;s<r;){if(c(t,n(e,p(s))))return!0;s+=1}return!1},y={value:d,writable:!0,enumerable:!1,configurable:!0},Object.defineProperty(h,f,y),function(){function t(t,r){if(!t)throw new Error("Not enough arguments");var n;if("createEvent"in document){n=document.createEvent("Event");var i=!(!r||r.bubbles===e)&&r.bubbles,o=!(!r||r.cancelable===e)&&r.cancelable;return n.initEvent(t,i,o),n}return(n=document.createEventObject()).type=t,n.bubbles=!(!r||r.bubbles===e)&&r.bubbles,n.cancelable=!(!r||r.cancelable===e)&&r.cancelable,n}var r={click:1,dblclick:1,keyup:1,keypress:1,keydown:1,mousedown:1,mouseup:1,mousemove:1,mouseover:1,mouseenter:1,mouseleave:1,mouseout:1,storage:1,storagecommit:1,textinput:1};if("undefined"!=typeof document&&"undefined"!=typeof window){var n=window.Event&&window.Event.prototype||null;t.NONE=0,t.CAPTURING_PHASE=1,t.AT_TARGET=2,t.BUBBLING_PHASE=3,window.Event=Window.prototype.Event=t,n&&Object.defineProperty(window.Event,"prototype",{configurable:!1,enumerable:!1,writable:!0,value:n}),"createEvent"in document||(window.addEventListener=Window.prototype.addEventListener=Document.prototype.addEventListener=Element.prototype.addEventListener=function(){var t=this,e=arguments[0],n=arguments[1];if(t===window&&e in r)throw new Error("In IE8 the event: "+e+" is not available on the window object.");t._events||(t._events={}),t._events[e]||(t._events[e]=function(e){var r,n=t._events[e.type].list,i=n.slice(),o=-1,s=i.length;for(e.preventDefault=function(){!1!==e.cancelable&&(e.returnValue=!1)},e.stopPropagation=function(){e.cancelBubble=!0},e.stopImmediatePropagation=function(){e.cancelBubble=!0,e.cancelImmediate=!0},e.currentTarget=t,e.relatedTarget=e.fromElement||null,e.target=e.target||e.srcElement||t,e.timeStamp=(new Date).getTime(),e.clientX&&(e.pageX=e.clientX+document.documentElement.scrollLeft,e.pageY=e.clientY+document.documentElement.scrollTop);++o<s&&!e.cancelImmediate;)o in i&&(r=i[o],n.includes(r)&&"function"==typeof r&&r.call(t,e))},t._events[e].list=[],t.attachEvent&&t.attachEvent("on"+e,t._events[e])),t._events[e].list.push(n)},window.removeEventListener=Window.prototype.removeEventListener=Document.prototype.removeEventListener=Element.prototype.removeEventListener=function(){var t,e=this,r=arguments[0],n=arguments[1];e._events&&e._events[r]&&e._events[r].list&&-1!==(t=e._events[r].list.indexOf(n))&&(e._events[r].list.splice(t,1),e._events[r].list.length||(e.detachEvent&&e.detachEvent("on"+r,e._events[r]),delete e._events[r]))},window.dispatchEvent=Window.prototype.dispatchEvent=Document.prototype.dispatchEvent=Element.prototype.dispatchEvent=function(t){if(!arguments.length)throw new Error("Not enough arguments");if(!t||"string"!=typeof t.type)throw new Error("DOM Events Exception 0");var e=this,r=t.type;try{if(!t.bubbles){t.cancelBubble=!0;var n=function(t){t.cancelBubble=!0,(e||window).detachEvent("on"+r,n)};this.attachEvent("on"+r,n)}this.fireEvent("on"+r,t)}catch(n){t.target=e;do{t.currentTarget=e,"_events"in e&&"function"==typeof e._events[r]&&e._events[r].call(e,t),"function"==typeof e["on"+r]&&e["on"+r].call(e,t),e=9===e.nodeType?e.parentWindow:e.parentNode}while(e&&!t.cancelBubble)}return!0},document.attachEvent("onreadystatechange",(function(){"complete"===document.readyState&&document.dispatchEvent(new t("DOMContentLoaded",{bubbles:!0}))})))}}(),t.CustomEvent=function(t,e){if(!t)throw Error('TypeError: Failed to construct "CustomEvent": An event name must be provided.');var r;if(e=e||{bubbles:!1,cancelable:!1,detail:null},"createEvent"in document)try{(r=document.createEvent("CustomEvent")).initCustomEvent(t,e.bubbles,e.cancelable,e.detail)}catch(n){(r=document.createEvent("Event")).initEvent(t,e.bubbles,e.cancelable),r.detail=e.detail}else(r=new Event(t,e)).detail=e&&e.detail||null;return r},CustomEvent.prototype=Event.prototype}("object"==typeof window&&window||"object"==typeof self&&self||"object"==typeof global&&global||{}),function(t,e){!function(e){function r(t,e){if("change"===t&&this.addListener(e),arguments[2]&&arguments[2].once){var r=this,n=function(){r.removeListener(n),r.removeListener(e)};this.addListener(n)}}function n(t,e){"change"===t&&this.removeListener(e)}var i=function(){try{var t={};return e.Object.defineProperty(t,"t",{configurable:!0,enumerable:!1,get:function(){return this._v},set:function(t){this._v=t+t}}),t.t=1,2===t.t}catch(t){return!1}}(),o={enumerable:!0,configurable:!0,get:function(){return this._onchangeHandler||null},set:function(t){var e=this;e._onchangeListener||(e._onchangeListener=function(){"function"==typeof e._onchangeHandler&&e._onchangeHandler.call(e,arguments[0])},e.addEventListener("change",e._onchangeListener)),e._onchangeHandler=t}};if("MediaQueryList"in e){var s=e.MediaQueryList.prototype.addListener,a=e.MediaQueryList.prototype.removeListener;e.MediaQueryList.prototype.addListener=function(t){var e=t;e.handleEvent&&(e=e.handleEvent),s.call(this,e)},e.MediaQueryList.prototype.removeListener=function(t){var e=t;e.handleEvent&&(e=e.handleEvent),a.call(this,e)},e.MediaQueryList.prototype.addEventListener=r,e.MediaQueryList.prototype.removeEventListener=n,i&&e.Object.defineProperty(e.MediaQueryList.prototype,"onchange",o)}else{var c=t.matchMedia;t.matchMedia=function(t){var s=c(t),a=s.addListener,l=s.removeListener;return s.addListener=function(t){var e=t;e.handleEvent&&(e=e.handleEvent),a.call(this,e)},s.removeListener=function(t){var e=t;e.handleEvent&&(e=e.handleEvent),l.call(this,e)},s.addEventListener=r,s.removeEventListener=n,i&&e.Object.defineProperty(s,"onchange",o),s}}}(t)}("object"==typeof window&&window||"object"==typeof self&&self||"object"==typeof global&&global||{}),function(t,e){var r,n=function(){var t=!0,r=function(e,r,n,i){Object.defineProperty?Object.defineProperty(e,r,{configurable:!1===t||!!i,get:n}):e.__defineGetter__(r,n)};try{r({},"support")}catch(e){t=!1}return function(t,n){var i=this,o=[],s={},a=0,c=0,l=function(t){r(i,t,(function(){return p(),o[t]}),!1)},u=function(){if(a>=c)for(;c<a;++c)l(c)},p=function(){var e,r,i=arguments,c=/\s+/;if(i.length)for(r=0;r<i.length;++r)if(c.test(i[r]))throw(e=new SyntaxError('String "'+i[r]+'" contains an invalid character')).code=5,e.name="InvalidCharacterError",e;for(""===(o="object"==typeof t[n]?(""+t[n].baseVal).replace(/^\s+|\s+$/g,"").split(c):(""+t[n]).replace(/^\s+|\s+$/g,"").split(c))[0]&&(o=[]),s={},r=0;r<o.length;++r)s[o[r]]=!0;a=o.length,u()};return p(),r(i,"length",(function(){return p(),a})),i.toLocaleString=i.toString=function(){return p(),o.join(" ")},i.item=function(t){return p(),o[t]},i.contains=function(t){return p(),!!s[t]},i.add=function(){p.apply(i,e=arguments);for(var e,r,c=0,l=e.length;c<l;++c)s[r=e[c]]||(o.push(r),s[r]=!0);a!==o.length&&(a=o.length>>>0,"object"==typeof t[n]?t[n].baseVal=o.join(" "):t[n]=o.join(" "),u())},i.remove=function(){p.apply(i,e=arguments);for(var e,r={},c=0,l=[];c<e.length;++c)r[e[c]]=!0,delete s[e[c]];for(c=0;c<o.length;++c)r[o[c]]||l.push(o[c]);o=l,a=l.length>>>0,"object"==typeof t[n]?t[n].baseVal=o.join(" "):t[n]=o.join(" "),u()},i.toggle=function(t,r){return p.apply(i,[t]),e!==r?r?(i.add(t),!0):(i.remove(t),!1):s[t]?(i.remove(t),!1):(i.add(t),!0)},i.forEach=Array.prototype.forEach,i}}();"DOMTokenList"in(r=t)&&r.DOMTokenList&&(!document.createElementNS||!document.createElementNS("http://www.w3.org/2000/svg","svg")||document.createElementNS("http://www.w3.org/2000/svg","svg").classList instanceof DOMTokenList)||(r.DOMTokenList=n),function(){var t=document.createElement("span");"classList"in t&&(t.classList.toggle("x",!1),t.classList.contains("x")&&(t.classList.constructor.prototype.toggle=function(t){var r=arguments[1];if(r===e){var n=!this.contains(t);return this[n?"add":"remove"](t),n}return r=!!r,this[r?"add":"remove"](t),r}))}(),function(){var t=document.createElement("span");if("classList"in t&&(t.classList.add("a","b"),!t.classList.contains("b"))){var e=t.classList.constructor.prototype.add;t.classList.constructor.prototype.add=function(){for(var t=arguments,r=arguments.length,n=0;n<r;n++)e.call(this,t[n])}}}(),function(){var t=document.createElement("span");if("classList"in t&&(t.classList.add("a"),t.classList.add("b"),t.classList.remove("a","b"),t.classList.contains("b"))){var e=t.classList.constructor.prototype.remove;t.classList.constructor.prototype.remove=function(){for(var t=arguments,r=arguments.length,n=0;n<r;n++)e.call(this,t[n])}}}(),function(t){var e=!0,r=function(t,r,n,i){Object.defineProperty?Object.defineProperty(t,r,{configurable:!1===e||!!i,get:n}):t.__defineGetter__(r,n)};try{r({},"support")}catch(t){e=!1}var i=function(t,o,s){r(t.prototype,o,(function(){var t,a=this,c="__defineGetter__DEFINE_PROPERTY"+o;if(a[c])return t;if(a[c]=!0,!1===e){for(var l,u=i.mirror||document.createElement("div"),p=u.childNodes,h=p.length,f=0;f<h;++f)if(p[f]._R===a){l=p[f];break}l||(l=u.appendChild(document.createElement("div"))),t=DOMTokenList.call(l,a,s)}else t=new n(a,s);return r(a,o,(function(){return t})),delete a[c],t}),!0)};i(t.Element,"classList","className"),i(t.HTMLElement,"classList","className"),i(t.HTMLLinkElement,"relList","rel"),i(t.HTMLAnchorElement,"relList","rel"),i(t.HTMLAreaElement,"relList","rel")}(t),function(t){t.DOMTokenList.prototype.forEach=t.Array.prototype.forEach;var e=document.createElement("span");e.classList&&e.classList.constructor&&e.classList.constructor.prototype&&!e.classList.constructor.prototype.forEach&&(e.classList.constructor.prototype.forEach=t.Array.prototype.forEach)}(t),NodeList.prototype.forEach=Array.prototype.forEach}("object"==typeof window&&window||"object"==typeof self&&self||"object"==typeof global&&global||{}),function(t,e){!function(){function e(t){if(!(0 in arguments))throw new TypeError("1 argument is required");do{if(this===t)return!0}while(t=t&&t.parentNode);return!1}if("HTMLElement"in t&&"contains"in HTMLElement.prototype)try{delete HTMLElement.prototype.contains}catch(t){}"Node"in t?Node.prototype.contains=e:document.contains=Element.prototype.contains=e}()}("object"==typeof window&&window||"object"==typeof self&&self||"object"==typeof global&&global||{}),Element.prototype.matches=Element.prototype.webkitMatchesSelector||Element.prototype.oMatchesSelector||Element.prototype.msMatchesSelector||Element.prototype.mozMatchesSelector||function(t){for(var e=this,r=(e.document||e.ownerDocument).querySelectorAll(t),n=0;r[n]&&r[n]!==e;)++n;return!!r[n]},function(t,e){function r(t,e){var r=arguments.length>2?arguments[2]:[];if(!1===o(t))throw new TypeError(Object.prototype.toString.call(t)+"is not a function.");return t.apply(e,r)}function n(t,e,r){var n={value:r,writable:!0,enumerable:!1,configurable:!0};Object.defineProperty(t,e,n)}function i(t,e){return t[e]}function o(t){return"function"==typeof t}function s(t){if(null===t||t===e)throw TypeError();return Object(t)}function a(t,r){var n=function(t,e){return s(t)[e]}(t,r);if(null===n||n===e)return e;if(!1===o(n))throw new TypeError("Method not callable: "+r);return n}function c(e){switch(typeof e){case"undefined":return"undefined";case"boolean":return"boolean";case"number":return"number";case"string":return"string";case"symbol":return"symbol";default:return null===e?"null":"Symbol"in t&&(e instanceof t.Symbol||e.constructor===t.Symbol)?"symbol":"object"}}function l(t,e){return c(t)===c(e)&&("number"===c(t)?!(!isNaN(t)||!isNaN(e))||1/t==1/0&&1/e==-1/0||1/t==-1/0&&1/e==1/0||t===e:function(t,e){return t===e}(t,e))}function u(t){if("symbol"===c(t))throw new TypeError("Cannot convert a Symbol value to a number");var e=Number(t);return isNaN(e)?0:1/e==1/0||1/e==-1/0||e===1/0||e===-1/0?e:(e<0?-1:1)*Math.floor(Math.abs(e))}function p(n){var s=arguments.length>1?arguments[1]:e;if("object"===c(n)){if(arguments.length<2)var l="default";else s===String?l="string":s===Number&&(l="number");var u="function"==typeof t.Symbol&&"symbol"==typeof t.Symbol.toPrimitive?a(n,t.Symbol.toPrimitive):e;if(u!==e){var p=r(u,n,[l]);if("object"!==c(p))return p;throw new TypeError("Cannot convert exotic object to primitive.")}return"default"===l&&(l="number"),function(t,e){if("string"===e)var n=["toString","valueOf"];else n=["valueOf","toString"];for(var s=0;s<n.length;++s){var a=i(t,n[s]);if(o(a)){var l=r(a,t);if("object"!==c(l))return l}}throw new TypeError("Cannot convert to primitive.")}(n,l)}return n}function h(t){switch(c(t)){case"symbol":throw new TypeError("Cannot convert a Symbol value to a string");case"object":return h(p(t,String));default:return String(t)}}var f,d,y,b,g,v;n(Object,"keys",function(){function t(){var t;try{t=Object.create({})}catch(t){return!0}return i.call(t,"__proto__")}var r=Object.prototype.hasOwnProperty,n=Object.prototype.toString,i=Object.prototype.propertyIsEnumerable,o=!i.call({toString:null},"toString"),s=i.call((function(){}),"prototype"),a=["toString","toLocaleString","valueOf","hasOwnProperty","isPrototypeOf","propertyIsEnumerable","constructor"],c=function(t){var e=t.constructor;return e&&e.prototype===t},l={$console:!0,$external:!0,$frame:!0,$frameElement:!0,$frames:!0,$innerHeight:!0,$innerWidth:!0,$outerHeight:!0,$outerWidth:!0,$pageXOffset:!0,$pageYOffset:!0,$parent:!0,$scrollLeft:!0,$scrollTop:!0,$scrollX:!0,$scrollY:!0,$self:!0,$webkitIndexedDB:!0,$webkitStorageInfo:!0,$window:!0},u=function(){if("undefined"==typeof window)return!1;for(var t in window)try{if(!l["$"+t]&&r.call(window,t)&&null!==window[t]&&"object"==typeof window[t])try{c(window[t])}catch(t){return!0}}catch(t){return!0}return!1}(),p=function(t){if("undefined"==typeof window||!u)return c(t);try{return c(t)}catch(t){return!1}};return function(i){var c="[object Function]"===n.call(i),l=function(t){var e=n.call(t),r="[object Arguments]"===e;return r||(r="[object Array]"!==e&&null!==t&&"object"==typeof t&&"number"==typeof t.length&&t.length>=0&&"[object Function]"===n.call(t.callee)),r}(i),u="[object String]"===n.call(i),h=[];if(i===e||null===i)throw new TypeError("Cannot convert undefined or null to object");var f=s&&c;if(u&&i.length>0&&!r.call(i,0))for(var d=0;d<i.length;++d)h.push(String(d));if(l&&i.length>0)for(var y=0;y<i.length;++y)h.push(String(y));else for(var b in i)t()&&"__proto__"===b||f&&"prototype"===b||!r.call(i,b)||h.push(String(b));if(o)for(var g=p(i),v=0;v<a.length;++v)g&&"constructor"===a[v]||!r.call(i,a[v])||h.push(a[v]);return h}}()),n(Array.prototype,"includes",(function(t){var e=s(this),r=function(t){var e=u(t);return e<=0?0:Math.min(e,Math.pow(2,53)-1)}(i(e,"length"));if(0===r)return!1;var n=u(arguments[1]);if(n>=0)var o=n;else(o=r+n)<0&&(o=0);for(;o<r;){if(l(t,i(e,h(o))))return!0;o+=1}return!1})),f={}.toString,d="".split,y=[].concat,b=Object.prototype.hasOwnProperty,g=Object.getOwnPropertyNames||Object.keys,v="object"==typeof t?g(t):[],n(Object,"getOwnPropertyNames",(function(t){var e=s(t);if("[object Window]"===f.call(e))try{return g(e)}catch(t){return y.call([],v)}e="[object String]"==f.call(e)?d.call(e,""):Object(e);for(var r=g(e),n=["length","prototype"],i=0;i<n.length;i++){var o=n[i];b.call(e,o)&&!r.includes(o)&&r.push(o)}if(r.includes("__proto__")){var a=r.indexOf("__proto__");r.splice(a,1)}return r})),function(){var t=Object.getOwnPropertyDescriptor,e=function(){try{return 1===Object.defineProperty(document.createElement("div"),"one",{get:function(){return 1}}).one}catch(t){return!1}},r={}.toString,i="".split;n(Object,"getOwnPropertyDescriptor",(function(n,o){var a=s(n);a=("string"===c(a)||a instanceof String)&&"[object String]"==r.call(n)?i.call(n,""):Object(n);var l=function(t){var e=p(t,String);return"symbol"===c(e)?e:h(e)}(o);if(e)try{return t(a,l)}catch(t){}if(function(t,e){return Object.prototype.hasOwnProperty.call(t,e)}(a,l))return{enumerable:!0,configurable:!0,writable:!0,value:a[l]}}))}(),function(r,n,i){var o,s=function(){try{var t={};return r.defineProperty(t,"t",{configurable:!0,enumerable:!1,get:function(){return!0},set:e}),!!t.t}catch(t){return!1}}(),a=0,l=""+Math.random(),u="__symbol:",p="__symbol@@"+l,h={},f="defineProperty",d="defineProperties",y="getOwnPropertyNames",b="getOwnPropertyDescriptor",g="propertyIsEnumerable",v=r.prototype,m=v.hasOwnProperty,_=v[g],w=v.toString,S=Array.prototype.concat,E=r.getOwnPropertyNames?r.getOwnPropertyNames(t):[],O=r[y],j=function(t){if("[object Window]"===w.call(t))try{return O(t)}catch(t){return S.call([],E)}return O(t)},T=r[b],P=r.create,A=r.keys,N=r.freeze||r,C=r[f],I=r[d],L=T(r,y),D=function(t,e,r){if(!m.call(t,p))try{C(t,p,{enumerable:!1,configurable:!1,writable:!1,value:{}})}catch(e){t[p]={}}t[p]["@@"+e]=r},M=function(){},x=function(t){return t!=p&&!m.call($,t)},R=function(t){return t!=p&&m.call($,t)},k=function(t){var e=""+t;return R(e)?m.call(this,e)&&this[p]&&this[p]["@@"+e]:_.call(this,t)},H=function(t){var e={enumerable:!1,configurable:!0,get:M,set:function(e){o(this,t,{enumerable:!1,configurable:!0,writable:!0,value:e}),D(this,t,!0)}};try{C(v,t,e)}catch(r){v[t]=e.value}$[t]=C(r(t),"constructor",U);var n=T(F.prototype,"description");return n&&C($[t],"description",n),N($[t])},G=function(t){var r=function(t){if("symbol"===c(t))return t;throw TypeError(t+" is not a symbol")}(t);if(V){var n=K(r);if(""!==n)return n.slice(1,-1)}if(h[r]!==e)return h[r];var i=r.toString(),o=i.lastIndexOf("0.");return""===(i=i.slice(10,o))?e:i},F=function t(){var n=arguments[0];if(this instanceof t)throw new TypeError("Symbol is not a constructor");var i=u.concat(n||"",l,++a);n===e||null!==n&&!isNaN(n)&&""!==String(n)||(h[i]=String(n));var o=H(i);return s||r.defineProperty(o,"description",{configurable:!0,enumerable:!1,value:G(o)}),o},$=P(null),U={value:F},B=function(t){return $[t]},z=function(t,e,r){var n=""+e;return R(n)?(o(t,n,r.enumerable?function(t){var e=P(t);return e.enumerable=!1,e}(r):r),D(t,n,!!r.enumerable)):C(t,e,r),t},W=function(t){return j(t).filter(t===v?function(t){return function(e){return m.call(t,p)&&m.call(t[p],"@@"+e)}}(t):R).map(B)};L.value=z,C(r,f,L),L.value=W,C(r,"getOwnPropertySymbols",L),L.value=function(t){return j(t).filter(x)},C(r,y,L),L.value=function(t,e){var r=W(e);return r.length?A(e).concat(r).forEach((function(r){k.call(e,r)&&z(t,r,e[r])})):I(t,e),t},C(r,d,L),L.value=k,C(v,g,L),L.value=F,C(i,"Symbol",L),L.value=function(t){var e=u.concat(u,t,l);return e in v?$[e]:H(e)},C(F,"for",L),L.value=function(t){if(x(t))throw new TypeError(t+" is not a symbol");return m.call($,t)?t.slice(20,-l.length):void 0},C(F,"keyFor",L),L.value=function(t,e){var r=T(t,e);return r&&R(e)&&(r.enumerable=k.call(t,e)),r},C(r,b,L),L.value=function(t,e){return 1===arguments.length||void 0===e?P(t):function(t,e){var r=P(t);return j(e).forEach((function(t){k.call(e,t)&&z(r,t,e[t])})),r}(t,e)},C(r,"create",L);var q=null===function(){return this}.call(null);if(L.value=q?function(){var t=w.call(this);return"[object String]"===t&&R(this)?"[object Symbol]":t}:function(){if(this===window)return"[object Null]";var t=w.call(this);return"[object String]"===t&&R(this)?"[object Symbol]":t},C(v,"toString",L),o=function(t,e,r){var n=T(v,e);delete v[e],C(t,e,r),t!==v&&C(v,e,n)},function(){try{var t={};return r.defineProperty(t,"t",{configurable:!0,enumerable:!1,get:function(){return!0},set:e}),!!t.t}catch(t){return!1}}()){var K;try{K=Function("s","var v = s.valueOf(); return { [v]() {} }[v].name;")}catch(t){}var V=K&&"inferred"===function(){}.name?K:null;r.defineProperty(i.Symbol.prototype,"description",{configurable:!0,enumerable:!1,get:function(){return G(this)}})}}(Object,0,t),Object.defineProperty(Symbol,"toStringTag",{value:Symbol("toStringTag")}),function(){function r(){return rt[F][U]||B}function n(t){return t&&"object"==typeof t}function i(t){return"function"==typeof t}function o(t,e){return t instanceof e}function s(t){return o(t,R)}function a(t,e,r){if(!e(t))throw h(r)}function c(){try{return T.apply(P,arguments)}catch(t){return J.e=t,J}}function l(t,e){return T=t,P=e,c}function u(t,e){function r(){for(var r=0;r<i;)e(n[r],n[r+1]),n[r++]=j,n[r++]=j;i=0,n.length>t&&(n.length=t)}var n=x(t),i=0;return function(t,e){n[i++]=t,n[i++]=e,2===i&&rt.nextTick(r)}}function p(t,e){var r,n,s,a,c=0;if(!t)throw h(V);var u=t[rt[F][$]];if(i(u))n=u.call(t);else{if(!i(t.next)){if(o(t,x)){for(r=t.length;c<r;)e(t[c],c++);return c}throw h(V)}n=t}for(;!(s=n.next()).done;)if((a=l(e)(s.value,c++))===J)throw i(n[z])&&n[z](),a.e;return c}function h(t){return new TypeError(t)}function f(t){return(t?"":Y)+(new R).stack}function d(t,e){var r="on"+t.toLowerCase(),n=C[r];L&&L.listeners(t).length?t===Z?L.emit(t,e._v,e):L.emit(t,e):n?n({reason:e._v,promise:e}):rt[t](e._v,e)}function y(t){return t&&t._s}function b(t){return y(t)?new t(tt):(e=new t((function(t,i){if(e)throw h();r=t,n=i})),a(r,i),a(n,i),e);var e,r,n}function g(t,e){var r=!1;return function(n){r||(r=!0,M&&(t[K]=f(!0)),e===H?S(t,n):w(t,e,n))}}function v(t){if(t._umark)return!0;t._umark=!0;for(var e,r=0,n=t._c;r<n;)if((e=t[r++])._onRejected||v(e))return!0}function m(t,e){function r(t){return n.push(t.replace(/^\s+|\s+$/g,""))}var n=[];return M&&(e[K]&&r(e[K]),function t(e){e&&q in e&&(t(e._next),r(e[q]+""),t(e._p))}(e)),(t&&t.stack?t.stack:t)+("\n"+n.join("\n")).replace(et,"")}function _(t,e){return t(e)}function w(t,e,r){var n=0,i=t._c;if(t._s===G)for(t._s=e,t._v=r,e===k&&(M&&s(r)&&(r.longStack=m(r,t)),it(t));n<i;)nt(t,t[n++]);return t}function S(t,e){if(e===t&&e)return w(t,k,h(X)),t;if(e!==A&&(i(e)||n(e))){var r=l(E)(e);if(r===J)return w(t,k,r.e),t;i(r)?(M&&y(e)&&(t._next=e),y(e)?O(t,e,r):rt.nextTick((function(){O(t,e,r)}))):w(t,H,e)}else w(t,H,e);return t}function E(t){return t.then}function O(t,e,r){var n=l(r,e)((function(r){e&&(e=A,S(t,r))}),(function(r){e&&(e=A,w(t,k,r))}));n===J&&e&&(w(t,k,n.e),e=A)}var j,T,P,A=null,N="object"==typeof t,C=t,I=C.Promise,L=C.process,D=C.console,M=!0,x=Array,R=Error,k=1,H=2,G=3,F="Symbol",$="iterator",U="species",B=F+"("+U+")",z="return",W="_uh",q="_pt",K="_st",V="Invalid argument",Y="\nFrom previous ",X="Chaining cycle detected for promise",Q="rejectionHandled",Z="unhandledRejection",J={e:A},tt=function(){},et=/^.+\/node_modules\/yaku\/.+\n?/gm,rt=function(t){var e,r=this;if(!n(r)||r._s!==j)throw h("Invalid this");if(r._s=G,M&&(r[q]=f()),t!==tt){if(!i(t))throw h(V);(e=l(t)(g(r,H),g(r,k)))===J&&w(r,k,e.e)}};rt.default=rt,function(t,e){for(var r in e)t[r]=e[r]}(rt.prototype,{then:function(t,r){if(this._s===e)throw h();return function(t,e,r,n){return i(r)&&(e._onFulfilled=r),i(n)&&(t[W]&&d(Q,t),e._onRejected=n),M&&(e._p=t),t[t._c++]=e,t._s!==G&&nt(t,e),e}(this,b(rt.speciesConstructor(this,rt)),t,r)},catch:function(t){return this.then(j,t)},finally:function(t){return this.then((function(e){return rt.resolve(t()).then((function(){return e}))}),(function(e){return rt.resolve(t()).then((function(){throw e}))}))},_c:0,_p:A}),rt.resolve=function(t){return y(t)?t:S(b(this),t)},rt.reject=function(t){return w(b(this),k,t)},rt.race=function(t){var e=this,r=b(e),n=function(t){w(r,H,t)},i=function(t){w(r,k,t)},o=l(p)(t,(function(t){e.resolve(t).then(n,i)}));return o===J?e.reject(o.e):r},rt.all=function(t){function e(t){w(i,k,t)}var r,n=this,i=b(n),o=[];return(r=l(p)(t,(function(t,s){n.resolve(t).then((function(t){o[s]=t,--r||w(i,H,o)}),e)})))===J?n.reject(r.e):(r||w(i,H,[]),i)},rt.Symbol=C[F]||{},l((function(){Object.defineProperty(rt,r(),{get:function(){return this}})}))(),rt.speciesConstructor=function(t,e){var n=t.constructor;return n&&n[r()]||e},rt.unhandledRejection=function(t,e){D&&D.error("Uncaught (in promise)",M?e.longStack:m(t,e))},rt.rejectionHandled=tt,rt.enableLongStackTrace=function(){M=!0},rt.nextTick=N?function(t){I?new I((function(t){t()})).then(t):setTimeout(t)}:L.nextTick,rt._s=1;var nt=u(999,(function(t,e){var r,n;return(n=t._s!==k?e._onFulfilled:e._onRejected)===j?void w(e,t._s,t._v):(r=l(_)(n,t._v))===J?void w(e,k,r.e):void S(e,r)})),it=u(9,(function(t){v(t)||(t[W]=1,d(Z,t))}));C.Promise=rt}()}("object"==typeof window&&window||"object"==typeof self&&self||"object"==typeof global&&global||{}),function(t,e){function r(t){if(1/t==-1/0&&(t=0),t>Math.pow(2,32)-1)throw new RangeError("Invalid array length");var e=[];return e.length=t,e}function n(t,e){var r=arguments.length>2?arguments[2]:[];if(!1===c(t))throw new TypeError(Object.prototype.toString.call(t)+"is not a function.");return t.apply(e,r)}function i(t,e,r){var n={value:r,writable:!0,enumerable:!0,configurable:!0};try{return Object.defineProperty(t,e,n),!0}catch(t){return!1}}function o(t,e,r){var n=i(t,e,r);if(!n)throw new TypeError("Cannot assign value `"+Object.prototype.toString.call(r)+"` to property `"+Object.prototype.toString.call(e)+"` on object `"+Object.prototype.toString.call(t)+"`");return n}function s(t,e,r){var n={value:r,writable:!0,enumerable:!1,configurable:!0};Object.defineProperty(t,e,n)}function a(t,e){return t[e]}function c(t){return"function"==typeof t}function l(t){if(null===t||t===e)throw TypeError();return Object(t)}function u(t,e){return l(t)[e]}function p(t,r){var n=u(t,r);if(null===n||n===e)return e;if(!1===c(n))throw new TypeError("Method not callable: "+r);return n}function h(e){switch(typeof e){case"undefined":return"undefined";case"boolean":return"boolean";case"number":return"number";case"string":return"string";case"symbol":return"symbol";default:return null===e?"null":"Symbol"in t&&(e instanceof t.Symbol||e.constructor===t.Symbol)?"symbol":"object"}}var f;function d(t,e){if("boolean"!==h(e))throw new Error;var r={};return i(r,"value",t),i(r,"done",e),r}function y(t,e){var r=arguments[2]||{},n=function(t,e){var r=a(t,"prototype");return"object"!==h(r)&&(r=e),r}(t,e),i=Object.create(n);for(var o in r)Object.prototype.hasOwnProperty.call(r,o)&&Object.defineProperty(i,o,{configurable:!0,enumerable:!1,writable:!0,value:r[o]});return i}function b(t){return"object"===h(t)&&"function"==typeof t&&!!t.prototype}function g(t){var e=arguments.length>2?arguments[2]:t,r=arguments.length>1?arguments[1]:[];if(!b(t))throw new TypeError("F must be a constructor.");if(!b(e))throw new TypeError("newTarget must be a constructor.");return e===t?new(Function.prototype.bind.apply(t,[null].concat(r))):n(t,y(e,Object.prototype),r)}function v(t,r){if("object"!==h(t["[[Iterator]]"]))throw new Error(Object.prototype.toString.call(t["[[Iterator]]"])+"is not an Object.");var i=t["[[Iterator]]"],o=p(i,"return");if(o===e)return r;try{var s=n(o,i)}catch(t){var a=t}if(r)return r;if(a)throw a;if("object"!==h(s))throw new TypeError("Iterator's return method returned a non-object.");return r}function m(t){if("object"!==h(t))throw new Error(Object.prototype.toString.call(t)+"is not an Object.");return e=a(t,"done"),Boolean(e);var e}function _(t){var e=function(t){if(arguments.length<2)var e=n(t["[[NextMethod]]"],t["[[Iterator]]"]);else e=n(t["[[NextMethod]]"],t["[[Iterator]]"],[arguments[1]]);if("object"!==h(e))throw new TypeError("bad iterator");return e}(t);return!0!==m(e)&&e}function w(t){if("object"!==h(t))throw new Error(Object.prototype.toString.call(t)+"is not an Object.");return a(t,"value")}function S(t,e){return h(t)===h(e)&&("number"===h(t)?!(!isNaN(t)||!isNaN(e))||1/t==1/0&&1/e==-1/0||1/t==-1/0&&1/e==1/0||t===e:function(t,e){return t===e}(t,e))}function E(t){if("symbol"===h(t))throw new TypeError("Cannot convert a Symbol value to a number");var e=Number(t);return isNaN(e)?0:1/e==1/0||1/e==-1/0||e===1/0||e===-1/0?e:(e<0?-1:1)*Math.floor(Math.abs(e))}function O(t){var e=E(t);return e<=0?0:Math.min(e,Math.pow(2,53)-1)}function j(r){var i=arguments.length>1?arguments[1]:e;if("object"===h(r)){if(arguments.length<2)var o="default";else i===String?o="string":i===Number&&(o="number");var s="function"==typeof t.Symbol&&"symbol"==typeof t.Symbol.toPrimitive?p(r,t.Symbol.toPrimitive):e;if(s!==e){var l=n(s,r,[o]);if("object"!==h(l))return l;throw new TypeError("Cannot convert exotic object to primitive.")}return"default"===o&&(o="number"),function(t,e){if("string"===e)var r=["toString","valueOf"];else r=["valueOf","toString"];for(var i=0;i<r.length;++i){var o=a(t,r[i]);if(c(o)){var s=n(o,t);if("object"!==h(s))return s}}throw new TypeError("Cannot convert to primitive.")}(r,o)}return r}function T(t){switch(h(t)){case"symbol":throw new TypeError("Cannot convert a Symbol value to a string");case"object":return T(j(t,String));default:return String(t)}}function P(t){var e=n(arguments.length>1?arguments[1]:p(t,Symbol.iterator),t);if("object"!==h(e))throw new TypeError("bad iterator");var r=u(e,"next"),i=Object.create(null);return i["[[Iterator]]"]=e,i["[[NextMethod]]"]=r,i["[[Done]]"]=!1,i}s(Object,"keys",function(){function t(){var t;try{t=Object.create({})}catch(t){return!0}return i.call(t,"__proto__")}var r=Object.prototype.hasOwnProperty,n=Object.prototype.toString,i=Object.prototype.propertyIsEnumerable,o=!i.call({toString:null},"toString"),s=i.call((function(){}),"prototype"),a=["toString","toLocaleString","valueOf","hasOwnProperty","isPrototypeOf","propertyIsEnumerable","constructor"],c=function(t){var e=t.constructor;return e&&e.prototype===t},l={$console:!0,$external:!0,$frame:!0,$frameElement:!0,$frames:!0,$innerHeight:!0,$innerWidth:!0,$outerHeight:!0,$outerWidth:!0,$pageXOffset:!0,$pageYOffset:!0,$parent:!0,$scrollLeft:!0,$scrollTop:!0,$scrollX:!0,$scrollY:!0,$self:!0,$webkitIndexedDB:!0,$webkitStorageInfo:!0,$window:!0},u=function(){if("undefined"==typeof window)return!1;for(var t in window)try{if(!l["$"+t]&&r.call(window,t)&&null!==window[t]&&"object"==typeof window[t])try{c(window[t])}catch(t){return!0}}catch(t){return!0}return!1}(),p=function(t){if("undefined"==typeof window||!u)return c(t);try{return c(t)}catch(t){return!1}};return function(i){var c="[object Function]"===n.call(i),l=function(t){var e=n.call(t),r="[object Arguments]"===e;return r||(r="[object Array]"!==e&&null!==t&&"object"==typeof t&&"number"==typeof t.length&&t.length>=0&&"[object Function]"===n.call(t.callee)),r}(i),u="[object String]"===n.call(i),h=[];if(i===e||null===i)throw new TypeError("Cannot convert undefined or null to object");var f=s&&c;if(u&&i.length>0&&!r.call(i,0))for(var d=0;d<i.length;++d)h.push(String(d));if(l&&i.length>0)for(var y=0;y<i.length;++y)h.push(String(y));else for(var b in i)t()&&"__proto__"===b||f&&"prototype"===b||!r.call(i,b)||h.push(String(b));if(o)for(var g=p(i),v=0;v<a.length;++v)g&&"constructor"===a[v]||!r.call(i,a[v])||h.push(a[v]);return h}}()),f=Object.isExtensible,s(Object,"isExtensible",(function(t){return"object"===h(t)&&(!f||f(t))})),s(Array.prototype,"includes",(function(t){var e=l(this),r=O(a(e,"length"));if(0===r)return!1;var n=E(arguments[1]);if(n>=0)var i=n;else(i=r+n)<0&&(i=0);for(;i<r;){if(S(t,a(e,T(i))))return!0;i+=1}return!1})),function(){var e={}.toString,r="".split,n=[].concat,i=Object.prototype.hasOwnProperty,o=Object.getOwnPropertyNames||Object.keys,a="object"==typeof t?o(t):[];s(Object,"getOwnPropertyNames",(function(t){var s=l(t);if("[object Window]"===e.call(s))try{return o(s)}catch(t){return n.call([],a)}s="[object String]"==e.call(s)?r.call(s,""):Object(s);for(var c=o(s),u=["length","prototype"],p=0;p<u.length;p++){var h=u[p];i.call(s,h)&&!c.includes(h)&&c.push(h)}if(c.includes("__proto__")){var f=c.indexOf("__proto__");c.splice(f,1)}return c}))}(),function(){var t=Object.getOwnPropertyDescriptor,e=function(){try{return 1===Object.defineProperty(document.createElement("div"),"one",{get:function(){return 1}}).one}catch(t){return!1}},r={}.toString,n="".split;s(Object,"getOwnPropertyDescriptor",(function(i,o){var s=l(i);s=("string"===h(s)||s instanceof String)&&"[object String]"==r.call(i)?n.call(i,""):Object(i);var a=function(t){var e=j(t,String);return"symbol"===h(e)?e:T(e)}(o);if(e)try{return t(s,a)}catch(t){}if(function(t,e){return Object.prototype.hasOwnProperty.call(t,e)}(s,a))return{enumerable:!0,configurable:!0,writable:!0,value:s[a]}}))}(),function(r,n,i){var o,s=function(){try{var t={};return r.defineProperty(t,"t",{configurable:!0,enumerable:!1,get:function(){return!0},set:e}),!!t.t}catch(t){return!1}}(),a=0,c=""+Math.random(),l="__symbol:",u="__symbol@@"+c,p={},f="defineProperty",d="defineProperties",y="getOwnPropertyNames",b="getOwnPropertyDescriptor",g="propertyIsEnumerable",v=r.prototype,m=v.hasOwnProperty,_=v[g],w=v.toString,S=Array.prototype.concat,E=r.getOwnPropertyNames?r.getOwnPropertyNames(t):[],O=r[y],j=function(t){if("[object Window]"===w.call(t))try{return O(t)}catch(t){return S.call([],E)}return O(t)},T=r[b],P=r.create,A=r.keys,N=r.freeze||r,C=r[f],I=r[d],L=T(r,y),D=function(t,e,r){if(!m.call(t,u))try{C(t,u,{enumerable:!1,configurable:!1,writable:!1,value:{}})}catch(e){t[u]={}}t[u]["@@"+e]=r},M=function(){},x=function(t){return t!=u&&!m.call($,t)},R=function(t){return t!=u&&m.call($,t)},k=function(t){var e=""+t;return R(e)?m.call(this,e)&&this[u]&&this[u]["@@"+e]:_.call(this,t)},H=function(t){var e={enumerable:!1,configurable:!0,get:M,set:function(e){o(this,t,{enumerable:!1,configurable:!0,writable:!0,value:e}),D(this,t,!0)}};try{C(v,t,e)}catch(r){v[t]=e.value}$[t]=C(r(t),"constructor",U);var n=T(F.prototype,"description");return n&&C($[t],"description",n),N($[t])},G=function(t){var r=function(t){if("symbol"===h(t))return t;throw TypeError(t+" is not a symbol")}(t);if(V){var n=K(r);if(""!==n)return n.slice(1,-1)}if(p[r]!==e)return p[r];var i=r.toString(),o=i.lastIndexOf("0.");return""===(i=i.slice(10,o))?e:i},F=function t(){var n=arguments[0];if(this instanceof t)throw new TypeError("Symbol is not a constructor");var i=l.concat(n||"",c,++a);n===e||null!==n&&!isNaN(n)&&""!==String(n)||(p[i]=String(n));var o=H(i);return s||r.defineProperty(o,"description",{configurable:!0,enumerable:!1,value:G(o)}),o},$=P(null),U={value:F},B=function(t){return $[t]},z=function(t,e,r){var n=""+e;return R(n)?(o(t,n,r.enumerable?function(t){var e=P(t);return e.enumerable=!1,e}(r):r),D(t,n,!!r.enumerable)):C(t,e,r),t},W=function(t){return j(t).filter(t===v?function(t){return function(e){return m.call(t,u)&&m.call(t[u],"@@"+e)}}(t):R).map(B)};L.value=z,C(r,f,L),L.value=W,C(r,"getOwnPropertySymbols",L),L.value=function(t){return j(t).filter(x)},C(r,y,L),L.value=function(t,e){var r=W(e);return r.length?A(e).concat(r).forEach((function(r){k.call(e,r)&&z(t,r,e[r])})):I(t,e),t},C(r,d,L),L.value=k,C(v,g,L),L.value=F,C(i,"Symbol",L),L.value=function(t){var e=l.concat(l,t,c);return e in v?$[e]:H(e)},C(F,"for",L),L.value=function(t){if(x(t))throw new TypeError(t+" is not a symbol");return m.call($,t)?t.slice(20,-c.length):void 0},C(F,"keyFor",L),L.value=function(t,e){var r=T(t,e);return r&&R(e)&&(r.enumerable=k.call(t,e)),r},C(r,b,L),L.value=function(t,e){return 1===arguments.length||void 0===e?P(t):function(t,e){var r=P(t);return j(e).forEach((function(t){k.call(e,t)&&z(r,t,e[t])})),r}(t,e)},C(r,"create",L);var q=null===function(){return this}.call(null);if(L.value=q?function(){var t=w.call(this);return"[object String]"===t&&R(this)?"[object Symbol]":t}:function(){if(this===window)return"[object Null]";var t=w.call(this);return"[object String]"===t&&R(this)?"[object Symbol]":t},C(v,"toString",L),o=function(t,e,r){var n=T(v,e);delete v[e],C(t,e,r),t!==v&&C(v,e,n)},function(){try{var t={};return r.defineProperty(t,"t",{configurable:!0,enumerable:!1,get:function(){return!0},set:e}),!!t.t}catch(t){return!1}}()){var K;try{K=Function("s","var v = s.valueOf(); return { [v]() {} }[v].name;")}catch(t){}var V=K&&"inferred"===function(){}.name?K:null;r.defineProperty(i.Symbol.prototype,"description",{configurable:!0,enumerable:!1,get:function(){return G(this)}})}}(Object,0,t),Object.defineProperty(t.Symbol,"iterator",{value:t.Symbol("iterator")}),Object.defineProperty(Symbol,"species",{value:Symbol("species")}),function(t){function r(t,e){if("object"!==h(t))throw new TypeError("createMapIterator called on incompatible receiver "+Object.prototype.toString.call(t));if(!0!==t._es6Map)throw new TypeError("createMapIterator called on incompatible receiver "+Object.prototype.toString.call(t));var r=Object.create(g);return Object.defineProperty(r,"[[Map]]",{configurable:!0,enumerable:!1,writable:!0,value:t}),Object.defineProperty(r,"[[MapNextIndex]]",{configurable:!0,enumerable:!1,writable:!0,value:0}),Object.defineProperty(r,"[[MapIterationKind]]",{configurable:!0,enumerable:!1,writable:!0,value:e}),r}var n=function(){try{var t={};return Object.defineProperty(t,"t",{configurable:!0,enumerable:!1,get:function(){return!0},set:e}),!!t.t}catch(t){return!1}}(),i=0,o=Symbol("meta_"+(1e8*Math.random()+"").replace(".","")),a=function(t){if("object"==typeof t?null!==t:"function"==typeof t){if(!Object.isExtensible(t))return!1;if(!Object.prototype.hasOwnProperty.call(t,o)){var e=typeof t+"-"+ ++i;Object.defineProperty(t,o,{configurable:!1,enumerable:!1,writable:!1,value:e})}return t[o]}return""+t},l=function(t,r){var n=a(r);if(!1===n)return u(t,r);var i=t._table[n];return i!==e&&i},u=function(t,e){for(var r=0;r<t._keys.length;r++){var n=t._keys[r];if(n!==f&&S(n,e))return r}return!1},p=function(t,e,r){var n=a(e);return!1!==n&&(!1===r?delete t._table[n]:t._table[n]=r,!0)},f=Symbol("undef"),b=function t(){if(!(this instanceof t))throw new TypeError('Constructor Map requires "new"');var r=y(this,t.prototype,{_table:{},_keys:[],_values:[],_size:0,_es6Map:!0});n||Object.defineProperty(r,"size",{configurable:!0,enumerable:!1,writable:!0,value:0});var i=arguments.length>0?arguments[0]:e;if(null===i||i===e)return r;var o=r.set;if(!c(o))throw new TypeError("Map.prototype.set is not a function");try{for(var s=P(i);;){var a=_(s);if(!1===a)return r;var l=w(a);if("object"!==h(l))try{throw new TypeError("Iterator value "+l+" is not an entry object")}catch(t){return v(s,t)}try{var u=l[0],p=l[1];o.call(r,u,p)}catch(t){return v(s,t)}}}catch(t){if(Array.isArray(i)||"[object Arguments]"===Object.prototype.toString.call(i)||i.callee){var f,d=i.length;for(f=0;f<d;f++)o.call(r,i[f][0],i[f][1])}}return r};Object.defineProperty(b,"prototype",{configurable:!1,enumerable:!1,writable:!1,value:{}}),n?Object.defineProperty(b,Symbol.species,{configurable:!0,enumerable:!1,get:function(){return this},set:e}):s(b,Symbol.species,b),s(b.prototype,"clear",(function(){var t=this;if("object"!==h(t))throw new TypeError("Method Map.prototype.clear called on incompatible receiver "+Object.prototype.toString.call(t));if(!0!==t._es6Map)throw new TypeError("Method Map.prototype.clear called on incompatible receiver "+Object.prototype.toString.call(t));for(var r=t._keys,i=0;i<r.length;i++)t._keys[i]=f,t._values[i]=f;return this._size=0,n||(this.size=this._size),this._table={},e})),s(b.prototype,"constructor",b),s(b.prototype,"delete",(function(t){var e=this;if("object"!==h(e))throw new TypeError("Method Map.prototype.clear called on incompatible receiver "+Object.prototype.toString.call(e));if(!0!==e._es6Map)throw new TypeError("Method Map.prototype.clear called on incompatible receiver "+Object.prototype.toString.call(e));var r=l(e,t);if(!1!==r){var i=e._keys[r];if(i!==f&&S(i,t))return this._keys[r]=f,this._values[r]=f,this._size=--this._size,n||(this.size=this._size),p(this,t,!1),!0}return!1})),s(b.prototype,"entries",(function(){return r(this,"key+value")})),s(b.prototype,"forEach",(function(t){var r=this;if("object"!==h(r))throw new TypeError("Method Map.prototype.forEach called on incompatible receiver "+Object.prototype.toString.call(r));if(!0!==r._es6Map)throw new TypeError("Method Map.prototype.forEach called on incompatible receiver "+Object.prototype.toString.call(r));if(!c(t))throw new TypeError(Object.prototype.toString.call(t)+" is not a function.");if(arguments[1])var n=arguments[1];for(var i=r._keys,o=0;o<i.length;o++)r._keys[o]!==f&&r._values[o]!==f&&t.call(n,r._values[o],r._keys[o],r);return e})),s(b.prototype,"get",(function(t){var r=this;if("object"!==h(r))throw new TypeError("Method Map.prototype.get called on incompatible receiver "+Object.prototype.toString.call(r));if(!0!==r._es6Map)throw new TypeError("Method Map.prototype.get called on incompatible receiver "+Object.prototype.toString.call(r));var n=l(r,t);if(!1!==n){var i=r._keys[n];if(i!==f&&S(i,t))return r._values[n]}return e})),s(b.prototype,"has",(function(t){var e=this;if("object"!=typeof e)throw new TypeError("Method Map.prototype.has called on incompatible receiver "+Object.prototype.toString.call(e));if(!0!==e._es6Map)throw new TypeError("Method Map.prototype.has called on incompatible receiver "+Object.prototype.toString.call(e));var r=l(e,t);if(!1!==r){var n=e._keys[r];if(n!==f&&S(n,t))return!0}return!1})),s(b.prototype,"keys",(function(){return r(this,"key")})),s(b.prototype,"set",(function(t,e){var r=this;if("object"!==h(r))throw new TypeError("Method Map.prototype.set called on incompatible receiver "+Object.prototype.toString.call(r));if(!0!==r._es6Map)throw new TypeError("Method Map.prototype.set called on incompatible receiver "+Object.prototype.toString.call(r));var i=l(r,t);if(!1!==i)r._values[i]=e;else{-0===t&&(t=0);var o={"[[Key]]":t,"[[Value]]":e};r._keys.push(o["[[Key]]"]),r._values.push(o["[[Value]]"]),p(r,t,r._keys.length-1),++r._size,n||(r.size=r._size)}return r})),n&&Object.defineProperty(b.prototype,"size",{configurable:!0,enumerable:!1,get:function(){var t=this;if("object"!==h(t))throw new TypeError("Method Map.prototype.size called on incompatible receiver "+Object.prototype.toString.call(t));if(!0!==t._es6Map)throw new TypeError("Method Map.prototype.size called on incompatible receiver "+Object.prototype.toString.call(t));return this._size},set:e}),s(b.prototype,"values",(function(){return r(this,"value")})),s(b.prototype,Symbol.iterator,b.prototype.entries),"name"in b||Object.defineProperty(b,"name",{configurable:!0,enumerable:!1,writable:!1,value:"Map"});var g={};Object.defineProperty(g,"isMapIterator",{configurable:!1,enumerable:!1,writable:!1,value:!0}),s(g,"next",(function(){var t=this;if("object"!==h(t))throw new TypeError("Method %MapIteratorPrototype%.next called on incompatible receiver "+Object.prototype.toString.call(t));if(!t.isMapIterator)throw new TypeError("Method %MapIteratorPrototype%.next called on incompatible receiver "+Object.prototype.toString.call(t));var r=t["[[Map]]"],n=t["[[MapNextIndex]]"],i=t["[[MapIterationKind]]"];if(r===e)return d(e,!0);if(!r._es6Map)throw new Error(Object.prototype.toString.call(r)+" has a [[MapData]] internal slot.");for(var o=r._keys.length;n<o;){var s=Object.create(null);if(s["[[Key]]"]=r._keys[n],s["[[Value]]"]=r._values[n],n+=1,t["[[MapNextIndex]]"]=n,s["[[Key]]"]!==f){if("key"===i)var a=s["[[Key]]"];else if("value"===i)a=s["[[Value]]"];else{if("key+value"!==i)throw new Error;a=[s["[[Key]]"],s["[[Value]]"]]}return d(a,!1)}}return t["[[Map]]"]=e,d(e,!0)})),s(g,Symbol.iterator,(function(){return this}));try{s(t,"Map",b)}catch(e){t.Map=b}}(t),function(t){function r(t,e){if("object"!=typeof t)throw new TypeError("createSetIterator called on incompatible receiver "+Object.prototype.toString.call(t));if(!0!==t._es6Set)throw new TypeError("createSetIterator called on incompatible receiver "+Object.prototype.toString.call(t));var r=Object.create(l);return Object.defineProperty(r,"[[IteratedSet]]",{configurable:!0,enumerable:!1,writable:!0,value:t}),Object.defineProperty(r,"[[SetNextIndex]]",{configurable:!0,enumerable:!1,writable:!0,value:0}),Object.defineProperty(r,"[[SetIterationKind]]",{configurable:!0,enumerable:!1,writable:!0,value:e}),r}var n=function(){try{var t={};return Object.defineProperty(t,"t",{configurable:!0,enumerable:!1,get:function(){return!0},set:e}),!!t.t}catch(t){return!1}}(),i=Symbol("undef"),o=function t(){if(!(this instanceof t))throw new TypeError('Constructor Set requires "new"');var r=y(this,t.prototype,{_values:[],_size:0,_es6Set:!0});n||Object.defineProperty(r,"size",{configurable:!0,enumerable:!1,writable:!0,value:0});var i=arguments.length>0?arguments[0]:e;if(null===i||i===e)return r;var o=r.add;if(!c(o))throw new TypeError("Set.prototype.add is not a function");try{for(var s=P(i);;){var a=_(s);if(!1===a)return r;var l=w(a);try{o.call(r,l)}catch(t){return v(s,t)}}}catch(t){if(!Array.isArray(i)&&"[object Arguments]"!==Object.prototype.toString.call(i)&&!i.callee)throw t;var u,p=i.length;for(u=0;u<p;u++)o.call(r,i[u])}return r};Object.defineProperty(o,"prototype",{configurable:!1,enumerable:!1,writable:!1,value:{}}),n?Object.defineProperty(o,Symbol.species,{configurable:!0,enumerable:!1,get:function(){return this},set:e}):s(o,Symbol.species,o),s(o.prototype,"add",(function(t){var e=this;if("object"!=typeof e)throw new TypeError("Method Set.prototype.add called on incompatible receiver "+Object.prototype.toString.call(e));if(!0!==e._es6Set)throw new TypeError("Method Set.prototype.add called on incompatible receiver "+Object.prototype.toString.call(e));for(var r=e._values,o=0;o<r.length;o++){var s=r[o];if(s!==i&&S(s,t))return e}return 0===t&&1/t==-1/0&&(t=0),e._values.push(t),this._size=++this._size,n||(this.size=this._size),e})),s(o.prototype,"clear",(function(){var t=this;if("object"!=typeof t)throw new TypeError("Method Set.prototype.clear called on incompatible receiver "+Object.prototype.toString.call(t));if(!0!==t._es6Set)throw new TypeError("Method Set.prototype.clear called on incompatible receiver "+Object.prototype.toString.call(t));for(var r=t._values,o=0;o<r.length;o++)r[o]=i;return this._size=0,n||(this.size=this._size),e})),s(o.prototype,"constructor",o),s(o.prototype,"delete",(function(t){var e=this;if("object"!=typeof e)throw new TypeError("Method Set.prototype.delete called on incompatible receiver "+Object.prototype.toString.call(e));if(!0!==e._es6Set)throw new TypeError("Method Set.prototype.delete called on incompatible receiver "+Object.prototype.toString.call(e));for(var r=e._values,o=0;o<r.length;o++){var s=r[o];if(s!==i&&S(s,t))return r[o]=i,this._size=--this._size,n||(this.size=this._size),!0}return!1})),s(o.prototype,"entries",(function(){return r(this,"key+value")})),s(o.prototype,"forEach",(function(t){var r=this;if("object"!=typeof r)throw new TypeError("Method Set.prototype.forEach called on incompatible receiver "+Object.prototype.toString.call(r));if(!0!==r._es6Set)throw new TypeError("Method Set.prototype.forEach called on incompatible receiver "+Object.prototype.toString.call(r));if(!c(t))throw new TypeError(Object.prototype.toString.call(t)+" is not a function.");if(arguments[1])var n=arguments[1];for(var o=r._values,s=0;s<o.length;s++){var a=o[s];a!==i&&t.call(n,a,a,r)}return e})),s(o.prototype,"has",(function(t){var e=this;if("object"!=typeof e)throw new TypeError("Method Set.prototype.forEach called on incompatible receiver "+Object.prototype.toString.call(e));if(!0!==e._es6Set)throw new TypeError("Method Set.prototype.forEach called on incompatible receiver "+Object.prototype.toString.call(e));for(var r=e._values,n=0;n<r.length;n++){var o=r[n];if(o!==i&&S(o,t))return!0}return!1}));var a=function(){return r(this,"value")};s(o.prototype,"values",a),s(o.prototype,"keys",a),n&&Object.defineProperty(o.prototype,"size",{configurable:!0,enumerable:!1,get:function(){var t=this;if("object"!=typeof t)throw new TypeError("Method Set.prototype.size called on incompatible receiver "+Object.prototype.toString.call(t));if(!0!==t._es6Set)throw new TypeError("Method Set.prototype.size called on incompatible receiver "+Object.prototype.toString.call(t));for(var e=t._values,r=0,n=0;n<e.length;n++)e[n]!==i&&(r+=1);return r},set:e}),s(o.prototype,Symbol.iterator,a),"name"in o||Object.defineProperty(o,"name",{configurable:!0,enumerable:!1,writable:!1,value:"Set"});var l={};Object.defineProperty(l,"isSetIterator",{configurable:!1,enumerable:!1,writable:!1,value:!0}),s(l,"next",(function(){var t=this;if("object"!=typeof t)throw new TypeError("Method %SetIteratorPrototype%.next called on incompatible receiver "+Object.prototype.toString.call(t));if(!t.isSetIterator)throw new TypeError("Method %SetIteratorPrototype%.next called on incompatible receiver "+Object.prototype.toString.call(t));var r=t["[[IteratedSet]]"],n=t["[[SetNextIndex]]"],o=t["[[SetIterationKind]]"];if(r===e)return d(e,!0);if(!r._es6Set)throw new Error(Object.prototype.toString.call(r)+" does not have [[SetData]] internal slot.");for(var s=r._values,a=s.length;n<a;){var c=s[n];if(n+=1,t["[[SetNextIndex]]"]=n,c!==i)return d("key+value"===o?[c,c]:c,!1)}return t["[[IteratedSet]]"]=e,d(e,!0)})),s(l,Symbol.iterator,(function(){return this}));try{s(t,"Set",o)}catch(e){t.Set=o}}(t),function(){function t(t){return"string"==typeof t||"object"==typeof t&&"[object String]"===i.call(t)}var i=Object.prototype.toString,u=String.prototype.match;s(Array,"from",(function(i){var s=this,h=arguments.length>1?arguments[1]:e;if(h===e)var f=!1;else{if(!1===c(h))throw new TypeError(Object.prototype.toString.call(h)+" is not a function.");var d=arguments.length>2?arguments[2]:e;if(d!==e)var y=d;else y=e;f=!0}var m=p(i,Symbol.iterator);if(m!==e){if(b(s))var S=g(s);else S=r(0);for(var E=P(i,m),j=0;;){if(j>=Math.pow(2,53)-1)return v(E,new TypeError("Iteration count can not be greater than or equal 9007199254740991."));var A=T(j),N=_(E);if(!1===N)return S.length=j,S;var C=w(N);if(f)try{var I=n(h,y,[C,j])}catch(t){return v(E,t)}else I=C;try{o(S,A,I)}catch(t){return v(E,t)}j+=1}}if(t(i))var L=u.call(i,/[\uD800-\uDBFF][\uDC00-\uDFFF]?|[^\uD800-\uDFFF]|./g)||[];else L=l(i);var D=O(a(L,"length"));for(S=b(s)?g(s,[D]):r(D),j=0;j<D;){var M=a(L,A=T(j));o(S,A,I=!0===f?n(h,y,[M,j]):M),j+=1}return S.length=D,S}))}()}("object"==typeof window&&window||"object"==typeof self&&self||"object"==typeof global&&global||{}),function(t,e){function r(t){if(1/t==-1/0&&(t=0),t>Math.pow(2,32)-1)throw new RangeError("Invalid array length");var e=[];return e.length=t,e}function n(t,e){var r=arguments.length>2?arguments[2]:[];if(!1===c(t))throw new TypeError(Object.prototype.toString.call(t)+"is not a function.");return t.apply(e,r)}function i(t,e,r){var n=function(t,e,r){var n={value:r,writable:!0,enumerable:!0,configurable:!0};try{return Object.defineProperty(t,e,n),!0}catch(t){return!1}}(t,e,r);if(!n)throw new TypeError("Cannot assign value `"+Object.prototype.toString.call(r)+"` to property `"+Object.prototype.toString.call(e)+"` on object `"+Object.prototype.toString.call(t)+"`");return n}function o(t,e){return t[e]}function s(t,e){return e in t}function a(t){return"[object Array]"===Object.prototype.toString.call(t)}function c(t){return"function"==typeof t}function l(t){if(null===t||t===e)throw TypeError();return Object(t)}function u(t,r){var n=function(t,e){return l(t)[e]}(t,r);if(null===n||n===e)return e;if(!1===c(n))throw new TypeError("Method not callable: "+r);return n}function p(e){switch(typeof e){case"undefined":return"undefined";case"boolean":return"boolean";case"number":return"number";case"string":return"string";case"symbol":return"symbol";default:return null===e?"null":"Symbol"in t&&(e instanceof t.Symbol||e.constructor===t.Symbol)?"symbol":"object"}}function h(t,e){var r=arguments[2]||{},n=function(t,e){var r=o(t,"prototype");return"object"!==p(r)&&(r=e),r}(t,e),i=Object.create(n);for(var s in r)Object.prototype.hasOwnProperty.call(r,s)&&Object.defineProperty(i,s,{configurable:!0,enumerable:!1,writable:!0,value:r[s]});return i}function f(t){return"object"===p(t)&&"function"==typeof t&&!!t.prototype}function d(i,s){if(0===s&&1/s==-1/0&&(s=0),!1===a(i))return r(s);var c=o(i,"constructor");if("object"===p(c)&&null===(c="Symbol"in t&&"species"in t.Symbol?o(c,t.Symbol.species):e)&&(c=e),c===e)return r(s);if(!f(c))throw new TypeError("C must be a constructor");return function(t){var e=arguments.length>2?arguments[2]:t,r=arguments.length>1?arguments[1]:[];if(!f(t))throw new TypeError("F must be a constructor.");if(!f(e))throw new TypeError("newTarget must be a constructor.");return e===t?new(Function.prototype.bind.apply(t,[null].concat(r))):n(t,h(e,Object.prototype),r)}(c,[s])}function y(t){if("symbol"===p(t))throw new TypeError("Cannot convert a Symbol value to a number");var e=Number(t);return isNaN(e)?0:1/e==1/0||1/e==-1/0||e===1/0||e===-1/0?e:(e<0?-1:1)*Math.floor(Math.abs(e))}function b(t){var e=y(t);return e<=0?0:Math.min(e,Math.pow(2,53)-1)}function g(r){var i=arguments.length>1?arguments[1]:e;if("object"===p(r)){if(arguments.length<2)var s="default";else i===String?s="string":i===Number&&(s="number");var a="function"==typeof t.Symbol&&"symbol"==typeof t.Symbol.toPrimitive?u(r,t.Symbol.toPrimitive):e;if(a!==e){var l=n(a,r,[s]);if("object"!==p(l))return l;throw new TypeError("Cannot convert exotic object to primitive.")}return"default"===s&&(s="number"),function(t,e){if("string"===e)var r=["toString","valueOf"];else r=["valueOf","toString"];for(var i=0;i<r.length;++i){var s=o(t,r[i]);if(c(s)){var a=n(s,t);if("object"!==p(a))return a}}throw new TypeError("Cannot convert to primitive.")}(r,s)}return r}function v(t){switch(p(t)){case"symbol":throw new TypeError("Cannot convert a Symbol value to a string");case"object":return v(g(t,String));default:return String(t)}}function m(t,e,r,c,l){for(var u=arguments,p=arguments[5],h=arguments[6],f=c,d=0;d<r;){var y=v(d);if(!0===s(e,y)){var g=o(e,y);5 in u&&(g=n(p,h,[g,d,e]));var _=!1;if(l>0&&(_=a(g)),!0===_)f=m(t,g,b(o(g,"length")),f,l-1);else{if(f>=Math.pow(2,53)-1)throw new TypeError("targetIndex is greater than or equal to 2^53-1");i(t,v(f),g),f+=1}}d+=1}return f}var _,w,S,E;_=Array.prototype,w="flat",S=function(){var t=arguments[0],e=l(this),r=b(o(e,"length")),n=1;void 0!==t&&(n=y(t));var i=d(e,0);return m(i,e,r,0,n),i},E={value:S,writable:!0,enumerable:!1,configurable:!0},Object.defineProperty(_,w,E)}("object"==typeof window&&window||"object"==typeof self&&self||"object"==typeof global&&global||{}),function(t,e){function r(t,e){var r=arguments.length>2?arguments[2]:[];if(!1===o(t))throw new TypeError(Object.prototype.toString.call(t)+"is not a function.");return t.apply(e,r)}function n(t,e,r){var n={value:r,writable:!0,enumerable:!1,configurable:!0};Object.defineProperty(t,e,n)}function i(t,e){return t[e]}function o(t){return"function"==typeof t}function s(t){if(null===t||t===e)throw TypeError();return Object(t)}function a(t,r){var n=function(t,e){return s(t)[e]}(t,r);if(null===n||n===e)return e;if(!1===o(n))throw new TypeError("Method not callable: "+r);return n}function c(e){switch(typeof e){case"undefined":return"undefined";case"boolean":return"boolean";case"number":return"number";case"string":return"string";case"symbol":return"symbol";default:return null===e?"null":"Symbol"in t&&(e instanceof t.Symbol||e.constructor===t.Symbol)?"symbol":"object"}}function l(n){var s=arguments.length>1?arguments[1]:e;if("object"===c(n)){if(arguments.length<2)var l="default";else s===String?l="string":s===Number&&(l="number");var u="function"==typeof t.Symbol&&"symbol"==typeof t.Symbol.toPrimitive?a(n,t.Symbol.toPrimitive):e;if(u!==e){var p=r(u,n,[l]);if("object"!==c(p))return p;throw new TypeError("Cannot convert exotic object to primitive.")}return"default"===l&&(l="number"),function(t,e){if("string"===e)var n=["toString","valueOf"];else n=["valueOf","toString"];for(var s=0;s<n.length;++s){var a=i(t,n[s]);if(o(a)){var l=r(a,t);if("object"!==c(l))return l}}throw new TypeError("Cannot convert to primitive.")}(n,l)}return n}function u(t){switch(c(t)){case"symbol":throw new TypeError("Cannot convert a Symbol value to a string");case"object":return u(l(t,String));default:return String(t)}}function p(t){var e=l(t,String);return"symbol"===c(e)?e:u(e)}var h,f,d,y;n(Object,"keys",function(){function t(){var t;try{t=Object.create({})}catch(t){return!0}return i.call(t,"__proto__")}var r=Object.prototype.hasOwnProperty,n=Object.prototype.toString,i=Object.prototype.propertyIsEnumerable,o=!i.call({toString:null},"toString"),s=i.call((function(){}),"prototype"),a=["toString","toLocaleString","valueOf","hasOwnProperty","isPrototypeOf","propertyIsEnumerable","constructor"],c=function(t){var e=t.constructor;return e&&e.prototype===t},l={$console:!0,$external:!0,$frame:!0,$frameElement:!0,$frames:!0,$innerHeight:!0,$innerWidth:!0,$outerHeight:!0,$outerWidth:!0,$pageXOffset:!0,$pageYOffset:!0,$parent:!0,$scrollLeft:!0,$scrollTop:!0,$scrollX:!0,$scrollY:!0,$self:!0,$webkitIndexedDB:!0,$webkitStorageInfo:!0,$window:!0},u=function(){if("undefined"==typeof window)return!1;for(var t in window)try{if(!l["$"+t]&&r.call(window,t)&&null!==window[t]&&"object"==typeof window[t])try{c(window[t])}catch(t){return!0}}catch(t){return!0}return!1}(),p=function(t){if("undefined"==typeof window||!u)return c(t);try{return c(t)}catch(t){return!1}};return function(i){var c="[object Function]"===n.call(i),l=function(t){var e=n.call(t),r="[object Arguments]"===e;return r||(r="[object Array]"!==e&&null!==t&&"object"==typeof t&&"number"==typeof t.length&&t.length>=0&&"[object Function]"===n.call(t.callee)),r}(i),u="[object String]"===n.call(i),h=[];if(i===e||null===i)throw new TypeError("Cannot convert undefined or null to object");var f=s&&c;if(u&&i.length>0&&!r.call(i,0))for(var d=0;d<i.length;++d)h.push(String(d));if(l&&i.length>0)for(var y=0;y<i.length;++y)h.push(String(y));else for(var b in i)t()&&"__proto__"===b||f&&"prototype"===b||!r.call(i,b)||h.push(String(b));if(o)for(var g=p(i),v=0;v<a.length;++v)g&&"constructor"===a[v]||!r.call(i,a[v])||h.push(a[v]);return h}}()),h=Object.getOwnPropertyDescriptor,f=function(){try{return 1===Object.defineProperty(document.createElement("div"),"one",{get:function(){return 1}}).one}catch(t){return!1}},d={}.toString,y="".split,n(Object,"getOwnPropertyDescriptor",(function(t,e){var r=s(t);r=("string"===c(r)||r instanceof String)&&"[object String]"==d.call(t)?y.call(t,""):Object(t);var n=p(e);if(f)try{return h(r,n)}catch(t){}if(function(t,e){return Object.prototype.hasOwnProperty.call(t,e)}(r,n))return{enumerable:!0,configurable:!0,writable:!0,value:r[n]}})),n(Object,"assign",(function(t,r){var n=s(t);if(1===arguments.length)return n;var o,a,c,l,u=Array.prototype.slice.call(arguments,1);for(o=0;o<u.length;o++){var p=u[o];for(p===e||null===p?c=[]:(l="[object String]"===Object.prototype.toString.call(p)?String(p).split(""):s(p),c=Object.keys(l)),a=0;a<c.length;a++){var h,f=c[a];try{var d=Object.getOwnPropertyDescriptor(l,f);h=d!==e&&!0===d.enumerable}catch(t){h=Object.prototype.propertyIsEnumerable.call(l,f)}if(h){var y=i(l,f);n[f]=y}}}return n}))}("object"==typeof window&&window||"object"==typeof self&&self||"object"==typeof global&&global||{}),function(t,e){function r(t,e){var r=arguments.length>2?arguments[2]:[];if(!1===o(t))throw new TypeError(Object.prototype.toString.call(t)+"is not a function.");return t.apply(e,r)}function n(t,e,r){var n={value:r,writable:!0,enumerable:!1,configurable:!0};Object.defineProperty(t,e,n)}function i(t,e){return t[e]}function o(t){return"function"==typeof t}function s(t){if(null===t||t===e)throw TypeError();return Object(t)}function a(t,r){var n=function(t,e){return s(t)[e]}(t,r);if(null===n||n===e)return e;if(!1===o(n))throw new TypeError("Method not callable: "+r);return n}function c(e){switch(typeof e){case"undefined":return"undefined";case"boolean":return"boolean";case"number":return"number";case"string":return"string";case"symbol":return"symbol";default:return null===e?"null":"Symbol"in t&&(e instanceof t.Symbol||e.constructor===t.Symbol)?"symbol":"object"}}function l(n){var s=arguments.length>1?arguments[1]:e;if("object"===c(n)){if(arguments.length<2)var l="default";else s===String?l="string":s===Number&&(l="number");var u="function"==typeof t.Symbol&&"symbol"==typeof t.Symbol.toPrimitive?a(n,t.Symbol.toPrimitive):e;if(u!==e){var p=r(u,n,[l]);if("object"!==c(p))return p;throw new TypeError("Cannot convert exotic object to primitive.")}return"default"===l&&(l="number"),function(t,e){if("string"===e)var n=["toString","valueOf"];else n=["valueOf","toString"];for(var s=0;s<n.length;++s){var a=i(t,n[s]);if(o(a)){var l=r(a,t);if("object"!==c(l))return l}}throw new TypeError("Cannot convert to primitive.")}(n,l)}return n}function u(t){switch(c(t)){case"symbol":throw new TypeError("Cannot convert a Symbol value to a string");case"object":return u(l(t,String));default:return String(t)}}function p(t){var e=l(t,String);return"symbol"===c(e)?e:u(e)}var h,f,d,y;n(Object,"keys",function(){function t(){var t;try{t=Object.create({})}catch(t){return!0}return i.call(t,"__proto__")}var r=Object.prototype.hasOwnProperty,n=Object.prototype.toString,i=Object.prototype.propertyIsEnumerable,o=!i.call({toString:null},"toString"),s=i.call((function(){}),"prototype"),a=["toString","toLocaleString","valueOf","hasOwnProperty","isPrototypeOf","propertyIsEnumerable","constructor"],c=function(t){var e=t.constructor;return e&&e.prototype===t},l={$console:!0,$external:!0,$frame:!0,$frameElement:!0,$frames:!0,$innerHeight:!0,$innerWidth:!0,$outerHeight:!0,$outerWidth:!0,$pageXOffset:!0,$pageYOffset:!0,$parent:!0,$scrollLeft:!0,$scrollTop:!0,$scrollX:!0,$scrollY:!0,$self:!0,$webkitIndexedDB:!0,$webkitStorageInfo:!0,$window:!0},u=function(){if("undefined"==typeof window)return!1;for(var t in window)try{if(!l["$"+t]&&r.call(window,t)&&null!==window[t]&&"object"==typeof window[t])try{c(window[t])}catch(t){return!0}}catch(t){return!0}return!1}(),p=function(t){if("undefined"==typeof window||!u)return c(t);try{return c(t)}catch(t){return!1}};return function(i){var c="[object Function]"===n.call(i),l=function(t){var e=n.call(t),r="[object Arguments]"===e;return r||(r="[object Array]"!==e&&null!==t&&"object"==typeof t&&"number"==typeof t.length&&t.length>=0&&"[object Function]"===n.call(t.callee)),r}(i),u="[object String]"===n.call(i),h=[];if(i===e||null===i)throw new TypeError("Cannot convert undefined or null to object");var f=s&&c;if(u&&i.length>0&&!r.call(i,0))for(var d=0;d<i.length;++d)h.push(String(d));if(l&&i.length>0)for(var y=0;y<i.length;++y)h.push(String(y));else for(var b in i)t()&&"__proto__"===b||f&&"prototype"===b||!r.call(i,b)||h.push(String(b));if(o)for(var g=p(i),v=0;v<a.length;++v)g&&"constructor"===a[v]||!r.call(i,a[v])||h.push(a[v]);return h}}()),h=Object.getOwnPropertyDescriptor,f=function(){try{return 1===Object.defineProperty(document.createElement("div"),"one",{get:function(){return 1}}).one}catch(t){return!1}},d={}.toString,y="".split,n(Object,"getOwnPropertyDescriptor",(function(t,e){var r=s(t);r=("string"===c(r)||r instanceof String)&&"[object String]"==d.call(t)?y.call(t,""):Object(t);var n=p(e);if(f)try{return h(r,n)}catch(t){}if(function(t,e){return Object.prototype.hasOwnProperty.call(t,e)}(r,n))return{enumerable:!0,configurable:!0,writable:!0,value:r[n]}})),function(){var t={}.toString,e="".split;n(Object,"entries",(function(r){var n=s(r);return function(t,e){for(var r=Object.keys(t),n=[],o=r.length,s=0;s<o;s++){var a=r[s];if("string"===c(a)){var l=Object.getOwnPropertyDescriptor(t,a);if(l&&l.enumerable)if("key"===e)n.push(a);else{var u=i(t,a);if("value"===e)n.push(u);else{var p=[a,u];n.push(p)}}}}return n}(n=("string"===c(n)||n instanceof String)&&"[object String]"==t.call(r)?e.call(r,""):Object(r),"key+value")}))}()}("object"==typeof window&&window||"object"==typeof self&&self||"object"==typeof global&&global||{}),function(t,e){function r(t,e){var r=arguments.length>2?arguments[2]:[];if(!1===s(t))throw new TypeError(Object.prototype.toString.call(t)+"is not a function.");return t.apply(e,r)}function n(t,e,r){var n=function(t,e,r){var n={value:r,writable:!0,enumerable:!0,configurable:!0};try{return Object.defineProperty(t,e,n),!0}catch(t){return!1}}(t,e,r);if(!n)throw new TypeError("Cannot assign value `"+Object.prototype.toString.call(r)+"` to property `"+Object.prototype.toString.call(e)+"` on object `"+Object.prototype.toString.call(t)+"`");return n}function i(t,e,r){var n={value:r,writable:!0,enumerable:!1,configurable:!0};Object.defineProperty(t,e,n)}function o(t,e){return t[e]}function s(t){return"function"==typeof t}function a(t){if(null===t||t===e)throw TypeError(Object.prototype.toString.call(t)+" is not coercible to Object.");return t}function c(t){return Boolean(t)}function l(t){if(null===t||t===e)throw TypeError();return Object(t)}function u(t,e){return l(t)[e]}function p(t,r){var n=u(t,r);if(null===n||n===e)return e;if(!1===s(n))throw new TypeError("Method not callable: "+r);return n}function h(e){switch(typeof e){case"undefined":return"undefined";case"boolean":return"boolean";case"number":return"number";case"string":return"string";case"symbol":return"symbol";default:return null===e?"null":"Symbol"in t&&(e instanceof t.Symbol||e.constructor===t.Symbol)?"symbol":"object"}}function f(t,n){if("object"!==h(t["[[Iterator]]"]))throw new Error(Object.prototype.toString.call(t["[[Iterator]]"])+"is not an Object.");var i=t["[[Iterator]]"],o=p(i,"return");if(o===e)return n;try{var s=r(o,i)}catch(t){var a=t}if(n)return n;if(a)throw a;if("object"!==h(s))throw new TypeError("Iterator's return method returned a non-object.");return n}function d(t){var e=function(t){if(arguments.length<2)var e=r(t["[[NextMethod]]"],t["[[Iterator]]"]);else e=r(t["[[NextMethod]]"],t["[[Iterator]]"],[arguments[1]]);if("object"!==h(e))throw new TypeError("bad iterator");return e}(t);return!0!==function(t){if("object"!==h(t))throw new Error(Object.prototype.toString.call(t)+"is not an Object.");return c(o(t,"done"))}(e)&&e}function y(t){if("object"!==h(t))throw new Error(Object.prototype.toString.call(t)+"is not an Object.");return o(t,"value")}function b(t,e){return h(t)===h(e)&&("number"===h(t)?!(!isNaN(t)||!isNaN(e))||1/t==1/0&&1/e==-1/0||1/t==-1/0&&1/e==1/0||t===e:function(t,e){return t===e}(t,e))}function g(t){if("symbol"===h(t))throw new TypeError("Cannot convert a Symbol value to a number");var e=Number(t);return isNaN(e)?0:1/e==1/0||1/e==-1/0||e===1/0||e===-1/0?e:(e<0?-1:1)*Math.floor(Math.abs(e))}function v(n){var i=arguments.length>1?arguments[1]:e;if("object"===h(n)){if(arguments.length<2)var a="default";else i===String?a="string":i===Number&&(a="number");var c="function"==typeof t.Symbol&&"symbol"==typeof t.Symbol.toPrimitive?p(n,t.Symbol.toPrimitive):e;if(c!==e){var l=r(c,n,[a]);if("object"!==h(l))return l;throw new TypeError("Cannot convert exotic object to primitive.")}return"default"===a&&(a="number"),function(t,e){if("string"===e)var n=["toString","valueOf"];else n=["valueOf","toString"];for(var i=0;i<n.length;++i){var a=o(t,n[i]);if(s(a)){var c=r(a,t);if("object"!==h(c))return c}}throw new TypeError("Cannot convert to primitive.")}(n,a)}return n}function m(t){switch(h(t)){case"symbol":throw new TypeError("Cannot convert a Symbol value to a string");case"object":return m(v(t,String));default:return String(t)}}var _,w,S,E,O,j;function T(t){var e=v(t,String);return"symbol"===h(e)?e:m(e)}i(Object,"keys",function(){function t(){var t;try{t=Object.create({})}catch(t){return!0}return i.call(t,"__proto__")}var r=Object.prototype.hasOwnProperty,n=Object.prototype.toString,i=Object.prototype.propertyIsEnumerable,o=!i.call({toString:null},"toString"),s=i.call((function(){}),"prototype"),a=["toString","toLocaleString","valueOf","hasOwnProperty","isPrototypeOf","propertyIsEnumerable","constructor"],c=function(t){var e=t.constructor;return e&&e.prototype===t},l={$console:!0,$external:!0,$frame:!0,$frameElement:!0,$frames:!0,$innerHeight:!0,$innerWidth:!0,$outerHeight:!0,$outerWidth:!0,$pageXOffset:!0,$pageYOffset:!0,$parent:!0,$scrollLeft:!0,$scrollTop:!0,$scrollX:!0,$scrollY:!0,$self:!0,$webkitIndexedDB:!0,$webkitStorageInfo:!0,$window:!0},u=function(){if("undefined"==typeof window)return!1;for(var t in window)try{if(!l["$"+t]&&r.call(window,t)&&null!==window[t]&&"object"==typeof window[t])try{c(window[t])}catch(t){return!0}}catch(t){return!0}return!1}(),p=function(t){if("undefined"==typeof window||!u)return c(t);try{return c(t)}catch(t){return!1}};return function(i){var c="[object Function]"===n.call(i),l=function(t){var e=n.call(t),r="[object Arguments]"===e;return r||(r="[object Array]"!==e&&null!==t&&"object"==typeof t&&"number"==typeof t.length&&t.length>=0&&"[object Function]"===n.call(t.callee)),r}(i),u="[object String]"===n.call(i),h=[];if(i===e||null===i)throw new TypeError("Cannot convert undefined or null to object");var f=s&&c;if(u&&i.length>0&&!r.call(i,0))for(var d=0;d<i.length;++d)h.push(String(d));if(l&&i.length>0)for(var y=0;y<i.length;++y)h.push(String(y));else for(var b in i)t()&&"__proto__"===b||f&&"prototype"===b||!r.call(i,b)||h.push(String(b));if(o)for(var g=p(i),v=0;v<a.length;++v)g&&"constructor"===a[v]||!r.call(i,a[v])||h.push(a[v]);return h}}()),i(Array.prototype,"includes",(function(t){var e=l(this),r=function(t){var e=g(t);return e<=0?0:Math.min(e,Math.pow(2,53)-1)}(o(e,"length"));if(0===r)return!1;var n=g(arguments[1]);if(n>=0)var i=n;else(i=r+n)<0&&(i=0);for(;i<r;){if(b(t,o(e,m(i))))return!0;i+=1}return!1})),_={}.toString,w="".split,S=[].concat,E=Object.prototype.hasOwnProperty,O=Object.getOwnPropertyNames||Object.keys,j="object"==typeof t?O(t):[],i(Object,"getOwnPropertyNames",(function(t){var e=l(t);if("[object Window]"===_.call(e))try{return O(e)}catch(t){return S.call([],j)}e="[object String]"==_.call(e)?w.call(e,""):Object(e);for(var r=O(e),n=["length","prototype"],i=0;i<n.length;i++){var o=n[i];E.call(e,o)&&!r.includes(o)&&r.push(o)}if(r.includes("__proto__")){var s=r.indexOf("__proto__");r.splice(s,1)}return r})),i(String.prototype,"includes",(function(r){var n=arguments.length>1?arguments[1]:e,i=m(a(this));if(function(r){if("object"!==h(r))return!1;var n="Symbol"in t&&"match"in t.Symbol?o(r,t.Symbol.match):e;if(n!==e)return c(n);try{var i=r.lastIndex;return r.lastIndex=0,RegExp.prototype.exec.call(r),!0}catch(t){}finally{r.lastIndex=i}return!1}(r))throw new TypeError("First argument to String.prototype.includes must not be a regular expression");var s=m(r),l=g(n),u=i.length,p=Math.min(Math.max(l,0),u);return-1!==String.prototype.indexOf.call(i,s,p)})),function(){var t=Object.getOwnPropertyDescriptor,e=function(){try{return 1===Object.defineProperty(document.createElement("div"),"one",{get:function(){return 1}}).one}catch(t){return!1}},r={}.toString,n="".split;i(Object,"getOwnPropertyDescriptor",(function(i,o){var s=l(i);s=("string"===h(s)||s instanceof String)&&"[object String]"==r.call(i)?n.call(i,""):Object(i);var a=T(o);if(e)try{return t(s,a)}catch(t){}if(function(t,e){return Object.prototype.hasOwnProperty.call(t,e)}(s,a))return{enumerable:!0,configurable:!0,writable:!0,value:s[a]}}))}(),i(Object,"assign",(function(t,r){var n=l(t);if(1===arguments.length)return n;var i,s,a,c,u=Array.prototype.slice.call(arguments,1);for(i=0;i<u.length;i++){var p=u[i];for(p===e||null===p?a=[]:(c="[object String]"===Object.prototype.toString.call(p)?String(p).split(""):l(p),a=Object.keys(c)),s=0;s<a.length;s++){var h,f=a[s];try{var d=Object.getOwnPropertyDescriptor(c,f);h=d!==e&&!0===d.enumerable}catch(t){h=Object.prototype.propertyIsEnumerable.call(c,f)}if(h){var y=o(c,f);n[f]=y}}}return n})),function(){if(!Object.setPrototypeOf){var t,e,r=Object.getOwnPropertyNames,n=Object.getOwnPropertyDescriptor,o=Object.create,s=Object.defineProperty,a=Object.getPrototypeOf,c=Object.prototype,l=function(t,e){return function(t,e){return r(e).forEach((function(r){s(t,r,n(e,r))})),t}(o(e),t)};try{(t=n(c,"__proto__").set).call({},null),e=function(e,r){return t.call(e,r),e}}catch(r){(t={__proto__:null})instanceof Object?e=l:(t.__proto__=c,e=t instanceof Object?function(t,e){return t.__proto__=e,t}:function(t,e){return a(t)?(t.__proto__=e,t):l(t,e)})}i(Object,"setPrototypeOf",e)}}(),function(r,n,i){var o,s=function(){try{var t={};return r.defineProperty(t,"t",{configurable:!0,enumerable:!1,get:function(){return!0},set:e}),!!t.t}catch(t){return!1}}(),a=0,c=""+Math.random(),l="__symbol:",u="__symbol@@"+c,p={},f="defineProperty",d="defineProperties",y="getOwnPropertyNames",b="getOwnPropertyDescriptor",g="propertyIsEnumerable",v=r.prototype,m=v.hasOwnProperty,_=v[g],w=v.toString,S=Array.prototype.concat,E=r.getOwnPropertyNames?r.getOwnPropertyNames(t):[],O=r[y],j=function(t){if("[object Window]"===w.call(t))try{return O(t)}catch(t){return S.call([],E)}return O(t)},T=r[b],P=r.create,A=r.keys,N=r.freeze||r,C=r[f],I=r[d],L=T(r,y),D=function(t,e,r){if(!m.call(t,u))try{C(t,u,{enumerable:!1,configurable:!1,writable:!1,value:{}})}catch(e){t[u]={}}t[u]["@@"+e]=r},M=function(){},x=function(t){return t!=u&&!m.call($,t)},R=function(t){return t!=u&&m.call($,t)},k=function(t){var e=""+t;return R(e)?m.call(this,e)&&this[u]&&this[u]["@@"+e]:_.call(this,t)},H=function(t){var e={enumerable:!1,configurable:!0,get:M,set:function(e){o(this,t,{enumerable:!1,configurable:!0,writable:!0,value:e}),D(this,t,!0)}};try{C(v,t,e)}catch(r){v[t]=e.value}$[t]=C(r(t),"constructor",U);var n=T(F.prototype,"description");return n&&C($[t],"description",n),N($[t])},G=function(t){var r=function(t){if("symbol"===h(t))return t;throw TypeError(t+" is not a symbol")}(t);if(V){var n=K(r);if(""!==n)return n.slice(1,-1)}if(p[r]!==e)return p[r];var i=r.toString(),o=i.lastIndexOf("0.");return""===(i=i.slice(10,o))?e:i},F=function t(){var n=arguments[0];if(this instanceof t)throw new TypeError("Symbol is not a constructor");var i=l.concat(n||"",c,++a);n===e||null!==n&&!isNaN(n)&&""!==String(n)||(p[i]=String(n));var o=H(i);return s||r.defineProperty(o,"description",{configurable:!0,enumerable:!1,value:G(o)}),o},$=P(null),U={value:F},B=function(t){return $[t]},z=function(t,e,r){var n=""+e;return R(n)?(o(t,n,r.enumerable?function(t){var e=P(t);return e.enumerable=!1,e}(r):r),D(t,n,!!r.enumerable)):C(t,e,r),t},W=function(t){return j(t).filter(t===v?function(t){return function(e){return m.call(t,u)&&m.call(t[u],"@@"+e)}}(t):R).map(B)};L.value=z,C(r,f,L),L.value=W,C(r,"getOwnPropertySymbols",L),L.value=function(t){return j(t).filter(x)},C(r,y,L),L.value=function(t,e){var r=W(e);return r.length?A(e).concat(r).forEach((function(r){k.call(e,r)&&z(t,r,e[r])})):I(t,e),t},C(r,d,L),L.value=k,C(v,g,L),L.value=F,C(i,"Symbol",L),L.value=function(t){var e=l.concat(l,t,c);return e in v?$[e]:H(e)},C(F,"for",L),L.value=function(t){if(x(t))throw new TypeError(t+" is not a symbol");return m.call($,t)?t.slice(20,-c.length):void 0},C(F,"keyFor",L),L.value=function(t,e){var r=T(t,e);return r&&R(e)&&(r.enumerable=k.call(t,e)),r},C(r,b,L),L.value=function(t,e){return 1===arguments.length||void 0===e?P(t):function(t,e){var r=P(t);return j(e).forEach((function(t){k.call(e,t)&&z(r,t,e[t])})),r}(t,e)},C(r,"create",L);var q=null===function(){return this}.call(null);if(L.value=q?function(){var t=w.call(this);return"[object String]"===t&&R(this)?"[object Symbol]":t}:function(){if(this===window)return"[object Null]";var t=w.call(this);return"[object String]"===t&&R(this)?"[object Symbol]":t},C(v,"toString",L),o=function(t,e,r){var n=T(v,e);delete v[e],C(t,e,r),t!==v&&C(v,e,n)},function(){try{var t={};return r.defineProperty(t,"t",{configurable:!0,enumerable:!1,get:function(){return!0},set:e}),!!t.t}catch(t){return!1}}()){var K;try{K=Function("s","var v = s.valueOf(); return { [v]() {} }[v].name;")}catch(t){}var V=K&&"inferred"===function(){}.name?K:null;r.defineProperty(i.Symbol.prototype,"description",{configurable:!0,enumerable:!1,get:function(){return G(this)}})}}(Object,0,t),Object.defineProperty(t.Symbol,"iterator",{value:t.Symbol("iterator")});var P=function(){var t={}.toString,e="".split;return function(n,i,a){if(!1===s(a))throw new TypeError("adder is not callable.");for(var c=function(t){var e=r(arguments.length>1?arguments[1]:p(t,Symbol.iterator),t);if("object"!==h(e))throw new TypeError("bad iterator");var n=u(e,"next"),i=Object.create(null);return i["[[Iterator]]"]=e,i["[[NextMethod]]"]=n,i["[[Done]]"]=!1,i}(i);;){var l=d(c);if(!1===l)return n;var b,g,v=y(l);if("object"!==h(v)){var m=new TypeError("nextItem is not an object");throw f(c,m),m}v=("string"===h(v)||v instanceof String)&&"[object String]"==t.call(v)?e.call(v,""):v;try{b=o(v,"0")}catch(t){return f(c,t)}try{g=o(v,"1")}catch(t){return f(c,t)}try{r(a,n,[b,g])}catch(t){return f(c,t)}}}}();Object.defineProperty(Symbol,"toStringTag",{value:Symbol("toStringTag")});var A=function(){var t=function(){return this.length=0,this},r=function(t,e){if(!(this instanceof r))return new r(t,e);Object.defineProperties(this,{__list__:{writable:!0,value:t},__context__:{writable:!0,value:e},__nextIndex__:{writable:!0,value:0}}),e&&(function(t){if("function"!=typeof t)throw new TypeError(t+" is not a function")}(e.on),e.on("_add",this._onAdd.bind(this)),e.on("_delete",this._onDelete.bind(this)),e.on("_clear",this._onClear.bind(this)))};return Object.defineProperties(r.prototype,Object.assign({constructor:{value:r,configurable:!0,enumerable:!1,writable:!0},_next:{value:function(){var t;if(this.__list__)return this.__redo__&&(t=this.__redo__.shift())!==e?t:this.__nextIndex__<this.__list__.length?this.__nextIndex__++:void this._unBind()},configurable:!0,enumerable:!1,writable:!0},next:{value:function(){return this._createResult(this._next())},configurable:!0,enumerable:!1,writable:!0},_createResult:{value:function(t){return t===e?{done:!0,value:e}:{done:!1,value:this._resolve(t)}},configurable:!0,enumerable:!1,writable:!0},_resolve:{value:function(t){return this.__list__[t]},configurable:!0,enumerable:!1,writable:!0},_unBind:{value:function(){this.__list__=null,delete this.__redo__,this.__context__&&(this.__context__.off("_add",this._onAdd.bind(this)),this.__context__.off("_delete",this._onDelete.bind(this)),this.__context__.off("_clear",this._onClear.bind(this)),this.__context__=null)},configurable:!0,enumerable:!1,writable:!0},toString:{value:function(){return"[object Iterator]"},configurable:!0,enumerable:!1,writable:!0}},{_onAdd:{value:function(t){if(!(t>=this.__nextIndex__)){if(++this.__nextIndex__,!this.__redo__)return void Object.defineProperty(this,"__redo__",{value:[t],configurable:!0,enumerable:!1,writable:!1});this.__redo__.forEach((function(e,r){e>=t&&(this.__redo__[r]=++e)}),this),this.__redo__.push(t)}},configurable:!0,enumerable:!1,writable:!0},_onDelete:{value:function(t){var e;t>=this.__nextIndex__||(--this.__nextIndex__,this.__redo__&&(-1!==(e=this.__redo__.indexOf(t))&&this.__redo__.splice(e,1),this.__redo__.forEach((function(e,r){e>t&&(this.__redo__[r]=--e)}),this)))},configurable:!0,enumerable:!1,writable:!0},_onClear:{value:function(){this.__redo__&&t.call(this.__redo__),this.__nextIndex__=0},configurable:!0,enumerable:!1,writable:!0}})),Object.defineProperty(r.prototype,Symbol.iterator,{value:function(){return this},configurable:!0,enumerable:!1,writable:!0}),Object.defineProperty(r.prototype,Symbol.toStringTag,{value:"Iterator",configurable:!1,enumerable:!1,writable:!0}),r}(),N=function(){var t=function(e,r){if(!(this instanceof t))return new t(e,r);A.call(this,e),r=r?String.prototype.includes.call(r,"key+value")?"key+value":String.prototype.includes.call(r,"key")?"key":"value":"value",Object.defineProperty(this,"__kind__",{value:r,configurable:!1,enumerable:!1,writable:!1})};return Object.setPrototypeOf&&Object.setPrototypeOf(t,A.prototype),t.prototype=Object.create(A.prototype,{constructor:{value:t,configurable:!0,enumerable:!1,writable:!0},_resolve:{value:function(t){return"value"===this.__kind__?this.__list__[t]:"key+value"===this.__kind__?[t,this.__list__[t]]:t},configurable:!0,enumerable:!1,writable:!0},toString:{value:function(){return"[object Array Iterator]"},configurable:!0,enumerable:!1,writable:!0}}),t}();"Symbol"in t&&"iterator"in Symbol&&"function"==typeof Array.prototype[Symbol.iterator]?i(Array.prototype,"values",Array.prototype[Symbol.iterator]):i(Array.prototype,"values",(function(){var t=l(this);return new N(t,"value")})),i(Array.prototype,Symbol.iterator,Array.prototype.values),i(Object,"fromEntries",(function(t){a(t);return P({},t,(function(t,e){n(this,T(t),e)}))}))}("object"==typeof window&&window||"object"==typeof self&&self||"object"==typeof global&&global||{}),function(t,e){function r(t,e,r){var n={value:r,writable:!0,enumerable:!1,configurable:!0};Object.defineProperty(t,e,n)}var n,i;r(Object,"keys",function(){function t(){var t;try{t=Object.create({})}catch(t){return!0}return i.call(t,"__proto__")}var r=Object.prototype.hasOwnProperty,n=Object.prototype.toString,i=Object.prototype.propertyIsEnumerable,o=!i.call({toString:null},"toString"),s=i.call((function(){}),"prototype"),a=["toString","toLocaleString","valueOf","hasOwnProperty","isPrototypeOf","propertyIsEnumerable","constructor"],c=function(t){var e=t.constructor;return e&&e.prototype===t},l={$console:!0,$external:!0,$frame:!0,$frameElement:!0,$frames:!0,$innerHeight:!0,$innerWidth:!0,$outerHeight:!0,$outerWidth:!0,$pageXOffset:!0,$pageYOffset:!0,$parent:!0,$scrollLeft:!0,$scrollTop:!0,$scrollX:!0,$scrollY:!0,$self:!0,$webkitIndexedDB:!0,$webkitStorageInfo:!0,$window:!0},u=function(){if("undefined"==typeof window)return!1;for(var t in window)try{if(!l["$"+t]&&r.call(window,t)&&null!==window[t]&&"object"==typeof window[t])try{c(window[t])}catch(t){return!0}}catch(t){return!0}return!1}(),p=function(t){if("undefined"==typeof window||!u)return c(t);try{return c(t)}catch(t){return!1}};return function(i){var c="[object Function]"===n.call(i),l=function(t){var e=n.call(t),r="[object Arguments]"===e;return r||(r="[object Array]"!==e&&null!==t&&"object"==typeof t&&"number"==typeof t.length&&t.length>=0&&"[object Function]"===n.call(t.callee)),r}(i),u="[object String]"===n.call(i),h=[];if(i===e||null===i)throw new TypeError("Cannot convert undefined or null to object");var f=s&&c;if(u&&i.length>0&&!r.call(i,0))for(var d=0;d<i.length;++d)h.push(String(d));if(l&&i.length>0)for(var y=0;y<i.length;++y)h.push(String(y));else for(var b in i)t()&&"__proto__"===b||f&&"prototype"===b||!r.call(i,b)||h.push(String(b));if(o)for(var g=p(i),v=0;v<a.length;++v)g&&"constructor"===a[v]||!r.call(i,a[v])||h.push(a[v]);return h}}()),n={}.toString,i="".split,r(Object,"values",(function(t){var r="[object String]"==n.call(t)?i.call(t,""):function(t){if(null===t||t===e)throw TypeError();return Object(t)}(t);return Object.keys(r).map((function(t){return r[t]}))}))}(),function(t,e){function r(t,e){var r=arguments.length>2?arguments[2]:[];if(!1===o(t))throw new TypeError(Object.prototype.toString.call(t)+"is not a function.");return t.apply(e,r)}function n(t,e,r){var n={value:r,writable:!0,enumerable:!1,configurable:!0};Object.defineProperty(t,e,n)}function i(t,e){return t[e]}function o(t){return"function"==typeof t}function s(t){if(null===t||t===e)throw TypeError();return Object(t)}function a(t,r){var n=function(t,e){return s(t)[e]}(t,r);if(null===n||n===e)return e;if(!1===o(n))throw new TypeError("Method not callable: "+r);return n}function c(e){switch(typeof e){case"undefined":return"undefined";case"boolean":return"boolean";case"number":return"number";case"string":return"string";case"symbol":return"symbol";default:return null===e?"null":"Symbol"in t&&(e instanceof t.Symbol||e.constructor===t.Symbol)?"symbol":"object"}}function l(t,e){return c(t)===c(e)&&("number"===c(t)?!(!isNaN(t)||!isNaN(e))||1/t==1/0&&1/e==-1/0||1/t==-1/0&&1/e==1/0||t===e:function(t,e){return t===e}(t,e))}function u(t){if("symbol"===c(t))throw new TypeError("Cannot convert a Symbol value to a number");var e=Number(t);return isNaN(e)?0:1/e==1/0||1/e==-1/0||e===1/0||e===-1/0?e:(e<0?-1:1)*Math.floor(Math.abs(e))}function p(n){var s=arguments.length>1?arguments[1]:e;if("object"===c(n)){if(arguments.length<2)var l="default";else s===String?l="string":s===Number&&(l="number");var u="function"==typeof t.Symbol&&"symbol"==typeof t.Symbol.toPrimitive?a(n,t.Symbol.toPrimitive):e;if(u!==e){var p=r(u,n,[l]);if("object"!==c(p))return p;throw new TypeError("Cannot convert exotic object to primitive.")}return"default"===l&&(l="number"),function(t,e){if("string"===e)var n=["toString","valueOf"];else n=["valueOf","toString"];for(var s=0;s<n.length;++s){var a=i(t,n[s]);if(o(a)){var l=r(a,t);if("object"!==c(l))return l}}throw new TypeError("Cannot convert to primitive.")}(n,l)}return n}function h(t){switch(c(t)){case"symbol":throw new TypeError("Cannot convert a Symbol value to a string");case"object":return h(p(t,String));default:return String(t)}}var f,d,y,b,g,v;n(Object,"keys",function(){function t(){var t;try{t=Object.create({})}catch(t){return!0}return i.call(t,"__proto__")}var r=Object.prototype.hasOwnProperty,n=Object.prototype.toString,i=Object.prototype.propertyIsEnumerable,o=!i.call({toString:null},"toString"),s=i.call((function(){}),"prototype"),a=["toString","toLocaleString","valueOf","hasOwnProperty","isPrototypeOf","propertyIsEnumerable","constructor"],c=function(t){var e=t.constructor;return e&&e.prototype===t},l={$console:!0,$external:!0,$frame:!0,$frameElement:!0,$frames:!0,$innerHeight:!0,$innerWidth:!0,$outerHeight:!0,$outerWidth:!0,$pageXOffset:!0,$pageYOffset:!0,$parent:!0,$scrollLeft:!0,$scrollTop:!0,$scrollX:!0,$scrollY:!0,$self:!0,$webkitIndexedDB:!0,$webkitStorageInfo:!0,$window:!0},u=function(){if("undefined"==typeof window)return!1;for(var t in window)try{if(!l["$"+t]&&r.call(window,t)&&null!==window[t]&&"object"==typeof window[t])try{c(window[t])}catch(t){return!0}}catch(t){return!0}return!1}(),p=function(t){if("undefined"==typeof window||!u)return c(t);try{return c(t)}catch(t){return!1}};return function(i){var c="[object Function]"===n.call(i),l=function(t){var e=n.call(t),r="[object Arguments]"===e;return r||(r="[object Array]"!==e&&null!==t&&"object"==typeof t&&"number"==typeof t.length&&t.length>=0&&"[object Function]"===n.call(t.callee)),r}(i),u="[object String]"===n.call(i),h=[];if(i===e||null===i)throw new TypeError("Cannot convert undefined or null to object");var f=s&&c;if(u&&i.length>0&&!r.call(i,0))for(var d=0;d<i.length;++d)h.push(String(d));if(l&&i.length>0)for(var y=0;y<i.length;++y)h.push(String(y));else for(var b in i)t()&&"__proto__"===b||f&&"prototype"===b||!r.call(i,b)||h.push(String(b));if(o)for(var g=p(i),v=0;v<a.length;++v)g&&"constructor"===a[v]||!r.call(i,a[v])||h.push(a[v]);return h}}()),n(Array.prototype,"includes",(function(t){var e=s(this),r=function(t){var e=u(t);return e<=0?0:Math.min(e,Math.pow(2,53)-1)}(i(e,"length"));if(0===r)return!1;var n=u(arguments[1]);if(n>=0)var o=n;else(o=r+n)<0&&(o=0);for(;o<r;){if(l(t,i(e,h(o))))return!0;o+=1}return!1})),f={}.toString,d="".split,y=[].concat,b=Object.prototype.hasOwnProperty,g=Object.getOwnPropertyNames||Object.keys,v="object"==typeof t?g(t):[],n(Object,"getOwnPropertyNames",(function(t){var e=s(t);if("[object Window]"===f.call(e))try{return g(e)}catch(t){return y.call([],v)}e="[object String]"==f.call(e)?d.call(e,""):Object(e);for(var r=g(e),n=["length","prototype"],i=0;i<n.length;i++){var o=n[i];b.call(e,o)&&!r.includes(o)&&r.push(o)}if(r.includes("__proto__")){var a=r.indexOf("__proto__");r.splice(a,1)}return r})),function(){var t=Object.getOwnPropertyDescriptor,e=function(){try{return 1===Object.defineProperty(document.createElement("div"),"one",{get:function(){return 1}}).one}catch(t){return!1}},r={}.toString,i="".split;n(Object,"getOwnPropertyDescriptor",(function(n,o){var a=s(n);a=("string"===c(a)||a instanceof String)&&"[object String]"==r.call(n)?i.call(n,""):Object(n);var l=function(t){var e=p(t,String);return"symbol"===c(e)?e:h(e)}(o);if(e)try{return t(a,l)}catch(t){}if(function(t,e){return Object.prototype.hasOwnProperty.call(t,e)}(a,l))return{enumerable:!0,configurable:!0,writable:!0,value:a[l]}}))}(),function(r,n,i){var o,s=function(){try{var t={};return r.defineProperty(t,"t",{configurable:!0,enumerable:!1,get:function(){return!0},set:e}),!!t.t}catch(t){return!1}}(),a=0,l=""+Math.random(),u="__symbol:",p="__symbol@@"+l,h={},f="defineProperty",d="defineProperties",y="getOwnPropertyNames",b="getOwnPropertyDescriptor",g="propertyIsEnumerable",v=r.prototype,m=v.hasOwnProperty,_=v[g],w=v.toString,S=Array.prototype.concat,E=r.getOwnPropertyNames?r.getOwnPropertyNames(t):[],O=r[y],j=function(t){if("[object Window]"===w.call(t))try{return O(t)}catch(t){return S.call([],E)}return O(t)},T=r[b],P=r.create,A=r.keys,N=r.freeze||r,C=r[f],I=r[d],L=T(r,y),D=function(t,e,r){if(!m.call(t,p))try{C(t,p,{enumerable:!1,configurable:!1,writable:!1,value:{}})}catch(e){t[p]={}}t[p]["@@"+e]=r},M=function(){},x=function(t){return t!=p&&!m.call($,t)},R=function(t){return t!=p&&m.call($,t)},k=function(t){var e=""+t;return R(e)?m.call(this,e)&&this[p]&&this[p]["@@"+e]:_.call(this,t)},H=function(t){var e={enumerable:!1,configurable:!0,get:M,set:function(e){o(this,t,{enumerable:!1,configurable:!0,writable:!0,value:e}),D(this,t,!0)}};try{C(v,t,e)}catch(r){v[t]=e.value}$[t]=C(r(t),"constructor",U);var n=T(F.prototype,"description");return n&&C($[t],"description",n),N($[t])},G=function(t){var r=function(t){if("symbol"===c(t))return t;throw TypeError(t+" is not a symbol")}(t);if(V){var n=K(r);if(""!==n)return n.slice(1,-1)}if(h[r]!==e)return h[r];var i=r.toString(),o=i.lastIndexOf("0.");return""===(i=i.slice(10,o))?e:i},F=function t(){var n=arguments[0];if(this instanceof t)throw new TypeError("Symbol is not a constructor");var i=u.concat(n||"",l,++a);n===e||null!==n&&!isNaN(n)&&""!==String(n)||(h[i]=String(n));var o=H(i);return s||r.defineProperty(o,"description",{configurable:!0,enumerable:!1,value:G(o)}),o},$=P(null),U={value:F},B=function(t){return $[t]},z=function(t,e,r){var n=""+e;return R(n)?(o(t,n,r.enumerable?function(t){var e=P(t);return e.enumerable=!1,e}(r):r),D(t,n,!!r.enumerable)):C(t,e,r),t},W=function(t){return j(t).filter(t===v?function(t){return function(e){return m.call(t,p)&&m.call(t[p],"@@"+e)}}(t):R).map(B)};L.value=z,C(r,f,L),L.value=W,C(r,"getOwnPropertySymbols",L),L.value=function(t){return j(t).filter(x)},C(r,y,L),L.value=function(t,e){var r=W(e);return r.length?A(e).concat(r).forEach((function(r){k.call(e,r)&&z(t,r,e[r])})):I(t,e),t},C(r,d,L),L.value=k,C(v,g,L),L.value=F,C(i,"Symbol",L),L.value=function(t){var e=u.concat(u,t,l);return e in v?$[e]:H(e)},C(F,"for",L),L.value=function(t){if(x(t))throw new TypeError(t+" is not a symbol");return m.call($,t)?t.slice(20,-l.length):void 0},C(F,"keyFor",L),L.value=function(t,e){var r=T(t,e);return r&&R(e)&&(r.enumerable=k.call(t,e)),r},C(r,b,L),L.value=function(t,e){return 1===arguments.length||void 0===e?P(t):function(t,e){var r=P(t);return j(e).forEach((function(t){k.call(e,t)&&z(r,t,e[t])})),r}(t,e)},C(r,"create",L);var q=null===function(){return this}.call(null);if(L.value=q?function(){var t=w.call(this);return"[object String]"===t&&R(this)?"[object Symbol]":t}:function(){if(this===window)return"[object Null]";var t=w.call(this);return"[object String]"===t&&R(this)?"[object Symbol]":t},C(v,"toString",L),o=function(t,e,r){var n=T(v,e);delete v[e],C(t,e,r),t!==v&&C(v,e,n)},function(){try{var t={};return r.defineProperty(t,"t",{configurable:!0,enumerable:!1,get:function(){return!0},set:e}),!!t.t}catch(t){return!1}}()){var K;try{K=Function("s","var v = s.valueOf(); return { [v]() {} }[v].name;")}catch(t){}var V=K&&"inferred"===function(){}.name?K:null;r.defineProperty(i.Symbol.prototype,"description",{configurable:!0,enumerable:!1,get:function(){return G(this)}})}}(Object,0,t)}("object"==typeof window&&window||"object"==typeof self&&self||"object"==typeof global&&global||{}),Element.prototype.matches=Element.prototype.webkitMatchesSelector||Element.prototype.oMatchesSelector||Element.prototype.msMatchesSelector||Element.prototype.mozMatchesSelector||function(t){for(var e=this,r=(e.document||e.ownerDocument).querySelectorAll(t),n=0;r[n]&&r[n]!==e;)++n;return!!r[n]},Element.prototype.closest=function(t){for(var e=this;e;){if(e.matches(t))return e;e="SVGElement"in window&&e instanceof SVGElement?e.parentNode:e.parentElement}return null},function(t,e){function r(t){if(1/t==-1/0&&(t=0),t>Math.pow(2,32)-1)throw new RangeError("Invalid array length");var e=[];return e.length=t,e}function n(t,e){var r=arguments.length>2?arguments[2]:[];if(!1===c(t))throw new TypeError(Object.prototype.toString.call(t)+"is not a function.");return t.apply(e,r)}function i(t,e,r){var n={value:r,writable:!0,enumerable:!0,configurable:!0};try{return Object.defineProperty(t,e,n),!0}catch(t){return!1}}function o(t,e,r){var n=i(t,e,r);if(!n)throw new TypeError("Cannot assign value `"+Object.prototype.toString.call(r)+"` to property `"+Object.prototype.toString.call(e)+"` on object `"+Object.prototype.toString.call(t)+"`");return n}function s(t,e,r){var n={value:r,writable:!0,enumerable:!1,configurable:!0};Object.defineProperty(t,e,n)}function a(t,e){return t[e]}function c(t){return"function"==typeof t}function l(t){if(null===t||t===e)throw TypeError();return Object(t)}function u(t,e){return l(t)[e]}function p(t,r){var n=u(t,r);if(null===n||n===e)return e;if(!1===c(n))throw new TypeError("Method not callable: "+r);return n}function h(e){switch(typeof e){case"undefined":return"undefined";case"boolean":return"boolean";case"number":return"number";case"string":return"string";case"symbol":return"symbol";default:return null===e?"null":"Symbol"in t&&(e instanceof t.Symbol||e.constructor===t.Symbol)?"symbol":"object"}}var f;function d(t,e){if("boolean"!==h(e))throw new Error;var r={};return i(r,"value",t),i(r,"done",e),r}function y(t,e){var r=arguments[2]||{},n=function(t,e){var r=a(t,"prototype");return"object"!==h(r)&&(r=e),r}(t,e),i=Object.create(n);for(var o in r)Object.prototype.hasOwnProperty.call(r,o)&&Object.defineProperty(i,o,{configurable:!0,enumerable:!1,writable:!0,value:r[o]});return i}function b(t){return"object"===h(t)&&"function"==typeof t&&!!t.prototype}function g(t){var e=arguments.length>2?arguments[2]:t,r=arguments.length>1?arguments[1]:[];if(!b(t))throw new TypeError("F must be a constructor.");if(!b(e))throw new TypeError("newTarget must be a constructor.");return e===t?new(Function.prototype.bind.apply(t,[null].concat(r))):n(t,y(e,Object.prototype),r)}function v(t,r){if("object"!==h(t["[[Iterator]]"]))throw new Error(Object.prototype.toString.call(t["[[Iterator]]"])+"is not an Object.");var i=t["[[Iterator]]"],o=p(i,"return");if(o===e)return r;try{var s=n(o,i)}catch(t){var a=t}if(r)return r;if(a)throw a;if("object"!==h(s))throw new TypeError("Iterator's return method returned a non-object.");return r}function m(t){if("object"!==h(t))throw new Error(Object.prototype.toString.call(t)+"is not an Object.");return e=a(t,"done"),Boolean(e);var e}function _(t){var e=function(t){if(arguments.length<2)var e=n(t["[[NextMethod]]"],t["[[Iterator]]"]);else e=n(t["[[NextMethod]]"],t["[[Iterator]]"],[arguments[1]]);if("object"!==h(e))throw new TypeError("bad iterator");return e}(t);return!0!==m(e)&&e}function w(t){if("object"!==h(t))throw new Error(Object.prototype.toString.call(t)+"is not an Object.");return a(t,"value")}function S(t,e){return h(t)===h(e)&&("number"===h(t)?!(!isNaN(t)||!isNaN(e))||1/t==1/0&&1/e==-1/0||1/t==-1/0&&1/e==1/0||t===e:function(t,e){return t===e}(t,e))}function E(t){if("symbol"===h(t))throw new TypeError("Cannot convert a Symbol value to a number");var e=Number(t);return isNaN(e)?0:1/e==1/0||1/e==-1/0||e===1/0||e===-1/0?e:(e<0?-1:1)*Math.floor(Math.abs(e))}function O(t){var e=E(t);return e<=0?0:Math.min(e,Math.pow(2,53)-1)}function j(r){var i=arguments.length>1?arguments[1]:e;if("object"===h(r)){if(arguments.length<2)var o="default";else i===String?o="string":i===Number&&(o="number");var s="function"==typeof t.Symbol&&"symbol"==typeof t.Symbol.toPrimitive?p(r,t.Symbol.toPrimitive):e;if(s!==e){var l=n(s,r,[o]);if("object"!==h(l))return l;throw new TypeError("Cannot convert exotic object to primitive.")}return"default"===o&&(o="number"),function(t,e){if("string"===e)var r=["toString","valueOf"];else r=["valueOf","toString"];for(var i=0;i<r.length;++i){var o=a(t,r[i]);if(c(o)){var s=n(o,t);if("object"!==h(s))return s}}throw new TypeError("Cannot convert to primitive.")}(r,o)}return r}function T(t){switch(h(t)){case"symbol":throw new TypeError("Cannot convert a Symbol value to a string");case"object":return T(j(t,String));default:return String(t)}}function P(t){var e=n(arguments.length>1?arguments[1]:p(t,Symbol.iterator),t);if("object"!==h(e))throw new TypeError("bad iterator");var r=u(e,"next"),i=Object.create(null);return i["[[Iterator]]"]=e,i["[[NextMethod]]"]=r,i["[[Done]]"]=!1,i}s(Object,"keys",function(){function t(){var t;try{t=Object.create({})}catch(t){return!0}return i.call(t,"__proto__")}var r=Object.prototype.hasOwnProperty,n=Object.prototype.toString,i=Object.prototype.propertyIsEnumerable,o=!i.call({toString:null},"toString"),s=i.call((function(){}),"prototype"),a=["toString","toLocaleString","valueOf","hasOwnProperty","isPrototypeOf","propertyIsEnumerable","constructor"],c=function(t){var e=t.constructor;return e&&e.prototype===t},l={$console:!0,$external:!0,$frame:!0,$frameElement:!0,$frames:!0,$innerHeight:!0,$innerWidth:!0,$outerHeight:!0,$outerWidth:!0,$pageXOffset:!0,$pageYOffset:!0,$parent:!0,$scrollLeft:!0,$scrollTop:!0,$scrollX:!0,$scrollY:!0,$self:!0,$webkitIndexedDB:!0,$webkitStorageInfo:!0,$window:!0},u=function(){if("undefined"==typeof window)return!1;for(var t in window)try{if(!l["$"+t]&&r.call(window,t)&&null!==window[t]&&"object"==typeof window[t])try{c(window[t])}catch(t){return!0}}catch(t){return!0}return!1}(),p=function(t){if("undefined"==typeof window||!u)return c(t);try{return c(t)}catch(t){return!1}};return function(i){var c="[object Function]"===n.call(i),l=function(t){var e=n.call(t),r="[object Arguments]"===e;return r||(r="[object Array]"!==e&&null!==t&&"object"==typeof t&&"number"==typeof t.length&&t.length>=0&&"[object Function]"===n.call(t.callee)),r}(i),u="[object String]"===n.call(i),h=[];if(i===e||null===i)throw new TypeError("Cannot convert undefined or null to object");var f=s&&c;if(u&&i.length>0&&!r.call(i,0))for(var d=0;d<i.length;++d)h.push(String(d));if(l&&i.length>0)for(var y=0;y<i.length;++y)h.push(String(y));else for(var b in i)t()&&"__proto__"===b||f&&"prototype"===b||!r.call(i,b)||h.push(String(b));if(o)for(var g=p(i),v=0;v<a.length;++v)g&&"constructor"===a[v]||!r.call(i,a[v])||h.push(a[v]);return h}}()),f=Object.isExtensible,s(Object,"isExtensible",(function(t){return"object"===h(t)&&(!f||f(t))})),s(Array.prototype,"includes",(function(t){var e=l(this),r=O(a(e,"length"));if(0===r)return!1;var n=E(arguments[1]);if(n>=0)var i=n;else(i=r+n)<0&&(i=0);for(;i<r;){if(S(t,a(e,T(i))))return!0;i+=1}return!1})),function(){var e={}.toString,r="".split,n=[].concat,i=Object.prototype.hasOwnProperty,o=Object.getOwnPropertyNames||Object.keys,a="object"==typeof t?o(t):[];s(Object,"getOwnPropertyNames",(function(t){var s=l(t);if("[object Window]"===e.call(s))try{return o(s)}catch(t){return n.call([],a)}s="[object String]"==e.call(s)?r.call(s,""):Object(s);for(var c=o(s),u=["length","prototype"],p=0;p<u.length;p++){var h=u[p];i.call(s,h)&&!c.includes(h)&&c.push(h)}if(c.includes("__proto__")){var f=c.indexOf("__proto__");c.splice(f,1)}return c}))}(),function(){var t=Object.getOwnPropertyDescriptor,e=function(){try{return 1===Object.defineProperty(document.createElement("div"),"one",{get:function(){return 1}}).one}catch(t){return!1}},r={}.toString,n="".split;s(Object,"getOwnPropertyDescriptor",(function(i,o){var s=l(i);s=("string"===h(s)||s instanceof String)&&"[object String]"==r.call(i)?n.call(i,""):Object(i);var a=function(t){var e=j(t,String);return"symbol"===h(e)?e:T(e)}(o);if(e)try{return t(s,a)}catch(t){}if(function(t,e){return Object.prototype.hasOwnProperty.call(t,e)}(s,a))return{enumerable:!0,configurable:!0,writable:!0,value:s[a]}}))}(),function(r,n,i){var o,s=function(){try{var t={};return r.defineProperty(t,"t",{configurable:!0,enumerable:!1,get:function(){return!0},set:e}),!!t.t}catch(t){return!1}}(),a=0,c=""+Math.random(),l="__symbol:",u="__symbol@@"+c,p={},f="defineProperty",d="defineProperties",y="getOwnPropertyNames",b="getOwnPropertyDescriptor",g="propertyIsEnumerable",v=r.prototype,m=v.hasOwnProperty,_=v[g],w=v.toString,S=Array.prototype.concat,E=r.getOwnPropertyNames?r.getOwnPropertyNames(t):[],O=r[y],j=function(t){if("[object Window]"===w.call(t))try{return O(t)}catch(t){return S.call([],E)}return O(t)},T=r[b],P=r.create,A=r.keys,N=r.freeze||r,C=r[f],I=r[d],L=T(r,y),D=function(t,e,r){if(!m.call(t,u))try{C(t,u,{enumerable:!1,configurable:!1,writable:!1,value:{}})}catch(e){t[u]={}}t[u]["@@"+e]=r},M=function(){},x=function(t){return t!=u&&!m.call($,t)},R=function(t){return t!=u&&m.call($,t)},k=function(t){var e=""+t;return R(e)?m.call(this,e)&&this[u]&&this[u]["@@"+e]:_.call(this,t)},H=function(t){var e={enumerable:!1,configurable:!0,get:M,set:function(e){o(this,t,{enumerable:!1,configurable:!0,writable:!0,value:e}),D(this,t,!0)}};try{C(v,t,e)}catch(r){v[t]=e.value}$[t]=C(r(t),"constructor",U);var n=T(F.prototype,"description");return n&&C($[t],"description",n),N($[t])},G=function(t){var r=function(t){if("symbol"===h(t))return t;throw TypeError(t+" is not a symbol")}(t);if(V){var n=K(r);if(""!==n)return n.slice(1,-1)}if(p[r]!==e)return p[r];var i=r.toString(),o=i.lastIndexOf("0.");return""===(i=i.slice(10,o))?e:i},F=function t(){var n=arguments[0];if(this instanceof t)throw new TypeError("Symbol is not a constructor");var i=l.concat(n||"",c,++a);n===e||null!==n&&!isNaN(n)&&""!==String(n)||(p[i]=String(n));var o=H(i);return s||r.defineProperty(o,"description",{configurable:!0,enumerable:!1,value:G(o)}),o},$=P(null),U={value:F},B=function(t){return $[t]},z=function(t,e,r){var n=""+e;return R(n)?(o(t,n,r.enumerable?function(t){var e=P(t);return e.enumerable=!1,e}(r):r),D(t,n,!!r.enumerable)):C(t,e,r),t},W=function(t){return j(t).filter(t===v?function(t){return function(e){return m.call(t,u)&&m.call(t[u],"@@"+e)}}(t):R).map(B)};L.value=z,C(r,f,L),L.value=W,C(r,"getOwnPropertySymbols",L),L.value=function(t){return j(t).filter(x)},C(r,y,L),L.value=function(t,e){var r=W(e);return r.length?A(e).concat(r).forEach((function(r){k.call(e,r)&&z(t,r,e[r])})):I(t,e),t},C(r,d,L),L.value=k,C(v,g,L),L.value=F,C(i,"Symbol",L),L.value=function(t){var e=l.concat(l,t,c);return e in v?$[e]:H(e)},C(F,"for",L),L.value=function(t){if(x(t))throw new TypeError(t+" is not a symbol");return m.call($,t)?t.slice(20,-c.length):void 0},C(F,"keyFor",L),L.value=function(t,e){var r=T(t,e);return r&&R(e)&&(r.enumerable=k.call(t,e)),r},C(r,b,L),L.value=function(t,e){return 1===arguments.length||void 0===e?P(t):function(t,e){var r=P(t);return j(e).forEach((function(t){k.call(e,t)&&z(r,t,e[t])})),r}(t,e)},C(r,"create",L);var q=null===function(){return this}.call(null);if(L.value=q?function(){var t=w.call(this);return"[object String]"===t&&R(this)?"[object Symbol]":t}:function(){if(this===window)return"[object Null]";var t=w.call(this);return"[object String]"===t&&R(this)?"[object Symbol]":t},C(v,"toString",L),o=function(t,e,r){var n=T(v,e);delete v[e],C(t,e,r),t!==v&&C(v,e,n)},function(){try{var t={};return r.defineProperty(t,"t",{configurable:!0,enumerable:!1,get:function(){return!0},set:e}),!!t.t}catch(t){return!1}}()){var K;try{K=Function("s","var v = s.valueOf(); return { [v]() {} }[v].name;")}catch(t){}var V=K&&"inferred"===function(){}.name?K:null;r.defineProperty(i.Symbol.prototype,"description",{configurable:!0,enumerable:!1,get:function(){return G(this)}})}}(Object,0,t),Object.defineProperty(t.Symbol,"iterator",{value:t.Symbol("iterator")}),Object.defineProperty(Symbol,"species",{value:Symbol("species")}),function(t){function r(t,e){if("object"!==h(t))throw new TypeError("createMapIterator called on incompatible receiver "+Object.prototype.toString.call(t));if(!0!==t._es6Map)throw new TypeError("createMapIterator called on incompatible receiver "+Object.prototype.toString.call(t));var r=Object.create(g);return Object.defineProperty(r,"[[Map]]",{configurable:!0,enumerable:!1,writable:!0,value:t}),Object.defineProperty(r,"[[MapNextIndex]]",{configurable:!0,enumerable:!1,writable:!0,value:0}),Object.defineProperty(r,"[[MapIterationKind]]",{configurable:!0,enumerable:!1,writable:!0,value:e}),r}var n=function(){try{var t={};return Object.defineProperty(t,"t",{configurable:!0,enumerable:!1,get:function(){return!0},set:e}),!!t.t}catch(t){return!1}}(),i=0,o=Symbol("meta_"+(1e8*Math.random()+"").replace(".","")),a=function(t){if("object"==typeof t?null!==t:"function"==typeof t){if(!Object.isExtensible(t))return!1;if(!Object.prototype.hasOwnProperty.call(t,o)){var e=typeof t+"-"+ ++i;Object.defineProperty(t,o,{configurable:!1,enumerable:!1,writable:!1,value:e})}return t[o]}return""+t},l=function(t,r){var n=a(r);if(!1===n)return u(t,r);var i=t._table[n];return i!==e&&i},u=function(t,e){for(var r=0;r<t._keys.length;r++){var n=t._keys[r];if(n!==f&&S(n,e))return r}return!1},p=function(t,e,r){var n=a(e);return!1!==n&&(!1===r?delete t._table[n]:t._table[n]=r,!0)},f=Symbol("undef"),b=function t(){if(!(this instanceof t))throw new TypeError('Constructor Map requires "new"');var r=y(this,t.prototype,{_table:{},_keys:[],_values:[],_size:0,_es6Map:!0});n||Object.defineProperty(r,"size",{configurable:!0,enumerable:!1,writable:!0,value:0});var i=arguments.length>0?arguments[0]:e;if(null===i||i===e)return r;var o=r.set;if(!c(o))throw new TypeError("Map.prototype.set is not a function");try{for(var s=P(i);;){var a=_(s);if(!1===a)return r;var l=w(a);if("object"!==h(l))try{throw new TypeError("Iterator value "+l+" is not an entry object")}catch(t){return v(s,t)}try{var u=l[0],p=l[1];o.call(r,u,p)}catch(t){return v(s,t)}}}catch(t){if(Array.isArray(i)||"[object Arguments]"===Object.prototype.toString.call(i)||i.callee){var f,d=i.length;for(f=0;f<d;f++)o.call(r,i[f][0],i[f][1])}}return r};Object.defineProperty(b,"prototype",{configurable:!1,enumerable:!1,writable:!1,value:{}}),n?Object.defineProperty(b,Symbol.species,{configurable:!0,enumerable:!1,get:function(){return this},set:e}):s(b,Symbol.species,b),s(b.prototype,"clear",(function(){var t=this;if("object"!==h(t))throw new TypeError("Method Map.prototype.clear called on incompatible receiver "+Object.prototype.toString.call(t));if(!0!==t._es6Map)throw new TypeError("Method Map.prototype.clear called on incompatible receiver "+Object.prototype.toString.call(t));for(var r=t._keys,i=0;i<r.length;i++)t._keys[i]=f,t._values[i]=f;return this._size=0,n||(this.size=this._size),this._table={},e})),s(b.prototype,"constructor",b),s(b.prototype,"delete",(function(t){var e=this;if("object"!==h(e))throw new TypeError("Method Map.prototype.clear called on incompatible receiver "+Object.prototype.toString.call(e));if(!0!==e._es6Map)throw new TypeError("Method Map.prototype.clear called on incompatible receiver "+Object.prototype.toString.call(e));var r=l(e,t);if(!1!==r){var i=e._keys[r];if(i!==f&&S(i,t))return this._keys[r]=f,this._values[r]=f,this._size=--this._size,n||(this.size=this._size),p(this,t,!1),!0}return!1})),s(b.prototype,"entries",(function(){return r(this,"key+value")})),s(b.prototype,"forEach",(function(t){var r=this;if("object"!==h(r))throw new TypeError("Method Map.prototype.forEach called on incompatible receiver "+Object.prototype.toString.call(r));if(!0!==r._es6Map)throw new TypeError("Method Map.prototype.forEach called on incompatible receiver "+Object.prototype.toString.call(r));if(!c(t))throw new TypeError(Object.prototype.toString.call(t)+" is not a function.");if(arguments[1])var n=arguments[1];for(var i=r._keys,o=0;o<i.length;o++)r._keys[o]!==f&&r._values[o]!==f&&t.call(n,r._values[o],r._keys[o],r);return e})),s(b.prototype,"get",(function(t){var r=this;if("object"!==h(r))throw new TypeError("Method Map.prototype.get called on incompatible receiver "+Object.prototype.toString.call(r));if(!0!==r._es6Map)throw new TypeError("Method Map.prototype.get called on incompatible receiver "+Object.prototype.toString.call(r));var n=l(r,t);if(!1!==n){var i=r._keys[n];if(i!==f&&S(i,t))return r._values[n]}return e})),s(b.prototype,"has",(function(t){var e=this;if("object"!=typeof e)throw new TypeError("Method Map.prototype.has called on incompatible receiver "+Object.prototype.toString.call(e));if(!0!==e._es6Map)throw new TypeError("Method Map.prototype.has called on incompatible receiver "+Object.prototype.toString.call(e));var r=l(e,t);if(!1!==r){var n=e._keys[r];if(n!==f&&S(n,t))return!0}return!1})),s(b.prototype,"keys",(function(){return r(this,"key")})),s(b.prototype,"set",(function(t,e){var r=this;if("object"!==h(r))throw new TypeError("Method Map.prototype.set called on incompatible receiver "+Object.prototype.toString.call(r));if(!0!==r._es6Map)throw new TypeError("Method Map.prototype.set called on incompatible receiver "+Object.prototype.toString.call(r));var i=l(r,t);if(!1!==i)r._values[i]=e;else{-0===t&&(t=0);var o={"[[Key]]":t,"[[Value]]":e};r._keys.push(o["[[Key]]"]),r._values.push(o["[[Value]]"]),p(r,t,r._keys.length-1),++r._size,n||(r.size=r._size)}return r})),n&&Object.defineProperty(b.prototype,"size",{configurable:!0,enumerable:!1,get:function(){var t=this;if("object"!==h(t))throw new TypeError("Method Map.prototype.size called on incompatible receiver "+Object.prototype.toString.call(t));if(!0!==t._es6Map)throw new TypeError("Method Map.prototype.size called on incompatible receiver "+Object.prototype.toString.call(t));return this._size},set:e}),s(b.prototype,"values",(function(){return r(this,"value")})),s(b.prototype,Symbol.iterator,b.prototype.entries),"name"in b||Object.defineProperty(b,"name",{configurable:!0,enumerable:!1,writable:!1,value:"Map"});var g={};Object.defineProperty(g,"isMapIterator",{configurable:!1,enumerable:!1,writable:!1,value:!0}),s(g,"next",(function(){var t=this;if("object"!==h(t))throw new TypeError("Method %MapIteratorPrototype%.next called on incompatible receiver "+Object.prototype.toString.call(t));if(!t.isMapIterator)throw new TypeError("Method %MapIteratorPrototype%.next called on incompatible receiver "+Object.prototype.toString.call(t));var r=t["[[Map]]"],n=t["[[MapNextIndex]]"],i=t["[[MapIterationKind]]"];if(r===e)return d(e,!0);if(!r._es6Map)throw new Error(Object.prototype.toString.call(r)+" has a [[MapData]] internal slot.");for(var o=r._keys.length;n<o;){var s=Object.create(null);if(s["[[Key]]"]=r._keys[n],s["[[Value]]"]=r._values[n],n+=1,t["[[MapNextIndex]]"]=n,s["[[Key]]"]!==f){if("key"===i)var a=s["[[Key]]"];else if("value"===i)a=s["[[Value]]"];else{if("key+value"!==i)throw new Error;a=[s["[[Key]]"],s["[[Value]]"]]}return d(a,!1)}}return t["[[Map]]"]=e,d(e,!0)})),s(g,Symbol.iterator,(function(){return this}));try{s(t,"Map",b)}catch(e){t.Map=b}}(t),function(t){function r(t,e){if("object"!=typeof t)throw new TypeError("createSetIterator called on incompatible receiver "+Object.prototype.toString.call(t));if(!0!==t._es6Set)throw new TypeError("createSetIterator called on incompatible receiver "+Object.prototype.toString.call(t));var r=Object.create(l);return Object.defineProperty(r,"[[IteratedSet]]",{configurable:!0,enumerable:!1,writable:!0,value:t}),Object.defineProperty(r,"[[SetNextIndex]]",{configurable:!0,enumerable:!1,writable:!0,value:0}),Object.defineProperty(r,"[[SetIterationKind]]",{configurable:!0,enumerable:!1,writable:!0,value:e}),r}var n=function(){try{var t={};return Object.defineProperty(t,"t",{configurable:!0,enumerable:!1,get:function(){return!0},set:e}),!!t.t}catch(t){return!1}}(),i=Symbol("undef"),o=function t(){if(!(this instanceof t))throw new TypeError('Constructor Set requires "new"');var r=y(this,t.prototype,{_values:[],_size:0,_es6Set:!0});n||Object.defineProperty(r,"size",{configurable:!0,enumerable:!1,writable:!0,value:0});var i=arguments.length>0?arguments[0]:e;if(null===i||i===e)return r;var o=r.add;if(!c(o))throw new TypeError("Set.prototype.add is not a function");try{for(var s=P(i);;){var a=_(s);if(!1===a)return r;var l=w(a);try{o.call(r,l)}catch(t){return v(s,t)}}}catch(t){if(!Array.isArray(i)&&"[object Arguments]"!==Object.prototype.toString.call(i)&&!i.callee)throw t;var u,p=i.length;for(u=0;u<p;u++)o.call(r,i[u])}return r};Object.defineProperty(o,"prototype",{configurable:!1,enumerable:!1,writable:!1,value:{}}),n?Object.defineProperty(o,Symbol.species,{configurable:!0,enumerable:!1,get:function(){return this},set:e}):s(o,Symbol.species,o),s(o.prototype,"add",(function(t){var e=this;if("object"!=typeof e)throw new TypeError("Method Set.prototype.add called on incompatible receiver "+Object.prototype.toString.call(e));if(!0!==e._es6Set)throw new TypeError("Method Set.prototype.add called on incompatible receiver "+Object.prototype.toString.call(e));for(var r=e._values,o=0;o<r.length;o++){var s=r[o];if(s!==i&&S(s,t))return e}return 0===t&&1/t==-1/0&&(t=0),e._values.push(t),this._size=++this._size,n||(this.size=this._size),e})),s(o.prototype,"clear",(function(){var t=this;if("object"!=typeof t)throw new TypeError("Method Set.prototype.clear called on incompatible receiver "+Object.prototype.toString.call(t));if(!0!==t._es6Set)throw new TypeError("Method Set.prototype.clear called on incompatible receiver "+Object.prototype.toString.call(t));for(var r=t._values,o=0;o<r.length;o++)r[o]=i;return this._size=0,n||(this.size=this._size),e})),s(o.prototype,"constructor",o),s(o.prototype,"delete",(function(t){var e=this;if("object"!=typeof e)throw new TypeError("Method Set.prototype.delete called on incompatible receiver "+Object.prototype.toString.call(e));if(!0!==e._es6Set)throw new TypeError("Method Set.prototype.delete called on incompatible receiver "+Object.prototype.toString.call(e));for(var r=e._values,o=0;o<r.length;o++){var s=r[o];if(s!==i&&S(s,t))return r[o]=i,this._size=--this._size,n||(this.size=this._size),!0}return!1})),s(o.prototype,"entries",(function(){return r(this,"key+value")})),s(o.prototype,"forEach",(function(t){var r=this;if("object"!=typeof r)throw new TypeError("Method Set.prototype.forEach called on incompatible receiver "+Object.prototype.toString.call(r));if(!0!==r._es6Set)throw new TypeError("Method Set.prototype.forEach called on incompatible receiver "+Object.prototype.toString.call(r));if(!c(t))throw new TypeError(Object.prototype.toString.call(t)+" is not a function.");if(arguments[1])var n=arguments[1];for(var o=r._values,s=0;s<o.length;s++){var a=o[s];a!==i&&t.call(n,a,a,r)}return e})),s(o.prototype,"has",(function(t){var e=this;if("object"!=typeof e)throw new TypeError("Method Set.prototype.forEach called on incompatible receiver "+Object.prototype.toString.call(e));if(!0!==e._es6Set)throw new TypeError("Method Set.prototype.forEach called on incompatible receiver "+Object.prototype.toString.call(e));for(var r=e._values,n=0;n<r.length;n++){var o=r[n];if(o!==i&&S(o,t))return!0}return!1}));var a=function(){return r(this,"value")};s(o.prototype,"values",a),s(o.prototype,"keys",a),n&&Object.defineProperty(o.prototype,"size",{configurable:!0,enumerable:!1,get:function(){var t=this;if("object"!=typeof t)throw new TypeError("Method Set.prototype.size called on incompatible receiver "+Object.prototype.toString.call(t));if(!0!==t._es6Set)throw new TypeError("Method Set.prototype.size called on incompatible receiver "+Object.prototype.toString.call(t));for(var e=t._values,r=0,n=0;n<e.length;n++)e[n]!==i&&(r+=1);return r},set:e}),s(o.prototype,Symbol.iterator,a),"name"in o||Object.defineProperty(o,"name",{configurable:!0,enumerable:!1,writable:!1,value:"Set"});var l={};Object.defineProperty(l,"isSetIterator",{configurable:!1,enumerable:!1,writable:!1,value:!0}),s(l,"next",(function(){var t=this;if("object"!=typeof t)throw new TypeError("Method %SetIteratorPrototype%.next called on incompatible receiver "+Object.prototype.toString.call(t));if(!t.isSetIterator)throw new TypeError("Method %SetIteratorPrototype%.next called on incompatible receiver "+Object.prototype.toString.call(t));var r=t["[[IteratedSet]]"],n=t["[[SetNextIndex]]"],o=t["[[SetIterationKind]]"];if(r===e)return d(e,!0);if(!r._es6Set)throw new Error(Object.prototype.toString.call(r)+" does not have [[SetData]] internal slot.");for(var s=r._values,a=s.length;n<a;){var c=s[n];if(n+=1,t["[[SetNextIndex]]"]=n,c!==i)return d("key+value"===o?[c,c]:c,!1)}return t["[[IteratedSet]]"]=e,d(e,!0)})),s(l,Symbol.iterator,(function(){return this}));try{s(t,"Set",o)}catch(e){t.Set=o}}(t),function(){function t(t){return"string"==typeof t||"object"==typeof t&&"[object String]"===i.call(t)}var i=Object.prototype.toString,u=String.prototype.match;s(Array,"from",(function(i){var s=this,h=arguments.length>1?arguments[1]:e;if(h===e)var f=!1;else{if(!1===c(h))throw new TypeError(Object.prototype.toString.call(h)+" is not a function.");var d=arguments.length>2?arguments[2]:e;if(d!==e)var y=d;else y=e;f=!0}var m=p(i,Symbol.iterator);if(m!==e){if(b(s))var S=g(s);else S=r(0);for(var E=P(i,m),j=0;;){if(j>=Math.pow(2,53)-1)return v(E,new TypeError("Iteration count can not be greater than or equal 9007199254740991."));var A=T(j),N=_(E);if(!1===N)return S.length=j,S;var C=w(N);if(f)try{var I=n(h,y,[C,j])}catch(t){return v(E,t)}else I=C;try{o(S,A,I)}catch(t){return v(E,t)}j+=1}}if(t(i))var L=u.call(i,/[\uD800-\uDBFF][\uDC00-\uDFFF]?|[^\uD800-\uDFFF]|./g)||[];else L=l(i);var D=O(a(L,"length"));for(S=b(s)?g(s,[D]):r(D),j=0;j<D;){var M=a(L,A=T(j));o(S,A,I=!0===f?n(h,y,[M,j]):M),j+=1}return S.length=D,S}))}(),function(t){function r(e){return!!e&&("Symbol"in t&&"iterator"in t.Symbol&&"function"==typeof e[Symbol.iterator]||!!Array.isArray(e))}!function(){function n(t){var e="",r=!0;return t.forEach((function(t){var n=encodeURIComponent(t.name),i=encodeURIComponent(t.value);r||(e+="&"),e+=n+"="+i,r=!1})),e.replace(/%20/g,"+")}function i(t){return t.replace(/((%[0-9A-Fa-f]{2})*)/g,(function(t,e){return decodeURIComponent(e)}))}function o(t,e){var r=t.split("&");e&&-1===r[0].indexOf("=")&&(r[0]="="+r[0]);var n=[];r.forEach((function(t){if(0!==t.length){var e=t.indexOf("=");if(-1!==e)var r=t.substring(0,e),i=t.substring(e+1);else r=t,i="";r=r.replace(/\+/g," "),i=i.replace(/\+/g," "),n.push({name:r,value:i})}}));var o=[];return n.forEach((function(t){o.push({name:i(t.name),value:i(t.value)})})),o}function s(t){var i=this;this._list=[],t===e||null===t||(t instanceof s?this._list=o(String(t)):"object"==typeof t&&r(t)?Array.from(t).forEach((function(t){if(!r(t))throw TypeError();var e=Array.from(t);if(2!==e.length)throw TypeError();i._list.push({name:String(e[0]),value:String(e[1])})})):"object"==typeof t&&t?Object.keys(t).forEach((function(e){i._list.push({name:String(e),value:String(t[e])})})):("?"===(t=String(t)).substring(0,1)&&(t=t.substring(1)),this._list=o(t))),this._url_object=null,this._setList=function(t){a||(i._list=t)};var a=!1;this._update_steps=function(){a||(a=!0,i._url_object&&("about:"===i._url_object.protocol&&-1!==i._url_object.pathname.indexOf("?")&&(i._url_object.pathname=i._url_object.pathname.split("?")[0]),i._url_object.search=n(i._list),a=!1))}}function a(t,r){var n=0;this.next=function(){if(n>=t.length)return{done:!0,value:e};var i=t[n++];return{done:!1,value:"key"===r?i.name:"value"===r?i.value:[i.name,i.value]}}}function c(e,r){function n(){var t=a.href.replace(/#$|\?$|\?(?=#)/g,"");a.href!==t&&(a.href=t)}function i(){h._setList(a.search?o(a.search.substring(1)):[]),h._update_steps()}if(!(this instanceof t.URL))throw new TypeError("Failed to construct 'URL': Please use the 'new' operator.");r&&(e=function(){if(l)return new u(e,r).href;var t;try{var n;if("[object OperaMini]"===Object.prototype.toString.call(window.operamini)?((t=document.createElement("iframe")).style.display="none",document.documentElement.appendChild(t),n=t.contentWindow.document):document.implementation&&document.implementation.createHTMLDocument?n=document.implementation.createHTMLDocument(""):document.implementation&&document.implementation.createDocument?((n=document.implementation.createDocument("http://www.w3.org/1999/xhtml","html",null)).documentElement.appendChild(n.createElement("head")),n.documentElement.appendChild(n.createElement("body"))):window.ActiveXObject&&((n=new window.ActiveXObject("htmlfile")).write("<head></head><body></body>"),n.close()),!n)throw Error("base not supported");var i=n.createElement("base");i.href=r,n.getElementsByTagName("head")[0].appendChild(i);var o=n.createElement("a");return o.href=e,o.href}finally{t&&t.parentNode.removeChild(t)}}());var a=function(t){if(l)return new u(t);var e=document.createElement("a");return e.href=t,e}(e||""),c=function(){if(!("defineProperties"in Object))return!1;try{var t={};return Object.defineProperties(t,{prop:{get:function(){return!0}}}),t.prop}catch(t){return!1}}(),p=c?this:document.createElement("a"),h=new s(a.search?a.search.substring(1):null);return h._url_object=p,Object.defineProperties(p,{href:{get:function(){return a.href},set:function(t){a.href=t,n(),i()},enumerable:!0,configurable:!0},origin:{get:function(){return"data:"===this.protocol.toLowerCase()?null:"origin"in a?a.origin:this.protocol+"//"+this.host},enumerable:!0,configurable:!0},protocol:{get:function(){return a.protocol},set:function(t){a.protocol=t},enumerable:!0,configurable:!0},username:{get:function(){return a.username},set:function(t){a.username=t},enumerable:!0,configurable:!0},password:{get:function(){return a.password},set:function(t){a.password=t},enumerable:!0,configurable:!0},host:{get:function(){var t={"http:":/:80$/,"https:":/:443$/,"ftp:":/:21$/}[a.protocol];return t?a.host.replace(t,""):a.host},set:function(t){a.host=t},enumerable:!0,configurable:!0},hostname:{get:function(){return a.hostname},set:function(t){a.hostname=t},enumerable:!0,configurable:!0},port:{get:function(){return a.port},set:function(t){a.port=t},enumerable:!0,configurable:!0},pathname:{get:function(){return"/"!==a.pathname.charAt(0)?"/"+a.pathname:a.pathname},set:function(t){a.pathname=t},enumerable:!0,configurable:!0},search:{get:function(){return a.search},set:function(t){a.search!==t&&(a.search=t,n(),i())},enumerable:!0,configurable:!0},searchParams:{get:function(){return h},enumerable:!0,configurable:!0},hash:{get:function(){return a.hash},set:function(t){a.hash=t,n()},enumerable:!0,configurable:!0},toString:{value:function(){return a.toString()},enumerable:!1,configurable:!0},valueOf:{value:function(){return a.valueOf()},enumerable:!1,configurable:!0}}),p}var l,u=t.URL;try{if(u){if("searchParams"in(l=new t.URL("http://example.com"))){var p=new c("http://example.com");if(p.search="a=1&b=2","http://example.com/?a=1&b=2"===p.href&&(p.search="","http://example.com/"===p.href))return}"href"in l||(l=e),l=e}}catch(t){}if(Object.defineProperties(s.prototype,{append:{value:function(t,e){this._list.push({name:t,value:e}),this._update_steps()},writable:!0,enumerable:!0,configurable:!0},delete:{value:function(t){for(var e=0;e<this._list.length;)this._list[e].name===t?this._list.splice(e,1):++e;this._update_steps()},writable:!0,enumerable:!0,configurable:!0},get:{value:function(t){for(var e=0;e<this._list.length;++e)if(this._list[e].name===t)return this._list[e].value;return null},writable:!0,enumerable:!0,configurable:!0},getAll:{value:function(t){for(var e=[],r=0;r<this._list.length;++r)this._list[r].name===t&&e.push(this._list[r].value);return e},writable:!0,enumerable:!0,configurable:!0},has:{value:function(t){for(var e=0;e<this._list.length;++e)if(this._list[e].name===t)return!0;return!1},writable:!0,enumerable:!0,configurable:!0},set:{value:function(t,e){for(var r=!1,n=0;n<this._list.length;)this._list[n].name===t?r?this._list.splice(n,1):(this._list[n].value=e,r=!0,++n):++n;r||this._list.push({name:t,value:e}),this._update_steps()},writable:!0,enumerable:!0,configurable:!0},entries:{value:function(){return new a(this._list,"key+value")},writable:!0,enumerable:!0,configurable:!0},keys:{value:function(){return new a(this._list,"key")},writable:!0,enumerable:!0,configurable:!0},values:{value:function(){return new a(this._list,"value")},writable:!0,enumerable:!0,configurable:!0},forEach:{value:function(t){var r=arguments.length>1?arguments[1]:e;this._list.forEach((function(e){t.call(r,e.value,e.name)}))},writable:!0,enumerable:!0,configurable:!0},toString:{value:function(){return n(this._list)},writable:!0,enumerable:!1,configurable:!0},sort:{value:function(){for(var t=this.entries(),e=t.next(),r=[],n={};!e.done;){var i=e.value,o=i[0];r.push(o),Object.prototype.hasOwnProperty.call(n,o)||(n[o]=[]),n[o].push(i[1]),e=t.next()}r.sort();for(var s=0;s<r.length;s++)this.delete(r[s]);for(var a=0;a<r.length;a++)o=r[a],this.append(o,n[o].shift())}}}),"Symbol"in t&&"iterator"in t.Symbol&&(Object.defineProperty(s.prototype,t.Symbol.iterator,{value:s.prototype.entries,writable:!0,enumerable:!0,configurable:!0}),Object.defineProperty(a.prototype,t.Symbol.iterator,{value:function(){return this},writable:!0,enumerable:!0,configurable:!0})),u)for(var h in u)Object.prototype.hasOwnProperty.call(u,h)&&"function"==typeof u[h]&&(c[h]=u[h]);t.URL=c,t.URLSearchParams=s}(),function(){if("1"!==new t.URLSearchParams([["a",1]]).get("a")||"1"!==new t.URLSearchParams({a:1}).get("a")){var e=t.URLSearchParams;t.URLSearchParams=function(t){if(t&&"object"==typeof t&&r(t)){var n=new e;return Array.from(t).forEach((function(t){if(!r(t))throw TypeError();var e=Array.from(t);if(2!==e.length)throw TypeError();n.append(e[0],e[1])})),n}return t&&"object"==typeof t?(n=new e,Object.keys(t).forEach((function(e){n.set(e,t[e])})),n):new e(t)}}}()}(t)}("object"==typeof window&&window||"object"==typeof self&&self||"object"==typeof global&&global||{}),function(){function t(t){for(var e=[t];t=t.parentNode||t.host||t.defaultView;)e.push(t);return e}function e(t){return function(e){var r=void 0!==e.getAttribute?e.getAttribute("class")||"":void 0;void 0!==r&&-1===r.indexOf(t)&&e.setAttribute("class",r.concat(" ",t).trim())}}var r=["\n","\t"," ","\r"];try{return"undefined"!=typeof window&&!document.querySelector(":focus-within")}catch(n){return function(){var n=function(n){if(!i){window.requestAnimationFrame((function(){i=!1,"blur"===n.type&&Array.prototype.slice.call(t(n.target)).forEach(function(t){return function(e){var n=void 0!==e.getAttribute?e.getAttribute("class")||"":void 0;if(n){var i=n.indexOf(t);0<=i&&(0===i||0<=r.indexOf(n.charAt(i-1)))&&(""===(n=n.replace(t,"").trim())?e.removeAttribute("class"):e.setAttribute("class",n))}}}("focus-within")),"focus"===n.type&&Array.prototype.slice.call(t(n.target)).forEach(e("focus-within"))}));var i=!0}};return document.addEventListener("focus",n,!0),document.addEventListener("blur",n,!0),e("js-focus-within")(document.body),!0}()}}(),vt.internals.legacy.setLegacy(),vt.internals.register(vt.core.ArtworkSelector.ARTWORK_USE,vt.core.Artwork)}();
//# sourceMappingURL=dsfr.nomodule.min.js.map
